Copyright Notice

Directory Opus 9 for Windows and this manual are Copyright © GPSoftware, Brisbane 2001-2007. All rights reserved. Title, ownership rights and intellectual property rights in and to the SOFTWARE shall at all times remain the property of GPSoftware.

No part of this publication or the accompanying SOFTWARE may be copied or distributed, transmitted, transcribed, stored in a retrieval system or translated into any human or computer language, in any form or by any means, electronic, mechanical, magnetic, manual or otherwise, or disclosed to any third-party without the express written permission of GPSoftware, Australia.

Disclaimer

GPSoftware and any associated dealers or distributors make no representation or warranties with respect to the performance of the SOFTWARE nor of the contents of this publication and specifically disclaim any implied warranties of merchandisable quality or fitness for any particular purpose. Further, GPSoftware reserves the right to revise the SOFTWARE and this publication and to make changes to them from time to time without obligation of GPSoftware to notify any person or organization of such revisions or changes.

Illustrations in this publication are intended to be representations and may not be exact duplicates of the screen layouts generated by the SOFTWARE.

License

GPSoftware provides this program and any updates to the original purchaser under the terms set out below and licenses its use worldwide. You assume responsibility for the selection of the program to achieve your intended results, and for the installation, use and results obtained from the program.

Warranty

All care has been taken to ensure that the program performs the functions as set out in this manual. However, GPSoftware provides the program “AS IS” and makes no express or implied warranties with respect to the SOFTWARE, its documentation, performance, fitness for a particular purpose, or merchantability. The entire risk as to the quality and performance of the SOFTWARE is borne by you. Should the SOFTWARE prove defective, you and not GPSoftware shall assume the entire cost of any service and/or repair.

To the maximum extent permitted by applicable law, in no event shall GPSoftware, its agents or suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, loss of data, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE product, even if GPSoftware has been advised of the possibility of such damages.

At the discretion of GPSoftware, any and all warranty or technical support is available only to the original purchaser of this package. Please contact your local GPSoftware distributor in your local country for Technical Support in the first instance.


Program License

Directory Opus 9 is supplied under the following conditions, is valid for the original purchaser only and is not transferable. You accept responsibility for any and all Directory Opus Program Certificates issued by GP Software to you.

The SOFTWARE may only be installed on the number of machines specified by the program license and associated certificate. Additionally, you may install the SOFTWARE on ONE personal laptop, irrespective of the number of installs allowed by your license. For example, this means that if you have purchased a two install license you may install the SOFTWARE on two computers of ANY type PLUS ONE personal laptop.

The standard license is a single-installation license which allows the installation of the SOFTWARE on one physical machine only, for exclusive on that machine only, plus one personal laptop. Installation on more than one machine (not including one personal laptop) requires a license to be purchased for each extra machine.

You may use the SOFTWARE on the licensed computer(s) at a specific site only (excluding laptops), unless a multiple site license has been negotiated at time of purchase from GPSoftware. Where the SOFTWARE is executed from a common disk shared by multiple CPU’s, you must ensure that one authorized copy of the SOFTWARE has been licensed from GPSoftware or authorized agent or resellers for each USER / CPU executing the SOFTWARE.

On a machine for which you have a license, you may install the software on multiple operating systems or virtual machines for use by one user at the same time.

Depending on the exact nature of the license purchased, this license may grant you rights to technical support, bug fixes and rights to updates and enhancements to the SOFTWARE for the duration of this license.

You may not redistribute this SOFTWARE and/or any accompanying serial numbers or registration certificates to any person, organization or third party without the prior written consent of GPSoftware.

YOU MAY NOT USE, COPY, OR TRANSFER THE PROGRAM OR MANUAL, OR A COPY, IN WHOLE OR IN PART, EXCEPT AS EXPRESSLY PROVIDED. IF YOU TRANSFER POSSESSION OF ANY COPY OF THE PROGRAM TO ANOTHER PARTY, YOUR LICENCE IS AUTOMATICALLY TERMINATED.

YOU MAY NOT HIRE OR LEASE THE SOFTWARE TO A THIRD PARTY.

Advanced FTP Subsidiary License

A subsidiary license must be purchased to activate the Advanced FTP functionality in the SOFTWARE. This is issued on a per program license basis and subsidiary licenses must be purchased for all machines in a specific program license. For example, a dual software license requires the purchased of a dual FTP subsidiary license.

USB Export Subsidiary License

A subsidiary license must be purchased to activate the USB Export feature in the SOFTWARE. This license entitles you to install the SOFTWARE on ONE USB Device irrespective of the number of install licenses purchased. Once installed on a USB device the SOFTWARE may be executed from that specific USB device only, on any computer.

Limited Term Evaluation License

If you are using an evaluation version you may install and trial the program for a period of 30 days or for a maximum of 60 days if an evaluation license and certificate have been granted from the GPSoftware web site. After this time you must either purchase a valid license, or cease using the SOFTWARE and uninstall any and all copies of the SOFTWARE and any related material from your computer.

Termination

This license is effective unless terminated. This license may be terminated immediately without notice from GPSoftware if you fail to comply with any provision of this license. Upon knowledge or notification of termination you must immediately uninstall and destroy the SOFTWARE and any and all associated materials and all copies thereof, and any and all Program License Certificates that have been issued to you. The licensee may terminate the license at any time by destroying the SOFTWARE and all copies thereof.

Unauthorized distribution of an issued program certificate immediately voids your license and results in forfeiture of all your rights to continue to use the SOFTWARE.


Acknowledgments

Directory Opus 9 for Windows and this manual are copyright © GPSoftware, Brisbane, 2001-2007. All rights reserved. The software was written by Jonathan Potter and Dr Greg Perry. Trevor Morris designed and produced most of the icons and images. The manual and associated help files were written by Dr Greg Perry and Jonathan Potter.

GPSoftware extends its grateful thanks to the many people who have encouraged and provided assistance in the development and extensive Beta testing of this package. Our very special thanks go to the dedicated work put in by the beta testing team of Leo “Nudel” Davidson, Trevor Morris, Steve Banham, Wayne Howard, and many others. (See the About dialog for an up-to-date list.)

Opus ® and Directory Opus® are registered trademarks of GPSoftware / Redbrook Pty Ltd. The Opus Logo ® is a registered trademark of GPSoftware. DOpus ™, DirOpus™ and Opus File Manager™ are trademarked 1991 by GPSoftware; Opus Magellan ™ is trademarked 1996 GPSoftware; Opus6™, OpusPC™, PCOpus™, SmartFavorites™ are trademarked 1998 by GPSoftware. FlatView™ is trademarked by GPSoftware 2003. Opus8™, Opus9™ are trademarked by GPSoftware 2004.

Microsoft ® Windows, Windows 2000, Windows XP, Windows Vista and other related terms are Copyright © or registered trademarks of Microsoft Corp.

Amiga and AmigaDOS are trademarks of Amiga Inc.

Directory Opus makes use of several third-party libraries; acknowledgement is hereby given for these.

· zlib: (c) 1995-1998 Jean-loup Gailly and Mark Adler

· jpeg: This software is based in part on the work of the Independent JPEG Group.

· libpng: Copyright (c) 1998-2000 Glenn Randers-Pehrson, Copyright (c) 1996, 1997 Andreas Dilger, Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.

· libtiff: Copyright (c) 1988-1997 Sam Leffler, Copyright (c) 1991-1997 Silicon Graphics, Inc.

Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that (i) the above copyright notices and this permission notice appear in all copies of the software and related documentation, and (ii) the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.

· xpdf:Copyright © 2001 Derek B. Noonburg. xpdf is used by the pdftext.dll Viewer plugin. Since xpdf was released under the GNU GPL, the pdftext.dll Viewer plugin is also available under GPL. See http://www.gpsoft.com.au/pdf-text.htm for more information

· Brainchild version 2.0 (C) Copyright 1993-2002 by Jan van den Baard All Rights Reserved and included with permission from the author as of August 2003.

· Opus ZIP handling makes use of DynaZip Library licensed from Innermedia, Inc.

Other products mentioned in this manual are trademarks or copyright of their respective owners.


Introduction and Overview

Thank you for purchasing Directory Opus 9 for Windows. It provides you with the right tool to work smarter and be more productive. We believe its power and features will impress you.

There are many file management utilities for the PC, but nothing like Directory Opus 9. Whatever program you used before, Opus 9 heralds a totally new generation of file manager. Other utilities have reached the effective limit of power and flexibility for static utility programs. Opus 9 breaks out of the mold! It uses the power of the Windows operating system in a way rarely seen before, giving you the most powerful Windows file utility ever.

Directory Opus for Windows is a fully multi-threaded design that builds on concepts we developed over many years on the PC and other platforms including the Amiga. This new version 9 demonstrated GPSoftware policy of ongoing development of the product and is the result of over three years work. Opus for Windows has been designed from the ground up to be the most extensive and user-configurable file manager for the Microsoft Windows Operating System while making it easy to use out-of-the-box. In simple terms, it was designed for the computer literate user as a complete replacement for Windows Explorer to provide the power and functionality that have long been missing.

There have been file managers, now there is Directory Opus 9! Ignorance was bliss.

More:

System Requirements

Installing and Registering Directory Opus 9

Launching Opus for the First Time

Welcome to Directory Opus


System Requirements

Directory Opus is designed to run on Windows Unicode operating systems starting from Windows 2000 and up including Windows XP and Windows Vista. Windows 95, 98 and ME are no longer supported for Directory Opus version 9 and above.

A version of Directory Opus 8 is available for purchase for those who wish to run Opus on legacy Microsoft Operating Systems.


Installing and Registering Directory Opus 9

Install Opus by double-clicking the supplied install program either from the CD or from the downloaded archive. We recommend that you select the default options for each section. Once the installer has done its job, run the program from the Start Menu or by double-clicking on the Opus 9 icon which appears on your Desktop.

Before you can use your new Directory Opus 9 program it must be personalized with a registration code and Program Certificate. The first time you start the software the Directory Opus Licence Manager will be displayed, allowing you to install your Certificate.

The Licence Manager is used to view details about your current Program Certificate or install a new certificate. It also contains links to request a free evaluation or to purchase Directory Opus. The Licence Manager is accessed from the default Help menu. It also appears automatically the first time Directory Opus 9 is run.

The information displayed in the Licence Manager includes your user details and user registration code, the issue date of the certificate and the version of Directory Opus it is valid for. If your certificate is an evaluation certificate then the expiry date will also be shown here. The Licence Manager also lists the optional features of Directory Opus and indicates which features are enabled or disabled.

When Directory Opus 9 is installed a Stock Program Certificate is automatically installed. This “pseudo” certificate lets you run Directory Opus for a limited period of time without a valid certificate installed. However, you will need to install either an evaluation certificate (requested from the GP Software website) or the certificate you received via email when you purchased Directory Opus in order to use the software effectively.

If you purchased Directory Opus online, your Program Certificate will have been emailed to you. If you have purchased a boxed copy of Directory Opus you will need to visit the GP Software website to register your purchase and receive a Program Certificate.

If you have not purchased the product yet, you may obtain ONE 30-day trial evaluation certificate from the GP Software website. When this expires you have a further 30-day period of grace after which you must either purchase the product, or cease using the program and uninstall it completely from your computer.

Technical support, bug fix releases and discounts on future upgrades are only available to registered users via the Support page on the GPSoftware web site at

http://www.gpsoft.com.au/Support/html


Launching Opus for the First Time

After completing the registration process, when you run Directory Opus for the first time you are presented with a Wizard which sets up some of the basic functionality of the program. We recommend that you accept the default settings.

Use the default settings to start with until you understand how Directory Opus works. Don’t worry! You can easily change these and other default choices from Preferences afterwards should you wish.

By default, Directory Opus is set to Run Opus on Startup. This starts Directory Opus when you boot your machine. Opus can be made to run in minimal mode and quietly sit in the background with just the Opus light bulb icon showing in the System Tray. In this way the program is up and running and available immediately when you need it. Opus is very efficient and poses no significant limits on your system’s resources so this is the recommended method of use. Opus can be told to optionally open the introductory Splash Screen, a Lister or Layouts on startup. Once Opus is running you can easily open a Lister (or Layout) from the tray icon, by a simple double-click on the Desktop, or any of the variety of methods discussed below.

Also by default, Directory Opus is installed as a Windows Explorer replacement. This is supported by enabling various context menus plus a shortcut action of a double-click on the Desktop can be used to start the program or open a File Lister display. Directory Opus is also set as the default picture viewer for images and default sound player for WAV and other sound files.

The Wizard also allows you to choose to have the program settings global to all users on the system, or to have individual settings for each user. Choose which ever suits your setup. You can change these details from Preferences later if you wish.

Directory Opus has the ability to automatically check the GP Software web site to see if there is a newer version available. When you run Opus for the first time it will perform this check in the background if you have an internet connection established. You can disable this behavior or change the frequency of automatic checks from Preferences.


Welcome to Directory Opus

Directory Opus 9 for Windows is a program unique amongst file managers, unlike anything seen before on the Windows platform. We have combined the knowledge gained from more than twenty years experience in the development of file managers with the latest design concepts to provide more power in one package than ever before.

But, you don’t need to worry about all this! You can take immediate advantage of the program straight out of the box. You will find Opus immediately familiar. File management, integrated ZIP handling and FTP transfers, viewing images and performing all those previously difficult to handle file operations under Windows have never been easier!

And you can be confident that once you have mastered the basics, the unique design of Directory Opus will allow you to readily expand your abilities by taking advantage of the program’s powerful underlying architecture. You will be able to easily customize the program to combine your desired look and feel with the specific functionality you need.

Multithreading means No Waiting, No Delay

No longer do you have to sit there and watch while one operation completes. Once you have started one operation you can immediately continue on with the next. The unique design with its inherent multithreading is what actually gives Opus 9 its impressive power and makes it so fast and efficient. For example, while unzipping an archive into one folder, there is now no need to wait for this to finish before doing something else. Once the action has been launched, you can immediately reuse the current Lister or open a new one and start performing other tasks, all while the first task completes. Similarly, you can download multiple files from remote FTP servers using the internal FTP engine without blocking other activities.

Windows Explorer Replacement

Directory Opus can be set as the default handler for all folders. This means that when you double-click on a folder, it will open in Opus and not in Windows Explorer. This is known as Explorer Replacement Mode.

When used as an Explorer replacement, Opus 9 greatly enhances your productivity since there is no longer any need to keep swapping between programs to perform everyday tasks nor to have to run a new copy of Explorer just to copy files between folders. Opus 9 provides a seamless integration of file manager and Explorer functions and handles ZIP archives and FTP file transfer in the one program.

Aborting Operations

Most functions can be aborted once they have begun (which can be quite useful if you accidentally start deleting the contents of your hard drive!) To abort an operation, select the Abort button shown in the progress window or hit the Esc key. Do not be alarmed if the action does not abort immediately; some functions such as Copy may have to finish with the file they are working upon before exiting.

More:

Summary


Summary

Directory Opus provides for all your file management and Windows Explorer-type needs in a powerful and easy to use program.

The following sections deal with each aspect of the program in more depth.

· Directory Opus 9 Components provides a short introduction into the various parts of the Opus system and introduces the visual elements such as the File Display ‘Lister’, Toolbars etc.

· New Features for Version 9 discusses changes and enhancements specifically for the latest version.

· The Lister details the inner workings of the Directory Opus system.

· Toolbars discusses the exclusive Opus system of fully user-customizable toolbars, menus and related items.

· Preferences explains how to tailor the functionality of the program to suit your needs. This includes file operations, background images, Lister Layouts, custom FTP sites and more.

· Customize shows you how to configure the Toolbars, Hotkeys and Context Menus.

· File Types discusses the exclusive Opus system which allows you to perform custom mouse events and context menus actions for specific types of files in a manner fully compatible with normal Windows operations.

· Folder Options shows you how to set the format of the Lister file display and how to save predefined formats for special paths. The Opus File Filter System examines the advanced expression-based selection capabilities of Find and Select commands as well as the recursive Copy and Delete Filters. Learn how to use multiple clauses to match any file name, property or attribute, file contents, time and date, MP3 property, etc, and the details of the easy-to-use Opus wild card system.

· Opus Find discusses the powerful replacement for the Windows Find function which is built upon the Opus File Filter system.

· The Opus Viewer discusses the integrated image viewer which can display most types of images, either alone or combined in a slideshow.

· Opus FTP explains how seamlessly the FTP protocol is integrated into Opus. This makes handling FTP a breeze! You can open remote FTP sites directly in the Opus Listers just as if they were local folders and have all the normal behavior as you would for local files. Opus provides a full address book system via Preferences where you can set individual parameters for your favorite sites. Optionally, Opus can support Secure FTP for SSL and SSH connections.

· Opus Tools and Special Features discusses special features provided only by Opus. These include Synchronize, Duplicate File Finder, File Collections, Lister Themes, Secure Delete, Automatic recognition of Content Types, the Enhanced Replace and Rename dialogs, Opus Thumbnails, Virtual Folders, the enhanced Folder Tree, Print Folder and more

· Predefined Commands details the ready-to-use buttons which you can simply drag and drop to build custom Toolbars of great power.

· Opus Raw Commands gives an in-depth look at all the Opus commands, their functionality and examples of how they can be used.

· The Appendix shows details of pattern matching syntax plus several tables of the Opus commands arguments and the Opus raw command templates


Directory Opus 9 Components

Directory Opus 9 consists of a number of inter-related objects operating in a multi-threaded environment, each running on its own thread but communicating with each other as required.

The main components which make up the Directory Opus 9 system (in addition to the main program thread) are any number of the following objects

· a window displaying files and folders, called a File Display Lister (Lister for short)

· a window displaying custom buttons, called a Toolbar;

· secondary windows performing various file or other functions such as Find, Advanced Select;

· and various windows used to edit and configure the settings or operational parameters of the Directory Opus 9 system.

This may all seem a little complicated at first, but in practice it is not! It just uses the capabilities of the Windows Operating system to allow you to do several things at once, if you want. In reality you will find the power and flexibility easy to master. To the user these technical details are seamless.

Each of the following components is actually the visual footprint of a separate program thread, which is invoked only when required. Note that you can only run Directory Opus 9 once. However, once the program is running, at any given time you may have none or any number of Listers and dialog windows open in any configuration.

Main Program Thread

The main program, the parent task of the Opus 9 system, is not directly visible to the user. It may be run on startup or is started when any Opus Lister or dialog window is displayed for the first time. A footprint of this main task is shown by the Opus icon in the System Tray. This gives access to the main functions of the program if no other object is visible. The characteristic Opus “naked light bulb” icon and Tray Icon context menu are shown to the right.

The File Display Listers

File Listers (called Listers for short) are independent windows which display lists of files and folders. You may have just one Lister open to view contents of a single folder or as many as you desire. Each Lister may be a source or destination for actions. A Lister may have one or more Toolbars. Several different and powerful View Modes are available to display the files in the Lister and the format of the file display may be extensively defined from Folder Options, while the visual design of the Lister display can also be customized from the various Preferences settings.

Many people confuse Listers with Opus itself - the Lister is not Opus! While you can have as many Listers open as you want simultaneously, there is only ever one copy of Opus running at one time.

Opus Toolbars

Toolbars are windows which display custom action buttons showing text or graphic images. Toolbars are usually attached to Listers, but may be free-floating. You may choose the number and position of the Toolbars in the Listers. Also, the Toolbars themselves are built from an internal Opus command list so may be easily customized by the user.

Preferences, Customize and Other Windows

Other independent dialog windows are provided for you to customize the visual display and performance of Directory Opus 9, add or edit Toolbars, context menus and Hotkeys, and many other functions. Most aspects of the program may be changed at any time, even while the program is performing other tasks.

More:

Overview


Overview

Opus provides for single, dual or multiple file displays, called Listers. The number of Listers is unlimited and you may swap between them as desired. Not only does Opus provide the traditional Windows file view modes with an optional Folder Tree, but it also adds a special Thumbnails view, plus two special exclusive Opus views - a Tiles view where a large icon (or by default, a thumbnail) is shown to the left, with the name of the file and one or more configurable lines of information to the right; and Power mode where you can define the exact actions of left, right and middle mouse buttons and their file drag and drop abilities.

For the file display format itself, Opus allows you the widest control of any program with an extensive choice of display columns, sorting methods, filters, auto calculation of folder sizes and so on. Also, you may easily set and save custom formats for specific folders on local or remote systems as well as for ZIP archives and FTP sites. You can even save a snapshot of any given set of Listers as a “Layout” and reopen it at a later time to redisplay the same set of Listers using the same settings, position and file paths etc, just as you left them.

Opus Listers are supported by the Toolbar functions which act between a source and destination Lister for any action. You select one Lister to be the source and another to be the destination, or simply expand the one Lister to a dual file display. By default, source and destination Listers show green or orange title bar colors, respectively, so you can easily identify them.

Toolbars may take many forms, with or without images or labels etc, so they may appear as simple menus, traditional Toolbars or Windows Task Bars (Docks). However they are all instances of the same Toolbar object.

Toolbars may be attached to any side of a file display and even between Listers in dual display mode, or they may be independent of the Lister itself, floating freely on the Desktop or docked with the edge of the screen.

Toolbar action buttons are based on a command sequence which uses an extensive set of internal commands. This may consist of single commands or sequential steps and may contain any mixture of internal Opus commands or external program calls.

The Opus command set includes traditional file functions such as Copy, Copy As, Move, Delete, Create Folder etc, the clipboard functions of Cut, Copy and Paste and many other file-related commands such as Show (for images) and Play (for sounds). These are supported by a host of extra commands such as Select and Advanced Select, Search and Find, plus others which allow you to change the format in which files are displayed, open new Listers, customize the display of Lister and Toolbars and so on.

To make life easier for you we have provided an extensive set of Predefined Commands which you simply need to drag and drop onto a Toolbar (in Customize mode) to activate. Or, if you need more power, you can build your own functions from the underlying Opus Raw Commands to automate file operations or to perform the more complicated functions. Since almost every action performed by Opus is actually done by one or more of these internal commands, you can readily tailor the program operation to suit your needs.

Drag and drop is widely supported in Opus in ways too many to detail. For internal commands and external programs, drag and drop is supported for all file operations between Opus Listers (irrespective of source or destination identity) and most third party software and with most Opus objects. As examples, apart from the simple copying of files, you may drag and drop a text file onto the Notepad icon to open and read the file. Simply drag and drop a single image onto a paint program to edit it, or, drag and drop multiple images onto the Opus Show command to start a slide show. Drag and drop is also supported for internal Opus objects. For example, when customizing Toolbars and Preferences, you drag and drop commands and images etc between Opus objects. You can even drag and drop commands onto the Desktop to create an external stand-alone Opus command icon.

From Preferences, you can drag a Layout and drop it on the Desktop. A double-click on the shortcut will then open the defined Lister Layout. Similarly, you can drag out FTP sites from the address book to the Desktop for instant access. Double-clicking on the shortcut will open the site in a new Lister and dropping external files on to a Desktop FTP shortcut will connect to that site and transfer the file(s).

Opus seamlessly integrates ZIP handling and FTP file transfers. Most command functions and drag and drop actions are supported. For you, the user, there is essentially no difference between files in a ZIP archive and on a remote FTP server and those on your local hard drive. You treat ZIP files and directories on remote FTP servers the same as local folders. Opus even supports intelligent Site-to-Site transfers directly between remote FTP servers without downloading and uploading via the local computer. In fact, you can even copy files directly from a ZIP archive to an FTP site, and vice versa!

Opus provides comprehensive filter functions for Find, recursive Copy and Delete, and Rename functions. These filters support Opus’ wildcard pattern matching or full regular expressions. A unique test mode even allows you to test whether your pattern matching syntax is correct before you commit to the file actions for real.

From the Tools menu, special utility panels are available directly in the Lister window with which you can Find files or folders on your computer easily, visually Synchronize files and folders and Find Duplicate Files.

The Tools menu also gives immediate access to the Print Folder and Image Convert commands. Respectively, these allow you to quickly print a hard copy of the current folder and access image conversion functions to change the size, format or rotate any image that Opus can display.

For Listers and Toolbars, you can change the look of Opus by using background images. Several methods are supported including a unique mode which shares, or maps, a single image over all displayed Toolbars or over the complete Lister display encompassing the Toolbars and file and Folder Tree backgrounds. Toolbar highlighting of the buttons and menus can be adjusted with multiple highlighting methods to suit all preferences and these can be adjusted down to an individual button image level if desired. You may also select to use Windows XP Visual Styles or Office 2003-style highlighting.

Directory Opus has a Themes system which allows you to quickly change the visual display using predefined Lister Themes. You can download and exchange themes with other Opus users or easily set up Opus to have the same look and feel on different computers.

Sounds may be triggered by many actions. Sample sounds and background images are provided so you may get some idea of how these can be used, then configure your own.

Opus tracks the folders you use and adds them to an intelligent Recent List for quick access. Not only does Opus allow you to enter a list of your own Favorites, but it also provides a unique SmartFavorites™ system to automatically track your usage and update the Favorites list automatically.

Opus extends the standard functionality of the Windows File Type system. You can define the behavior for double-click and drag and drop actions, add your own custom commands to context menus as well as add context sensitive commands to system file types. Opus lets you group multiple file types together to customize the behavior of the group as a whole. You can also configure InfoTips, or popup tooltips, for any type of file or group.

The powerful internal Picture Viewer natively supports most common image formats so you can view images quickly with just a simple double-click. You can even view multiple images sequentially in a slide show. Similarly an internal Sound Player allows you to listen to WAV and other sound files without calling up a full-blown media player.

Opus allows you to configure various Context Menus and provides for user-definable Hotkeys which can be set to work either inside Opus only or system-wide. Hotkeys can be independent or attached to a Toolbar button.

An independent Output Window displays the results of Find operations, file operation logs, an undo list of recent functions, two independent FTP logs, and a special Test section showing the results of trials for pattern matching commands with rename functions.

Opus supports most System Namespaces and virtual file systems such as My Computer, Desktop, etc for Windows and those from third party developers. However, since these Namespaces provide their own “black box” handlers and functionality, Opus commands can only be guaranteed to work inside Opus. Many Opus commands unfortunately cannot operate on files in most virtual folders. Opus tries to emulate as many of those actions as possible but the APIs of many Namespaces simply do not allow all commands to be supported. Opus commands not available in a virtual folder appear ghosted.

Namespaces often provide their own commands which can be added automatically to Opus menus and Toolbars if you have inserted the appropriate marker. See Customize Commands.


New Features for Version 9

Directory Opus version 9 has been created with many new features plus full support for Windows Vista

More:

New Vista related

New Explorer Replacement Changes

New XML-based Configuration

New Configuration Backup & Restore System

New Sub-Collections

New Breadcrumbs-style Location Field

New `Find-As-You-Type' Field

New Custom List View Code + Tiles Mode

New Advanced Rename Enhancements

New Preferences Editor Improvements

Removal of Layout section in Preferences

New Customize Editor Improvements

New FTP Address book

New Flickr™ Synchronization

New ImageShack® Image Upload

New Command Parser Improvements

New Custom Toolbar Icon Sets

New Support for Links/Junctions


New Vista related

Opus now supports the Windows Vista OS. Vista contains a protective layer of routines known as UAC which prevents unauthorized access to parts of your system. Opus fully supports the Microsoft methods for accessing this system. For example, Opus will display the UAC prompt in most situations when it is required. Some things to watch out for and report:

UAC support in Opus has improved over that offered in Windows Explorer. For example, in Explorer if you create a new folder in a protected location (like Program Files), and then rename the newly created folder, you will get four separate confirmation dialogs. In Opus, you will just get one!

To support the UAC system, Opus now has a new Lister "Administrator Mode". This command puts the Lister in an "automatic UAC" mode where you must approve UAC once after which Opus will not prompt you for UAC permission again until Admin mode is cancelled. Admin mode automatically cancels itself after a definable timeout, or you can turn it off again manually. Note that when in Admin mode all external programs launched from the Lister also launch with elevated permissions.

A special command is provided to access Admin Mode. The raw command for Admin Mode is Set ADMIN=Toggle (or "on" or "off"). By default a dialog is displayed that lets you specify the timeout - if you wish to prevent the dialog appearing you can specify the toggle yourself on the command line (e.g. Set ADMIN=Toggle,10 for a 10 minute timeout.) There is also a predefined command in the Tools category of Customize.

There is a new @admin: command prefix to allow you to start external programs elevated from within Opus. For example, to make a button that launches Notepad with admin permissions, set the function to @admin:notepad.exe. You can also put @admin by itself on a line in the function to make the whole function (or rather, all commands that launch external programs from the function) run with elevated permissions. Note that you will get a UAC prompt as normal, unless the Lister is in Admin Mode.


New Explorer Replacement Changes

In order to support Explorer Replacement under Vista it has been necessary to change the way this mode is implemented. Previously Explorer Replacement was implemented by changing the default action via a Registry key in HKEY_CURRENT_USER. However, under Vista this is no longer effective.

Using HKCR did have some disadvantages under XP and 2000 as well since it made the Explorer Replacement setting global to all users meaning that the user had to have administrator access to change the setting of this mode.

The new way of implementing Explorer Replacement mode is to add an action defined in the Registry then set as the default action for the Folder file type. This method overcomes the problems with the previous method and is fully supported under Vista. It also makes Explorer Replacement a user-level setting instead of a global one.

One difference with previous behavior means that now when Explorer Replacement mode is enabled double-clicking on a folder in ANY Explorer window will have the effect of opening in Opus. Previously, double-clicks only opened in Opus from the desktop. If you already had an Explorer window open and double-clicked on a folder in there it would read into the existing Explorer.

Under XP and older there is a new setting in Preferences/Miscellaneous/Advanced to revert to the old behavior of using HKEY_CLASSES_ROOT for Explorer Replacement mode.


New XML-based Configuration

In Directory Opus 8, most configuration information was kept in the Registry – only Toolbars and some other settings were stored on disk. In Directory Opus 9, all configuration is now stored on disk in XML format.

The first time you run the new version of Directory Opus, a wizard will appear to prompt you through the conversion of your existing configuration to the new format.

The wizard lets you make a backup of your existing configuration before the conversion begins (this is recommended!). Note that the backup is exported in the Directory Opus 8 .dps format – so it is possible to go back to the previous version of the software and re-import this backup.

The conversion process will then proceed automatically, removing all Registry data and creating XML files in its place. The XML files are stored in the following locations:

/dopusdata: This folder contains most user-configured data.

/dopuslocaldata: This folder contains user-configured data that is only relevant on the local machine (data in the Local Settings folder does not roam). This folder contains information like MRU lists, the recent list, and stored dialog positions.

/dopusglobaldata: This folder contains data that is global to all Directory Opus users on the system.

Note: If you wish to find the ‘real’ locations on your system, simply type the location above into the Opus Path string.

Whether your own Opus configuration is stored in /dopusdata or /dopusglobaldata is dependant on the choice you made when you installed Opus and whether you selected to use shared or private configuration files. (This can be changed from Preferences.) With the new XML configuration this option is now more meaningful. Previously, if you selected shared configuration files, only the disk-based files like Toolbars were shared, each user still had their own private settings under HKEY_CURRENT_USER in the Registry. With the new system, a shared configuration means that your configuration files will be stored in /dopusglobaldata, common to all users on the system.

The configuration conversion process aims to convert your entire configuration completely to the new format. There should be no obvious change to your settings once the configuration is complete.

Note also that Directory Opus 9 still supports the old .dps and .dpf configuration export formats from previous versions. When you import one of these legacy configuration files, the information will be imported to the Registry as before, however Opus will then shutdown and on the restart the configuration conversion process will begin automatically to convert the newly imported data to XML format.

The format of exported Lister Themes has also changed to a purely XML-based one. Unfortunately this means that Themes created in Opus 9 are not backwardly compatible with Directory Opus 8. However, themes created in Opus 8 can still be imported into version 9.


New Configuration Backup & Restore System

The old Preferences Export & Import dialog has been replaced with the Backup & Restore Configuration Wizard. It provides three modes.

· Backup configuration: Use this option to backup your configuration. This does not have the complexity of the old Directory Opus 8 system – there are only four choices to be made here. By default all your Preferences settings, Toolbars, Hotkeys, File Types and other important settings are included, and these can not be disabled.

· Restore configuration: The Restore process is very similar to the Backup process. You are asked to select the file to restore, and then given the same choices as in backup as to what to restore. Again, the important settings like Preferences, Toolbars, Hotkeys, File Types, etc are always restored.

· Export to USB Flash Drive: This option takes advantage of the disk-based nature of the new Opus configuration system, and allows you to export your Directory Opus installation (including program, certificate and configuration) to a USB flash drive. The program will then run as a self-contained entity from this flash drive on another system, without modifying the Registry or hard drive of the host. If you select a U3 drive, Opus will be exported as a U3 package and can be installed using the U3 LaunchPad software. If you select the standard USB device icon, Opus will be exported directly to the drive in non-U3 mode. Of course, if there was only a standard USB device present, the U3 icon would not be shown.

Please see the Preferences - Backup & Restore for more details.


New Sub-Collections

The File Collections system now supports sub-collections (that is, collections within collections). Creating a sub-collection is straight-forward – simply use the CreateFolder command to create a folder inside an existing collection.

You can move files and folders between collections and sub-collections as normal. Sub-collections behave exactly like collections.

Please see the section on Opus Tools and Special Features for more details.


New Breadcrumbs-style Location Field

The “breadcrumbs”-style Path field is available in the commands list in Customize as Path Field (Breadcrumbs). It provides a hierarchical view of the current path, as you can see from the picture above. Each element in the path is a button that can be clicked to go immediately to that level of the path. Files can also be dropped on the elements. The arrows following each path element can also be clicked to display a popup menu of the contents of that folder.

If you click in the blank area to the right of the path then the breadcrumbs display will be replaced with a traditional path field allowing you to type in a path as before.

Please see the section on Opus Tools and Special Features for more details.


New `Find-As-You-Type' Field

New Features for Version 9

New ‘Find-As-You-Type’ Field

Opus has a new special "find-as-you-type" field in Listers and in the text viewer. It is similar to the one in Firefox and can be controlled by an option in Preferences. When you begin typing in a Lister a search box now appears at the bottom showing you what you are searching for. Scrolling to the item in the Lister still happens as before - the method is the same, only the interface has changed. The search field turns red if there is no match.

See-Preferences - Listers - File Display - Use Find field when typing in File Display for more details.


New Custom List View Code + Tiles Mode

Directory Opus 8 used a system ListView32 control for the Lister display in the icon modes (large icons, small icons, list and thumbnails). This led to a number of problems – particularly, problems involving icon spacing and label wrapping in thumbnails mode, and strange scrolling problems in List mode.

Directory Opus 9 replaces the system control completely with a custom icon display. The four traditional icon modes are all still present, and for the most part should be indistinguishable from the previous version. However, the annoying bugs with the old icon modes should be gone, and the performance of the new code should be slightly improved.

The scrolling of Listers has also been improved greatly – scrolling with the mouse wheel is now accelerated, and details/power mode now have smooth scrolling which greatly enhances the effect of scrolling through Listers.

The custom list view code has also made possible the addition of a Tiles Mode. This is similar to the mode introduced in Explorer in Windows XP, but with a number of options not offered in Explorer.

To switch into Tiles mode, the command is Set VIEW=Tiles.

The default appearance of Tiles is slightly different from that in Explorer, although the principle remains the same. A large icon (or by default, a thumbnail) is shown to the left, with the name of the file and one or more configurable lines of information to the right.

The new Tiles Mode page in Preferences lets you configure the Tiles display completely. The size and spacing can be altered, as can the frames and background color of individual tiles (turn off frames and the background color altogether to emulate the look of tiles mode in Explorer). You can also choose whether or not thumbnails are shown in Tiles mode.

The information displayed beneath the filename can be configured on a per-file type basis through the File Types system (from the Advanced tab in the File Type Editor). This works much the same way as the Info Tip configuration system.


New Advanced Rename Enhancements

The Advanced Rename dialog has had a number of improvements.

Most noticeable is the addition of a Script mode. When this is enabled, a script panel appears which lets you define a script (VBScript/JScript/etc) to perform your own processing for the Rename operation.

Your Scripts are now stored as part of the Presets in the Rename Dialog. Rename scripts can also be included in the body of buttons that invoke the Rename command on their first line.

The Presets section in the Rename dialog has also had a small overhaul, with toolbar-style icons replacing the previously textual control buttons. The dialog also has a menu now which contains several commands, including Import & Export commands to make the sharing of Rename Presets easier. Also note the old Test mode option has been replaced by a Test button.

Please see the section on Opus Tools and Special Features for more details.


New Preferences Editor Improvements

The Preferences editor has had a number of improvements made. The most obvious is that the old List/Tabs interface has been replaced by a Tree. This makes it much easier to see which pages are available.

At the bottom of the Preferences dialog there is a new Filter field. This lets you search for Preferences items matching a specified string, making it much easier to locate items than before.

While many of the Preferences pages are similar to those from Opus 8, there have been a large number of changes and improvements made.

You will notice that many dialogs which use the metaphor of a list together with several textual buttons (Add / Remove / Duplicate, etc) now use a toolbar-style button system. This results in space saving in the dialog, allowing the list control to be larger, and reduces the number of words on the page.

Overall the Preferences system is more logically laid-out and should be easier to use for both new and old users.

Briefly, the significant changes to Preferences are:

· Display / Colors & Fonts: The Lister preview has been removed, and the drop-down list replaced with a tree of color and font items.

· Display / Images: The “Color” settings have been removed from the Images page, as these were duplicated on the Colors & Fonts page anyway and only served to cause confusion. The page has been redesigned to be cleaner and easier to read.

· Favorites / Favorites List: Uses the new toolbar-style interface. Separators can now be added and removed like other items. A new Edit Favorite dialog is now used to configure favorites rather than the old Select Folder dialog. Also, SmartFavorites are no longer listed in the Favorites list. The old option to clear the SmartFavorites list has moved to the SmartFavorites page.

· File Operations / Copying Files: This page replaces both the Copying (1) and Copying (2) pages in Opus 8. The Progress Bar options that were on Copying (2) are now on their own page.

· File Operations / Double-click on Files: This page replaces the Files page in the old Double-click category (this category has been removed).

· File Operations / Filters: This is a new page which provides a nicer interface to configure and manage file filters (as used by the Select, Rename, Synchronize, Find and other recursive commands).

· File Operations / Options: This page used to be called General.

· File Operations / Progress Indicators: This page contains the Progress Bar options from the old Copying (2) page in Opus 8.

· Folders / Options: This page contains the Prevent automatic loading of certain types of folders options, which used to be in the old Layout section in Opus 8.

· Launching Opus / Explorer Replacement: The Launching Opus category is new in Opus 9, and brings together the options concerned with how Opus is launched – both the first time it is run, and subsequently how Listers are opened (note that to many users these two concepts are the same.) The Explorer Replacement page used to be in the Miscellaneous category.

· Launching Opus / From the Desktop: This page used to be listed under Double-click / Desktop

· Launching Opus / From the Taskbar icon: This page used to be listed under Double-click / Desktop

· Launching Opus / Startup: This page used to be on its own in its own category, but the new Launching Opus category is a more logical home for it.

· Listers / Folder Tabs: The Tab Groups section on the Folder Tabs page has been moved to its own page.

· Listers / Folder Tab Groups: This page contains the Tab Groups section that used to be on the Folder Tabs page. Rather than using a secondary dialog to edit the tabs within a group, the tabs within the selected group are displayed and can be edited from the main page itself.

· Listers / Folder Tree: This page has been redesigned to be neater and more logical. Several new options have also been added.

· Listers / Layouts: This page replaces the Saved Layouts page that used to be under the Layout category in Opus 8. The enormous monitor preview has gone, replaced with a tiny thumbnail. This means the Layouts list can be much larger and also allows room for several new Layout-specific options. As noted elsewhere, the Layouts can now be positioned arbitrarily and separators can be added.

· Listers / Lister Styles: The Lister Styles page is mostly unchanged except for the new toolbar-style controls and the addition of a couple of new options. It has moved to the Listers category from the old Layout category.

· Lister Display Modes / Details Mode: The Lister Display Modes category is new in Opus 9, and splits out the old Power/Details Mode and Thumbnails pages from the Listers category in Opus 8. The Details Mode page contains options that only apply to details mode – a new option is the ability to display grid lines.

· Lister Display Modes / Power Mode: Contains options that only apply to Power mode.

· Lister Display Modes / Thumbnails Mode: Contains options that only apply to Thumbnails mode.

· Lister Display Modes / Tiles Mode: This page is new in Opus 9, and contains options that only apply to the new Tiles Mode.

· Miscellaneous / Advanced: This page is new in Opus 9. It provides a “name/value pair”-style editor to configure several “advanced” options in Opus. Most of the options listed here existed in Opus 8 as semi-documented Registry variables – the move to an XML-based configuration has necessitated the replacement of the Registry variable system with a more formal one. They are now shown clearly here along with a description of each. Note that a couple of the options (related to Amiga icons) used to be available as “real” options in other Preferences pages, but have been moved here because of their relative obscurity.

· Miscellaneous / Internet Settings: This page replaces both the old Miscellaneous / Email page, and the HTTP Proxy Server settings from the Miscellaneous / Miscellaneous page in Opus 8.

· Miscellaneous / Options: This page used to be called Miscellaneous / Miscellaneous. Note that the HTTP Proxy settings have moved to the new Internet Settings page.

· Photo Sharing / Flickr: The Photo Sharing category is new in Opus 9, and contains options to configure the new photo sharing functionality. The Flickr page lets you configure one or more Flickr accounts to use with the new Flickr synchronization system.

· Photo Sharing / ImageShack: This page is new as well in Opus 9. It lets you configure the behavior of the new ImageShack Upload function.

· Toolbars / Appearance: This page has been redesigned slightly. When set to Office 2003 mode, it is now possible to completely configure the colors used for button highlighting. If not configured, the default colors generated from the specified base color are used. Note also that the options here to control the image highlighting effect are now the only place these are configured – the old per-button and per-toolbar settings for these have been removed.

Please see the individual sections in Preferences for more details.


Removal of Layout section in Preferences

The old version Layout sections in Preferences has been removed. The Prevent automatic loading of certain types of folders options have moved to Folders / Options, and the Lister Styles and Saved Layouts tabs have been moved to the Listers section.

The other options in the old Layout section - namely, the default Lister settings (size, position, mode, default folders, and the “Inherit from the default Lister” options) have all been removed.

Instead of these options, there is now just the Default Lister concept. This concept existed in Opus 8 but it was always confused with the options in Preferences.

See the section The Lister-The Default Lister for more details.,


New Customize Editor Improvements

The Customize dialog has been improved as well. Firstly, there is now a menu bar, the contents of which change depending on the current tab. In the Commands tab the menu contains Export and Import commands when the User command category is selected, providing a simple way of sharing User commands with others.

In the Toolbars tab, the menu contains commands to export and import toolbars. Similarly, in the Keys tab, there are commands to export and import hotkeys. When exporting hotkeys, you can choose to export in three forms – as an Importable Hotkey file (one that can be imported back into Opus), as a Comma-Separated List and as a Text File. The latter two formats are useful if, for example, you wish to print a list of your hotkeys.

The menu also contains an Undo command, as well as a command to save the current state of floating toolbars.

At the bottom of the Customize box is a Filter field, similar to the one in Preferences. This field is available on the Commands and Keys tabs. In the Commands tab it filters commands that are displayed in the list, and in the Keys tab it filters based on a hotkey you enter – this makes it very easy to locate the entry for a specific hotkey.

The Toolbars and Keys tabs are largely unchanged, except for the new toolbar-style icons replacing the old textual control buttons. In the Keys tab, a new type of hotkey field is used for the Change Key field (as well as for the Filter field). This field makes it easier to enter a hotkey, and now also lets you assign hotkeys to keys that previously could not be entered – for example, tab. To assign a hotkey to the tab key, click the drop-down arrow and choose Tab from the list. This new hotkey field is also used in the button editor.


New FTP Address book

The FTP section of Preferences has been split out into a separate dialog with a menu to make configuring the address book easier. The menu also contains Import & Export commands.


New Flickr™ Synchronization

Opus now includes a Flickr Synchronization tool that makes it easy to keep your local photo collection in sync with your Flickr account. Flickr Synchronization is based upon File Collections (this is one of the main uses for the new sub-collection ability).

Please see the section on Opus Tools and Special Features for more details.


New ImageShack® Image Upload

Directory Opus now features a built-in ImageShack upload utility. ImageShack is an image hosting service that (with some obvious exceptions) lets you upload and host any image for free.

Please see the section on Opus Tools and Special Features for more details.


New Command Parser Improvements

The command parser in Opus has been significantly improved. Perhaps the biggest change is that all the control sequences (like {file} etc) can now be used with the internal command set, without resorting to dopusrt tricks.

Several problems with the automatic quoting of filenames containing spaces have been fixed. There should be no need now to resort to the @nofilenamequoting directive to fix problems with automatic quoting – the parser should now be smart enough to add quotes correctly.

Additionally, support for complicated multiple line functions has also been improved. For the most part, mixing internal and external commands now works as you would expect – again, without the use of dopusrt. Previously when mixing internal commands and external functions in a Batch mode function, the generated batch file would not be run until the very end of the function, whereas internal commands were executed when they were encountered. In the new version, the batch file is now automatically run whenever an internal command is encountered, making the execution order more logical.

There are also a number of new control sequences

Please see the section on Control Command Codes for further details.


New Custom Toolbar Icon Sets

Opus now allows you to use different icon sets. A new Preferences section in Display - Toolbar Icons allows you to import and choose which sets to use in a hierarchical fashion.

Please see the individual sections in Preferences - Display - Toolbar Icons for more details.


New Support for Links/Junctions

Opus now includes support for links/junctions. The Type column will display the type of link and the Description column will now show the target of junctions (and soft-links under Vista) as it does for shortcuts. The file functions know about junctions too - for example, Delete will not recurse into a junction or link to delete the contents, but instead will just delete the junction. GetSizes doesn't include the size of linked folders in its calculations, etc.

The Copy and Paste commands can also be used to create links/junctions. The old Clipboard PASTESHORTCUT and Copy MAKESHORTCUT arguments have been replaced by PASTELINK and MAKELINK (although the old forms still work too). By default these commands still create shortcuts, however you can use the argument to specify a different type to create. Valid arguments are junction, hardlink, softlink and auto. Note that junctions can only be made for directories, and hardlinks can only be made for files. Soft links support both folders and files but only work under Vista. If you specify "auto", the "best" type will be chosen (e.g., under Vista this will be a soft link, and under 2000/XP it will be a junction for a folder and a hardlink for a file.) Note that due to the wisdom of Microsoft, creating softlinks under Vista requires administrator access (e.g. elevation)


The Lister

The working heart of the Directory Opus system is called the “file display Lister window” or just the “Lister”. This is used to display the list of folders and files in the order and format you desire. Often only one Lister is required, for example, when you wish to view and delete files from a specific folder. On other occasions, you will select two or more Listers (or a single Lister in dual file display mode) to act in concert to copy files between one folder and another, or compare files in different folders. Directory Opus gives you the flexibility to use as few or as many Listers as you require to get the job done.

As one of the axioms of Opus 9’s object orientated design, file Listers are designed to be dynamic. Do not consider them as the traditional, static file display windows which you must leave open and on screen all the time! Each Opus 9 Lister is fully independent with its own integrated functionality. They have been crafted to be transient objects, to be brought into existence for the specific job in hand and then discarded. Alternatively, if your application requires it, you can readily create a dual or multi-Lister display and save the complete “Layout” for use at a later time.

More:

Opening a Lister

Types of File Displays

Lister Window Title Bar

Window Buttons

File Display Buttons

Hot Paths

Lister Color and Fonts

Slide-out Navigation Buttons

Lister File Display Modes

View Modes

Flat View

Check Box Mode

Viewer Pane

Lister Styles

The Default Lister

Lister Format

InfoTips

Sort by Multiple Columns

Folder Properties

Lister Caching

Navigation by Keys

Renaming Files

Context Menus

Drag and Drop

Double-Click on Folders

Easy ZIP Files

Docking of Listers

Lister Status Bar

What folder did I just access?

Defined Keys

Folder Tabs

File Filter Control

Dynamic Thumbnail Resizing

Navigation Lock


Opening a Lister

There are several ways to open a Lister depending on the various Preference settings and context menu settings. You may

· Double-click on the Desktop

· Double-click on the Opus light bulb icon in the System Tray

· Right-click on the light bulb icon and choose Open New Lister

· Double-click on My Computer or a folder on the Desktop

· Double-click on a folder in Explorer

· Select “Open in DOpus” from a folder context menu

· Windows Key plus “O” (or other defined Hotkey combinations)

· And some others.

On the surface, Listers are very similar in operation to what you may have seen in other programs. By default, a Lister is provided with four Toolbars - a menu (Toolbar with names on and images off), an image Toolbar (Toolbar with images on and names turned off), a Tab bar (Toolbar containing the Style Tabs control) and a Toolbar with a Location field and Content Type selector. We have also provided some extra sample Toolbars with the installation. These include a Toolbar showing the available drives for your system, and one with some sample “standard” Windows applications such as Notepad, etc.

As discussed below, the Lister Toolbars can be readily configured using Customize from the Settings menu, either from the default Lister menu or from the light bulb in the icon tray, or from the popup menu on a Toolbar itself.

Like most Opus objects, each Lister window has a depth arrangement pin, which, if enabled, allows you to selectively stack a given Lister window with respect to other Listers and other Opus windows (within limits).


Types of File Displays

Listers can support single or dual file displays with or without Folder Trees. In dual display mode, source and destination Listers are relative to the display, not external Listers. The dual file display and the Folder Trees can be turned on from the View menu, a Toolbar button or assigned Ctrl key. When a Tree is displayed, you can change folders in the active file display by clicking on them in the Tree. When using a single Tree, the Tree will also change to follow you as you change folders in the main Lister. You may drag and drop folders and files to and from folders in the Tree. The Tree also has full context menus. To close the Folder Tree turn the option off again in the View menu, click the close button in the Folder Tree title bar, or double-click the bar separating the Tree from the Lister display.

If you have altered the relative sizes of the displays in a dual file display, double-clicking the bar separating the two displays will resize them back to the default, 50-50 split settings.

Most of the graphical display elements of a Lister window such as file and status colors, background images and other features can be customized to your liking from Preferences. The format used to show the files may be modified from Folder Options and the Toolbars themselves may be enabled, disabled or edited from Customize.

The above image shows a single file display and the essential components of the Lister. These are discussed in detail below.

Listers may be viewed in single or dual display modes. The individual file displays in dual mode each have their own title bar, containing several special buttons. These are back, forward, up, and swap layout between horizontal and vertical. See below for descriptions.

You can also select to display one or two Folder Trees in the Lister window. The Folder Tree can be added to either single or dual file display Listers. When a single Folder Tree is used with a dual display Lister, the Tree changes to reflect the path shown in the active source (green) file display.


Lister Window Title Bar

The title bar is at the very top of the Lister display. This shows the path of the source folder. As with most other application windows, if the Lister window is active, the window title bar will be highlighted. The color of the Opus light bulb icon in the title bar indicates the current Lister state for file operations, either Source, Destination, Dual or Off. The state can be controlled from the File Lister menu. Clicking on a file or folder in a Lister will set that Lister into Source mode. The current state is also displayed in the Status Bar at the bottom of the Lister. Remember, Opus file commands act between the current source and destination Listers unless you are using a dual file display when the source and destination file displays are contained within the one Lister.


Window Buttons

As well as the standard system buttons (small buttons), the window title bar also houses various other buttons. (NOTE: These special Opus buttons are not available under Windows Vista. Equivalent options are available in the window context menu as shown below.)

· [image] The Pin Button appears in Listers and various dialog windows. This allows you to selectively set the depth arrangement of the window to which it is attached. There are three settings - Off, Middle and Top. See Preferences - Listers - Options for more information.

· The Zoom Button appears in Lister only. The Zoom button allows you to have two stored window sizes and toggle between them with a single click. The behavior of this button can be modified to perform a Zoom to Title Bar action from Preferences. When in either mode, Shift-click overrides the current action and performs the alternative. There is also an option in Preferences to zoom the Lister, rather than maximize/restore it, by double-clicking the Lister title bar.

These special buttons in the Lister title bar can be disabled should you wish to turn them off. The settings to control these are in Preferences - Listers - Options. Even if Zoom buttons have been turned off, you can access zoom functionality from the Lister window menu (the menu obtained when you click the icon in the top-left corner of the window).

For users running custom rendering or skinning of their Windows displays, Opus has an option to totally disable its custom title bar rendering throughout the program. This is to allow programs such as WindowBlinds to skin Opus properly. You can turn this mode on from Preferences – Miscellaneous - Options. Note that this mode totally disables all Opus custom title bar functionality, including the Pin and Zoom buttons in Listers, and the pin buttons on other Opus windows.

Windows Vista window context menu showing equivalent options is shown below


File Display Buttons

When a Lister is in dual file display mode, each file display has its own title bar showing the path of the display as well as the extra buttons shown above. This “inner border” can also be displayed in single file display mode, if the Show file display border in single display mode option is enabled in the Listers section of Preferences.

The inner border also has an Opus light bulb icon which can be dragged out to create a shortcut to the folder currently displayed. Note that the Copy (Display this folder in the other file display) and Swap (Swap file displays) buttons can be disabled from Preferences - Listers - File Display - Enable file display Copy and Swap border buttons


Hot Paths

In dual display mode, or in single display mode with the inner border active, Directory Opus displays the current path in the title of each file display. If you move the mouse over the path, the element currently under the mouse will be underlined. Clicking that path element will read that folder into the current Lister. This provides a very quick way to move up the Folder Tree.

Additionally, you can right-click on the elements to display the context menu for that folder and you can also drag and drop files onto them to move or copy files into folders higher up the Tree. You can control this behavior with the options in Preferences - Listers - File Display Border.


Lister Color and Fonts

Opus 9 provides options to control the colors and font styles (bold, italic and underline) used in the Lister displays. Preferences - Display has sections that let you assign different colors, fonts and styles to every Lister information field. There are options to display compressed, encrypted system files and folders in different colors, and your Favorite folders can also be displayed in a different color. Finally, the File Types system lets you configure the colors of individual file types should you wish to do so.


Slide-out Navigation Buttons

To make it easier for you to navigate your folders, Listers have special “slide-out” buttons that appear in the corners and at the sides of the file displays when the mouse cursor remains stationary in that area. These buttons let you access back, forward and parent functions with a minimum of mouse movement. You can enable and configure this feature in the Listers section of Preferences.

The image above shows slide out navigation buttons as they would appear on each side of the Lister.


Lister File Display Modes

Listers have two distinct modes of operation.

· Opus mode: The first is when you view a “real” folder or directory that is part of the file-system (e.g. c:\windows). In this case, Opus provides the complete display and the full range of file-handling commands is available.

· Virtual mode: The second mode of operation is when you view a virtual folder, like My Computer, the Control Panel, Network Neighborhood, or even the Desktop. These are not really folders and the folder display is provided by the system and not by Opus. In other words Windows provides everything between the Toolbar at the top and the status bar at the bottom. Generally, virtual folders will behave exactly as they do with Windows Explorer. Depending on the virtual folder itself, Opus commands may or may not work. Opus tries to interface to virtual folders as well as it can, but since these are generally “black-boxes”, it is impossible to make all commands work with all folders.


View Modes

There are seven different viewing modes available when viewing a file-system folder. These are the traditional Windows view of Large Icon, Small Icon, List, Details, plus the special Opus-only modes of Power, Thumbnails and Tiles. To change view modes, use the View menu or Cycle menu (View Cycle) in the Toolbar.

· The first four are traditional Explorer-style modes requiring no further explanation.

· The fifth mode, Power mode, is handled differently by Opus and is very similar to the Amiga Lister way of operation. By default, file selection is done by click and drag, and files are not automatically deselected when others are selected. If the drag select begins with an unselected file, files are added to the selection, whereas if the drag select begins with a selected file, all subsequent files are deselected. Keyboard control of Power mode can be toggled by pressing the Ctrl key. By default, icons are displayed in Power mode, however these can be turned off. The behavior of Power mode can be extensively configured from the Preferences – Lister Display Modes -Power/Details Mode section.

· The Thumbnails view is similar to some other Windows systems. The behavior of the thumbnail display, properties such as size of the thumbnail, and thumbnail caching can be controlled from Preferences-Lister Display Modes -Thumbnails Mode .

Thumbnails can display the file size and image dimensions below the filename in the label. There are options in Preferences - Lister Display Modes - Thumbnails Mode to control this. You can also configure the spacing between thumbnails, and select the number of lines to display for the thumbnail label. Preferences - Display lets you specify a font to use for thumbnail labels that can be different to the standard file display font.

Opus fully supports transparent and alpha-blended images in thumbnails mode.

Directory Opus can automatically generate thumbnails for folders. If this option is enabled in Preferences, Opus will search sub-folders for the first four image files and display these in the thumbnail for the folder itself.

Directory Opus 9 supports a thumbnail caching system that can dramatically speed up the display of thumbnails once they have been displayed for the first time. Thumbnail caching can be enabled or disabled from thumbnail Preferences. You can also configure the thumbnail caching system to limit it to only caching images in certain locations, and control the maximum size of the thumbnail cache.

Note that Directory Opus uses a central repository to store the thumbnail caches, so it won’t clutter up your folders with lots of thumbs.db files like Explorer does.

· The Tiles view is similar to the mode introduced in Explorer in Windows XP, but with a number of options not offered in Explorer.

The default appearance of Tiles is slightly different from that in Explorer, although the principle remains the same. A large icon (or by default, a thumbnail) is shown to the left, with the name of the file and one or more configurable lines of information to the right.

The Tiles Mode page in Preferences lets you configure the Tiles display completely. The size and spacing can be altered, as can the frames and background color of individual tiles (turn off frames and the background color altogether to emulate the look of tiles mode in Explorer). You can also choose whether or not thumbnails are shown in Tiles mode.

The information displayed beneath the filename can be configured on a per-file type basis through the File Types system (from the Advanced tab in the File Type Editor). This works much the same way as the InfoTip configuration system.


Flat View

Opus 9 provides a unique view mode called Flat View ™. Flat View allows you to expand the current folder in the Lister to view the contents of its subfolders, and all their subfolders, and so on. It is otherwise known as a “recursive folder view”.

Flat View has three modes:

· Mixed displays all files and folders underneath the current folder in one big list - as if they were all in the current folder. This mode is extremely useful for identifying similar (or duplicate) files and groups of the same types of file in multiple folders, for quickly identifying the largest or smallest files in the Folder Tree, and so on.

· Mixed (No Folders) is similar to Mixed but hides all sub-folders, showing only the files.

· Grouped (displayed above) is similar to a Folder Tree containing files. In this mode, the files in the list are grouped together by location, and the display is indented to represent the directory structure.

Flat View is accessed from the default View menu. The default Flat View folder format (configured from Preferences - Folders) contains the Location (relative) field, which lets you see which sub-folder a displayed file is in.

When you copy files from a Flat View Lister (either using the Copy button or via drag and drop), Opus will give you the option to recreate the original folder structure, or copy all the files (whatever their source folder) into the target folder. You can turn off this question (by choosing your preferred behavior) in Preferences - File Operations - Copying Files .


Check Box Mode

An option for Listers in Details or Power mode is check-box mode. This mode can be toggled on or off with the option in the default View menu. When turned on, a check-box is displayed next to each filename in the Lister, and functions that normally operate on selected files instead only operate on checked files. The selected file counts in the status bar refer to checked files rather than selected files, and the Select command will check or uncheck files rather than select or unselect them. In check-box mode, pressing the Space bar will toggle the check-box state of any selected files (or the file with focus if nothing is selected), the + key will turn on the checkbox for all selected files and the - key turns it off.

This mode can be extremely useful for, for example, browsing a folder full of images, tagging selected images as you go, and then deleting or moving them all at once at the end. The Synchronize, Duplicate File Finder and Viewer image tagging functions all make use of check-box mode.


Viewer Pane

The Lister Viewer Pane is an image viewer that is integrated with the Lister. It can appear either at the right or bottom of the Lister and displays (or attempts to display) the currently selected file. The Viewer Pane updates its display automatically as you select files in the Lister. Use the button on the Toolbar to turn the Viewer Pane on or off.

By default the Viewer Pane can display only those graphic formats that Opus understands natively (GIF, JPG, BMP, etc) but it can be extended using the Viewer Plugin system. Opus ships with text.dll, a Viewer Plugin to display text files (it can also display any type of file in binary or hexadecimal mode) as well as several other Plugins.

The Viewer Pane title bar contains buttons for rotating and zooming the current image. The Viewer Pane also supports a right-button context menu (depending on the Viewer Plugin) that lets you display the previous or next file in the folder, modify the display of the current image, copy to clipboard and print, and also configure the current Plugin. If the current Viewer Plugin does not support or overrides the standard context menu, you can still access it by right-clicking on the Viewer Pane title.

The Viewer Pane has an optional “control bar”, a Toolbar that appears at the bottom of the display, that provides quick access to commonly used functions. The control bar can be turned on or off using the Show control bar option in the Viewer Pane section of Preferences.


Lister Styles

The Directory Opus 9 Lister Styles system lets you set up multiple pre-configured Lister Layouts and quickly and easily switch between them. Several Lister Styles are installed automatically, and can be accessed from the Tab toolbar that appears at the top of the Lister. You can edit these or add your own through the Styles section in Preferences - Listers.

Right-clicking on the tab control provides various options in the context menu to update the current Style, add a new Style or access the Styles section in Preferences directly.

When defining Styles you can choose which settings in the Lister a style affects. So for example it is possible to have a style that only controls the Tree or file display layout while leaving all other parameters the same. Different styles can be configured to include paths and view modes for individual file displays rather than only for both, and you can choose Flat View for the left/right file display.

Lister Styles can have user-defined descriptions that are shown as tool tips when hovering over the Styles tab.

If you right click on the tab control in Customize mode several options are available including an option to enable or disable Windows themes (under XP only), an option to display the tabs on the right or bottom (which reverses the display of the tabs when you have the toolbar on the right or bottom of the Lister) and an option to make the tab control transparent (to allow a toolbar background picture to show through).

If the toolbar containing the tab is positioned vertically, the tab control is also laid out vertically (with text rotated appropriately). Note that with a vertical layout, transparent tabs or tabs on right/bottom options, the use of XP Visual Styles is precluded. XP Visual Styles will only be available if the toolbar is horizontal and the transparent/bottom options are turned off.

The default styles that are created by Opus can be removed or edited as you wish.

Filmstrip Style

To make it easy to browse your image folders, Opus Lister Styles has a special Filmstrip Style. By default, this puts the Lister into single-file display mode, displays a single row of Thumbnails, and enables the Viewer Pane. You can alter this style if you wish by editing the Filmstrip Style from Preferences.


The Default Lister

The Default Lister defines the position, size and other attributes of Listers when they are opened. To save your current Lister as the Default Lister, use the Set As Default Lister option in the default Settings menu.

Behind the scenes, the Default Lister is just like a Saved Layout - except that it contains only one Lister, and it does not appear in the Layouts list. In all other respects it behaves exactly like a Layout and is in fact handled internally in exactly the same way.

· When a new user runs Opus for the first time, the first Lister they get will use some hard-coded defaults. It will be approximately two-thirds the size of the screen, contain a tree and a dual file display, and will show the root of their system drive.

· As soon as the user closes that Lister, it becomes the Default Lister. Any changes they make to that Lister (in terms of size, position, viewer pane, trees, etc) will be remembered the next time they open a Lister. For users who only ever use one Lister and think of Opus as “The Lister”, it will be as if Opus is simply opening up in the last state they left it.

· Any time a Lister is opened other than via a saved Layout (with one proviso – the Go NEW command can optionally override Lister settings), the Default Lister is used.

· If the Default Lister is opened by double-clicking on the desktop, it is opened underneath the mouse pointer. In all other cases, it is opened in the same position as it was when it was closed, relative to the current monitor (the monitor containing the mouse pointer.) This is equivalent to the new Layouts option Open layout relative to the monitor the mouse is currently on.

· There are two options in Preferences under Listers - Options that control the behavior of the Default Lister.

o  If Ignore folder format of Default Lister is enabled, the initial folder displayed in the Lister will use its default folder format, rather than the format that was saved with the Lister when it was last closed. This is equivalent to the new Ignore folder formats saved within this layout option in Listers / Layouts.

o  If Update Default Lister automatically when closing a Lister is turned off, the Default Lister is not updated automatically when a Lister is closed. Instead, the Default Lister can be updated manually at any time using the command in the default Settings menu.

· If finer control over the opening of Listers is required than offered by the Default Lister concept, simply use a Saved Layout as before.

· Note that the old option in Layout / Default Folders to configure the default location of the second file display when it opens has been moved to Listers / File Display.

Although this may sound complicated, in reality the change from Opus 8 is subtle. The only options removed are the default Lister settings. The Default Lister concept existed previously, but it was confused by the presence of the default Lister options and the various “inherit” flags which controlled how the Default Lister interacted with the other settings. The new system removes all this confusion and gives the new user what they would generally expect – a program that remembers how you left it.

Please see the section on Preferences for more details.


Lister Format

Both Details and Power mode allow the traditional columns for Name, Size, Type, Date, Time and Attributes but they have been greatly enhanced with more than 80 extra Opus-only columns. These include fields such as extension, expanded time and date fields, various description fields for pictures, sound and movie files, program and module versions and more. Also, both FTP and ZIP have their own description fields. For example, FTP provides a description field for linked files or index descriptions provided by the server plus a field that shows the approximate transfer time.

In the default Preferences, the file display format is set to Details mode to be compatible with Windows Explorer. You will most likely want to change this to Power mode as soon as possible!

Columns can be resized in the traditional manner by dragging the divider between the columns. A double-click on the divider will resize the columns automatically. You can change the order of the columns by dragging them around and right-click on the column title gives access to the various fields from a pop-up menu.

Since each Lister supports dynamic resorting, it is easy to change the sorting method in a specific Lister on a temporary or permanent basis. Clicking the column title sorts the display by that field (in alternate order). A small “arrow” indicates the direction of the sort. As an example, to see the new files recently added to a folder, simply click the title of the Modified column and the file display will be sorted by date with the oldest at the top. Select the title again and the display will be sorted with the most recent files at the top. The Name column has a special hidden feature. Holding down Shift when clicking the Name column title changes the display into sorting alternatively either by name or file extension.


InfoTips

Moving the mouse over a file in any of the display modes and leaving it there for a short period of time will display a popup tool tip, or InfoTip for that file.

Opus pre-defines InfoTips for a number of common file types, and the information displayed includes EXIF information for digital camera images, bit rate and sample rate information for music files, and author and subject information for documents. You can completely configure the InfoTips for any and all file types using the Opus File Type Editor, discussed in a later section.


Sort by Multiple Columns

Opus also supports sorting by multiple columns simultaneously. You can configure this through the Folder Options system, or by simply clicking on the column headers while holding the Ctrl key. The first click (without the Ctrl key held down) defines the primary sort field, and each additional click with the Ctrl key held down adds another field to the sort.


Folder Properties

Folder Properties, accessed from the right-most button on the default Toolbar, the Tools menu on the default menu Toolbar or the folder context View menu, gives access to all features of the Lister format for the current and/or special folders. Various display options, columns, sorting priority, filters and more can be set from here. Using the Folder Formats section in Preferences you can configure the global default Lister format for local folders, Networked and removable drives, FTP servers and ZIP files, and you can also set specific formats for specific folders and individual FTP sites. When you change folders in a Lister the format may change if default or custom formats have been defined, unless you have set the lock button in the status bar which locks the format from change.


Lister Caching

Listers cache the display format, selected files and other details when you browse between folders. Accessing a folder via Back or Forward (first and second buttons in the default Toolbar) retrieves these details from the cache. A Parent or Up (third button) displays the folder using the default format, or, if one has been previously saved, the stored format for that folder. With local drives the file display itself is not cached since directory reads are quite fast but on slower systems such as FTP sites and ZIP folders, the file display itself is also cached, meaning almost instant back and forward redisplays of file contents. (FTP still sends an UP or CD to keep in sync so will not be instant but it does not have to re-read the directory contents.)


Navigation by Keys

The cursor keys, Page Up and Page Down, and Home and End keys can all be used to navigate the file display by keyboard. To scroll quickly to the first item matching a given name, type the first letter or letters of the name on the keyboard. The list will scroll as close as it can get to the first entry. Pressing the same letter repeatedly will move the selection to subsequent files beginning with that letter. If the current sort order is set to a text field other than name (for example, Type), then keyboard navigation will look at the sort field rather than the name field. For example, to jump to the first ZIP file in the list, click the Type column to sort by File Type and then press the “z” key. This “sort-field specific key scrolling” can be disabled in Preferences - Lister Display Modes if desired.


Renaming Files

Like Explorer, Directory Opus supports the direct and simple renaming of files by clicking on the filename to select it, and then clicking again to enter rename mode (or by selecting the file and pressing the F2 key). We call this inline rename. In Power and Details mode, Opus inline rename has a number of exclusive features:

· When Opus displays the edit field, only the filename stem is selected by default, as you usually do not want to change the filename extension.

· You can highlight all the text in the edit field by pressing Ctrl-A; just the filename stem by pressing Ctrl-N; or just the file extension by pressing Ctrl-E.

· You can move the “rename field” from one file to the next by pressing the up or down cursor keys.

· You can access a history of the last 10 filenames you used by holding the Shift key down and pressing the up or down cursor keys.

· If the new name you give to a file is already in use, Opus can automatically modify the new name until it is unique. To enable this, turn on the Automatically number files renamed inline option in the File Operations - General section of Preferences.

Opus also supports its own more powerful Rename function which allows you to perform more complicated rename actions including batch rename and wildcard pattern matches. See Rename in the later sections.


Context Menus

The file context menu is available in all six modes by clicking the right button over a file. The context menu is file type sensitive and can be configured from the Customize and File Types sections. The Lister context menu is displayed whenever you click the right mouse button over a clear area of the file display. This is formed from a mixture of Opus functions and those added by the System. The column header context menu is displayed when you right-click on the Lister column headers visible in either Details or Power mode. (See Customize).


Drag and Drop

Drag and drop is fully supported throughout the program. In the four system view modes (Large Icon, Small Icon, etc) and Thumbnails mode, the drag operation is initiated in the standard Windows way. In Power mode, the default drag operation is initiated by drag-selecting the desired files, and then dragging either left or right approximately 8 pixels. If you have only clicked on a single file when you drag left or right, then only that file will be part of the drag operation. If, however, you have drag-selected more than one file, then all currently selected files will be part of the drag operation. You can also initiate a drag of all currently selected files without selecting any more by holding the Ctrl and Shift keys down, clicking in the Lister and then dragging to the left or right. This behavior may be changed in Preferences - File Display Modes- Power/Details Mode .

The default behavior of the right mouse button in Power mode is different than in Windows Explorer. Clicking the right button on a file will select that file. If you then release the button over the same file, the context menu will appear. However, if you keep the right button pressed and then move up or down, the files you move over will also become selected. You can then initiate a right button drag by moving left or right the same as with the left button. Right button dragging can also be initiated by holding the Ctrl and Shift keys down when you click in the Lister and move left or right. By default, Opus creates default file types or Predefined File Types for All Files and All Folders, and defines default actions for all drag and drop events. The default actions are as follows.

Action | Opus Command
Drag & Drop | Copy MOVEWHENSAME
Drag & Drop + Shift | Copy MOVE
Drag & Drop + Ctrl | Copy
Drag & Drop + Alt | Copy MAKESHORTCUT

Therefore, if you drag a file and drop it onto another Lister using the left mouse button, the file will be moved if the source and destination Listers are on the same drive, or copied if they are on different drives. This behavior is the same as Explorer. You can obviously hold down qualifier keys to modify the behavior of drag and drop since the default file type set up mimics the way Explorer works, but unlike Explorer, all actions can be configured.

If you drag with the right mouse button and drop over an Opus Lister, the drag and drop menu is displayed. This menu is constructed first from any Opus file types that match the selected files, then from Drag and Drop menu items configured for the Windows file type, then from any “DragDropHandlers” configured for that file type by Windows, and then finally the default actions of Copy, Move and Shortcut. Please note that if you drop files on Explorer or the Desktop rather than on an Opus Lister, it is Explorer that handles the operation, not Opus, and so any changes you have made to Drag and Drop actions in Opus will not be respected.


Double-Click on Folders

The action of a double-click on folders is supported through the file types system as well. The following table shows a summary See Predefined File Types for All Folders for details.

Action | Opus Command | Result
Double-click | Go | Open in same Lister
Shift - double-click | Go NEW | Open in new Lister
Ctrl - double-click | Go OPENINDUAL | Open in dual file mode
Alt - double-click | GetSizes | Calculate the size of the folder


Easy ZIP Files

Directory Opus makes handling ZIP files a breeze. Activate Opus ZIP handling from Preferences - ZIP Files and you can treat ZIP archives as virtual folders. Double-clicking on a ZIP file will behave just as if it were a regular folder as described above. Opus can also be set to be the system default ZIP handler so that whenever you double-click on a ZIP archive anywhere in the system outside of Opus, it will be opened by Opus as a virtual folder.


Docking of Listers

If docking has been enabled from Preferences – Listers - Options, you may join or dock two independent single file display Listers by dragging the title bar of one over the title bar of another. These will merge to form a dual file display Lister. Similarly, you may separate a dual file display Lister into two independent Listers by dragging the title bar of one file display out of the Lister Window. Also, you may swap the left and right hand file displays by dragging the title bar to the left or right as required.

If docking has not been enabled, you can still perform all the above actions but you must first hold down the Shift key.


Lister Status Bar

At the very bottom of the Lister, the Status Bar displays a file count, and space free information, as well as the current Lister state (Source, Destination or Off). The contents of the Status Bar can be defined from Preferences - Display -Status Bar , and the status bar can be turned off if desired using the option in the default View menu.


What folder did I just access?

There is a useful feature in Opus 9 that can help you see “where you have come from” when you click the Back or Up button in a Lister. If you double-click on a folder and then click Back, the folder that you last double-clicked on will be highlighted to show you where you came back from. You can control how long this highlight lasts in Preferences – Folders- Options and also disable it if desired.


Defined Keys

Keys that are currently defined in Listers (apart from menu accelerators) are:

Key | Action
Up/Down | Scroll the Lister up/down.
Page Up/Down Shift Up/Down | Scroll the Lister one page up/down.
Home/End Ctrl Up/Down | Scroll the Lister to top/bottom of current folder.
Left/Right | Scroll the Lister left/right. With Shift or Ctrl, jumps one page or to the start/end.
Alt-Left/Right | Perform Back to previous folder in cache or Forward to next folder.
Shift-Escape | Closes the current Lister.
Delete | Delete selected files. With Shift deletes without confirmation - depending on the Recycle Bin setting in Preferences.
Backspace | Go to Parent folder.
Ctrl-Backspace | Go to root of current file system.
Tab | Move focus between Tree and file display.
Ctrl-Tab | Activate next Lister. With Shift activates previous Lister.
Shift-Enter | Activate path entry field.
Ctrl | Activate keyboard control in Power mode. **
a-z, A-Z, 0-9 | Scroll to file/folder matching typed in string (cumulative).

** In Keyboard mode, file selection is done with Shift-Cursor Up/Down or Shift Page Up/Down.


Folder Tabs

There is a set of Folder Tabs attached to each file display (so in a dual-display Lister there are two sets of tabs). By default the tabs are always visible, even when there is only one tab open, but a Preferences setting lets you hide the tabs until they are needed.

A tab corresponds exactly to a file display. When you switch between tabs the previous display is not closed or freed - just hidden. This means that its contents and state (e.g. file selections) remain totally intact. To switch between tabs, simply click on them. You can also switch tabs in the source file display by holding control and pressing either the left or right cursor keys, and in the destination file display by holding Ctrl+Shift and pressing the cursor keys. These key mappings can of course be changed through Customize if required.

If you move the mouse over a tab you will see the label is underlined when the mouse is over it. This is to indicate that the label is "live". If you right-click on the label the context menu for the folder in question is displayed.

You can drag the label out and drop it to create a shortcut to that folder, or copy it, etc, and you can also drop files onto the label from somewhere else to copy/move them to that folder.

If you hover over the label for one second during a drag/drop the tab will be brought to the front, allowing you to drop into sub-folders of that tab.

Tabs have a second context menu that is accessed when the label is NOT underlined. This tab control menu is accessed when you move the mouse over the icon and provides several options for controlling the tabs as shown.

Some other mouse controls for the tab bar are:-

· Left double-click on tab - close tab

· Middle click on tab - close tab

· Left double-click on empty part of tab bar - open a new tab

The tabs can be re-arranged by clicking a part of the tab other than the label (e.g. the icon) and simply dragging them around - you can also drag a tab from one file display to another or even to another Lister. If you hold control when you drag a tab you can make a copy of it instead of moving it.

You can also drag folders and drop them directly onto the tab bar (either between existing tabs or at the end) to open them as new tabs.

You can save sets of tabs as a Tab Group, and then load that group back in at any time. When you configure a tab group you have the option of closing all existing tabs first.

Other Support for Folder Tabs

By default, Ctrl+Left Arrow is bound to Go TABSELECT -1 and Ctrl+Right Arrow is bound to Go TABSELECT +1, and the Ctrl+Shift forms are the same with the addition of OPENINDEST to control the destination file display. Ctrl+F4 is bound to Go TABCLOSE.

The default File menu contains an Open New Tab command, which has a default hotkey of Ctrl+T. The default context menu for folders also has an "Open in new Folder Tab" item, and the alt-double-click action for folders defaults to Go NEWTAB to open the double-clicked folder in a new tab (previously this action defaulted to GetSizes).

Three new events have been added to Preferences for Sounds - you can specify sounds for New Tab, Close Tab and Switch Tab; and the Display - Images section in Preferences allows you to specify a background image for the tab bar.

The Create Folder dialog has new options to read the newly created folder into a new Folder Tab. The switch for this option is a three-state checkbox - when turned off, the folder is read into the current file display as normal. When turned on, the folder is read into a new tab. When set at the “middle” position, the folder is read into a new tab but the tab is not brought to the front. The READAUTO parameter for the raw CreateFolder command has been expanded to allow control over these new options.

The Go DRIVEBUTTONS command supports the NEWTAB parameter to open drives in a new Folder Tab. There is also a new multifunctabs argument for this command which makes the left and right button functions of each drive buttons open new tabs in the left and right hand file displays.

The Favorites and Recent commands both have NEWTAB parameters to open folders in a new tab.

The commands list in the Customize dialog includes Open New Tab and Folder Tab Group List raw commands.


File Filter Control

There is a File Filter control for Opus toolbars. The File Filter Field (found in the View category in Customize) is similar to the Show Files and associated fields, but much more powerful. It has a drop-down menu that lets you change its behavior on-the-fly - you can choose from Files Only, Folders Only, or Both Files & Folders. You can also select Show or Hide on-the-fly.

In the View Filter mode, the filter string entered acts like a ‘Show Files & Folders’ filter (any items not matching the string are hidden), however the difference is that in this mode the filters in the folder format are not modified. This lets you have a pre-defined filter set up in the folder format and then augment it with an additional layer of filtering. The keyword to set this mode on by default is local (use this in the Args field of the filter field). (There is supporting command Set VIEWFILTER to control this filter from a button.)

Note that the view filter is cleared automatically on any folder change.

The File Filter also supports Real Time Filtering, where the list is updated in real time as the filter is edited, as well as Partial Match, which automatically treats the pattern as if it was surrounded with * * (so that you can just type foo and it will automatically match as if you had typed *foo*)

If the Auto-content option is enabled, the drop-down of the File Filter is automatically populated with a list of wildcard patterns matching the files in the current Lister, with the most common file types on top. The keyword to set this option on by default is auto content.

The field remembers its settings when a Lister containing it is saved (in Lister Layouts, for example).

You can specify the default filter modes by editing the field and specifying the keywords files, folders, hide, realtime or nopartial for the Args field.


Dynamic Thumbnail Resizing

Opus supports dynamic thumbnail resizing. When enabled, it allows you to resize thumbnails displayed in the current Lister on-the-fly, without the thumbnails having to be regenerated.

There are two parts to using dynamic thumbnail resizing. First, you must turn on the new Dynamic thumbnail resizing option in Preferences - Listers Display Modes - Thumbnails Mode. Then you need to add the new Thumbnail Size field to a toolbar. This is in the View category in Customize. Once that is done, browse to a folder containing pictures and switch to thumbnails mode. You will be able to use the slider to instantly resize the thumbnails. The Show command has a new THUMBNAILSIZE parameter which also lets you adjust the thumbnail size.

Double-click the thumbnail size slider to reset the thumbnails to the default size set in Preferences.


Navigation Lock

Opus supports a locking mechanism to allow synchronized navigation in a dual file display. The command Navigation Lock is available from the Pre-Defined Commands in the Go category in Customize. When Navigation Lock is enabled in a dual-display Lister, navigation that takes place in one file display (double-click, parent, back, forwards) is also mirrored if possible in the second file display. For example, double-clicking a sub-folder in the left file display would also enter that sub-folder in the right file display if a sub-folder of the same name exists there. The same applies to Up, Back and Forwards.

When in Navigation Lock mode, if the two displays get out of sync the file display titles will flash as a warning. To stop the flashing either re-sync the file displays or turn off Navigation Lock.


Toolbars

In Directory Opus all Toolbar and context menu functions are performed by the extensive range of internal Opus commands. Sometimes they are just different arguments for one of a smaller group of base commands. You can easily create your own custom buttons which execute your desired commands at the click of the mouse.

The modular design of Opus 9 means that Toolbars are fully independent threads and the command buttons themselves are interchangeable between different Toolbars. Even editing of Toolbars via Customize is effectively independent of other program operations, so you do not need to stop other activities to create, load, edit or save Toolbars.

Each Toolbar Button can execute an unlimited set of instructions, which may be triggered by the action of a left, middle or right mouse click on the custom button. A Toolbar Button can also act as a drop-down menu, which contains other buttons. You can also configure “drop-down buttons” which combine a normal button with a drop-down menu in one.

More:

Scope and Focus of Buttons

Toolbars and Menus

Application Toolbars

General - Toolbars

The Default Toolbars

Editing a Toolbar


Scope and Focus of Buttons

Many button commands act on the selected files in the current source (SOURCE) folder, or between the source and destination (DEST) folders. When creating and using buttons, it is very important that you understand both what the command does, and what files and folders it will affect. This is known as the scope and focus of a button.

Novice Opus 9 users can be confused when they have clicked on a custom button and nothing happens. Often this is because they have no SOURCE window selected!


Toolbars and Menus

Directory Opus for Windows greatly simplifies the concept of the Toolbar, button bank or menu as implemented in other programs. Within the context of a Lister, there are no longer separate Toolbars and menus; rather, they are all just Toolbars. As supplied in the default configuration, a Lister contains four main Toolbars - the “menu” (ListerMenu.dop), the “Toolbar” (Toolbar.dop), the “Tabbar” (Tabbar.dop) plus the “Pathbar” Toolbar (Pathbar.dop). The “menu” is just a Toolbar with labels turned on and images turned off, the Tabbar is a toolbar containing the Lister Style Tab control, and the “Pathbar” is a Toolbar containing the Location field and Content Type selector. You can see that these four seemingly different toolbars are all in fact built with the same technology. From Customize you may enable or disable these and create or edit other Toolbars as desired. See below for details of the functions defined for the buttons in these default Toolbars.

Note that these four Toolbars are automatically created if they do not exist when you run the program. So, if you make a total mess of editing Toolbars you can get the defaults back by simply deleting these files from the Buttons folder and re-running the program. (You can also turn these Toolbars off if you wish.)

There is no limit on the number of Toolbars that can be displayed within a Lister save for the available space. Toolbars can be positioned on any side of the display - top, bottom, right or left - or between a dual file display, between the Tree and the file display, and various other positions. To reposition a Toolbar, simply click on the grab bar on the left-hand edge of the Toolbar and drag it up or down, left, right etc. You can also position multiple Toolbars on the same line.

If you double-click on a Toolbar’s grab bar, or right-click in an empty space and choose “Float” from the context menu, the Toolbar will be floated free of the Lister.

Toolbars can be locked by right clicking on an empty area of a Toolbar and choosing “Lock Toolbars” from the context menu that is displayed. When the Toolbars are locked the grab bars disappear and their position can no longer be altered. You can also turn this state on or off from Preferences - Toolbars. Floating toolbars can be locked individually from their context menu or through Customize.

Toolbar buttons can give rise to menus of their own, which can give rise to further menus, and so on ad infinitum. If the Lister is too narrow for all Toolbar buttons to be displayed, a “chevron” (a small double arrow button) will appear at the right-hand edge of the Toolbar. Clicking on this will cause a menu to pop up that contains all the “out of sight” buttons.

If a button has been set into three-button mode or multi-function mode (see below), it may have three separate functions attached. These are accessed via the left, right and middle buttons respectively. The image above shows the multi-function Select button in Customize mode with the three available selections. In normal use the three options do not appear as a menu but are accessed directly by pressing the appropriate mouse button over the button.

Moving the mouse over a Toolbar button displays a ToolTip revealing the functions of that button.

Right-clicking on the grab bar or on a blank space in the Toolbar (one not occupied by buttons) causes the Toolbar control menu to appear. This menu allows you to perform several actions as shown below.

The menu commands are - Save - saves the Toolbar (although Toolbars are saved automatically when they are edited); Save As - saves the Toolbar under a new name; Customize - edits the Toolbar; Restore - an undo feature which reverts the Toolbar to the previous state it was in when you last entered Customize mode; Hide - reduces the Toolbar to a footprint in the Lister; Float - floats the Toolbar free of the Lister; Close - closes it down.


Application Toolbars

As installed, Opus provides the function toolbars and menu mentioned above, plus the following toolbars with useful applications. These toolbars require the support of external programs which need to be installed separately on your machine.

The sample Application toolbars installed with Opus are shown below. Note that the actual toolbars installed in your version may vary depending on program version and language in use.

· Applications: A sample toolbar with a shortcut to MyDocuments and various Windows applications. Note the ‘Smiley’. This indicates that Opus can not find the path to this application indicating that it may not be installed or that you have entered an incorrect path for the application itself. Go to Customize Mode and edit the button to correct the path.

· Drives: A toolbar using two variations of the special Opus command ‘Drive Buttons’ which are automatically expanded to show the available drives in your system.

· Images: A sample toolbar using Opus commands to provide various image manipulation functions

· NerOpus: A sample toolbar developed by Gus Wrethman which leverages Nero to provide CD/DVD copying functions. See the GPSoftware web site for full instructions on how to setup[ and use this toolbar.

· Office: A sample toolbar with links to the standard Microsoft Office applications

· OpenOffice: A sample toolbar with quick access links to the main Applications from Open Office.


General - Toolbars

When you define custom Toolbar buttons you can use text labels only, or you can specify an image to use for the button. You can select from the large number of internal Directory Opus Toolbar images, or specify an external image, icon or program file to use. You can even specify two separate images if desired - one that is displayed normally, and one that is displayed when the mouse moves over the button.

Directory Opus offers several different image highlighting methods. Grayscale displays a grayscale version of the image when it is unselected, displaying it in color when the mouse moves over the button. The glow highlighting effect displays color images for both inactive and active buttons. When a button is inactive the image is desaturated slightly, making it appear paler. When the mouse is over a button, the image is saturated slightly, making it appear brighter and more colorful.

Directory Opus 9 allows you to configure the highlighting method on a per-toolbar basis (from Customize - Toolbars). There is also a system-wide global setting in Preferences - Display - Toolbars. This latter option can be very useful if you want to, for example, totally turn off grayscale and don’t want to have to edit every button individually. The per-toolbar setting overrides individual button settings, and the global setting overrides everything.

Toolbars fully support transparent and alpha-blended images (transparent GIFs or PNGs or ICOs with an alpha channel). Opus will automatically scale external images down to the appropriate size (depending on your selection of large or small images for the toolbar in question). You can disable this scaling from Preferences- Display - Toolbars.

Another option for toolbars is to use Office 2003 style highlighting - this option can be accessed from Preferences – Display - Toolbars. The colors used for this highlighting are determined automatically from your system theme settings but you can configure them in Preferences if desired.

To quickly edit a button you can hold down the Alt key and click on it. Opus allows you to turn this option off if you wish, in Preferences. If you like the ease of access that Alt-click gives you, there is another option to open the Customize dialog as minimized when you do Alt-click on a button. If this option is enabled, the Customize dialog opens minimized (all you get is the “footprint” on the taskbar), and providing you don’t actually show it manually, it will automatically close again when the button editor closes. This makes it very easy to edit a single button without the Customize dialog getting in the way.


The Default Toolbars

The default Toolbars are provided as a starting point for using Opus. All the following buttons and menus are provided by using internal Opus commands. See Customize for details. Below are the various sections of the default Lister menu (toolbar) as they appear in Customize mode.

The Default Menu

The Default Toolbar

The default Toolbar is divided into eight sections or groups. See Begin a Group from the Customize - Toolbars section. Remember that moving the mouse over a Toolbar button displays a ToolTip revealing the functions of that button. These are shown below.

Default Styles Toolbar

The default Style Tabs toolbar (which uses the single Lister Style Tabs command) gives you a set of tabs letting you switch between your configured styles in the current Lister. You can edit these or add your own through Preferences - Listers - Styles.


Editing a Toolbar

Toolbar editing, referred to as being in Customize mode, is global and modal (just about the only modal state in the whole program!). To edit the Toolbars, select Customize from the Settings menu (or from the Toolbar control menu or tray icon) and the Customize dialog window will then appear. When in Customize mode, all Toolbar action is effectively “blocked” - the Toolbar buttons are not active and can not be used to run commands until you close the Customize dialog.

In summary, a toolbar or menu button itself, can run an Opus command, an external Application or a DOS batch script. From Customize, you can add one of the many Predefined Opus commands by simply dragging one from the Commands list in the Customize Dialog and dropping it on a toolbar in the position you wish to add the button. You can then edit this button directly (right-click and select Edit) from the Command Editor and Advanced Command editor if you wish to further refine the action or perhaps create your own button using one of the Opus RAW commands.

To remove a button from a toolbar or menu, drag the button off the toolbar and drop it on the Customize Dialog.

See the section on Customize for further details.


Preferences

Preferences controls the main settings and operational parameters of Opus plus gives access to features to change the look and feel of Lister and Toolbar images, colors and so on.

To open the Preferences editor, choose the option from the Settings menu in the default Lister menu or from the Opus light bulb Icon menu in the System Tray. Opus Preferences may also be accessed from the system Control Panel.

While most of the settings in the Preferences system should be self-explanatory, remember that every option has Context Help so you may quickly check a specific setting if required. To activate Context Help, press the F1 key or access Help from the File menu at top left.

The Preferences settings are split into a number of categories and sub-categories for ease of use.

After you have changed settings in a category you may apply these changes immediately by selecting the Apply button on the bottom of the Preferences window; this will not close the Preferences dialog. If you have changed the settings in one section and then move on to another, pressing the Apply button will apply all the changes made in all categories you have visited. Selecting OK applies the changes, updates your configuration files and closes the Preferences dialog window.

Resetting Preferences

As with most Opus dialogs, on the top left of the dialog is a File menu. From here you can choose to Restore values or to Reset the section or the whole preferences set to Defaults. Restore allows you to easily reset the values for the current section to what they were when you entered that section. Reset Page to Defaults resets this section to the default values of the program. If you have made changes to several categories, you may restore or reset All Settings.

To back up your entire Opus configuration, use the Backup & Restore functions. See the section on Backup & Restore for details.

More:

Preferences Filter

Private or Shared Configuration Files

Backup & Restore System

Display

Favorites & Recent

File Operations

Folders

Launching Opus

Listers

Lister Display Modes

Logging

Miscellaneous

Photo Sharing

Plugins

Sounds

Toolbars

Viewer

ZIP Files


Preferences Filter

At the bottom of the Preferences dialog is a Filter field. This lets you search for Preferences items matching a specified string, making it much easier to locate items than before. For example, enter “lister focus” in the filter to only show items which match this pattern as shown below.

The red X button to the right of the Filter field lets you clear the filter, and the up and down arrows are provided to make it easier to step up and down through the Preferences pages.


Private or Shared Configuration Files

In previous versions of Directory Opus, most configuration information was kept in the Registry – only Toolbars and some other settings were stored on disk. Additionally, all the configuration elements like Toolbars, Filters, etc were kept in sub-folders of the program folder.

In Directory Opus 9, all configuration is now stored on disk in XML format.

Directory Opus 9 gives you the choice of storing all file-based configuration in the program folder as before (shared configuration files), or in your own personal data storage area (private configuration files).

When a new user runs Opus 9 for the first time, a dialog is displayed giving the choice of using a shared or private configuration.

If you elect to use your own private configuration files, you can also choose to copy the default configuration files (those under the program folder) to your own private data storage area. You do not need to do this, as Opus will look in the program folder for any files that it cannot find in your private folder and copy them across automatically as needed. However copying them at this stage can increase performance.

You can determine your current configuration mode or change it at any time using the option in Preferences - Miscellaneous - Options.


Backup & Restore System

Directory Opus 9 has a full Backup & Restore Configuration Wizard. This lets you export all of your Opus settings, including Preferences configuration, Toolbars, Images, Sounds, File Types and more, and then re-import them at a later date or on another machine and to a USB Key.

This dialog is the focal point of the configuration backup system in Directory Opus 9. It operates in three modes.

More:

Backup configuration

Restore configuration

Export to USB Flash Drive


Backup configuration

Use this option to backup your configuration. Clicking Next takes you to the next screen where you can configure the name of the backup file. This is automatically filled in with a name generated from your user name and today’s date. You can also specify the location for the backup file.

The next screen lets you choose which elements of your configuration you wish to include in the backup. This does not have the complexity of the old Directory Opus 8 system – there are only four choices to be made here. By default all your Preferences settings, Toolbars, Hotkeys, File Types and other important settings are included, and these can not be disabled.

The final screen in the backup process gives you the option of encrypting the backup file, and adding a description to the file. Note that the backup files created by Directory Opus 9 are not compatible with earlier versions of Directory Opus.


Restore configuration

The Restore process is very similar to the Backup process. You are asked to select the file to restore, and then given the same choices as in backup as to what to restore. Again, the important settings like Preferences, Toolbars, Hotkeys, File Types, etc are always restored.

One additional option in the restore process is Replace existing configuration completely. If this option is specified, all your existing configuration files will be deleted before the new configuration is imported.


Export to USB Flash Drive

The third mode of the Backup & Restore Configuration wizard is Export to USB Flash Drive. This option takes advantage of the disk-based nature of the new Opus configuration system, and allows you to export your Directory Opus installation (including program, certificate and configuration) to a USB flash drive. The program will then run as a self-contained entity from this flash drive on another system, without modifying the Registry or hard drive of the host.

The above image shows a U3 USB device showing the two USB devices, F: and M: Select the USB drive that you wish to export to from the list given. Note that Opus supports both U3 devices and standard flash drives. The export of your program certificate is locked to the device that you export to. That is, it is not possible to copy the exported program from the USB device onto another computer and have it run – once it is exported to a device it will only run from that device.

Normal USB devices will show up as a single drive letter with a generic icon. U3 devices will show up as two drive letters, one with a generic icon and the other with a U3 icon. If you select a U3 drive then Opus will be exported as a U3 package which can be installed using the U3 LaunchPad software. If you select a generic drive - that is either a non-U3 device or the generic half of a U3 device - then Opus will be exported directly to the drive in non-U3 mode.

The subsequent dialog allows you to configure what optional components you wish to export. Choose which plugins you want exported – by default all are selected, but you can selectively disable some or all if you wish to save space on the target drive. Similarly, you can choose optional elements of your configuration that you do not wish to be exported.

The export will then proceed. If you are exporting for a U3 device Opus will prompt you for a location to save the .u3p package file. This package can then be installed to the device using the U3 LaunchPad software. If you are exporting for a non-U3 device, the files will be copied directly to the flash drive.


Display

This section controls the way Opus visually displays items in the Lister including images, colors and fonts and the Status bar parameters.

More:

Display - Color and Fonts

Display - Fields

Display - Images

Display - Options

Display - Status Bar

Display - Toolbars

Display - Toolbar Icons


Display - Color and Fonts

This page allows you to set the parameters used for the visual display of the file Listers. Pick the item you wish to change by selecting the object type either directly from the preview display or from the popup list. All display aspects for the Lister and various elements can be adjusted including the background color, the file display font, color of selected, unselected and compressed files, colors used for Source and Destination title bars and many other items including the color for the Opus logo in the title bar!

There are three main sub-sections for Files and Folder Colors, Other Colors and Fonts. Once you have selected the item to change, adjust the foreground and background color or font etc as desired from the buttons to the right.

Notes

· There are options to display compressed, encrypted system files and folders in different colors, and your Favorite folders can also be displayed in a different color. Note also that the Opus File Types system lets you configure the colors of individual file types should you wish to do so.

· The background colors for the Lister, Tree, Viewer Pane, Toolbars and status bar only apply if you have not chosen to use a background image from Display - Images.

· The colors used for Standard Toolbars applies only to Toolbars that are not set to use their own colors from Customize.

· Initially, the fonts used will be taken from your Windows system fonts. If you change the system fonts Opus will not be updated automatically - you will need to make this change in Opus as well via the Fonts section.

· The Contact List, Standard Toolbar, Status Bar and Folder Tree colors have an option called Use system colors. If this option is turned on the colors for these items are not stored statically in Preferences but instead come from the system at all times. This is desirable when switching between different themes in Windows XP and Vista. Note that when this option is enabled for toolbars on a Windows XP/Vista system, popup menus may be rendered in a different color to toolbars.


Display - Fields

This page that lets you assign different colors and styles to every Lister information field. You can also configure colors and styles for the current sort field - the primary sort field in the Lister.


Display - Images

The Images page lets you configure background images to be used in Listers and floating Toolbars. Opus allows you wide control over the display of Listers and Toolbars. You may select to use colored backgrounds or background images. The background images can be tiled, stretched or shared, or positioned at the top/left, center or bottom/right. Shared is a special mode where a single image is drawn as the background over the whole Lister Window and any objects using it. Some of the samples provided in the sample Preferences use Shared images.

This section provides global control over these background images where you can define a list of images predefined for use as backgrounds in various Opus objects. The Standard Image definitions are provided for easy reference as placeholders elsewhere in the Opus system. Alternatively you may add your own.

Note that the image settings for Toolbars are configured in the Customize - Toolbars system, and can be set independently for each Toolbar.


Display - Options

· Blend file background colors with background image: This enables alpha-blending of the background color for selected files and folders. The effect is designed for users who have faster machines - you may want to leave this turned off if you have a slow machine. Select the % of alpha-blending of the background color for selected files and folders. The higher the value the stronger the effect will be. Suggested value is 50%.

· Blend file selection rectangle: This enables alpha-blending of the selection rectangle when highlighting files by a drag-select. The effect is designed for users who have faster machines - you may want to leave this turned off if you have a slow machine. Select the % of alpha-blending of the file selection rectangle. The higher the value the stronger the effect will be. The suggested value is 10%.

· Blend Row and Column background colors: This enables alpha-blending of the row and column background colors. The effect is designed for users who have faster machines - you may want to leave this turned off if you have a slow machine.

· Blend selected items with column colors: This enables alpha-blending of the selected items with the column background colors. The effect is designed for users who have faster machines - you may want to leave this turned off if you have a slow machine.

· Enable background images in virtual folders: Opus fully controls the display of files when showing the contents of normal folders with a physical location. However for Windows virtual folders, Opus usually provides only the “container” and Windows controls all other aspects of the display including files, display columns and the background images. This option allows Opus to override Windows settings and supply the background images in such cases. Examples of virtual folders are the Desktop, Control Panel, Fonts, etc. Please note that this function uses undocumented “hooks” directly into the system and as such its behavior can not be guaranteed.

· Fade selected item colors when file display does not have focus
Fade selected item colors when tree does not have focus: These settings enables alpha-blending of the specific item colors when the area looses focus. The effect is designed for users who have faster machines - you may want to leave this turned off if you have a slow machine. Select the % of alpha-blending of the colors as required. The higher the value the stronger the effect will be. The suggested value is 50%.


Display - Status Bar

This page allows you to algorithmically define exactly what to show in the status bar at the bottom of a Lister. From the Samples popup, you may select from some predefined equations we have provided for you. Select from Opus Default, Windows Explorer 98 or 2000 or Dual Display which displays separate details for the source and destination sections in the Lister.

Alternatively you may craft your own display. Enter or create the equation for the display using any of the available codes provided in the Codes popup. You can immediately check the results of your efforts in the preview display provided. As a simple example, the Opus default status bar uses four sections defined by:

{sd}/{td} folders, {sf}/{tf} files, {sba} selected{h!} ({hi} hidden items){h!}{rpad}

{pu}% full, {df} free

{fl}

{ls}

Note that the Opus codes are enclosed in parenthesis {}. Text including commas etc is inserted literally. The list of codes is fully defined in the section Status Bar Control Sequences towards the end of the manual.

The Status Bar supports simple html mark-up for text styles. Supported tags are <b> for bold, <i> for italics and <u> for underline. You can also use the font tag to change color, but not the font. A shortcut for the font color tag is <#aabbcc>. For example, <#ff8000>{sd}/{td} folders</#>, <#0000ff>{sf}/{tf} files</#> would display the folder count in orange and the file count in blue.

The Status Bar (Dual) page is identical to the first, except that it has an additional option to enable or disable the use of separate status bar text for dual file display Listers.


Display - Toolbars

This page allows you to control the display of the Opus toolbars. Choose from the pop down list the style you wish to use then specific settings if you wish. When set to Office 2003 mode, you can completely configure the colors used for button highlighting. If not configured, the default colors generated from the specified base color are used.

· Use Visual Style for toolbar buttons (XP/Vista only): Enables support for Windows XP/Vista Visual Styles. If selected you can further adjust the image padding from the controls.

· Windows-style highlighting in menus: Opus can use two different styles of highlighting for menus - either Windows style highlighting using the defined Windows highlight color or an Opus custom 3D look. Choose whichever one you prefer.

· Display Drop shadow under Menus (XP/Vista only): Provides a special highlighting effect for the toolbars.

· Display toolbar top and bottom borders: Enables the display of top and bottom borders for each Toolbar and menu. These can be turned off to provide a smoother look depending on the themes and layouts you wish to use.

· Scale Toolbar button images when larger than standard size: This option can be used to preserve the relative display of all images used in Toolbar buttons. It scales the graphic images used in the Toolbar if they are larger than the standard size (20x20 or 30x30 depending on how Toolbar is set in Customize).

· Highlighting effect: Selects the highlighting effect you wish to use for “mouse-overs” of buttons.

· Horizontal button spacing/Vertical Button spacing: These settings allow you to adjust the spacing for Toolbar buttons (including menus).


Display - Toolbar Icons

Opus 9 supports an "icon set" plugin system that lets you install and switch between multiple icon sets easily. These Icon sets are controlled from this section. The page shows the installed sets and lets you change their order of priority in which they are used. There is no concept of an "active" set - all installed sets are active and can be used, however the order they are shown in the list determines the order in which they are used. Icons sets do not have to contain the full set of icons but may have a small sub-set. Any ‘missing’ icons will then be found progressively from the installed icon sets in the priority order shown in the list.

You can create your own icon sets by creating a special Opus .dis file. A .dis file is a zip file that contains an xml file and one or more image files. You can create a template XML file for the internal icons from the option in the File menu. Note that an icon set does not need to contain all (or indeed any) of the "standard icons." Each icon has a name, and this name can be anything you like. So you can create an icon set that just replaces the icons for the default toolbar, or a set that doesn't replace any standard icons and instead just adds new ones.


Favorites & Recent

One of the functions of a file manager is to allow you quick access to your favorite folders including FTP sites and to remember the folders you most often use and make these available when needed. Opus provides three mechanisms to help you plus a special Folder Alias system.

More:

Favorites & Recent - Favorites List

Favorites & Recent - Folder Aliases

Favorites & Recent - Folder Colors

Favorites & Recent - Recent List

Favorites & Recent - SmartFavorites


Favorites & Recent - Favorites List

Opus allows you to add the folders you most often use to a quick selection list. They are displayed with the Favorites command. This list is immediately available from the Favorites menu in the default Toolbar set. You may add, edit or delete items as you wish from this section in Preferences or you can add the path of the currently displayed Lister by using the Favorites ADD command. The Import button allows you to import Favorites from Windows Explorer.


Favorites & Recent - Folder Aliases

Opus provides a folder path alias system whereby you can use “Shortcuts” to refer to standard system paths. For example, /mydocuments would always take you to your My Documents folder. See the GO command for a full list (or see built-in aliases below).

The Folder Aliases section allows you to add your own aliases. You can add as many aliases as you like, and they can refer to any folder or path, including FTP and ZIP files.

In the above example, the alias /TripPhotos would be automatically expanded to the full path pointing to the folder June2006 in My Pictures

Note that the path completion system also supports folder aliases - if enabled, you can simply type a forward slash character “/” in a path or location field and then use the cursor up and down keys to scroll through a list of your defined folder aliases, as well as the built-in system aliases.

· Show built-in aliases’ checkbox that lets you see all the built-in (hard-coded) folder aliases available from both Opus and the standard system paths provided by the Operating System. You can access any of these by the name shown.


Favorites & Recent - Folder Colors

Sometimes you wish to have specific folders immediately visible in the display. The Folder Colors section allows you to set the highlight colors for favorite folders. The top section allows you to define a ‘Color Group’ by name with settings for selected and unselected text and background colors. The lower section allows you to select specific folders and apply selected highlight colors to them.


Favorites & Recent - Recent List

The Recent list displays a list of those folders you have used most recently in the order of last usage. You may define whether Opus remembers recent folders and how they are added to the list from these settings.

· Enable Recent List and set the Maximum number of folders to remember

· Include Virtual Folders

· Ignore folders which are only transited

The last two options allow you to restrict the types of folders Opus will remember to only those which are more important. Virtual folders are folders which do not actually exist but are created when required by the Windows system. These are used much less often for file operations. Virtual folders include My Computer, Control Panel, and Printers etc. Similarly, often you will traverse folders to reach a final path. By default, if the Recent List is enabled, Opus keeps the full history of all folders accessed. But you may select to remember only those important folders where you performed a specific action on a file such as Copy, Delete or Rename etc and ignore folders where no action took place.

From this page you can also configure the size of the Lister History List. Each Lister maintains its own list of recently visited folders which you can navigate using the Back and Forwards functions. By default this list remembers a maximum of 10 folders but you can increase or decrease this as you like.


Favorites & Recent - SmartFavorites

For most of us, keeping track of the folders we use most often is not as easy as it first appears. Although you often have definite favorites you usually find that you use a variety of different folders for everyday activities. Opus provides a great advance in keeping track of your usage. It provides an exclusive system to automatically create a special list of only those folders you most often use for “real” activities. We call this system SmartFavorites™.

Opus monitors the specific actions you perform but only adds a folder to the SmartFavorite list if you have used it for important tasks. The folder is added only if it has accrued sufficient points according to a defined minimum activity threshold depending on the importance you assign to a specific action. For example you can decide that copying a file to a folder is an important activity and you wish to have Opus remember the folder which you most often copy to. With SmartFavorites this is easy! Define the Folder Activity Threshold at, say, 40, and give the Copy To activity a value of 10. Once you have performed at least four copy actions to a given folder, it will be automatically added to SmartFavorites. Alternatively, you may decide that showing pictures is less important and give it a value of, say, 5, which means you would have to view images from a given folder at least eight times to have it added to SmartFavorites. The folders appear in the SmartFavorites list according to the total points accrued. Those with the highest number of points appear at the top.

Note that a folder accrues points on EACH activity event ONLY, NOT on the number of files involved in any given event. This means that if you copy 20 files to a given folder in one operation, it would accrue only the defined activity value of 10 points. In our example, you would have to perform the copy action at least four times to have it accrue enough points to be added as a SmartFavorite.

From this section you can also define the maximum number of folders to display in the SmartFavorites list and the maximum number of folders to monitor for SmartFavorite activity - this is the pool from which the top set of SmartFavorites is chosen. Often folders are temporary, have been deleted, or are generally no longer available in the system. Opus can check for these on startup and automatically delete them from the SmartFavorite system.

►SmartFavorites are not just used for a list of folders but are very useful in other areas of Opus. For example, when you Open a new Lister or split a Lister into a dual file display, you can select to have it open using the most popular SmartFavorite folder.


File Operations

This section controls aspects of file operations including Copying, Deleting and some other general parameters

More:

File Operations - Copying Files

File Operations - Deleting Files

File Operations - Double-Click on Files

File Operations - Filters

File Operations - Options

File Operations - Progress Indicators

File Operations - Shortcuts


File Operations - Copying Files

Copying Files - Attributes

· Clear read-only flag when copying from CDs: Files stored on a CD-ROM have the Read-only attribute set by definition since one cannot write to the medium. This attribute is normally preserved by Opus when you copy the file. On a normal hard drive this can be annoying. Set this option to automatically clear the read-only attribute when a file is copied from a CD.

· Copy security permissions: Also copy NTFS security settings when files are copied.

· Copy NTFS file properties (comments, keywords, etc.): Also copy NTFS meta data properties when files are copied.

· Mark copied files as archived (clear the A flag): Clears the archive (“A”) attribute on the copied files after they have been copied.

· Mark original files as archived after being copied (clear the A flag): Clears the archive (“A”) attribute on original (source) files after they have been successfully copied.

· Preserve the attributes of copied files: Sets the Read-only, Archive, Hidden and System attributes of the copied file to match those of the source file.

· Preserve the description of copied files: As well as the files, also copies and updates any description information for the copied files.

· Preserve the timestamp of copied files: Sets the time and date stamps of the copied file to match those of the source file.

· Update permissions/encryption to match the destination when moving files: Changes the permissions and encryption attributes of the copied files to match those of the destination folder.

Copying Files - Confirmation

· Ask for confirmation before overwriting existing files: This option provides a safety feature which asks you to confirm the action before overwriting one file with another of the same name.

· Ask for confirmation before overwriting read-only files: The Read-only attribute is often used to safeguard important files which you do not wish to accidentally overwrite. This option provides a safety feature which asks you to confirm the action before overwriting a file whose Read-only attribute is set.

· When copying in Flat View mode : Defines the behavior when copying files in Flat View mode to define if or how to preserve the extended folder structure.

· When copying folders to a Collection : Defines the behavior when copying files to a file collection to either ask, or copy to the Collection or a sub-folder in the Collection to preserve the extended folder structure.

Copying Files - Miscellaneous

· Use File Filter: This option activates the exclusive Opus File Filter when copying files from the current and any selected folders. It allows you to recursively copy only those files in the selected folders which match a given set of criteria. For example, you may wish to copy only files which have changed after a certain date, or which are of a specific type.

· Buffer size: Set the internal buffer size for Opus to use when copying files. Usually the default of 64K is sufficient but on some systems you may need to adjust this if you receive errors while copying. For example, Microsoft’s Virtual PC system sometimes requires this to be dropped to 8K.


File Operations - Deleting Files

File Delete Options

· Ask for confirmation before commencing delete: Asks if you wish to delete the selected files before starting the delete process.

· Ask for conformation for each file before deleting: Asks if you wish to delete the selected file before each file it is deleted.

· Ask for conformation for each folder before deleting: Asks if you wish to delete the selected folder before each folder is deleted.

· Delete read-only files automatically: Files can be marked as Read-only to prevent them being accidentally deleted. This option overrides this safety check and deletes such files automatically. It can be useful if you wish to recursively delete a large number of files and folders, some of which may have Read-only attributes set.

· Delete using the Windows Recycle Bin if possible: Opus can delete to the Windows Recycle Bin (if the file is small enough) or can delete the files immediately. If you successfully delete files to the Recycle Bin you can recover the files at a later date (using the Opus Undo system) unless you have subsequently emptied the Recycle Bin. Choose the method you wish to use.

► WARNING: Files NOT sent to the Recycle Bin cannot be recovered and are lost permanently.

· Use File Filter: Activates the Opus File Filter when deleting files from the current and selected folders. This allows you to selectively delete only those files from the current and selected folders which match a given set of criteria. For example, you may wish to recursively delete only those files which have changed after a certain date, or which are of a specific type such as .jpg etc.

· Use Secure wipe when not deleting to the recycle bin: Opus has the ability to securely delete files by overwriting them with a specific random pattern algorithmically chosen according to the number of passes selected before they are actually deleted. This uses algorithms similar to those recommended by the US NSA and US Department of Defense for securely destroying the contents of a file to make recovery by forensic analysis of the magnetic medium of the disk extremely difficult if not unlikely.

The number of passes for each file can be set. Three passes is regarded as quite secure. Since secure deletes are very slow requiring multiple passes over the file data you will probably want to leave this option turned off unless you have many files to delete. Instead, you can access secure delete on a file-by-file basis using the new Secure Wipe command. This function is available in Customize - Commands - File Commands (see Predefined Commands for more details of the command itself) and is also available by default as the middle-mouse button function on the Delete button on the default toolbar.

►See Secure Delete in Tools, Utilities and Opus Special Features for more details.

Deleting - Recycle Bin

This section allows you to open the Windows Recycle Bin in a new Lister and also configure the properties of the Windows Recycle Bin.


File Operations - Double-Click on Files

When you double-click on a file in a Lister, what happens usually depends on the action defined in the file type for that specific type of file. For certain general-purpose files such as text, images and sound files, Opus can intercept the double-click to perform an internal function. For example, you may select to Show a picture file in the Opus Viewer rather than load an external paint program; or to use the Opus Play command to quickly play a WAV file rather than use a full-blown media player.

The settings include

o  Open unregistered file types in text viewer if they appear to be plain text or use an optional external program to view text files.

o  Use internal sound player for WAV files

o  Use internal picture viewer for all recognized pictures or unregistered picture file types

An unregistered file type means a file which has not been registered with the Windows file types system and is of unknown type so no specific action has been defined for the Open or double-click actions etc. For example, a ReadMe.txt file would usually devolve to a registered text file from the extension but a file such as ReadMe with no extension would be of unknown type.

Temporary File Caching

These two special settings enable local file caching for a double-click on files from remote FTP directories or ZIP archives. Normally with ZIP archives, the file has to be extracted first from the archive and with FTP, the file has to be downloaded first before the double-click action can be performed. With file caching the second double-click always acts on the temporary copy. Remember that if these settings are enabled, you are acting on the temporary copy not the real file!


File Operations - Filters

This section provides access to your predefined filters and allows you to configure and manage file filters. These filters are used by the Select, Rename, Synchronize, Find and other recursive commands.


File Operations - Options

· Automatically sort new and modified files: By default, Opus automatically adds new and modified files to the file list in sorted order. Other programs such as Windows Explorer add such files to the end of the list. Turn this option off to emulate Explorer.

· Automatically number files renamed inline: If you attempt to inline rename a file with the name of a file that already exists, this option makes Opus automatically number the new filename to make it unique instead of displaying an error message.

· Detect external file changes on network drives: When a folder is displayed in a Lister, Opus ordinarily uses “file notification” to detect changes to that folder that occur outside of Opus (for example, in Explorer).This can, however, result in reduced performance during extended file operations, particularly for networked devices. If you turn this option off, Opus will no longer monitor network folders for file changes (except those made by Opus itself).

· Retain cursor position on inline rename: When selected this option, pressing the cursor key up or down to move to the next item in inline rename mode will retain the relative cursor position in the name of the next item.

· Postpone file deselection until end of function: Functions in Opus are performed by separate threads independent of the Lister itself. By default, once the Lister has dispatched the function, it deselects all the selected files. This can be unexpected and unwanted if the action is likely to fail. This option delays the deselection until the function has completed. Note however that if you access the Lister before the function returns, the files will NOT be deselected at all.


File Operations - Progress Indicators

· Count files in folders before copying: Before the copy operation starts, Opus can recursively count all the files in the selected folders. This allows the progress bar for the copy function to display more accurately the percentage complete of the operation. If turned off, Opus will count only the files and folders selected in the top-level folder.

· Count files in folders before deleting: Opus can count the files in all selected folders before starting the delete. This will slow the delete process but allows you to see the exact number of files and folders plus the total byte count before any files are deleted.

· Delayed progress indicators and Delay time: Opus normally shows a progress window when performing actions. For actions which take only a few moments this can be intrusive. This option prevents the display of such windows for actions which complete in less than 800ms or as defined.

· Show percent complete in progress bar titles: Displays the percentage complete for the current action in the progress bar title.

· Show progress bar speed timer when copying files: While a file copy is in progress, Opus can display a simple progress display or an extended one showing the byte count, transfer speeds and other information. Select from the list those locations where you wish to show the extended display.


File Operations - Shortcuts

· Automatically rename new shortcuts if they clash with existing ones: Normally when you create a shortcut to an item, the name of the shortcut is automatically changed if there is already a shortcut by that name in the target folder. For example, Shortcut to DOpus may be changed to Shortcut (2) to DOpus automatically. If you turn this option off Opus will not automatically rename new shortcuts, but instead will prompt you to enter a new name or replace the existing one if a shortcut already exists by that name.

· Hide .lnk filename extension: Windows uses a file extension of .lnk for shortcuts to files. By default Opus displays all file extensions. This option hides these file extensions for shortcuts.

· Show arrow overlaid on shortcut icon: When displaying an icon for a shortcut, Opus can optionally overlay a small image of an arrow to distinguish between shortcuts and normal files or folders.

· Use name template for new shortcut / Template when shortcut names clash: Opus creates the new name for a shortcut as “Shortcut to <name of file>“. This setting allows you to choose the argument to be used to create the new name. By default, Opus uses <Shortcut to %1>. Similarly, you can choose the argument to be used to create the new name for a shortcut if that name already exists. By default, this is <Shortcut (%2) to %1>

In both of these examples, %1 is replaced with the name of the file to which the shortcut is being created. In the case of the “clash” template, the argument %2 is replaced with the number of the shortcut.


Folders

This section controls the way folders are displayed in the Lister and includes Folder Formats where you can define specific settings controlling the layout and formats for all folders or just certain folders.

More:

Folders - Folder Formats

Folders - Options

Folders - Virtual Folders


Folders - Folder Formats

The Folder Formats section allows you to tailor Folder Options for individual folders or types of folders to suit the way you wish to work. The groups of formats displayed in this list are:

• Folder Formats - formats that have been saved for specific folders;

• Content Type Formats - formats that have been defined for File Type Groups;

• Default Formats - the formats that are used if no other defined format overrides them;

• Favorite Formats - formats you create that can be accessed quickly from other parts of Opus.

If an entry is not checked in the Formats list it means it is not currently defined. Right-clicking on Formats in the list lets you copy and paste from one format to another. You can also reset individual formats to the defaults or one of your Favorite formats, and add an existing format to your Favorites in this manner.


Folders - Options

· Calculate folder sizes automatically: When turned on, the size of all sub-folders will be calculated automatically when a folder is read. From the popup list, you can select the type of drives you wish this effect to be used on. Choose between all drives, local drives or fixed local disks only.

The calculation is done using low-priority background threads and is generally transparent to the user, however the user on a slow machine may wish to leave this turned off.

Note that you do not have to wait for the size calculations to finish but can use the Lister as normal while the sizes are being calculated. Changing folders will cancel any outstanding calculations automatically.

If you have chosen to not calculate sizes automatically or you wish to recalculate a folder size, highlight the folder(s) and use the GetSizes command. This can be useful if you wish to calculate the folder sizes for several folders at once. Remember that by default, Opus will calculate and display the folder sizes if you move the mouse over a folder.

· Cancel Flat View Mode when folder is changed: Automatically disables the extended Flat View mode when you change to a new folder.

· Display generic icons: This prevents Opus from querying each individual file for an individual icon. By default, Opus will query each file or folder that it displays in the Lister for its icon. Most files do not have their own icon but instead use the file class icon as defined in the Registry. However, some file types like .EXE have a different icon for each file. Querying files and folders for their icons can reduce the display speed, particularly on network connections or other slow devices. Turning on the Display generic icons will prevent Opus from querying each file and instead will use the generic icon defined in the system Registry. For most file types you will not see any difference since the icon is defined in the Registry on a global file type basis and does not change from file to file. However for some files such as programs (.EXEs) you should see that a generic icon is used in its place. You can enable this behavior for all folders, for network folders only, or for network and removable drives only. Highly Recommended for Network Drives.

· Enable File Content Type detection: When enabled, Opus will attempt to automatically detect the type of files in the folder and select the most appropriate view mode. For example, folders containing mainly images could be displayed in thumbnails mode. The actual selection criteria used by Opus can be defined in Folder Formats - Content Type in the next section. You may also define your own criteria to automatically select a view mode best suited to certain types of files. You can selectively enable Content detection for different types of drives.

· Hide protected operating system files (overrides Folder Options settings): When enabled, files and folders marked with both the H and S bits will not be shown in any Lister, either in the file display or the Tree, anywhere, irrespective of the Folder Format in use. For tighter control over specific folders, Folder Options provides filters to define what types of file and folders to display in the Lister.

· Highlight previous folder on Up/Back: Provides a mechanism to show you which folder you have recently been looking at and where you have recently been. If you enter a folder then use the navigational Back button to return to the parent folder, this option provides a very useful highlight.

· Modify display of all uppercase filenames: If files are stored in UPPER CASE format (as is done with some DOS based file names), this modifies the name either a) if files are stored in UPPER CASE format, display the file name with the first letter in upper case and rest of the word in lower case, or b) if files are stored in UPPER CASE format, display the entire file name in lower case.

· Show day names in date columns if date is within one week: This option changes the way Opus displays dates in the Listers. If enabled, the date of a file is only displayed if it is older than seven days. Otherwise, Opus shows Today, Yesterday or name of the day as appropriate. (Example: Monday, Tuesday, etc.) .

· Show seconds in time columns: By default, the date/ time fields do not display the seconds value of the time. This displays seconds for all such fields

· Sort shortcuts to folders like folders: This option causes folder shortcuts to be treated for the purpose of sorting as if they were real folders rather than files.

· Support “descript.ion” file comments system: Directory Opus supports the semi-standard descript.ion system for file comments. You can enable or disable support as required. Turning the file comment system on has the potential to affect performance, and so it is disabled by default. By default, the file comments files themselves have the Hidden attribute set so you can also choose to hide them from the normal file display. When the file comment system is enabled, you can set or modify comments using the SetAttr Description command.

· Prevent automatic loading of certain types of folders: If the initial path of a new Lister is set to a folder on a CD ROM, FTP Site, floppy disk or a Network drive, you may not wish to connect to this location automatically when the Lister opens. You can select the behavior as you wish. It can be useful to prevent Opus attempting to access a CD or Network drive which is no longer mounted on your computer. Similarly, you may not want immediate access to a remote FTP site when opening a new Lister or a saved Layout. For those cases when you are uncertain, you can select to have Opus ask you before attempting to access such a path.


Folders - Virtual Folders

These options define how Opus treats Virtual folders which also have a physical location as real folders (such as the Windows Fonts directory). You can choose to have Opus display such folders as real folders and this enables the full Opus command set. Otherwise Opus will simply supply a container to the operating system to display them as Virtual folders. In such a case the folder display and the available commands will be supplied by the operating system, not by Opus. Note that the Desktop (which is both a virtual and a real folder) is excluded from this option, and always appears as a virtual folder. This option is particularly useful with the Windows Fonts directory, as viewing it as a “real” folder enables the use of Opus Thumbnails mode.

Using the options in this section you can elect to have all such folders handled as virtual folders, handled as real folders, or specify the individual folders that you want Opus to handle.


Launching Opus

The pages in this section allow you to configure which Listers are opened when Opus runs, how a new Lister is opened, and the initial path and related settings of a new Lister. Note that if you load a Lister Layout, some of these settings can be overridden by values saved with the actual Lister Layout.

This section also controls the action performed when you double-click on files in a Lister various things such as the Windows Desktop, the Opus Task Bar icon or various files. The action can be made to open a new Lister, open a defined Layout of Listers, perform Opus commands etc.

More:

Launching Opus - Explorer Replacement

Launching Opus - From the Desktop

Launching Opus - From the Taskbar Icon

Launching Opus - Startup


Launching Opus - Explorer Replacement

For normal use we recommend the default option of Replace Explorer for all file system folders. This allows you to take advantage of all the performance features provided by Opus while retaining access to the special features provided by the Windows Explorer when accessing special places such as the Control Panel, Network Connections, Printers and Faxes etc. Alternatively, you can select to have Opus handle all folders or selectively choose certain special places or even other folders to be handled and opened in Windows Explorer rather than Opus.

Note that these options ONLY apply when you access one of these folders or special places outside of Opus - that is, when you access a folder such as the Control Panel from the Start Menu or a Desktop shortcut etc. If you access these folders from within Opus, these settings do not apply and the folder will open in an Opus Lister as normal. Exactly how such folders are displayed in Opus may depend on the settings in Folders - Virtual Folders.


Launching Opus - From the Desktop

Double-clicking the left mouse button on a clear area of the Windows Desktop can be made to

· Bring the last active Lister to the front (new Default Lister if no Listers open): Instead of opening a new Lister, this option will bring to the top layer the current or last active Lister if it is either hidden or minimized to the system task bar. If not Lister is currently open, the Default Lister will be opened. This option effectively runs the "Go LASTACTIVELISTER" command.

· Open the Default Lister: Opens the Default Lister as saved from the Settings menu.

· Open a saved Lister Layout or Run a defined User Command: The specific Layout or User Command may be chosen from the popup list showing a list of the Layouts/User Commands you have previously defined and saved as part of this Preferences set. (Note that these are not independent but are part of a given Preferences set.) When opening a Layout you can select whether to close the existing Listers or leave them open.

If you are running Windows with Active Desktop enabled, the double-click event may be consumed by Windows for its own use. To override this and allow Opus to respond to it instead, select the setting Support double-click even if Active Desktop (web content) is enabled.


Launching Opus - From the Taskbar Icon

When you double-click on the Opus light bulb icon in the System Tray, it can perform the same actions as from the Desktop as above and open a new Lister or Layout. Note that you can provide your own image for the taskbar icon if desired, by placing an icon file called trayicon.ico in the Directory Opus program folder.


Launching Opus - Startup

· Launch Directory Opus automatically on system startup: Opus can start automatically when you boot the computer. This makes Opus immediately ready when you need it. The program can be set to open quietly, for example, to just add the Opus light bulb icon to the Tray menu, or can be set to open the last set of Listers you used or even complete Layouts. This is the recommended way to start Opus and will ensure that the program is always available for immediate use.

· Show introductory start windows (splash screen): An introductory window or “splash screen” can be shown whenever Opus is started. This provides quick access to the main Opus functions to Open a New Lister, access Preferences or Customize while you are learning the program.

Listers opened automatically when Directory Opus starts:

This page lets you configure which Listers are opened when Opus runs. The settings here are only used if Opus runs without opening any other Listers. For example, if Opus runs because you double-click on a folder icon on the Desktop, it is that folder that will be opened in a Lister - the settings on this page will be ignored in this case.

· Don’t open any Listers: Directory Opus will not open any Listers at all. The only indication that Opus is running will be the icon in the System Icon Tray (and even that may not be visible if you have disabled it!)

· Open the Default Lister: Opens the Default Lister as saved from the Settings menu.

· Open the Listers that were open when the program was last closed: When Opus shuts down, any Listers that are opened are automatically remembered. If you have this option enabled, they are automatically re-opened again when Opus runs the next time. If you have the Include virtual folders option turned off, any Listers that were displaying System Namespace folders like Control Panel are not re-opened.

· Open a saved Lister Layout: Opus will load a saved Lister Layout automatically when it runs. You can select the Layout you wish to load from the drop-down list.

Shutdown Directory Opus when the last Lister closes:

Directory Opus is a highly advanced multi-threaded application. Normally the main Opus process runs in the background and spawns independent threads for the file display Listers and other dialogs and performs actions as required, instantly. In this mode, if you wish to quit and shut down Opus completely it is necessary to go to the Tray menu icon and select Exit. This multi-threading dramatically adds to the performance and power of the program and means you never have to wait for the program to load before opening a Lister or performing other operations

However, if you wish to run Opus more as a single application, you can enable this option. When enabled, Opus will automatically quit all processes when no Listers remain open. Double-clicking the desktop would then automatically launch Opus again.


Listers

The Listers section controls the behavior of the Listers including special buttons, thumbnails, the Folder Tree and view pane settings and allows you to customize the behavior of the Power and Details View modes.

More:

Listers - File Display

Listers - File Display Border

Listers - Folder Tabs

Listers - Folder Tab Groups

Listers - Folder Tree

Listers - Layouts

Listers - Options

Listers - Styles


Listers - File Display

· Allow file selection when clicking to activate Lister: If a Lister is not the active window and therefore does not have the active focus, the first mouse click usually just activates the Window. This setting allows you to select a file at the same time. So, if you click on a file in a non-active Lister, the Lister will become active (and change to become a Source) and the file will also be selected.

· Allow drag and drop into sub-folders (without a qualifier key held down): Normally, when you drag a file from a Lister and drop it into another Lister, the file is copied into the folder displayed in the Lister. If you drop the file on a sub-folder within the Lister, this option enables the file to be copied directly to that sub-folder. Even if this option is not enabled, you may still drop the file directly into the sub-folder by holding down a qualifier key (Shift, Alt or Ctrl) when you drop the file.

· Automatically select first file in folder (except in Power Mode): When enabled, the first item in the folder will be selected once the folder has been read. Note that there are other options for this. See Power Mode in Lister Display Modes and Viewer Pane options.

· Enable File InfoTips: Enables the display of an advanced popup tool tip called “InfoTips” which can display user-configurable information, including thumbnail images, for any type of file or group. InfoTips can be defined for common types of files from the Opus Content Type system in Preferences, and in the File Type Editor. You can choose which types of folders, which view modes and which types of drives will display InfoTips. For example, for speed, you may like to turn InfoTips off for all but local hard drives.

The display of popup InfoTips can be triggered from the keyboard by holding the Ctrl key down for at least the delay time specified (the standard tooltip “trigger time” is usually 750 ms).

· Enable “slide-out” navigation buttons: Opus has hidden navigation buttons in Listers that slide-out from the edges and corners when you move the mouse over this area. These buttons provide quick access to Back, Forwards and Up functions without having to move the mouse up to the Toolbar. You can configure whether the “slide-out” buttons appear at the sides of the Lister, in the corners, or both. You can also configure the time in milliseconds that must elapse before they appear.

· Reset Focus entry when sorting file list: If this is enabled, the focus will be given to the item that ends up in the same position (relative to the top of the Lister) as the old focus entry. The net effect of this is that the list will not have to scroll to keep the focus item in view.

· Set new window to source when switching to dual file display: By default, when you split a Lister to create a dual display, the newly created file display on the right is set to be a destination and does not have the active focus. You may prefer this behavior if you have the destination path set automatically from Lister Defaults - Default Folders. Alternatively, if you wish to access this new display immediately to set a path or perform other activities, this setting makes the new display the source and gives it the active focus.

· Single click to open an item (point to select - does not apply in power mode): Normally Opus uses a single-click to highlight files and a double-click to open them. This option activates a mode similar to single-click in Explorer where moving the mouse over the file highlights and a single click opens the file. See the Single Click section in Tools, Utilities and Opus Special Features for more details.

· Smooth scrolling with mouse wheel/keyboard: The scrolling of Lister display can be accelerated by using the mouse wheel. This option allows details and power mode to use smooth scrolling, which greatly enhances the effect of scrolling through Listers.

· Specify initial folder when switching to dual file display: Allows you to define which folder is opened on the right-hand side when you switch from a single to a dual display. If not selected, the current folder is duplicated in the right-hand display.

· Use Find field when typing in File Display: Opus has a special "search-as-you-type" field (similar to the one in Firefox) in Listers and in the text viewer. When you begin typing in a Lister a search box now appears at the bottom showing you what you are searching for. Scrolling to the item in the Lister still happens as before - the method is the same, only the interface has changed. The search field turns red if there is no match.

This option enables this special mode.

If you begin by typing a > sign the field becomes a 'command' field rather than a 'find' field and lets you enter an Opus (or external) command to execute

If you type a path in (either a full path, or a /dopusalias type path) the path will be read into the current file display.


Listers - File Display Border

· Enable file display Copy and Swap buttons: Enables the extra buttons in the inner file display border. These new buttons allow you to swap the paths between source and destination displays or quickly duplicate the current display in the other side of a dual file display Lister.

· Enable hot paths in file display border: Lets you click on the path elements in the file display border to quickly browse to a parent folder. If you move the mouse over the path in the border, the respective parent folders will be highlighted. Optionally you can select to have this action available only in an active source Lister.

· File display border Up button does “Up Back”: Changes the behavior of the up button in the inner file display border. The BACK parameter to the Go command can be used in conjunction with the UP parameter to combine their behaviors. Go UP BACK causes the parent folder to be read, just as for UP, but the file selection and scroll offset information in the cache will be used if the parent folder has been visited before, just as for BACK.

· Show file display border in single display mode: A dual file display Lister displays an “inner border” with special buttons in each of its file displays. If this option is turned on, this inner border is also displayed in a single file display Lister.


Listers - Folder Tabs

A number of options let you control the folder tab behavior. Folder Tabs can now be locked. There are two different lock modes. Locked means that no folder changes are allowed in this tab. Attempting to read a new folder (for example, by double-clicking) will cause a new tab to be opened. The second mode, Locked (allow changes) means that folder changes are allowed, but are only temporary. In this mode, clicking the Root button (Go ROOT) or switching to another tab and then back will revert to the original folder. The tab lock state can be changed from the Folder Tab context menu, or using the Go TABLOCK command. Additionally, the Edit Folder Tabs dialog in Styles and Tab Groups Preferences lets you specify the lock state of tabs

Folder Tabs can now be renamed. When a custom name is set for a tab, that name remains in force irrespective of folder changes. To rename a tab, single-click the label, or right-click the icon and choose Rename Tab. Tabs can also be given names in the Edit Folder Tabs dialogs in Preferences.

· Display Folder Tabs: Lets you choose when to display the folder tab bars. Always makes them always visible, and only when needed only displays them when they contain more than one tab. The other option, On both sides of a dual display Lister... is similar to Only when needed except that as soon as one tab bar is displayed in a dual-display Lister, both tab bars are shown to keep the display balanced.

· Display Folder Tabs at the top: Displays the tabs at the top of the file displays instead of at the bottom.

· Double-click to open a new tab showing: Lets you choose what is displayed by default when a new Tab is opened by double-clicking on the tab bar. You can choose from an Empty tab, the Current folder and the Default folder. You can also use this option to disable the double-click feature.

· Double-click to open a new tab showing: Double-clicking on an existing Tab opens a new Tab with your choice of locations.

· File display close button closes active tab: Changes the behavior of the small close button at the top right of the inner border of the file display. When enabled, the close button closes the currently active Tab, otherwise it closes the Lister.

· Maximum tab size: Allows you to specify a maximum pixel size for the tabs - by default they auto-size to fit the length of their labels.

· Same size tabs: Lets you make all tabs the same width. You can choose from Automatic size (where they are all the same size as the largest tab), or a fixed size that you specify in pixels.

· Show tab close buttons: Enables tiny close buttons visible in each tab. You can click these to close the tab in question. Clicking a tab close button while holding the Shift key will close all tabs other than the one clicked on. Holding either the left or right control key when clicking the close button will close all tabs to the left or right of the current tab as appropriate. Finally, holding the alt key when clicking close will move the clicked tab to the other file display.

· Use Visual Style under XP/Vista: The appearance of the Tabs will be rendered using Visual Styles under XP/Vista, appear flat and display a themed button when the mouse is over them. Otherwise Tabs are rendered in the "old fashioned" 3d style instead


Listers - Folder Tab Groups

Below these options is a list of your configured Tab Groups. Tab Groups are sets of folder tabs that are stored as one and can be opened all together. You can access your stored groups through the Folder Tab context menu or with the Go command.


Listers - Folder Tree

The Folder Tree page contains controls that configure the behavior and appearance of the Folder Tree.

Appearance

· Show drive labels as and Tree Style: Choose the format you wish to use to display the drive labels and Tree style.

· Use configured file display colors for tree items: When enabled, your custom file display colors will also be used to display items in the Folder Tree.

Tree Behavior

· Start Folder Tree at: Define the location for the root of the Folder Tree display. Choose from the Desktop, My Computer, Drives or Current drive. If Current Drive is selected the Tree dynamically rebuilds itself as you change location to only show the current drive being used.

· Expand “My Computer” when Tree opens: This option instructs Directory Opus to automatically expand the My Computer branch of the Folder Tree when a Lister opens, even if that branch would not normally need to be expanded. This makes it easier for you to access your drives via the Tree even if the initial folder in the Lister is the Desktop.

· Expand selected branch: Automatically expand the selected branch in the Tree.

· Expand branches when dragging over the Tree: This option enables the automatic expansion of branches in the Folder Tree when you drag files or folders across a branch. If you choose “spring-loaded” the branches will automatically close as you move off that branch.

· Collapse non-selected branches: Automatically collapses non-selected branches in the Folder Tree. When combined with the existing Expand selected branch option this makes the Folder Tree mimic the default XP behavior.

· Open second Folder Tree in dual display: When opening a second file display in dual display mode, this option automatically opens a second Tree for the right hand display. When turned off, only one Folder Tree is displayed on the left and is shared between both file displays in a dual display Lister.

· Share single Tree between dual file displays: Normally this option is selected so that the single Folder Tree will rapidly track whichever file display is the active source. If you wish, you can turn this option off so that the Tree tracks only the left hand file display. An example of this may be where you wish to use a defined path for the right hand display as a popular destination but leave the Tree tracking the left hand display only.

Show in Folder Tree

· Favorites: This option enables the display of your Favorites list in the Folder Tree. Favorites entries will appear in their own branch at the end of the tree.

· SmartFavorites: This option enables the display of your Smart Favorites folders in the Folder Tree. SmartFavorites folders also appear in the Favorites branch of the Folder Tree, positioned just under the Desktop entry. If both this and the Display Favorites option are enabled, normal Favorites entries are listed before SmartFavorites entries.

· Recent List: This option enables the display of your Recent Folders list in the Folder Tree. Recent entries will appear in their own branch at the end of the tree.

· Virtual (non-filesystem) folders: As an advanced File Manager, by default Opus displays all folders as under Windows in the Folder Tree whether real or virtual. This option controls the display of virtual folders or show only real folders in the Tree, i.e. folders which correspond to a real folder on disk. This Option hides any virtual folders or additional third party System Namespaces.

· ZIP files and other archives: By default, ZIP files are not added to the Folder Tree but you may do so if you wish. With this option turned on, they appear in the Tree like any other folder. Other archive formats supported by Opus, such as WinRAR archives, will also appear in the tree.

· Folder Aliases: This option enables the display of your Folder Aliases list in the Folder Tree. Aliases entries will appear in their own branch at the end of the tree.

· File Collections: This option enables the display of your Folder Aliases list in the Folder Tree. Aliases entries will appear in their own branch at the end of the tree unless you choose to display them under the Desktop item

· Hidden folders: Normally, the Windows Tree does not show hidden folders (which have the H hidden attribute set). However the Opus Lister file display is designed to display all files and folders, according to the settings in Folder Options. This option allows you to see all hidden folders in the Folder Tree.


Listers - Layouts

A Layout remembers the details of one or more Listers saved as a set. The Layout records the current screen position, the display format and current path of all Listers which are open at the time you save the set. Opus Layouts even support Listers on different monitors if you have multiple monitors attached to your machine. The Lister paths may include removable or networked drives, remote FTP directories or ZIP archives or any legal path on your system. Opening a Layout re-opens all the Listers in the set in the same position and with the same formats as when they were saved and then reads the saved directory paths into the individual Listers.

To save your own Layouts, open the Lister or Listers you require and select the Save As button. This will provide a dialog where you may give the Layout a name. Select an existing Layout name before choosing Save As to overwrite an existing Layout.

The Preview in the bottom half of the display shows the approximate position of each Lister in the selected Layout on the monitor screen. It includes multiple monitors if supported in your system.

If you have opened a previously saved Layout which consists of a single Lister display and you wish to change and update this, for example, perhaps you have created a Layout for temporary use for an FTP site and a local folder or similar and wish to change paths or include a Folder Tree or not, one quick shortcut method of saving this updated Layout is to hold down the Shift key when you click on the Close button in the top right of the Lister. This will automatically save the current Layout using the same name.

· Close all existing Listers when loading this layout: By default, Opus leaves any existing Listers open when opening a new Layout but you can set the option to close all current Listers before opening a new Layout. This setting is global unless overridden by a specific parameter to the Prefs LAYOUT command. See the Opus Raw Commands section later in this manual.

· Ignore folder formats saved within this layout: An Opus Layout is a complete snapshot of the display properties of the Listers it contains including parameters such as folder formats. Normally Opus will ignore the current default folder formats and use the one(s) saved within the Layout itself. This option allows you to ignore any stored folder formats and use the normal defaults or existing saved formats for the folder paths in the Layout.

· Open layout relative to the monitor the mouse is currently on: An Opus Layout is a complete snapshot of the display properties of the Listers it contains including the absolute screen position of the Lister(s). For example, a Lister saved in a Layout to open at 50,50 might open at 1074,50 if the mouse was on the second monitor when it was opened.


Listers - Options

· Allow docking of Listers: Opus has the ability to automatically dock individual, single file display Listers to form a dual display. When you drag the title bar of a single file display Lister over the title bar of another, Opus will automatically join or “dock” the two Listers to form a single Lister in a dual file display mode. Similarly, you may separate a dual file display to two individual Listers by dragging the title bar of one file display out of the Lister window, and you may also swap left and right hand displays by dragging the title bar of one horizontally to the opposite side.

When not enabled, Listers will not allow docking and dual file displays cannot be swapped or separated. Use Shift to override.

►It is only possible to dock two single file display Listers to form a dual file display. You cannot dock more than two single file display Listers nor dual display Listers.

· Display full path in Lister title bar: Enables the display of the full file path in the Lister title bar. Otherwise only the Folder Name is displayed.

· Enable pins in Lister title bars: By default, the Windows OS does not provide a method for selective depth arranging of application windows. Windows either come to the top when active or are top layer windows and stay on the top of the display in all cases. However, Opus provides selective depth arranging for its own Listers and associated windows. The mechanism allows three levels of priority and can be made to override the sometimes annoying behavior of the Windows OS where only the active window is on the top. When enabled, a “pin” is added to the title bar of each window title and a Keep On Top item is added to the Window Context menu of the Lister and all dialogs. (Windows Vista Note: The pin & zoom buttons are disabled on Vista when Aero (either Glass or Basic) is selected to comply with Vista visual styles. Only the menu option is available.) The pin shows the priority used for depth arrangement of that window. The priority may be set as follows:

Off (horizontal): The window will behave as normal and come to the top when active unless there are other Opus windows of higher priority. Such windows can never appear on top of windows with middle or top priority, and they depth arrange as normal with other application windows. The menu option is No.

Middle (diagonal): The window will come to the top when Opus is active. Windows of middle priority always appear on top of windows with off priority but will depth arrange with other windows of middle or top priority. When Opus is not active, they will depth arrange as normal with other application windows. The menu option is Opus Only.

Top (vertical): The window will always be top priority. It will appear on the top of windows with off priority, and will also appear on top of windows with middle priority. As an example of where this may be useful, you may wish to keep an Opus Lister displaying thumbnail images on top of an Image editor so you can quickly drag files from the Lister and drop them into the editor. The menu option is Top-Level.

►WARNING: Pins can be very useful but by changing the default depth behavior of the window display you may lose other windows behind a top layer window. If you think that a program or action you have started hasn’t worked, check to see whether it is hidden behind a top layer window!

· Enable zoom buttons in Lister title bars: Enables the special Opus Zoom button in the Lister window title bar. By default, the Zoom button provides two different sizes for the Lister window and allows you to swap between them. (Windows Vista Note: The pin & zoom buttons are disabled on Vista when Aero (either Glass or Basic) is selected to comply with Vista visual styles.)

· Ignore folder format of Default Lister: If enabled, the initial folder displayed in the Lister will use its default folder format, rather than the format that was saved with the Lister when it was last closed. This is equivalent to the Ignore folder formats saved within this layout option in Listers / Layouts.

· Show glass status bar in Windows Vista: Use the Windows Aero Glass Style is available in the Lister Status.

· Show Lister “footprint” on Windows task bar: This option lets you disable the “footprint” button that Windows normally adds to the Windows taskbar for each open Lister. If you turn off these footprints, it will also disable the entry in the Alt-Tab dialog list. The Show “footprint” when minimized option only displays the footprint when a Lister is minimized.

· Update Default Lister automatically when closing a Lister: If disabled, the Default Lister is not updated automatically when a Lister is closed. Instead, the Default Lister can be updated manually at any time using the command in the default Settings menu.

· Use Tab key to switch source/destination in dual-display Listers: In Opus the action of the Tab key is the Windows standard and moves focus to the next dialog element. This option allows you to dedicate the Tab key to switching focus between Source and Destination displays in a dual display Lister. The Tab key behaves as normal for a single file display.

· Zoom Listers to title bar (shift overrides): As well as maximized and minimized, Opus gives you two independent sizes and positions for a Lister. The extra zoom button in the Lister title bar swaps the Lister size between the two stored states. Alternatively, the zoom button can minimize the Lister to a small footprint, displaying only a title bar.

►As with other controls in Opus, holding down the Shift key while selecting the button inverts the defined behavior.

· Zoom Lister when title bar is double-clicked: Normally, a double-click on the title bar of the Lister window minimizes the window to the Taskbar. This special mode enables the Lister to be zoomed using the Opus Zoom function on a double-click.


Listers - Styles

This section allows you to create and edit Lister Styles. See Lister Styles for more details.


Lister Display Modes

More:

Lister Display Modes - Details Mode

Lister Display Modes - Power Mode

Lister Display Modes - Thumbnails Mode

Lister Display Modes - Tiles Mode


Lister Display Modes - Details Mode

· Full Row Selection: In the traditional Details mode, to select a file or folder you must click on the actual file name itself. This option allows you to select a file or folder by clicking anywhere on the row. Full-row selection can be enabled / disabled for both Power Mode and the traditional Details mode.

· Display grid lines: You may display grid lines in the file display in both Details and Power mode. Both the color and pattern of the lines can be configured.

· Full Row Selection: In the traditional Details mode, to select a file or folder you must click on the actual file name itself. This option allows you to select a file or folder by clicking anywhere on the row. Full-row selection can be enabled / disabled for both Power Mode and the traditional Details mode.

· Sort-field specific key scrolling: Normally, when you press a key in a Power or Details mode Lister, the focus is moved to the first file or folder matching that key. However, if the Lister is sorted by a column other than name, it is that column that is used to select a file. For example, if sorted by the Type column, pressing the letter M would select the first file whose type began with the letter M. You can use this option to disable this behavior. Sort-field specific key scrolling can be enabled / disabled for both Power Mode and the traditional Details mode.


Lister Display Modes - Power Mode

Opus provides the traditional Windows Explorer file display modes (List, Details, etc...), an Opus Thumbnail view, plus a unique Power mode. This view mode is handled differently by Opus and is very similar to that used successfully on the Amiga for many years. It is similar to Details mode but, by default, file selection is done by click and drag and files are not automatically de-selected when others are selected. You can easily drag multiple files out of the display and you can even selectively drag out one single file even if other files have been highlighted.

The beauty of Power mode is that you can completely tailor its behavior to suit the way you wish to work. From this section you can choose the desired behavior for left, middle and right mouse button events and can select what happens when you drag and drop files using a specific mouse button. This can be done from the Mouse button behavior section shown at the bottom of this page in Preferences.

►With three-button mice, the middle button is sometimes controlled by an external driver and may not be available for Opus use. You may need to change the behavior of your mouse driver to take full advantage of the middle mouse button in Opus.

In Power mode you can range select easily by simply drag-selecting or by first selecting one file then, with a qualifier key held down, selecting a file some distance away. All files between the first and second selection points will be highlighted. You may configure the qualifier key used for the range selection process from Shift, Ctrl or Alt key, or turn this behavior off completely.

By default, if you have selected multiple files in Power mode, you may pick up all selected files in one action by holding down both Shift and Ctrl keys when you click in the Lister to drag the selected files.

When you have already selected multiple files, there are times when you may wish to drag just one single file out of the Lister without affecting the other selected files. Enable the Allow Single File Drag option to allow this behavior.

Pressing the Ctrl key toggles keyboard control of Power mode. When in keyboard mode, file selection is done with Shift-Cursor Up/Down or Shift-Page Up/Down, or by using the Space bar to toggle file selection on or off.

The following options for Power Mode are also available

· Activate Keyboard mode when a partial file name is typed: Activates Keyboard mode allowing navigation when you have partially typed a file name which matches one in the folder.

· Allow single file drag: Allows you to drag out just a single file from the Lister if multiple files have already been selected.

· Always in Keyboard mode: Permanently activates Keyboard mode allowing navigation using keys. Otherwise keyboard mode is activated or deactivated when you tap the Ctrl key.

· Automatically select first file in folder (except in Power Mode): When enabled, the first item in the folder will be selected once the folder has been read.

· Display grid lines: You may display grid lines in the file display in both Details and Power mode. Both the color and pattern of the lines can be configured.

· Display Icons: Automatically displays the associated file type icon on the left of the file name. Turning off the icon display can dramatically speed the display of the files list.

· Enter key opens all selected files: Pressing the Enter key when files are selected will open (perform the default action on) ALL the selected files. Otherwise only the file in focus will be opened.

· Full Row Selection: In the traditional Details mode, to select a file or folder you must click on the actual file name itself. This option allows you to select a file or folder by clicking anywhere on the row. Full-row selection can be enabled / disabled for both Power Mode and the traditional Details mode.

· Range selection with …: You can select multiple files by first selecting one file then, with a qualifier key held down, selecting a file some distance away. All files between the first and second selection points will be highlighted. This setting allows you to configure the qualifier key used for the range selection process. Select either the Shift, Ctrl or Alt key.

Note that in default Power mode, if you have selected assorted files, you may pick up all selected files in one action and drag them etc by holding down Shift and Ctrl keys together when you click in the Lister to drag the files.

· Sort-field specific key scrolling: Normally, when you press a key in a Power or Details mode Lister, the focus is moved to the first file or folder matching that key. However, if the Lister is sorted by a column other than name, it is that column that is used to select a file. For example, if sorted by the Type column, pressing the letter M would select the first file whose type began with the letter M. You can use this option to disable this behavior. Sort-field specific key scrolling can be enabled / disabled for both Power Mode and the traditional Details mode.


Lister Display Modes - Thumbnails Mode

The Thumbnails page lets you configure the special Lister view mode which shows thumbnail images of the folder contents. This is very useful for looking quickly at folders of images and sometimes for other types of files. This section controls how these Thumbnail views are generated. I

Lister Display Modes – Thumbnails Mode - Appearance

In this section you can define the appearance of the thumbnails in the Lister display.

· Size, Square: Select the width and height in pixels for the thumbnail. Select square to automatically adjust the size.

· Spacing: Select the spacing between thumbnails.

· Fill color: From the popup, you may define the background color used to fill the thumbnail background and the surrounding area if the thumbnail is smaller than the defined area.

· Label Lines: Define the number of extra lines to leave for the thumbnail label text.

· Display image and file size in label: Adds an extra line below the thumbnail giving the file size and image dimensions.

· Display Borders: Show a border around each thumbnail.

Lister Display Modes – Thumbnails Mode - Options

· Animate AVI Thumbnails: If this option is selected, Opus will attempt to play AVI movie files as a thumbnail image in thumbnails mode. Opus uses the system codec to support common AVI formats. Mpeg or other movies types are not supported in this version. If this option is not selected, Opus will attempt to display the first frame of the animation in the thumbnail image if possible.

►AVI files may be locked whilst they are being displayed in thumbnails mode. If so, they may not be deleted or edited. If this occurs, swapping to another display mode will return full access rights to the files.

· Cache Thumbnails: Enable the Opus thumbnail caching mechanism. Thumbnails can be displayed much faster from the internal cache rather than having to be re-calculated each time they are viewed. From the Settings you can choose various options for the cache.

· Display JPEG thumbnails in gray-scale: Instead of displaying the full colored image, this restricts the number of colors used to gray scale of 256. It provides for faster thumbnails display when handling images with large numbers of colors such as those from digital cameras.

· Display thumbnails for folders: Enable the display of thumbnails for folders similar to Windows XP and optionally read the contents of the folder and generate small thumbnails showing the contents of the folder.

· Enable dynamic thumbnail resizing: Opus supports dynamic thumbnail resizing. When enabled, it allows you to resize thumbnails displayed in the current Lister on-the-fly, without the thumbnails having to be regenerated.

There are two parts to using dynamic thumbnail resizing. First, you must turn on this option. Then you need to add the new Thumbnail Size field to a toolbar. This is in the View category in Customize. Once that is done, browse to a folder containing pictures and switch to thumbnails mode. You will be able to use the slider to instantly resize the thumbnails. The Show command has a new THUMBNAILSIZE parameter which also lets you adjust the thumbnail size.

Double-click the thumbnail size slider to reset the thumbnails to the default size set in Preferences.

· High quality image scaling: Enable the high quality image scaling algorithm to provide better thumbnail images.

· Load all thumbnails in folder automatically: Thumbnails are normally decoded and shown progressively only when made visible in the Lister window. This option scans and generates all thumbnail images for a given folder automatically. It gives a faster display when scrolling around a Lister containing many thumbnails.

· Overlay thumbnail with file type icon /Hide file type icon if type not registered: If a thumbnail is displayed and the file is associated with an application registered in file types, Opus can overlay a small icon representing the application in the bottom right-hand corner. For picture or other thumbnails which are not registered, Opus uses a default icon. This may be selectively turned off. Note that if there is no thumbnail image, the application or default icon will be displayed centered in the thumbnail area.

· Use EXIF information (if present) to auto-rotate images: Many digital camera images contain embedded EXIF information giving extended information about the image. Depending on the manufacturer of the camera, this may contain information about the orientation of the camera at the time the image was taken. If this is present, Opus can automatically rotate images to display them in the correct orientation.

· Use shell image extraction for formats Opus does not understand: Natively, Opus understands only the common image file types such as GIF, JPEG, BMP, PNG, PhotoShop and so on. This option tells Opus to ask the system to display a thumbnail image for files it does not understand. It is useful for generating thumbnails for files such as HTML, WORD documents etc. Alternatively, Opus will display a blank thumbnail. This will work successfully under most cases but is system dependent. WARNING: This can be a source of instability if the external supporting libraries are expecting to be called only from Windows Explorer.

· Thumbnails threads: This option allows for better performance on multi-processor systems when generating thumbnails by using multiple threads to decode multiple images at the same time. When enabled, Opus creates N+1 threads to read thumbnails, where N is the number of CPUs in the machine.


Lister Display Modes - Tiles Mode

The default appearance of Tiles is slightly different than that in Explorer, although the principle remains the same. A large icon (or by default, a thumbnail) is shown to the left, with the name of the file and one or more configurable lines of information to the right.

From this section you can configure the Tiles display size and spacing, the frames and background color of individual tiles (turn off frames and the background color altogether to emulate the look of tiles mode in Explorer). You can also choose whether or not thumbnails are shown in Tiles mode.

The information displayed beneath the filename can be configured on a per-file type basis through the File Types system (from the Advanced tab in the File Type Editor). This works much the same way as the Info Tip configuration system.


Logging

Opus can keep a log of all file activities you perform for later review or housekeeping. This section allows you to enable the log and choose which actions to remember. The historical log can be viewed at any time from the View Log button. This will open the Opus Output Window and display the Log section.


Miscellaneous

In order to provide some of its exceptional power and functionality, Opus adds assorted custom controls and menu items to the Windows system in a polite and system friendly manner. These are defined in the following sections. They include the ability to add related menus and functions for default folders etc. Depending on how you wish to run Opus, you may selectively enable these as you choose. (Also see the section on Explorer Replacement in Launching Opus Preferences.)

More:

Miscellaneous - Advanced

Miscellaneous - Internet Settings

Miscellaneous - Language

Miscellaneous - Options

Miscellaneous - Windows Integration


Miscellaneous - Advanced

This page is new in Opus 9. It provides a “name/value pair”-style editor to configure several “advanced” options in Opus. Most of the options listed here existed in Opus 8 as semi-documented Registry variables – the move to an XML-based configuration has necessitated the replacement of the Registry variable system with a more formal one. They are now shown clearly here along with a description of each. Note that a couple of the options (related to Amiga icons) used to be available as “real” options in other Preferences pages, but have been moved here because of their relative obscurity.


Miscellaneous - Internet Settings

· Send email via: Directory Opus has a built-in SMTP mailer which lets you send files via email directly to an SMTP server rather than going through an external email client with MAPI. Your SMTP server settings must be configured here before the mailer can be used. Note that the Output Window has an Email tab which displays the status of outgoing messages. From here you may cancel queued messages and even create new messages using the built-in email window. If you have a MAPI server installed and do not wish to use the in-built SMTP mailer you may enable the MAPI option - however you should make sure this option is turned off if there is no MAPI server on your machine.

· SMTP Settings: Enter the details of your SMTP server here. These will usually be the same as you use for your current email client.

· Proxy Settings: Enter the details of your HTTP proxy if you need. These will usually be the same as you use for Internet Explorer or your current browser client.


Miscellaneous - Language

This section displays the available language libraries for Opus. Various languages are available for download from the GPSoftware web site. Run the language installer then use this section to select your desired language. You may change languages at any time but a restart of Opus will be required to convert the program and associated toolbars, menus etc. to the new language. Note that Opus inter-converts all its internal text including menus and toolbars between languages by reference to the original resources. Any custom text you may have added will not be translated. Languages are provided as a DLL which is expected to be installed in the language sub-folder of the program folder.


Miscellaneous - Options

· Allow Output Window to be docked with edge of screen (Shift overrides): The Opus Output Window displays the results of various functions and activities within Opus. It may be moved and positioned anywhere on the Desktop area. If you drag the Output Window to the edge of the Desktop area it can be made to automatically dock with the edge of the display by enabling this option.

► As with other Opus controls, if you hold down the Shift key while dragging the window, Opus will do the reverse of the defined action.

· Change configuration mode the next time Opus is run: Changes the mode to use global or user-specific configuration settings next time Opus runs. A dialog box will be displayed next time you run Opus, allowing you to choose between global and private settings.

· Check for program updates automatically: This option lets you turn on or off the automatic background check for new versions of Directory Opus. By default Opus will perform this check once per month. This will only take place if you have an active Internet connection - you will not be prompted or otherwise disturbed. You can configure auto-update checking to take place monthly or weekly, or disable it altogether. You can also configure the proxy settings if your connection to the Internet is through a proxy.

· Enable Windows XP/Vista Visual Styles: Windows XP theme and Vista visual styles are supported. If you do not want Opus to use XP/Vista visual styles it is better to turn it off here rather than using the Windows XP/Vista Compatibility settings, since this option will not prevent programs launched from Opus from using themes.

· Path completion in path fields: This provides a shortcut when entering text into a path field. To save typing the complete string of characters, Opus can complete the path for you. You may disable path completion or select between having Opus complete the path automatically as you type or wait until Up/Down cursor keys are pressed before completing the path. Path completion is available in any field that is designed for path entry, for example, the default Path Toolbar or the hidden path entry field that appears when you press Shift-Enter in a Lister.

►After Opus completes a path, typing a forward slash or back slash character will jump to the end of the path string ready for you to continue typing the next element.

· WindowBlinds compatibility mode: An option to totally disable the custom title bar rendering in Opus. This is to allow programs such as Window Blinds to skin Opus properly. Note this mode totally disables all Opus custom title bar functionality, including the pin and zoom buttons in Listers, and the pin buttons on other Opus windows.

· Paste clipboard images as: If you use the Paste command in a Lister when there is an image on the clipboard, Opus will save that image to a new file in the current Lister. This option lets you define the image file format to use for this function.


Miscellaneous - Windows Integration

· Add File Collections icon to the Desktop: Add a special icon to the Desktop allowing you to quickly open your File Collections. A File Collection can contain files in different folders, on different disks, on remote network drives, within ZIP files and even on remote FTP sites. However, they appear in the Lister and can be viewed and managed as if they were all in the same physical location.

· Add File Collections list to the Send To menu: Add an item the Windows Send To menu allowing you to select a file collection as the destination to copy files directly to an Opus File Collection from Windows Explorer, the Desktop and any system application which displays the Send To context menu.

· Add layout and other items to Desktop context menu: This adds two new menu items, New Lister and Opus Preferences to the Desktop context menu. They allow quick access to Opus from the Desktop whether Opus is running or not. Additionally, if you have any saved Lister Layouts, a sub-menu may be added to the Desktop context menu allowing you rapid access to these.

· Add icon to the Taskbar Status Area: When Opus is running, this option adds an Opus light bulb icon to the Taskbar Status Area or System Tray menu. It allows quick access to Opus functions with a right click on the light bulb icon. The menus provided by the icon are fully user definable from Customize - Context Menus.

· Add Preferences and Customize icons to the system Control Panel: By default Directory Opus will add two icons to the system Control Panel; one to open the Opus Preferences editor and one to open the Customize editor. You can disable these icons by turning off this option. Note that if you change this option you need to restart your system for the change to take effect.

· Add “Open in DOpus” item to folder context menus: Adds an extra menu, Open in DOpus, to the context menu of all folders. This means that from Windows Explorer or the Desktop you can quickly open the folder in a new Opus Lister whether Opus is already running or not.

· Hide Windows items on file context menus (Shift overrides): Through file types Windows allows external programs to add items to the context menu of all or selected files. After you have installed a number of programs these can build up to be distracting. This option hides these items and only shows Opus specific menus as defined by the Opus file type system.

► As with a number of other controls within Opus, if you hold down the Shift key when accessing the menu, Opus will invert the defined behavior.

· Make Directory Opus the default handler for FTP sites: Sets Opus as the default handler for all FTP sites. Accessing a path such as FTP:// will activate Opus and display the site in an Opus Lister.

· Support Windows XP/Vista CD writing system: This option lets you enable or disable Opus support for the Windows XP & Vista CD writing system. You may wish to disable this if you are using third-party CD writing software.

· Use Windows XP/Vista CD burning system: If support for the Windows XP/Vista CD writing system is enabled, this option controls whether Opus uses its own display when viewing the contents of writeable CDs, or the system virtual folder. If this option is enabled, then Opus will always display the virtual folder for writeable CDs rather than using its own display modes. If turned off, Opus will only display the virtual folder if the CD is empty, or Opus is operating in Explorer replacement mode, and the Lister was invoked automatically by Windows (for example, in response to you clicking the “There are files waiting to be written to the CD” bubble).


Photo Sharing

More:

Photo Sharing - Flickr

Photo Sharing - ImageShack


Photo Sharing - Flickr

This section lets you configure the new photo sharing functionality with the Flickr Synchronization system. Please see Opus Tools and Special Features - Flickr Synchronization for details.


Photo Sharing - ImageShack

This section lets you configure the behavior of the ImageShack Upload function. Please see Opus Tools and Special Features - ImageShack Upload Utility for details.


Plugins

This section shows the various viewer plugins installed in Opus. Standard Opus viewer plugins can be installed in Opus by copying the plugin dll to the Viewers folder in the Opus home folder. Virtual file system plugins should be copied to the VSFPlugins folder. Plugins can be enabled or disabled by checking or unchecking them in the displayed list. You can also change the relative order of Plugins using the Move Up and Move Down buttons. Some Plugins will support configuration of their own and you can use the Configure button to access this.

See the section on The Opus Viewer for more details of the Opus plugin technology.


Sounds

Opus can play sounds for specific events. This section allows you to enable sounds and choose the specific sounds for each event. Sample sounds are included with some of the sample preferences as discussed above. You may readily change these to use other WAV files as desired. Usually there are many sounds included as part of your Windows install so you should have many to choose from!

If a sound has been enabled for a specific event, that event will be shown in bold. You can turn individual sound events on or off using the checkmarks next to each item.


Toolbars

This section provides global control over some Toolbar settings for Options and Visual Appearance. More settings for the visual display of Toolbars can be found in Display - Toolbars and Display - Toolbar Icons. Other Toolbar settings can be handled directly by the Toolbar itself from Customize - Toolbars .

More:

Toolbars - Toolbars Options


Toolbars - Toolbars Options

· Allow Floating Toolbars to be docked with the edge of the screen (Shift overrides): In the same manner as the Output Window, Floating Toolbars can be moved to any position on the Desktop. This allows them to be docked with the top, bottom or sides of the Desktop when the Toolbar is moved to the edge of the display. When docked, they behave much the same as the standard Windows Taskbar.

► As with other Opus controls, if you hold down the Shift key while dragging the Toolbar, Opus will exhibit the reverse of the defined action.

· Alt-Click to edit Toolbar buttons: This option is usually enabled to allow an Alt left mouse button click on a Toolbar to immediately enter Customize mode and directly open the Button Editor for the specific button (rather then having to go through multiple menus). Some KVM switches are reported to not allow the Alt qualifier key to be reported correctly. Turn this off if you have problems with a KVM.

· Animate menus: This option lets you enable or disable popup menu animation within Directory Opus. If you choose to have animated menus you can also tell Opus to use the same setting as for your Operating System.

· Display popup help text (tooltips) / Show shortcut keys in help text: Opus Toolbar buttons support popup comments displaying help or information on the action to be performed by the button (or menu). These are known as ToolTips and you may define them for any specific button from Customize. You can select to enable / disable these as you wish. As a quick reminder Opus can also append to the end of the ToolTip the Hotkey you may have defined for the button.

· Lock Toolbars: Locks the Toolbars and prevent them being moved around the Lister display.

· Save state of Floating Toolbars automatically on exit: You may set the free-floating state of individual Toolbars from their individual settings in Customize. This setting automatically saves this state of the Toolbar when you close the Toolbar or exit Opus. It is useful if you have dragged a Toolbar out of or into a Lister and not specifically saved its state.

· Simulate middle mouse click with control + left click: Opus Toolbar buttons can have different functions for left, middle and right mouse clicks. This option is useful if you have a mouse where the middle button is set for special ‘programmatic’ actions or is controlled by application suites such as Logitech Desktop etc. It allows you to simulate the action of a middle mouse button by holding down the ctrl-key and pressing the left mouse button. Why limit yourself to just two button actions on a toolbar button!


Viewer

These settings control the display and performance of the Opus Picture Viewer. For details see the chapter on The Opus Viewer.

More:

Viewer - Standalone Viewer

Viewer - Viewer Pane

Viewer - Slideshow


Viewer - Standalone Viewer

· Auto-size Viewer window: Adjusts the size of the display window to that of the image according to this setting. Otherwise, the viewer remembers its last size and position when you next open it regardless of the image size.

· Center viewer window: Causes the viewer window to always open in the center of the screen.

· Cycle through images with mouse wheel: Activates the mouse wheel so that you may scroll easily through multiple images with the wheel instead of pressing the Space bar or the Next (or Last) buttons.

· Frame picture: Causes the image display size to be reduced slightly and displayed within a black pixel frame. It can improve the visual appearance of the Viewer.

· Gamma correct pictures: Gamma correction controls the overall brightness of an image. Images which are not properly corrected can look either bleached out, or too dark. Varying the amount of gamma correction changes not only the brightness, but also the ratios of red to green to blue. In Opus you can set a fixed gamma adjustment in Preferences (separately for both the standalone viewer and the preview pane) or adjust the individual Gamma value for a specific image. While viewing an image you can adjust gamma dynamically from the menu, by pressing Shift + or Shift -, or by holding the Shift key and scrolling the mouse wheel.

· Generate Next / Previous list automatically on double-click: Enables the automatic recognition of all images in the current folder. When you double-click on an image, Opus will create a list of all the current images in the current folder and make them available in the Viewer via the Next and Previous buttons.

· Hide scrollbars (may not be supported by plugins): Allows you to hide the scrollbars that normally appear if the image is too large for the window. If scrollbars are hidden you will need to use the left mouse button to scroll around the image (that is, the Scroll with left mouse button option should also be enabled).

· Recycle viewer window: If this option is turned on, Directory Opus will attempt to use an existing Viewer window when you double-click on an image file rather than opening a new one.

· Reset zoom level: Lets you choose to have the zoom level reset when moving to a new image.

· Use EXIF information (if present) to auto-rotate images: Many digital camera images contain embedded EXIF information giving extended information about the image. Depending on the manufacturer of the camera, this may contain information about the orientation of the camera at the time the image was taken. If this is present, Opus can automatically rotate images to display them in the correct orientation.

· Wrap-around picture lists: By default, if you have Generate Next / Previous list selected, Opus will continuously cycle through the selected images. This option allows you turn off the “wrapping” of the image list, so that it has a definite start and end.

· Background color: Lets you configure the background color of the Viewer. If you set this to Auto then Opus will pick a color automatically from the image.

· Left mouse button and Middle mouse button: Lets you configure the behavior of the Viewer when you click on the image with the left or middle buttons. If set to Advance to next image, clicking the left mouse button will display the next image in the list. If set to Scroll image, and the image is larger than the viewer’s window, this allows you to pan around the display by clicking and dragging in the image window with the left mouse button. Otherwise the left button performs a highlight action allowing you to copy a section of the image to the clipboard. Note you can always access the clipboard selection function by holding the Shift key when you click the left button.


Viewer - Viewer Pane

The Viewer Pane page lets you configure the appearance and behavior of the Lister Viewer Pane.

· Automatically refresh image when file changes: Opus will automatically reread the file and update the display in the viewer pane if the image changes.

· Automatically select next file when viewed image is deleted: When reviewing files to delete, it is often convenient to have Opus automatically select and display the next image in sequence if the current image is deleted (for example by pressing the Delete key).

· Frame Image: Add an inner frame border around the displayed image.

· Gamma correct images: Automatically apply a gamma correction by this amount to brighten or darken images shown in the viewer. This applies to all images displayed. You can adjust the gamma of each individual image when shown in the viewer from the menu or SHIFT + and SHIFT -.

· Hide scrollbars: Viewer plugins can use scroll bars on the right and bottom edges of the viewer area permitting you to scroll around the displayed image. This option will hide the scroll bars. This option may not be supported by all viewer Plugins.

· Scroll with left mouse button: Allows you to scroll around a large image displayed in the Viewer Pane by clicking and dragging the image with the left mouse button. This option may not be supported by all viewer Plugins.

· Show control bar: Show the control bar in the bottom of the Viewer Pane.

· Use EXIF information (if present) to auto-rotate images: Many digital camera images contain embedded EXIF information giving extended information about the image. Depending on the manufacturer of the camera, this may contain information about the orientation of the camera at the time the image was taken. If this is present, Opus can automatically rotate images to display them in the correct orientation.

· Picture background color: Select the background color to frame the image. The Auto option automatically selects a background color to match the image.


Viewer - Slideshow

Opus proves a simple slideshow system controlled by the following settings:

· Automatic slideshow: When multiple files are selected, the Viewer will automatically show each file in turn with the defined delay.

· Randomize slideshow: Displays the images in the slideshow in random order.

· Slideshow speed (seconds): Lets you control the speed of the slideshow.


ZIP Files

Opus incorporates its own ZIP engine to display and access ZIP files directly rather than using outside programs. This allows you to treat ZIP archives just like normal folders.

Introduction to Opus ZIP handling

One of the unique features of Directory Opus is its implementation of the virtual file system concept. Directory Opus lets you browse ZIP files and FTP sites as if they were local folders. For instance, you can copy files directly from a ZIP file to an FTP site, or vice versa.

Unfortunately, ZIP files are not in reality a file system, but are instead a complex data structure which does not lend itself well to the virtual file system concept. Directory Opus therefore offers two modes for access to ZIP files. The normal, virtual file system mode has a number of advantages but also one major disadvantage - speed. The ZIP file format does not allow full random access, so when copying to or from or deleting from a ZIP file in virtual file system mode, Directory Opus must make special allowances for the limitations of the ZIP format. The alternative mode is known as batch mode. This mode accesses ZIP files using their native interface. It gives faster access but precludes the use of some of the more advanced Opus features such as file filters.

In general, we recommend that you leave the batch mode options turned on since they do result in increased performance. However, it is important that you be aware of the limitations of the batch modes.

The ZIP Files Preferences section consists of two pages; Integration controls the integration of ZIP handling within Opus and the system itself, and Settings lets you modify the ZIP settings themselves.

More:

Zip Files - Integration

Zip Files - Settings


Zip Files - Integration

ZIP Support

· Activate Opus ZIP file handling: Turn this option on to enable Directory Opus ZIP handling. If this option is turned off then Opus will not recognize ZIP files at all and you will need an external program to handle them.

· Make Opus the system default handler for ZIP files: This setting makes Opus the default ZIP handler for the system. If activated, Opus will override any other ZIP handling application installed on your computer and open all ZIP files in Opus automatically. So, whenever you open a ZIP archive by a double-click or by selecting Open from the context menu, the archive will be opened in an Opus Lister. You may also decide to selectively add context menus to ZIP files to Extract with Opus and to normal files to Add to ZIP archives.

Context Menus

· Add context menu items for “Add files to ZIP”: If this option is turned on, Directory Opus will add new menu items to the context menu for all files allows you to add the selected files to a ZIP file, and to ZIP and email the selected files.

· Add context menu items for “Extract files from ZIP”: If this option is turned on, Opus will add items to the context menu for ZIP files to extract the contents of the ZIP file.

· Cascade context menu items: If you enable this option, the context menu items added by the above two options will be displayed in a sub-menu rather than in the main file context menu.

Auto-extract

Auto-extract is a special Opus feature that lets you automatically extract the contents of a ZIP file whenever files of a certain type within that ZIP file are double-clicked. For example, this can be crucial with installation or setup programs which may require several ancillary files as well as the actual Setup.exe file.

· Enable Auto-extract: This option lets you turn auto-extract on or off altogether.

· Use on Double-click: This option enables auto-extract functionality on file double-clicks. If this option is disabled, the only way to access auto-extract is via the right-button context menu of a file within a ZIP file. Auto-extract can be enabled on any double-click of a file or only when a specified qualifier key is held down. If the Prompt switch is turned on then Opus will ask on a double-click whether you wish to perform auto-extract or not.

· Filename Patterns: This list lets you configure which filename patterns will trigger the auto-extract on double-click feature. This list is not needed if you only wish to access auto-extract via the right button context menu - in this case, any file can be auto-extracted. However, on double-click only files whose names match the patterns given here are auto-extracted. You can enter as many filenames or wildcard patterns as you like, one per line.


Zip Files - Settings

· Adjust file times using Opus ZIP file time zone information when available: Opus ZIP handling stores the time zone information from the computer which created the ZIP file. This allows you to transfer files across time zones and preserve the absolute dates and times of files and folders. This is a special facility only available for ZIP archives generated by Opus.

· Ask for encryption and compression settings when copying files into ZIP files: This option selects whether Opus should prompt you for settings whenever you copy files into the ZIP archive.

· Open ZIP files as read-only by default: This option causes Opus to automatically treat all ZIP files as read-only. If you wish to make changes to an existing ZIP file you will need to enable writing using the Set READONLY command. If you wish to use this feature we recommend that you add this command to your Toolbar or menu for easy access.

· Save time zone information to ZIP files: If this option is enabled then Opus will store information about your local time zone in ZIP files that it creates. Then if you send the ZIP file to someone who has Opus in a different time zone, they will be able to recover the correct file times when unzipping the archive.

· Compression level: You may adjust the compression level used by the Opus ZIP engine. The higher the compression level the smaller the resulting archive but the longer it will take to add or extract files from the archive.

· Packed Column: When viewing a virtual ZIP folder in a Lister, Opus adds a column showing the packed size of each file. This setting allows you to select how to display this column, either in bytes, Kbytes or Auto.

Advanced

· Use batch add / delete / extract: When the batch modes are enabled, copying files from a local disk to a ZIP file, or extracting files from a ZIP file, or deleting files from a ZIP file is generally faster. Copying files from other ZIP files or FTP sites is not affected by this option.

Depending on the size of your ZIP file, batch copy mode may make a significant difference to the time taken to add files. If you mainly work with small ZIP files you will probably not notice any advantage in batch copy mode so you may wish to leave it turned off.

With batch copy mode enabled, some of the more advanced Opus features can not be used when copying into ZIP files. File filters do not work below the first level - that is, you can filter files that you have selected in the source folder, but if you have selected any sub-folders, their entire contents will be added to the ZIP file.

Another disadvantage is caused by the very nature of batch copy mode. Because the files you are copying into the ZIP file are added as a batch, they are not permanently written to the ZIP file until the very end of the operation. So, if you abort a copy operation halfway through, the entire operation is aborted and the ZIP file is left unchanged.

Because the files are copied all at once as a batch, any confirmations or additional information needed for individual files must be supplied before the copy begins. For example, if you have selected ten files to copy and have used the Copy As function to give them new names, you will be prompted for a new name for each of the ten files before the copy actually begins. If you are moving files, the original files are not deleted until the entire copy operation has completed.

Additionally, it is not possible for Directory Opus to discover if any individual files failed for any reason, and so you will not receive any error reports once the copy has begun.

The main disadvantage of the batch delete mode is that the delete operation can not be aborted. Once you confirm the delete operation there is no going back.

As with batch copy mode, any individual file confirmations must be given before the delete begins. It is not possible for Directory Opus to discover if any individual files failed for any reason, and so you will not receive any error reports once the delete has begun.

· Use temporary file when copying to ZIP files (safer but much slower): Instead of writing directly to the ZIP file itself, Opus can use a temporary file when copying to a ZIP archive. This provides extra safety. If some operation fails, the original ZIP file will have been preserved. Note however that copying to a ZIP archive will be much slower when using a temporary file. In most cases we recommend that you leave this option turned off.

· Use working folder for removable media only: Opus sometimes uses a temporary folder when handling ZIP files (especially if you have the previous option turned on). With this option, the temporary folder is used only when accessing ZIP files on removable media like floppy disks. This often means better performance because of less access to the often slower removable media.

· Extensions: By default, Opus identifies ZIP files by the .zip file extension. Other file types are also ZIP files “in disguise” and by entering their file extensions here Opus can handle these as well. For example, .jar and .dlt files are really ZIP files.


Customize

Customize allows you to add, delete or edit the Toolbars, Menus, and Hotkeys used in Opus. You can also create your own custom Commands from the internal Opus command set.

Selecting Customize from the default Settings menu, or the Tray icon menu, puts the Toolbars and menus into Customize mode and displays the main Customize dialog window. Select from the tabs which page you wish to access, either Commands, Toolbars, Keys or Context Menus.

There is also a menu bar (File) whose items are selected or deselected according to the context in the current tab. In the Commands tab the menu contains Export and Import commands when the User command category is selected, providing a simple way of sharing User commands with others.

In the Toolbars tab, the menu contains commands to export and import toolbars. Similarly, in the Keys tab, there are commands to export and import hotkeys. When exporting hotkeys, you can choose to export in three forms - as an Importable Hotkey file (one that can be imported back into Opus), as a Comma-Separated List and as a Text File. The latter two formats are useful if, for example, you wish to print a list of your hotkeys.

The menu also contains an Undo command, as well as a command to save the current state of floating toolbars.

As with Preferences, at the bottom of the Customize box is a Filter field. This field is available on the Commands and Keys tabs. In the Commands tab it filters commands that are displayed in the list, and in the Keys tab it filters based on a hotkey you enter – this makes it very easy to locate the entry for a specific hotkey. For example, on the Commands tab you can type words in to find related commands and on the Hotkeys tab you can push qualifier keys (Alt, Shift, Ctrl) and/or letters to see the hotkeys which include the things you pushed

When Opus enters Customize mode it enters a special modal edit state. The display of Toolbars and context menus changes to show their underlying constituent commands and the buttons will no longer function as usual. Instead, you may edit the specific buttons and menus from a popup menu over the specific button. Double-clicking a Toolbar button displays the Command Editor for that button. If the button is a multi-function button (a three-button button) or a menu button, clicking the left mouse button over it displays the commands or menus associated with that button. Clicking the right mouse button displays a special edit menu.

More:

Toolbar Menus in Customize Mode

Editing Toolbar Buttons

Advanced Command Editor

Exchanging Buttons with Friends

Customize - Commands

Customize - Toolbars

Customize - Keys

Sample Hotkeys

Customize - Context Menus


Toolbar Menus in Customize Mode

The above image shows the standard Toolbar in Customize mode and the three commands for the multi-function Select button for the left, right and middle mouse actions respectively. Notice the special triangular marker at the end of the Toolbar. This is a special marker indicating that an external Namespace or virtual folder will add its own commands starting at this location.

Right-click on a Toolbar button to access the button control menu as shown above. This provides the traditional cut, copy, paste and delete functions plus the following:

· Edit: Displays the Command Editor for the specific button.

· Three Buttons: A toggle which switches the button between single and multi-function mode. In this mode, the button is turned into a sub-menu with a maximum of three functions, and these functions are accessed directly via the left, right and middle mouse buttons (rather than through a pop-up menu).

· Begin a Group: Marks this button as one that begins a group. If this option is turned on, a separator will be displayed in the Toolbar immediately before this button. You can also add a separator via drag and drop, by dragging an existing button in the Toolbar very slightly to the right and dropping it on itself. To remove a separator, either use the button control menu to turn the Begin a Group option off, or perform the reverse of the drag and drop method, by dragging the button slightly to the left and dropping it on itself.

· Insert New: Inserts a blank new button, menu or menu button at this point in the Toolbar. This should only be used for advanced editing. Normally, just drag the required command from the Commands list in the main Customize window.

To access the Command Editor, either double-click on a button or select Edit from the button control menu. Note that from normal mode (outside of Customize), you can invoke Customize and the Command Editor directly by holding down the Alt key and single-clicking the button.


Editing Toolbar Buttons

Use drag and drop to reposition existing Toolbar buttons, to move them from one Toolbar to another, or to move them from the root of the Toolbar into a sub-menu. To remove a button from a Toolbar, drag it and drop it back onto the Customize window.

To add a button to a Toolbar you simply need to drag one of the predefined command buttons from the Command page in the main Customize window and drop it on the Toolbar in the place you want the new button to appear. Menus are added in the same fashion. Just drag and drop the button wherever you wish to insert it in the menu. (Remember menus are simply Toolbars in disguise with images turned off and labels turned on.) At a less intuitive level, you can also use the popup menus to add an empty button, menu or menu button then manually edit the button itself.

If you wish to create a Toolbar button that runs an external program, simply drop the program’s icon onto a Toolbar while in Customize mode. The function that is created will automatically include the %1 code to open selected files using the specified program.

To delete a button from a Toolbar, drag the button out of the Toolbar and drop it onto the main Customize window.

To move a button to a new position in a given Toolbar or even between Toolbars, simply drag it and drop it in the desired place. Dragging a button in a Toolbar slightly to the right adds a separator on the left-hand side of the button to “begin a group”. Similarly, the group separator can be removed by dragging the button slightly to the left.

To duplicate a button, you can either use the traditional Cut, Copy, Paste mechanism or simply drag the button to the new place on any visible Toolbar, while holding down the Ctrl Key.

Selecting Edit from the context menu or double-clicking a button gives access to the Command Editor showing the individual settings for that button.

The editor lets you configure the image, label and functions for the button. The Show image option lets you turn the image display off altogether. If Dual Image is turned on, the button will use two different images - one is displayed when the button is in its normal state, and the second image is displayed when the mouse is over the button or the button is pressed.

Selecting the Images at the top of the page displays the extensive set of internal predefined images provided for Opus commands. You may select one of those shown or browse for an external icon image.

If Large icon size is turned on, the button will show images using the large size (30 x 30) rather than the small size (20 x 20).

The Highlighting option lets you specify the highlighting effect to use for the button image when the mouse is over the button or the button is pressed. Choose from grayscale or glow effects, or disable the effect altogether. Note that the individual button setting for this option can be overridden by the setting in Customize for the parent Toolbar, and that in turn can be overridden by the global setting in Preferences - Toolbars.

If you turn on the Override colors switch you can define the text and background colors for the button - if this switch is turned off the button will inherit its colors from its parent.

The Show label option lets you control whether the button label is displayed as well as (or instead of) the image. If the label is turned on you can also control where in relation to the image it is displayed (left, right, above, below). The default setting for this causes the label to be displayed below the image in Toolbars, but to the right of the image in popup menus.

The Label field lets you edit the button label, and the Tip field lets you edit the ToolTip. If no ToolTip is provided, the label will be used as the ToolTip by default.

For Images and Labels, the values set in the Command Editor are known as the default values for the button. They can be overridden by the global or master setting for the Toolbar as a whole. The master settings for each specific Toolbar are discussed below in Customize - Toolbars.

Use the Hotkey field to specify a Hotkey for this button.

The Function field displays the current function for this button. In simple mode (the default), this is just a single line. You can use the Commands drop-down list to select one of the predefined Opus command functions, or you can enter your own function. Note that when you select a predefined command from this drop-down list, it will be automatically converted into the underlying Opus command language when it is displayed in the Function field.

Clicking the Advanced button takes the Command Editor into advanced mode, which then allows you to create a function with more than one line.


Advanced Command Editor

Selecting the Advanced button pops out the advanced command selection page where you may define one or more command actions and associated arguments for the button as desired.

In advanced mode, the drop-down Commands list contains only the “pure” Opus commands, which is a substantially shorter list than in simple mode. Most of the internal commands can be modified by the addition of arguments, which you can access from the drop-down Arguments list.

You can also start external programs from Opus commands. To select an external program to run, use the Browse button. When the cursor is over the name of an external program, the drop-down Arguments list will change to display a list of External Command Control Codes.

The MS-DOS Batch Function option can be used to create complex functions involving MS-DOS (or console-mode) applications. When this option is turned on, Directory Opus uses your command definition to create a temporary batch (.bat) file. This lets you call more than one external program in succession (and view their output in a console window).

With the MS-DOS Batch Function option turned off, any external programs defined in the command are started simultaneously.


Exchanging Buttons with Friends

Directory Opus makes it easy to exchange your button definitions with friends. When in Customize mode, right click on a button to display its context menu and choose Copy. As well as placing the button itself on the clipboard, Opus also creates a text definition of the button on the clipboard. This can be pasted into any text editor, or, for example, an email message to a friend. When your friend receives the email message, all they need to do is copy the text definition back to the clipboard, go into Customize mode and paste it into their own Toolbar.

You can also create Command Files by dragging a button from a Toolbar in Customize mode and dropping it onto the Desktop. These files can then be sent as file attachments, and can be imported back into a Toolbar by drag and drop.


Customize - Commands

The Commands page provides access to the predefined Opus command set arranged into categories. To add a command to a Toolbar, select the command from the Commands list and drag it to the specific place in the Toolbar or menu where you wish to insert the button.

Most of the categories are self-explanatory but there are three special categories:-

· Default menus

These provide a predefined set of the standard sub-menus used in Opus. You can quickly construct a new menu or Toolbar by simply dragging the desired sub-menu to the desired place.

· New

Creates new buttons containing no predefined commands. You can create a new blank button for a New Button, New Menu and New Menu Button. These actions are the same as provided in the RMB popup menu on a Toolbar.

· User

Allows you to define your own new commands based on one or more of the commands from the Opus internal command set (including optional arguments), as well as external programs. Once you have defined a new user command, you may use this in a Toolbar just as you would any of the other predefined commands provided in Customize. This is a very powerful mechanism which allows you to explore the range of possibilities provided by the very extensive internal Opus command set.


Customize - Toolbars

The Toolbars page shows a list of the currently available Toolbars in the left-hand panel. Activate a specific Toolbar by ticking the box next to the Toolbar name. You may create new (blank) Toolbars with the New button, or create a copy of an existing Toolbar with the Copy button. You can Rename or Delete existing Toolbars. Import and Export allow you to move Toolbars between different systems. Save State takes a snapshot of the current state and position of all currently-open Floating toolbars.

The right hand sections allow you to change the visual display of the selected Toolbar and choose whether it is connected to a Lister or free-floating. Note that Toolbars are common to all Listers. You can float a specific Toolbar free of the Listers but you cannot have a different set of Toolbars for different Listers.

The Background section allows you to select a color for the background of the Toolbar or you may select one of the predefined images. See Preferences - Display - Images for details of the standard predefined images. Use the Image is inherited by submenus option to control whether submenus that come from this Toolbar inherit the Toolbar’s image settings or use the default Toolbar colors.

Images and Labels define the global or master control of these settings in the selected Toolbar. Note that individual buttons also have such settings but these are overridden by the master setting in this section. The options for these settings are Default, On or Off. Default tells the Toolbar to display the label or image etc according to the setting in the individual buttons. This allows you to change these settings in a Toolbar quickly. Sometimes you may wish to mix settings. For example, you may want a Toolbar with most of the labels turned off but have labels for only one or two items, say DriveButtons. This can easily be done by setting this master setting to Default then setting the individual settings in the Toolbar to either On or Off as required.

The Floating Settings allow you to control whether the selected Toolbar appears inside Listers, or is free-floating and able to be moved around the screen independently.


Customize - Keys

The Keys page shows you all the Hotkeys defined in Opus whether as part of a Toolbar, menu button or as a stand alone Hotkey. The Hotkey Editor allows you to attach functions to any keystroke combination. Hotkeys are effectively the same as standard Opus buttons which are called directly by the press of a key rather than with a mouse click.

The action buttons at the top of the dialog allow you to create a new Hotkey or edit an existing one by selecting the New, Duplicate or Edit buttons. These display the Hotkey Editor where you can enter the required information. The key or key combination for the selected entry can be changed by activating the Key field and simply pressing the desired key or key combination.

To define the key sequence for the given Hotkey, click in the Hotkey field and press the key or key with or without qualifier keys and Opus will register and display the sequence. You may use any single key including main keyboard keys, numeric keypad keys, cursor and edit keys and function keys either alone or in combination with a qualifier key including Shift, Alt, Ctrl and / or the Windows keys. Now in Opus 9, you can also use the Esc, Tab or Enter keys as one of your own Hotkey combinations. Select these from the pop down menu at the en of the Hotkey fields.

If the System-wide Hotkey option is not set, the Hotkey will only be available from within an Opus Lister. If this option is turned on, the Hotkey will be functional anywhere in the system. System-wide Hotkeys are indicated in the main list with an asterisk (*).

Next, select a command from the list of those available from the popup menu at the right-hand side of the Function field. This provides a list of predefined commands similar to that shown in Customize - Commands. Alternatively, you may wish to browse for an external program to execute when you hit this Hotkey.

As discussed in the Advanced Command Editor section above, selecting the Advanced button pops up the Advanced Command page where you may edit the command functions in detail to add multiple or extended commands and / or extra qualifiers and arguments.


Sample Hotkeys

Opus provides you with a pre-defined set of useful Hotkeys by default. Since the actual set defined can change depending on the specific version of Opus, it is strongly recommended that you open the Customize dialog and have a look at the current default set and become familiar with them. You can then define your own as required.

By default, the following traditional Windows key sequences are implemented or emulated using internal Opus commands as follows:

Key | Action
F1 | Help
F2 | In-line Rename
F3 | Find
F4 | Activate path field
F5 | Refresh
F10 | Activate menus
Ctrl + Tab | Cycle between Listers (or panes in a dual file display Lister)
Ctrl + C | Copy (Clipboard Copy)
Ctrl + X | Cut (Clipboard Cut)
Ctrl + V | Paste (Clipboard Paste)
Ctrl + A | Select all
Ctrl + F | Find
Ctrl + Z | Undo
Ctrl + Up/Down cursor keys | Scrolls list in Details mode (without changing selection)
Backspace | Parent (Go up)
Alt + Left/Right cursor keys | Previous/next path in history
Alt + Enter | Properties
Shift + Delete | Delete file without Recycle Bin
Shift + F10 | Context menu


Customize - Context Menus

Opus provides a number of user-definable context menus. These are popup menus which appear when you press the right mouse button over specific objects. This section controls the Tray Icon menu and the default Lister context menus. The Lister context menus appear when you press the right mouse button over a clear area of the Lister. The context menu which appears when the mouse is over a file is known as the file context menu. It is formed by a combination of items added by Windows and Opus and is discussed in the File Types and Preferences sections.

Opus provides the following context menus, initially defined as shown above, but you may edit and change these as you wish.

The left image shows the default Tray menu with icons turned on while the image on the right shows the same default Tray menu but with Office 2003 highlighting turned on. (See Preferences - Toolbars)

Remember that these menus are really just Toolbars in disguise with images turned off (except for the Tray Icon menu) and labels turned on. They may be edited in the usual way. To edit a given menu, click the Show button (or double-click the menu name) to display the menu then drag and drop command buttons from the Customize - Commands page just as you would for other Toolbars.


File Types

File types are an indispensable feature of Windows which are readily extended by Directory Opus 9 in a manner fully compatible with normal Windows operations. Don’t be confused - there are not separate Windows and Opus file types, except for the special cases mentioned below. The file types themselves are global - you cannot create Opus-only file types. But, you can configure all the Windows file types from within Opus and you can add Opus-only actions to a file type. If you configure special Opus 9 functions, these will only be available while you are within Opus.

A file is simply stored data. Files can contain executable programs, text files, pictures of various types, or a multitude of other information. In Windows, file types are not identified by the internal structure of a file but simply by their file name extension. The essence of a file type is that when you do something to a file, Directory Opus can figure out what kind of file it is and take the appropriate action for that type of file.

More:

Predefined File Types

File Type Editor


Predefined File Types

Opus 9 comes with several special predefined Opus file types to match All files, All folders, All files and folders, Recognized images and Unknown file types.

The file type for All files and folders defines default actions for the following events:

Action | Opus Command
Left double-click + Ctrl | Properties
Drag & Drop | Copy Movewhensame
Drag & Drop + Alt | Copy Makeshortcut
Drag & Drop + Ctrl | Copy
Drag & Drop + Shift | Copy Move

So, if you drag a file and drop it onto another Lister using the left mouse button, the file will be moved if the source and destination Listers are on the same drive, or copied if they are on different drives. This behavior is consistent with Windows Explorer. The default file type mimics the way Explorer works but as shown above, if you hold down qualifier keys you can modify the behavior of drag and drop. Unlike Explorer, all actions can be configured in Directory Opus!

The file type for All Folders defines default actions for the following events:

Action | Opus Command
Left double-click | Go
Left double-click + Alt | Go newtab
Left double-click + Ctrl | Go openindual
Left double-click + Shift | Go new

The Recognized images file type is a special Opus-only file type that refers to all files that Opus recognizes as images. It can be used to add context menu items to any image files without having to add them to each individual file type. Another way to do this is with File Type groups, explained below.

The Unknown file types is a special file type that matches any file that isn’t matched by any other file type.

If you drag with the right mouse button and drop over an Opus Lister, the drag and drop menu is displayed. This menu is constructed first from any Opus file types that match the selected files, then from drag and drop menu items configured for the Windows file type, then from any “DragDropHandlers” configured for that file type by Windows, and then finally the default actions of Copy, Move and Shortcut.

In a similar manner, a double-click on a file or folders is supported through the file types system as well. For a summary, see the chapter on The Lister and the section on Double-Click on Folders.


File Type Editor

The File Type Editor lets you configure the traditional Windows System File Types with Opus extensions plus it gives you access to special features available only from within Opus. These include Directory Opus File Types and File Type Groups.

The dialog uses an Opus FlatList control instead of the standard list display which allows the special Directory Opus File Types to be kept separate from the System File Types. The second section is the File Type Groups category. File Type Groups are just that - groups of file types. They are defined by file extension in exactly the same way that normal File Types are defined. File Type Groups are used by the Content Type system, and also let you configure tooltips (called InfoTips) for groups of common file types. The Group column displays the current group (if any) for each individual File Type and lets you change a file type’s group membership without having to edit the file type itself.

In the same manner as other Opus dialogs, the File Types dialog has a File menu which provides commands for exporting and importing Opus File Types. You can export a single File Type or all File Types - note that only the Opus-specific elements are exported. This can be very useful if, for instance, you want to send someone your context menu definition for a certain type of file.

The Edit button allows you to edit the selected file type. The New button has a drop-down menu attached -select to create either a new File Type or a new File Type Group. The Copy button lets you make a new copy of the currently selected file type; the Delete button lets you delete the currently selected file type; and the Find button lets you search all file types for text strings by extension, description, content type and Open With.

For normal System File Types, the Change button lets you change the default program used to open them without having to go through the full File Type editor. This system also lets you edit the Open With menu that otherwise Windows does not let you modify without editing the Registry.

For Windows System file types, you can quickly assign these to an Opus File Type Group by clicking in the group column on the right of the file type to access a popup menu of the currently available groups.

Editing a File Type

When you double-click a File type or highlight one and click the Edit button, the Edit File Type dialog is displayed. On the surface, this appears very similar to the Windows file type editing system. You can add and delete extensions from the file type, and also change the MIME Content Type field.

File Type Tab

The File Type Editor consists of a number of parts; one showing the actual file type definition or class, one showing the possible events or user actions, and one detailing the corresponding commands each action will perform. This varies slightly for Opus File Types which have no associated Actions tab.

There are four different classes of action you may adjust:

· Actions

These are the standard actions that are available in Explorer and Opus, including Open, Open With, Explore, Find, Print and Print To. When setting these actions for a Windows file type, the dialog is very similar to the one that appears in Windows Explorer. It lets you configure the label, command, and DDE options.

· Events

These are actions that are only available in Opus, and include double-click with various qualifier keys (double-click by itself is defined by the Open event), double-click with the middle mouse button, and four drag and drop events. These actions have no effect at all in Windows/Explorer. Double-click on the event to display an editor where it may define Opus commands for this function in a similar manner to editing buttons.

· Context Menu

The Context Menu page lets you configure the items that will appear on the context menu for selected files. You can choose to add context menu items which are supported by Windows or which are Opus-specific. Both of these will appear inside Opus but Explorer will only show the supported Windows items.

Windows allows external programs to add items to the context menu of all or selected files. After you have installed a number of programs these can build up and become distracting. From Preferences - Miscellaneous you can select to show only the Opus-specific menu items for the file context menu if you wish.

► As with a number of other controls within Opus, if you hold down the Shift key when accessing the menu, Opus will invert the defined behavior.

· Drop Menu

This lets you add items to the drag and drop menu (the menu that appears when you drag with the right mouse button). You can add items to both Opus and Windows file types, but they will only appear when the file is dropped onto an Opus Lister; Explorer does not support this.

The InfoTip tab lets you configure the tooltip that is displayed when the mouse hovers over a file of this type (or in the case of a File Type Group, a member of the group). Opus will automatically create InfoTips for the default File Type Groups. You can use any of the standard Lister information fields for InfoTips, as well as several special fields:

· {foldersize} displays the size of a folder; it will automatically calculate the size of the folder even if folder size counting is not enabled by default

· {foldercontents} displays a brief summary of the contents of a folder

· {thumbnail} displays a thumbnail image in the tooltip itself, for any image format recognized by Opus

· {infotip} displays the system-provided InfoTip (if there is one) for this type of file. This can be useful if you have third-party context extensions installed that provide InfoTip information.

If information for the specified field is not available then the entire line is omitted from the displayed InfoTip - so in the example shown, a JPEG containing EXIF tags might display all the specified information, whereas a GIF image would probably only display the first line (the file description and the image thumbnail).

InfoTips support simple html mark-up for text styles. Supported tags are <b> for bold, <i> for italics and <u> for underline. You can also use the font tag to change color, but not the font. For example, <font color=#ff8000> would set the text color to orange. A shortcut for the font color tag is <#aabbcc>.

The Advanced tab contains several miscellaneous options for the file type or group, and also includes color settings that let you override the default display colors for a given type of file in Opus Listers.


Folder Options

Opus 9 provides you with a powerful system to customize the visual display and format for any specific folder. Folder Properties gives you access to all Lister formatting features for the current and other special folders. Various display options, columns, sorting priorities, filters and more can be set from here. Opus supports a global default Lister format for local folders, Networked and removable drives, FTP servers and ZIP files. You can also set specific formats for specific folders and individual FTP sites.

Listers will remember the current folder format when you change folders until you specifically change the format or it is overridden by a saved format.

►The Format Lock Button in the Status Bar can be used to temporarily lock the Lister into the current format preventing it from being changed by any saved formats.

The OK and Apply buttons apply the currently defined format settings to the current Lister but do not save them permanently. You can use the buttons at the top of the dialog to quickly save the current folder settings permanently for the current folder, or for all folders. The Folder Formats section in Preferences - Folders displays a list of all folders for which you have configured folder formats.

· Save the current folder format can save the current format as the default for the current folder, and also as the default for ALL folders (note that this second choice requires confirmation as it will erase any currently saved folder formats).

· Clear the saved format lets you remove the stored format for the current folder (if there is one), and can also remove ALL stored folder formats (again this requires confirmation).

· Clear the saved format and reset to defaults will remove the stored format for the current folder (if there is one) and reset the current format to your Custom settings, the default settings or one of your Favorite Formats.

The Folder Formats is used to manage your saved Folder Formats, as well as set the default formats to use for different types of folders. You can also use it to modify the Content Type Formats - the formats that Opus will automatically use for folders containing different types of files if the Content Type detection system is enabled.

The groups of formats displayed in this list are:

· Folder Formats - formats that have been saved for specific folders

· Content Type Formats - formats that have been defined for File Type Groups

· Default Formats - the formats that are used if no other defined format overrides them

· Favorite Formats - formats you create that can be accessed quickly from other parts of Opus

The behavior of the Folder Formats list is fairly self-explanatory. If an entry is not checked it means it is not currently defined.

The Add, Edit and Delete buttons behave as you expect. Note that the Add - Content Type Format function actually takes you to the File Type Editor, as this is where File Type Groups are defined.

Right-clicking on formats in the list lets you copy and paste from one format to another. You can also reset individual formats to the defaults or one of your Favorite formats, and add an existing format to your Favorites in this manner.

In the default Toolbar, the Folder Options button has a drop-down on it which lets you select from your list of Favorite Formats (as well as the default settings). This provides a useful way to quickly change formats in the Lister without having to go through the Folder Options dialog.

Note: There is a Preferences option in Folders called Hide protected operating system files. If this is enabled, files and folders marked with both the H and S bits will not be shown in any Lister, either in the file display or the Tree, anywhere, irrespective of the Folder Options in use. This means that this option overrides any Folder Options settings.

More:

Folder Options - Display - View

Folder Options - Display - Sorting

Folder Options - Columns

Folder Options - Filters

Folder Options - Options


Folder Options - Display - View

· View As: Use this to select the View Mode used to display files and folders in the Lister. Select from traditional Windows views or special Opus Power, Tiles or Thumbnails mode. You can also use the View Mode button on the default Toolbar to change view modes.

· Auto-size columns: Automatically adjusts the size of the columns to fit the widest entry / file.

· Hide file name extensions in file name column: By default, Opus displays the full file name including the extension. This hides the file extensions.


Folder Options - Display - Sorting

· Sort by: Defines the column by which the Lister display will be sorted. Select from one of the available column fields in the display.

· Reverse order: Reverses the order of the sort.

· Mixing: Mixing allows you to specify how folders and files should be sorted: all folders before files, all files before folders, or display files and folders intermixed as defined by the sort order.

· Numeric order filename sorting: Sorts numbers numerically rather than alphabetically. This ensures that files beginning or ending with numbers will sort in their correct order. For example, 1, 2, 10 would be sorted in this order rather than 1, 10, 2.

· Word sort (special handling for hyphens, etc): By default, Opus uses a traditional string sort which sorts items on the ASCII value of the character. This is usually more logical when sorting lists of files. Other programs such as Windows Explorer, use a word sort that treats hyphens and apostrophes differently than it treats other symbols that are not alphanumeric. This ensures that words such as “coop” and “co-op” stay together within a sorted list. (Note that the default string sort uses lexicographic order which may vary with non-English languages.)


Folder Options - Columns

Both Details and Power mode allow the traditional information columns of Explorer but have been greatly enhanced with dozens of extra Opus-only columns. These include fields such as Extension, expanded time and date fields, relative size and date fields that are displayed as bar graphs, various description fields for images, documents and sound files, program and module versions and more. Also, both FTP and ZIP have their own descriptive fields. For example, FTP provides a description field (for linked files or index descriptions provided by the server) and a Transfer Time (which shows the approximate time required to transfer each file at your current line speed).

The Available fields are displayed in categories to make it easy to locate the display columns. Use the Columns dialog to add / remove and sort the columns to suit your personal preferences.

You can specify the width of each column (in pixels) if desired. Opus 9 also supports sorting on multiple fields and you can configure this here by holding down the Ctrl key and clicking in the Sort column.


Folder Options - Filters

The Show and Hide Filter allows you to define exactly what items will be shown in the file display by matching a name pattern or file Attribute. You can specify separate filters for files and folders. For example, the filter to the right is designed to show only a limited range of images files - those with file extensions of .jpg or .bmp, or .gif. The wild cards which may be used for the file name pattern are *, #, ?, |, (), [], ~ or single quote. See Pattern Matching Syntax in the Appendix for more details.


Folder Options - Options

The Options tab contains an option that lets you configure a different background image on a per-folder (or Content Type basis). The images themselves are defined through Preferences - Display - Images.

Other options available here depend on the type of format you are editing. For normal folder formats the only options are to automatically calculate folder sizes and to use this format as the default for all sub-folders. For Content Type formats you can specify the Content threshold - this defines when the content type format will be triggered. For example, an Images Content Type format with a threshold of 25% would be triggered if 25% or more of the files in a folder were images.

Include columns from other matching formats comes into play if a folder is matched by multiple formats (for example, it may match a content type format but also have a defined format saved for it). In this case, the over-riding format is used initially, but then any additional columns that have been defined in other matching formats are also added to the display.

The four tabs in the Folder Options dialog all have Reset Page buttons which let you reset the page contents to the default or Custom settings, or one of your defined Favorite formats. Also note that when you are editing a Folder format, a Content Type format, the Flat View format or a Favorite format, the individual sections of the Format editor are able to be turned off. This lets you define a format that only specifies some settings while leaving others unchanged. For instance, you may wish the Content Type format to add some additional information columns, but not change the view mode. The default Flat View format is set up to add the Location field to the end of the list but leave all other settings unchanged.


The Opus Viewer

Opus provides a fast and efficient integrated viewer that supports most common image formats such as JPG, GIF, PNG, BMP, IFF, etc. The Viewer can also support additional file formats by installing Viewer Plugins. It is invoked by the Opus command Show.

Viewing images is simple: select an image or images in the Lister and click the Show button in the default Toolbar. Or, if enabled from Preferences – File Operations – Double-click on Files, simply double-click on the image. You may also drag an image or group of images and drop it on the View button. This last option is very useful if the image is on the Desktop or in a virtual folder where Opus commands do not normally function.

The Viewer supports a wide range of functions including changing the image size, rotating the image, full screen view and so on. These functions are available from the viewer menus and from the popup context menu over the image. If you have selected multiple images, the viewer allows you to move quickly between the selected images and even view them as a slideshow. Pressing the F1 key while viewing an image will display an InfoTip with the details of the image. This will show the EXIF fields and details from the image if it is a digital camera image.

The Viewer has an optional “control bar”, a Toolbar that appears at the bottom of the window. This provides quick access to commonly used functions (rotate, zoom, print, etc). The control bar can be turned on or off using the option in the View menu.

The File menu in the Viewer window contains commands that let you configure and view information about the current Viewer Plugin, if any. From the File menu you can also move, copy or delete the current image file, and you can set the currently viewed image as your Desktop wallpaper.

The Convert Image function in the File menu lets you access the Image Conversion function for the currently viewed image. There is also a Save As option if you just want to save the current picture in another format without going through the full Image Conversion system.

The viewer can “tag” files in the Lister it was launched from. To tag the picture that is currently displayed, press Insert or select Tag from the Edit menu. Repeat this to untag it. Tagged images are represented by an asterisk in the title bar. When you tag an image the Lister is automatically put into checkbox mode (tagging is done via checkboxes). If you close down the Lister that launched the viewer or change folders in it, tagging will not work. Tagging is a very useful way to rapidly scan through a list of images and then do something with those selected (for example to delete them or copy them somewhere else).

More:

The Viewer Settings & Slideshow Settings

Image Conversion Functions

EXIF Meta-Data Fields

Viewer Plugin System

Viewer Plugin Manager

Text Viewer Plugin

MP3 Tag Editor

Movie Viewer Plugin

ActiveX Document Plugin

Gif and Animated Gifs Plugin

Text-File Thumbnails Plugin

VFS Plugins


The Viewer Settings & Slideshow Settings

You can adjust the Viewer and slide show settings through Preferences - Viewer or by selecting Settings from the Edit menu in the Viewer itself.


Image Conversion Functions

Directory Opus 9 has a simple but powerful image conversion function. This can be accessed from the File menu in the Opus Image Viewer or by using the Convert Images function in the default Tools menu. Opus also adds this as a context menu to the default Images file type group. See the section on Image Conversion in the Tools and Special features chapter for more details.


EXIF Meta-Data Fields

Opus supports most of the standard EXIF meta-data fields as defined in the EXIF 2.2 standard. Opus 9 has updated these and added some new fields to support extra EXIF data for various cameras. When looking at an image in the Viewer, you can display this detail by pressing F1. Or you can add specific EXIF fields to the Lister display formats.

Opus 9 adds support for GPS coordinate fields in EXIF tags. Several columns are available in Listers – Coordinates, Altitude, Latitude and Longitude. There is a special Opus command which can automatically display the location an image was taken (assuming it contains GPS coordinate tags) in Google Earth. The raw command for this is Image LOCATE=googleearth. If you add this command to the context menu for JPEG files, you can automatically open Google Earth and display the location where the selected image was taken. (Note that you need to have Google Earth installed for this to work!).


Viewer Plugin System

Although Opus natively understands many common image file formats, its capabilities can be extended further using the Viewer plugin system. This system lets third-party developers write plugins that extend the file viewing capability of Opus. An SDK which includes the source code to the TARGA (TGA) plugin is available royalty free from the GPSoftware website.

Opus ships as standard with a number of plugins provided - more will be released by GPSoftware (and hopefully third parties!) in the future. The plugins currently provided are:

· docs.dll

A plugin developed by Leo Davidson to show a wide range of document formats through ActiveX. Supported formats include Word, Excel and Flash formats plus more. See below for details.

· gifanim.dll

Displays gifs and animated gifs. See below for details.

· movie.dll

Displays movies such as WMV, AVI and MPG. Discussed below.

· mp3.dll

Displays and lets you edit the ID3 tags (both ID3v1 and ID3v2) of MP3 files. See the following section on the MP3 plugin for more information.

· ogg.dll

This plugin is not a viewer. Instead, it supplies the tag information inside Ogg Vorbis and FLAC audio files in addition to the built-in ID3/MP3 tag support in Opus. (Ogg FLAC files are also supported.) Details include bit rate and sample rate for such sound files in the details and Power mode information columns.

· pcx.dll

Displays ZSoft Paintbrush (PCX) format image files.

· pdfactivex.dll

Displays Adobe Acrobat (PDF) documents. This plugin uses the ActiveX control provided by the free Adobe Acrobat Reader - if you do not have Acrobat Reader installed on your system, this plugin will be unavailable.

· pdftext.dll

Displays PDF documents in text-only form. You can use this plugin to view the contents of PDF files even if you don’t have the Acrobat Reader plugin installed.

· targa.dll

Displays TARGA (TGA) format image files.

· text.dll

Provides basic text- and hex-viewing capabilities. This plugin is the “default” and is used as a fallback if no other plugin is able to view a given file.

· textthumbs.dll

Provides thumbnails for text-files. The thumbnails allow you to quickly see the first few lines of each file by either switching to thumbnails mode or hovering to generate a tooltip. You’ll also see text-file thumbnails in the Opus File-Replace dialog. See below for details.


Viewer Plugin Manager

The Viewer Plugin Manager is available from Preferences - Plugins and lets you configure your installed Viewer Plugins. From this dialog you can selectively enable or disable plugins, configure them and view information about them, and change the order in which they are invoked.

For example, you may have two different plugins that can both handle a given type of file. Using the Plugin Manager you could rearrange the plugin order so that the plugin you want to use for that file type is called first.


Text Viewer Plugin

The text.dll Viewer plugin lets you view text files, and also binary files in hex mode. It behaves as the “default catch-all” plugin - the plugin that is invoked if no other plugin can handle the selected file.

From the Viewer Plugin Manager you can configure the Text Viewer plugin by selecting it and clicking the Configure button.

You can configure the font used in both text and hex modes. Note that the hex mode can be disabled if you never want to view files in this way. The Maximum file size for Viewer Pane option lets you configure the maximum file size that can be viewed in the Viewer Pane in a Lister.

When viewing a file in the text viewer, click the right mouse button to display the Viewer Pane context menu. From here you can toggle word-wrap on or off and switch from text to hex mode and back again.

If you find that files you are viewing are appearing as raw hexadecimal information it is probably because you do not have a plugin that can natively handle that file type, and instead they are being displayed with the text viewer plugin.


MP3 Tag Editor

The mp3.dll Viewer plugin lets you view and edit the most commonly used ID3 tags in MP3 files. To access the Tag Editor, simply open the Viewer Pane and select the MP3 file you wish to edit (or select the MP3 file and click the Show button to open the tag editor in the standalone viewer window).

The Tag Editor displays all the currently configured tags. To make changes, simply enter the information as desired and then click the Save button to update the MP3 file. The Undo button can be used to discard any changes you have made and revert to the original tag settings.

The drop-down arrow to the right of the filename field lets you show or hide the MP3 audio information (in this image it is displayed). When the audio information is displayed there are also “play” and “stop” buttons to let you listen to the currently selected file (you need to have Windows Media Player installed for this feature to work.)

The Tag Editor can also be configured by selecting its entry in the Plugin Manager and clicking the Configure button. The options available are:

· Add “Edit Tags” option to MP3 context menu: If this option is enabled, Opus will add an “Edit Tags” item to the context menu for MP3 files. Selecting this item will open the file in the Opus standalone Image Viewer.

· Automatically save changes: If this option is enabled, changes to ID3 tags are automatically saved when the currently viewed file is closed (either by closing the Viewer Pane or by moving on to another file.)

· Save ID3v1 tag as well: If this option is enabled, the information you supply will be saved in an ID3v1 tag as well as in ID3v2 format.

· Copy tags from other MP3s by drag and drop: You can drop MP3 files onto the Tag Editor to copy tags into the currently viewed file. This option controls which tags are copied by default. If you drag and drop with the right mouse button, a popup menu is displayed that lets you override the default setting.


Movie Viewer Plugin

Directory Opus 9 comes with a Viewer plugin that lets you play movies in the viewer pane or image viewer. It supports AVIs, MPGs, WMVs - basically any format that Windows Media Player can play.

The controls in the movie plugin’s toolbar are, from left to right, Play/Pause, Stop, Rewind, Fast Forward, Loop, Mute and Volume. The slider control gives you an indication of the current position and lets you freely reposition the playback position.

The movie plugin has several settings which can be changed. If Automatically play movies is enabled, the movie will begin playing automatically when the viewer opens - if not, you must click Play to begin playback. You can choose to Automatically zoom to Fit to Page when entering full screen mode - the previous zoom level is restored when you exit full screen mode. You can also choose whether or not to maintain the aspect ratio when Fit to Page mode is active.

The movie plugin can optionally generate thumbnails for movie images. If this is enabled then Opus will no longer be able to display animated AVI thumbnails as these will now be provided by the plugin. The plugin supports “black detection” to attempt to skip over initial black frames in movies. You can specify the maximum time the plugin should spend generating a thumbnail and the threshold for detecting initial black frames.

The movie plugin also provides file information about movies for display in Details and Power mode Listers.


ActiveX Document Plugin

This plugin allows you to view various document types within the Opus viewer pane. The plugin will hook other programs and viewers into Opus, depending on which compatible software you have installed. It is designed to work with the following:

· Microsoft Office (Word, Excel, PowerPoint, etc.)

· The standalone MS Office Viewers (free)

· The OpenOffice.org suite (also free)

· Internet Explorer (for HTML)

· Adobe Acrobat Reader (PDF)

· Shockwave Flash

· And more...

ActiveX - Configuration

While the plugin will work with many ActiveX controls, in particular many of those designed as plugins for Internet Explorer, it will not work with absolutely all of them due to the many variations and expectations of different controls, some of which literally expect to be running inside of IE.

There will also be compatible controls which you may wish to disable. For example, Citrix ICA files will create a Terminal Services connection to their associated server within the Opus viewer window and, while this looks quite neat, it is unlikely you would ever really want it to happen.

The configuration dialog allows you to specify, via a list of file extensions, which types of files will be handled. You can also drop any file on the dialog to test whether a compatible viewer is installed.

If you are having trouble viewing files which you think should work, please first verify that they display correctly in Internet Explorer.

The Show Application Toolbars option will show or hide the toolbars of certain applications, for example those of the MS Office suite. Not all applications will respect this setting.

The Create temporary copies of Office files will copy files viewed by MS Office and OpenOffice to a temporary location to avoid unwanted changes being made and to work around problems that these applications may have when you try to open a file while viewing it in Opus. This setting is highly recommended.

The Alternative open method option is provided in case you find that MS Office applications open in separate windows instead of within the Opus viewer pane. We found this happens on some systems with certain versions of third-party Anti-Virus tools installed, but using a slightly different method of opening the files solves the problem. However, this alternative method is incompatible with OpenOffice and has some minor disadvantages in general, so it is not enabled by default and should only be tried if problems are experienced.


Gif and Animated Gifs Plugin

This viewer plugin allows you to view and manipulate Animated GIFs in Opus viewer windows and preview panes. It has several features that you won’t find in any other animated GIF viewer

Features - Animated GIF Plugin

No loss of functionality

The functionality of the internal Directory Opus image viewers has been reproduced so that you don’t lose anything by having the plugin installed. When enabled, the plugin is responsible for all GIFs, animated or not, so this is a must.

Images can be dragged, zoomed, rotated, selected, copied to the clipboard and printed, even while they are animating. In fit-to-window mode animations scale in real-time as you resize the window. Mouse button settings are respected. (For example if the left mouse button is configured to drag the image you can still select portions of it by either holding down the Shift key or using the middle mouse button instead.) As with the internal viewers, you can view files on FTP sites and inside ZIP archives.

Gif Toolbar

An extra, optional toolbar can appear at the bottom of the viewer/preview window when an animated GIF is playing. The toolbar allows you to pause animations and step through them frame-by-frame. You can play animations backwards or drag the track-bar back-and-forth.

Flatten animations

The three toolbar buttons next to the play/pause controls allow you to flatten the frames of an animation into a single image. You can flatten horizontally, vertically, or tiled into a grid that fills the window. If you flatten to tiles while in fit-to-window mode then the tiles will be positioned and scaled so that you can always see every frame in the image and the view will adjust to remain optimal as you resize the window. Flattened images can be dragged, zoomed, selected, copied to the clipboard and printed like normal images. Try rotation as well, although it may not do what you first expect.

“Ctrl-A” hidden images

Some GIFs are actually two images merged together by alternating pixels. When one of the images is much brighter it appears as if the other image isn’t there. Internet Explorer highlights images by drawing a dark color over every other pixel and this masks out the brighter image to reveal the darker one. In Internet Explorer you can press Ctrl-A to select everything on a page and this is where the name comes from.

This plugin allows you to reveal Ctrl-A images in Opus and goes one step further by replacing the removed pixels with the average color of their neighbors, resulting in more solid-looking images. To reveal hidden images in the plugin, right-click on the image and choose one of the one of the options:

A few “Ctrl-A” animated GIFs exist and, of course, you can view their hidden animations. You can even reveal, rotate and flatten them, then select a portion and print it out.

Transparent GIFs

Transparent GIFs use the viewer’s configured background color or their own color if the viewer is set to auto-generate a background color. If you set a transparent GIF as your Desktop Wallpaper it will automatically be drawn on top of your Desktop’s current background color.

Gif Thumbnails

In Thumbnails, these features are not currently available. However, animated GIF thumbnails can have Film Sprockets drawn around them so that you can tell which images are animated, and which are not, when browsing through thumbnails. GIF transparency is also supported.

Gif Settings

You can configure various aspects of the plugin via the Directory Opus Viewer Plugin Manager.

· Two Animation Controls checkboxes define whether the toolbar (see above) appears for animated GIFs when they are viewed in preview panes and separate viewer windows.

· Film Sprockets allows film sprockets to be drawn around thumbnails (see above).

· The Frame Delay options allow you to adjust the delay between animation frames. Many GIF animations specify zero delay between frames on the assumption that whatever is playing them will have an inherent delay. In most cases animations play far too quickly with no delay between frames. By default the plugin will wait 75 milliseconds between zero-delay frames but you can change this if you wish.


Text-File Thumbnails Plugin

This plugin provides thumbnails for text-files. Apart from looking great, the thumbnails allow you to quickly see the first few lines of each file by either switching to thumbnails mode or hovering to generating a tooltip. You’ll also see text-file thumbnails in the Opus File-Replace dialog.

UNICODE text files, including Windows XP Registry files, are supported in addition to normal text-files and files inside of ZIP archives.

Hint: Add the {thumbnail} tag to the InfoTip of the All Files file type if you want to see text-thumbs when you hover over files in Details and Power mode.

Text-File Configuration

You can define different settings for different files based on their file extensions. The settings for the <default> item will be used if none of the others match. Options below the extensions list in the Appearance box are specific to the currently selected extension.

· Wrap Lines causes wide text to wrap around inside thumbnails instead of running off the right-hand edge.

· Remove Blank Lines strips out blank lines so you can see more data per thumbnail. (Note that the lines have to be completely empty, including no spaces or tabs, and the Wrap Lines option can sometimes cause blank lines to be added.)

· Force Filetype Icon allows you to force the display of the file type icon in the bottom-right corner of the thumbnail. In the intermediate state as shown, the icon will appear, or not, according to your general Opus thumbnail preferences.

· Populate Description Column causes Opus to display the first part of text-files in the Description column of Details and Power mode. This can be useful to see quickly what’s in a file without generating a thumbnail, but it can also look quite poor so is off by default.

· Include in Folder Thumbnails specifies whether text-file thumbnails should appear as part of folder thumbnails. If you would rather only see images etc. inside folder thumbnails, then turn this off.

· Font allows you to change the font and color used for text in the thumbnails.

· Color allows you to change the background color used for the thumbnails.

· Clicking the Example Image will cycle through several example texts allowing you to see the effect of the options on different types of data.

· The Ignored Files section allows you to disable the generation of text-file thumbnails for certain file types. The plugin will automatically ignore files that don’t appear to be text; however, some types of file look like text to the plugin but, when viewed as plain-text, either show nothing meaningful or would be better viewed in some other way. By default HTM and HTML files are ignored, because many people prefer to have webpage thumbnails rendered via Opus’s Shell Image Extraction support. Files beginning with the markers for Adobe Illustrator, PDF and Rich Text Format are also ignored. You can add or remove filters from either list as you please.


VFS Plugins

As well as the Viewer Plugin system Directory Opus has a VFS (virtual file system) plugin system. This gives third-party developers the ability to add their own support for virtual file systems (for instance, different archive formats) to Opus.

Directory Opus comes with one VFS plugin that supports RAR archive files.

This uses the freely distributable unrar.dll to access RAR archives. Unfortunately as this does not support creating or adding, Opus RAR support is read-only, but all “read” functions (like copy, double-click, show, thumbnails, etc) work fine, and you can browse RAR archives in Opus as transparently as you can with ZIP files.

If you do not currently have WinRAR installed then you should be able to immediately access RAR files by simply double-clicking them. If you do have WinRAR installed already you will need to edit the RAR file type and assign the command Go for the Left double-click event as shown in this image.

VFS Plugins are managed from the Plugins section in Preferences in much the same way as Viewer Plugins.


The Opus File Filter System

Directory Opus has an exclusive file filter system, which is used in several parts of the program, including Find, Advanced File Selection and the Copy and Delete Filters.

The file filter system lets you match and identify files by a number of methods: name, size, date and time, attributes, type, etc, as well as by the contents of the files themselves.

File filters, no matter what they are used for, are configured through a common interface called the Advanced Filter Control.

The above image shows the default, or initial filter. This gives you a starting point from which to build your own filters, however it can be modified easily, or you may even create a new one from scratch.

Filters are like documents in some ways in that they can be saved to disk and re-loaded for later use. The Toolbar at the top of the Advanced Filter Control area lets you do this. The New Filter (first) button clears the current filter completely - if you hold the Shift key down when you click it, however, it re-creates the default filter shown above. The Load Selection (second) button in the Toolbar loads a filter from disk, and the Save Filter (third) button saves the contents of the current filter for later use.

You can use filters interchangeably (with supported functions): for example, a filter that you originally defined for use with the Find command can just as easily be used for Advanced File Selection when selecting for recursive copy operation.

A file filter consists of a list of matching commands, which define tests that Directory Opus applies to files and folders. If a file or folder passes all of the tests that a filter defines, it is said to have been matched by the filter.

You can define as many matching commands in a filter as you like. To add a matching command, click on the small plus button on the left of the filter control. Which plus button you click determines where the new matching command will be inserted. If you click the very last plus button in the filter, the new command will be added to the end. Similarly, click a minus button to remove a matching command from the filter. Be careful though! There is no undo feature here, so it is often safer to simply disable a matching command by turning off the checkbox to the right of the minus button. In the above picture, all matching commands in the filter are disabled except for the very first. When a matching command is disabled, the filter ignores it completely - it is treated as if it wasn’t there at all. Note that you cannot edit a disabled matching command - you need to enable it first.

All the matching commands employ the use of special hidden field controls. These are normal Windows-style controls and are used to edit the contents of the matching Commands; however they are normally hidden from display to enhance the readability of the filter. When you click on a field in a matching command, the control used to edit it is displayed and remains visible until you click somewhere else.

The matching commands are conjoined by the Boolean operations And and Or. To change which operation is in use, click the spot where the word And or Or currently appears. A drop-down list will appear letting you select the operation you desire. Most of the other hidden field controls work in the same way.

There are many different types of matching commands. The most common is Name, which lets you match a file by filename using wildcard pattern and regular expression matching. (See Appendix A for more details.) Often this will be the only command you need. However you can construct extremely powerful and complex filters by combining different types of matching commands.

When you add a matching command to the filter, it is initially set to Name. Changing the type of matching command is as easy as changing the conjunction ((Boolean Operator as shown above) - click on the current file characteristic, and a drop-down list will appear letting you select a different file characteristic to use.

A matching command can also be negated: for example, you may want to match all files that don’t match a particular wildcard pattern. The easiest way to do this is to define the matching command as if you did want it to match, and then change the match option from Match to No Match. Again, click on the current option and select the desired one from the drop-down list.

The matching commands that are available are as follows:

· Attributes: Matches files and folders based on attributes (Read-only, Archived, Hidden and System). You can specify attributes that must be on and attributes that must be off for the filter to match. Any attributes that are not set in either the on or off fields are ignored.

· Compare: Compares files and folders for differences. This command is only available in filters used for the Advanced File Selection function. The comparison is performed between the source and destination folders. You can test for items that are the same, or items that differ by size, date or both.

· Contains: Tests if files contain a given text string. You can search for a verbatim string of text, or enable the wildcards or regular expression options to permit pattern matching. You can also choose to only match whole words (words that are surrounded by spaces or punctuation), and select whether the search is case-sensitive or not.

Use the / (forward slash) character to specify non-ASCII characters to search for in plain text and wildcard searches (but not regular expression). The following codes are valid:

// Literal / character
/r CR (carriage return)
/n LF (linefeed)
/t Tab
/xHH Lets you specify an ASCII value in hex, e.g. /x2F
/DDD Lets you specify an ASCII value in decimal, e.g. /123

· Date: Matches files and folders based on their modification, creation or last access date. You can test for a specific date, or use a date range (for example, all files modified within the last week). Note that some file systems may not support the last access date.

· Date/Time: Similar to Date except that you can specify a time as well as a date, for more precise matching.

· Description: Checks the file descriptions (if any) for a given text string. As with Contains you can search for a verbatim string of text, or enable the wildcards or regular expression options to permit pattern matching. See Contains above for details.

· Document: Searches on any of the Document category fields available in Opus. These may include Author, Category, Comment, Subject etc.

· Filter: Allows you use another filter that you have previously created and saved to disk. This can be extremely useful: for example, you can define a complicated filter to match a specific set of files, and then refer to that filter in a second filter that also tests for additional characteristics.

· Image: Searches any of the Image category fields available in Opus. These include EXIF fields for Digital Camera images. For example you could search for specific makes of Camera or a certain Shooting time when the photo was taken, etc.

· Location: The location field lets you include the location of a file as part of the search parameters. The value you specify must match the full path of a file for it to be matched by the filter clause. For example, specifying *\Temp\* would cause files to only match if they were below a folder called Temp.

· Music: Searches any of the Music category fields available in Opus. For example, this allows you to search for MP3 files of certain types. You can select from Artist, Bit rate, Comment, Genre, Sample rate, Song length and Title, or you can search any field in the Music Category. For example, you could use this to automatically select all MP3 files with a bit rate greater than 160 kHz.

· Name: Matches files and folders based on their filenames. You can search for an exact filename, or enable the wildcards or regular expression options to permit pattern matching.

· Owner: Searches on the Owner file attribute of the file.

· Size: Matches files (not folders) based on their size. You can choose from greater than, less than or equal to. To test for files between two sizes (for example, greater than 5 KB and less than 20 KB), use two separate Size commands conjoined with And.

· Subclause: This is a special command that lets you construct extremely complex filters. It takes the place of brackets in a mathematical equation. For example, match files where the size is greater than 5 KB and less than 20 KB, Or files where the size is greater than 50 KB and less than 100 KB would be represented using two subclauses as follows.

Subclause Match

Size Match is greater than 5 KB

And Size Match is less than 20 KB

Or Subclause Match

Size Match is greater than 50 KB

And Size Match is less than 100 KB

· Subfolder: The Subfolder category creates a sub-clause which lets you restrict the sub-folders that Opus will enter in recursive functions. For example, by default the Copy command will copy all selected sub-folders, and their sub-folders, and so on. Using the Subfolder clause you could tell the Copy command to only recursively enter sub-folders that matched a certain name or had been modified after a certain date.

· Time: This command is similar to Date except that it matches files and folders based on their time stamps rather than their date stamps.

· Type: Matches files based on their file type. This is an alternative to using the Name command to specify a wildcard file extension. For example, instead of have a “Name *.txt” command, you can have a “type Text Document” field. This can make the filter much easier to read.

You can also use the Type command in combination with the Subclause command to exclude folders from file operations using the Copy/Delete Filters. For example, if you wanted to copy everything except a folder called “Debug”, you would add the following command to the filter.

Subclause No Match

Name Match Debug

And Type Match Folders Only


Opus Find

Opus implements its own FIND command which makes it easy to search for files of a given type or those which match defined patterns or contain specific information. Find has a Simple mode which is more like the traditional Explorer Find function. It also has an Advanced mode, which employs the extensive range of functions available via the Advanced Filter Control, to provide you with a very powerful search capability.

The Find function operates in any real folder including local or networked drives and ZIP files plus any of the new virtual folders created by the Opus File Collections system. The Find location field also supports the use of handles environment variables and path aliases.

Both the Find and Duplicate File Finder allows you to specify multiple locations to search.

Find is not available in System Namespaces and system virtual folders such as My Computer etc because they are not actually controlled by Opus. Find can also search multiple hard drives (you can either select the drives you wish to search, or you can choose to search all local drives automatically).

The image above shows the stand-alone file dialog using the simple mode for the Opus FIND command after a search with the results displayed in the Find Window at the bottom of the display.

The Find tool may also be opened directly in the Lister window as a bottom pane as shown below. This option is available from the default Tools menu. When you perform a search using the Lister Find Panel the results are displayed in a File Collection in the Lister itself. This lets you use all of the functionality of the Lister to view and manipulate the found files.

This image illustrates the options for the Advanced mode of the Opus FIND dialog.

The Find Window presents several sections. The top section (1) defines the starting folder for the Find operation as well as several self-explanatory options. The initial starting folder is taken as the current folder from where Find was invoked but can be changed by browsing for a different folder or one or more drives. You may also specify the collection name to be used to store the results of your search.

Section (2) defines the parameters for the search. In Simple mode, you can enter a filename wildcard pattern, search for text within files, and specify file type, size and date parameters. In Advanced mode, you may select from a wide range of options in the same manner (described in The Opus File Filter System) as well as the Copy and Delete Filters.

The bottom section (3) displays the results of the search if enabled via the Show Results in Find window option in (1). Alternatively the results will be displayed in the Output Window. This display behaves in a manner similar to that of a Lister with selectable columns and popup context menus.

Also shown above are (A) the column title menu, (B) the file context menu and (C) the default context menu. Files may be selected and dragged out of this window as normal. From the file context menu you may open the folder containing the selected file in a new Lister, perform a variety of file actions including Open, Cut & Copy (to Clipboard), Delete and Rename or display the Properties of the file. Other popup menus are also shown above.

More:

Using the Advanced File Filter in Find


Using the Advanced File Filter in Find

With the power of Opus’s extensive Advanced Filter Control functions, you can search for simple file name matches or define extended search parameters. See the previous chapter for details on how to use The Opus File Filter System.

For example, the image of the Advanced Find above shows a typical difficult search action made simple in the Opus Advanced File Filter which may not even be possible with other search facilities. The requirement was to find all the RAW, JPEG or TIF images on a disk containing thousands of digital images for a specific portfolio which had been added or changed between 20th March 2007 and 24th April 2007, and where the images were greater than 2Mb in size and created with a Nikon digital camera. The search criteria were set to:

Name Match *.(jpg|raw|tif)

And Date Match between 20/03/2007

And 24/04/2007

And Size Is greater than 2 MB

And Image Camera make Nilkon

As another example example, let’s say you wished to find all the GIF or JPEG images in a FrontPage Web graphics folder which had been added or changed in the last 13 days. This needed to look for all files with the extension “jpg” or “gif” which had been created or modified during that period. For sanity it also need to ignore the contents of any special folders used by FrontPage for administrative tasks, that is, to not look inside folders beginning with an underscore. The search criteria would be:

Name Match *.(jpg|gif)

And Date Match modified within 13 days

And SubClause No Match

Name Match _*

And Type No Match Folders Only.

Remember that in a similar manner, the Advanced Filter Control functions can be used with the Select command for selecting files within a Lister and also with the recursive Copy and Delete filters.


The Opus Output Window

Opus provides a special place to display the results of various functions. This is called the Opus Output Window, and can be accessed from the default Tools menu. It displays the following data:

· Find

Displays the result of FIND command searches unless these have been directed to the Find Window itself.

· Undo

Displays a list of the last 10 undoable file operations performed by Opus. From here you may select one or more items and click the Undo button. Opus will attempt to reverse the action if possible. Note that not all actions can be undone.

· Log

If Logging has been enabled from Preferences, displays the Log Page of your file operations. This can prove indispensable for tracking file operations - especially if you did not intend to perform a specific function. For example, you may need to find out what has happened to files that you have accidentally dropped in the wrong folder or accidentally deleted!

· Test

Shows the result of testing difficult or complicated pattern matching for the Rename command.

· FTP

If enabled in the FTP Address book, displays the FTP session logs for an FTP connection.

· Email

Displays a list of pending emails as they are sent using the Opus SMTP Email system. The Email tab also lets you use a simple built-in email function to quickly send a new email message. You must configure your SMTP server settings in Preferences - Miscellaneous to use the built-in email system.

· Script

The Script tab in the output window displays the output of any scripts (including error messages) from Advanced Rename and other scripting options in Opus.

Dragging the Output Window around the screen

There is an option in Preferences - Miscellaneous to allow the Output Window to dock with the edge of the screen. If this option is enabled, dragging the Output Window near the top or bottom edges of the screen will cause it to automatically dock - hold down the Shift key to override this behavior. If the Output Window docks you can undock it again by dragging the grab bar away from the edge of the screen, or use the Undock command in the context menu.


Opus FTP

Directory Opus 9 includes a powerful, multi-threaded FTP engine. When you use FTP via Opus, you do not need to worry about the peculiarities of the FTP protocol itself or learn any special commands. All of this is seamlessly integrated into the program and you can quickly and easily connect to remote FTP sites through a traditional Opus file Lister.

Opus FTP allows you to access files and folders as if they were on a local hard drive, and almost all the normal Opus actions and commands will function as you are used to. You can copy to and from the remote site, delete files, rename files, change the attributes of files, double-click a file to view or read it, and so on. You can even use the Viewer Pane to view files on the FTP site without downloading them first! Of course, your ability to perform some functions such as delete, etc, will depend on whether you have the appropriate permission from the remote site.

Directory Opus uses the TCP/IP stack provided by your Operating System. It is assumed that this is installed and operating correctly and that you are connected to the Internet. Problems with TCP/IP and the connection are beyond the scope and responsibility of Directory Opus.

More:

Connecting to an FTP Site

Connections

Binary or ASCII File Transfers

Closing FTP Connections

FTP Directory Cache

File Dates

Moving Files

Resume File Transfers

Site-to-Site Transfers

Enhanced Time Zones and Remote Date Stamps

Secure FTP

FTP Address Book


Connecting to an FTP Site

Directory Opus provides a Quick Connect command for you to access new FTP sites, as well as a full-featured address book for repeated access to your favorite sites. These commands are available from the FTP menu in the default menu. Alternatively, you can directly enter a valid FTP URL into the path field of an existing Lister. The URL format is defined in RFC 1738 and is of the form:

FTP://<user>:<password>@<host>:<port>/<url-path>

In the address book, the connection parameters and other details can be extensively tailored to match the characteristics of a given FTP site. See Preferences - FTP for further details.

►You can drag FTP sites out of the address book to create a shortcut on the Desktop. Double-clicking on the shortcut will open the site in a new Lister and dropping external files on to a Desktop FTP shortcut will connect to that site and transfer the file(s).


Connections

When you connect to an FTP site, Opus initially opens a single control connection to the designated site for the current or a new Lister. Opus uses this connection to obtain directory listings and perform file functions. You can open as many remote sites at the one time as you wish, but each Lister will open its own, new connection to the site in the current Lister.

Normally, the initial connection will be used for all activities such as reading directory contents, transferring files and so on. However, because FTP is a blocking protocol, a connection can only perform one action at a time. With traditional FTP programs, if you are copying files, you cannot perform another action until the copy finishes. With Opus, this is not so. To prevent blocking of the Lister, Opus uses an internal connection arbiter which ensures that access to the site is always available when needed. This will invisibly spawn new connections if the current connection is busy. For example, if you start copying files then change directories while the copy is underway, a new connection will be established with the site to read the directory and perform subsequent commands. Such background connections are automatically closed when the task they are performing has completed. This mechanism ensures that a remote FTP directory behaves just like a folder on a local drive.


Binary or ASCII File Transfers

By default, Opus uses a binary transfer method when transferring files between your local drive and a remote server. This ensures the integrity of the data. File contents are never altered during the transfer.

You may need to transfer text type files such as htm, html, asp, C source or scripting files for web servers etc between your local machine and a remote server which is not running Windows. Sometimes it may be required to adjust the EOL (line termination) of the text to account for the difference in file formats between UNIX and MS-DOS. In such cases, you can tell Opus to transfer the files in a special ASCII mode which automatically adjusts the EOL termination. Consult the administrator of the remote server if in doubt.

Or, as we recommend, choose the Automatic setting and Opus will check the file type from the ASCII Identification List and select between Binary and ASCII as required.

WARNING: If in doubt, always use Binary mode. Do not set ASCII mode for binary files - they will be corrupted by the conversion process.


Closing FTP Connections

You do not have to specifically close an FTP connection. Simply close the Lister or change the Lister path to a local folder, or connect to another FTP site, and Opus will close the existing connection and tidy up behind you. If you leave a connection open for an extended period, it will usually timeout from inactivity after approximately two minutes, unless you have enabled the Keep connection alive option from FTP Preferences.


FTP Directory Cache

The directory contents of the remote folders are fully cached so they do not need to be reread each time. This speeds up access to directories you have visited previously in the session. Directory caches for a given site are preserved by Opus as long as there is at least one connection remaining to the site. When the last connection to a given site is closed, all directory caches are flushed from the system.


File Dates

Many FTP programs only support the restricted time and date formats provided by the original UNIX LS command. Opus fully supports the FTP protocol extensions which allow the display and preservation of the true file date and time (including seconds) of remote files. Opus will also attempt to set the correct file dates for all transferred files. These advanced functions are most commonly seen with SERV-U FTP servers. Whether these extended features are available on a given site depends on the capabilities of the remote FTP server.


Moving Files

On a remote FTP site, you can move files between directories just as you do with a local drive. Either use the Copy MOVE command, Cut and Paste functions, or drag selected files and drop them onto a sub-directory. The move action can also be performed by using the Rename command if the new name is in another directory.


Resume File Transfers

The Opus 9 FTP system provides a handy resume feature which can be useful if you have a slow or unreliable connection, or have to disconnect in the middle of a transfer.

All you need to do is re-establish the connection at some later time and locate the same file - it doesn’t have to be in the same place as long as it has the same name as the original. Then, simply select the file you wish to resume, make sure the original partial file is in the destination Lister and click the Copy button. A dialog will appear giving you several options. You may skip or replace the whole file as usual, or resume to receive (or send) the rest of the file. This dialog automatically appears whenever you attempt to copy a file to or from an Opus Lister when a file with an identical name already exists and the source file is larger than the destination file.

►Unfortunately, not all FTP sites support the resume operation. This depends on the remote operating system. Some such as WindowsNT4 do, but they resume from byte 0!


Site-to-Site Transfers

Although rarely implemented in other FTP programs, Directory Opus has always supported the transfer of files directly between two remote FTP servers. This is known as site-to-site transfer. Although it is done in full compliance with the FTP protocol, it is not supported by all FTP servers (or most likely has not been enabled). Site-to-site transfers can be a great advantage if you have to maintain remote FTP sites!

If the servers you use do not support this ability, you can select to turn off this behavior for specific sites from the FTP site Preferences. In this case, Opus will automatically perform the file transfer instead by downloading the file to your computer first then uploading it to the destination site.


Enhanced Time Zones and Remote Date Stamps

Opus was one of the first FTP clients to support the setting of remote date stamps on copied files via the use of the MDTM command, and has always allowed you to set a Time Zone for the remote site to keep remote files in sync with local copies. A recent draft standard for this extended MDTM FTP command specifies that times should be represented in UTC (GMT). However in the past most if not all servers expected local time. Opus has been enhanced to support the new standard.

The popular FTP Server - Serv-U has also changed behavior in the latest version 5 and now always expects UTC for the MDTM command for the date stamps.

To support these issues, a Time Zone setting is available in the Miscellaneous commands section in the FTP Preferences.

· The Time Zone setting on the Site Preferences has Automatic (ServU) as the first entry. For Serv-U servers, use this in preference and Opus will query the server to ask for the remote Time Zone as well as checking which type of MDTM command is required according to the version of Serv-U. (However this is not foolproof since the administrator can thwart this check by changing the responses!)

· In the Miscellaneous section it is possible to define whether the MDTM command uses local time or UTC. Leave at default unless you find your server showing incorrect date stamps after a file upload.

Opus internally supports the use of the extended FTP FEAT command to enquire of the features available in the remote server. Opus will use these automatically if they are available.


Secure FTP

Directory Opus 9 provides optional support for Secure FTP connections. The Secure FTP options including both SSL and SSH/SFTP are a GPSoftware Added Optional Package (GAOP) and can be purchased when you purchase Opus 9, or added on later if you need them, for a small fee.

There are two methods of Secure FTP supported:

· Secure FTP via SSL

Both Implicit and Explicit Secure FTP connections are supported. Explicit means the client (Opus) issues an AUTH command and asks for an SSL connection. Implicit means the client assumes the server is running an SSL connection on port 990 and attempts to immediately open a connection (for example, as used by the excellent FTP server, Serv-U). Normally, implicit connections are recommended.

Note that if the SSL connection is not accepted, then the FTP connection will fail. For security reasons it will not auto-fall back to a non-secure connection - instead, you will get an error message informing you that a secure connection could not be established.

· SSH / SFTP over SSH on port 22

This system is based on the freeware Putty source code of Psftpa by Simon Tatham et al. Opus provides a seamless integration of the SSH connection type on port 22 and FTP over that connection as if it were a normal FTP connection. The SFTP protocol is more limited than normal FTP and some options in the FTP settings do not apply to SSH - these will be ghosted when this connection type is chosen. Because Opus essentially is based upon the Putty system, any settings from an existing Putty installation stored in the Registry should be recognized and used as if you were connecting via the command line Putty version.

When a Secure FTP session is established, the icon in the location field changes to indicate that it is a secure connection.


FTP Address Book

This section displays the address book or list of defined FTP sites. You can create new site entries, edit or delete existing ones. Apart from those immediately visible, extra functions including Cut, Copy, Paste, Create New Folder, Create Shortcut are available from the context menu over an individual site entry. You may also drag a site entry out of this list and drop it on the Desktop to create a shortcut.

Opus allows each FTP site to have its own custom settings or inherit a common set from the Default Settings as defined in the first item. Normally you will be able to use the default settings provided by Opus but you can tailor individual Site settings for special cases if required.

The FTP section of Preferences is displayed in it’s own separate dialog. The dialog contains menus which make it easy for you to configure and import or export address books.

More:

FTP Global Settings

FTP Individual Site Entry Settings

FTP Network - Connection

FTP Network - Reconnect

FTP Network - Site-to-site Transfers

FTP Display

FTP Display - Log

FTP Index Files

FTP Sounds

FTP Miscellaneous

Speed


FTP Global Settings

This section defines the global settings for Opus FTP

· Anonymous password: Defines the password to be used when using an anonymous login to an FTP server.

· Show site passwords: Passwords in Opus FTP sites lists can be hidden or shown in plain text. This allows passwords to be shown in plain text.

· Remember Quick Connect passwords: When you connect to an FTP site using the Quick Connect function, Opus normally stores information about the last connection so that it can be quickly recalled next time you use Quick Connect. If you turn off this option Opus will not store the password of the last connection.

· Global password: The global password is required before you can reveal any fields with hidden details. If set, you are required to enter this before other passwords are revealed in plain text. It allows you to secure your Site passwords from casual users of your computer. The initial default password is set to “password”. We recommend that you change this.

· Proxy Settings: Opus can connect to the FTP server via a (local) proxy server. Enter the details in this section.

►NOTE: GPSoftware can not provide support for proxy settings. Consult your local network administrator if you are unsure of what settings to use.


FTP Individual Site Entry Settings

· Site Name / Host Address / Port: Enter the details for this Site. Enter your desired name, the IP or host and the port number used for FTP on the remote server. By default, this uses port 21.

· Anonymous or Username and Password: If the remote site allows anonymous connections Opus can login using the anonymous password defined above. Otherwise you will need to enter your defined user name and password.

· Initial Directory: If required, Opus can attempt to CD to a specific directory immediately after a successful login to the remote server. Leave this blank to access the default FTP root directory for the server. If you have asked Opus to remember the last accessed directory from Network Settings, Opus updates this field with the current directory path when you close the connection to the site.

· Time Zone: Opus can adjust the displayed file times and dates to take account of the time differences between your computer and remote servers in other parts of the world. If enabled, this time zone information is also used when transferring files to and from the remote site. You may select the time zone offset in hours ahead of UTC (GMT). For example, Paris is UTC +1; US Eastern Time is UTC -5.

Note that the first entry is a special entry for Serv-U ftp servers where Opus will query the remote server for the actual time zone and set the correct time zone automatically if it is supplied.

►Opus will attempt to set the file dates after you copy files to a remote server but not all FTP servers support this function.


FTP Network - Connection

· Allow special names beginning with space: Some FTP servers allow special filenames beginning with a space character which is often used by site managers to hide files and directories. Many FTP clients often do not display nor allow access to such directories and files. Opus will check for this case if this option is selected.

· Keep last directory: Opus can remember the last directory accessed. When you disconnect from the remote server, the current directory will be transferred to the Initial Directory field of the Site entry and Opus will attempt to change to this path when you next connect to this site.

· Rescan directory after copy: After you have copied files to a site, it is possible for the remote and local folders to become out of sync especially if the server does not support the setting of file dates. This option causes Opus to re-read the remote directory after the copy finishes. It ensures that the visible Lister display is always synchronized with the remote directory contents. Recommended.

· Use PASV (passive) mode: Transfer of data from a remote server can either use active connections (PORT mode), where Opus tells the remote site to connect to a specific data port on your machine, or passive connections (PASV mode) where Opus asks the server to supply a data port with which we can connect. If your computer or the server is behind a firewall, you may not be able to establish an active data connection. When using Windows ICS connection sharing on a local network, you may also find that active mode does not function reliably resulting in timeouts on PORT commands.

Passive mode is selected as the default. We also recommend that you enable passive mode if the remote server is behind a firewall.

· Timeout (secs): This defines the local network timeout in seconds. In actuality, there is little you can do about this because of the way Windows Sockets works, but, you can try adjusting this if you experience excessive timeouts on connections. In such cases, you may be better to try passive mode connections.


FTP Network - Reconnect

· Retry count and Delay in seconds: If Opus cannot connect to a server, before abandoning the attempt, it will retry the connection up to the number of times you have selected.

· Automatically reconnect if connection lost: If the connection is lost, Opus attempts to reconnect to the server automatically.

· Keep link alive: Most FTP servers will close the connection after a period of inactivity of approximately 2-5 minutes. Opus provides a mechanism to keep the connection alive by sending default packets every so often. Some FTP servers do not support this.

►Such behavior can block the site from other users and can be viewed as anti-social. It is a better practice to connect to the site, perform the desired functions then disconnect, rather than attempt to keep the link alive for long periods.


FTP Network - Site-to-site Transfers

Opus supports the transfer of files directly between two remote FTP servers. This is known as Site-to-Site transfer. Unfortunately, not all servers support this so you may choose to disable this option for certain sites. If the option is enabled, Opus attempts to transfer files between the sites directly. If not enabled, Opus will download the data to your local computer first and then upload it to the other site - potentially a much slower process.


FTP Display

· Display progress windows (Logon, CD and List: Opus shows intermediate progress windows during login and read directory functions but these may be turned off if desired.

· Hide files beginning with a DOT: UNIX systems often have extra files beginning with a dot. This option hides such files.

· Show directory messages / Show startup messages: Opus can display the informative messages provided by the remote server when you first login and each time you enter a directory. These are displayed in the Opus Output Window under the FTP Log associated with this Site entry.

· Links - treat unknown link as files/directories: UNIX systems often have links to files and directories. Opus can usually determine the link type but unknown links can be treated as either. This setting defines an overriding behavior. By default, Opus treats a link as a reference to a directory.

· Logical parent directory: Directories on FTP servers are often accessed through relative links so the actual path of a directory may not be an absolute path. This option adjusts for this and allows for a logical parent directory.


FTP Display - Log

Opus can display the conversation between your computer and the remote server during an FTP Session. Choose one of two channels for the session log in the Output Window. Debug displays both the commands and responses plus other information in the session log.


FTP Index Files

Many FTP servers provide index files containing short descriptions of files and directory contents. If enabled, Opus will recognize such files automatically in the directory listing, download them and display the information to the Description field in the Lister. Opus recognizes the common index files but you can define extra index files if required. If multiple index files are found, the highest priority file will be downloaded automatically according to the settings. If you define a new index file you will also need to set the starting byte position in the index file where the file name description information is stored.

· Download automatically if less than given size: This restricts the size of the index file to be downloaded automatically. If the size is greater than defined, Opus will use the following setting to decide what action should be taken. If index is not downloaded automatically, you can select to ignore it or ask if it should be downloaded.


FTP Sounds

Opus monitors certain activities during an FTP session and can play sounds if these events occur within the defined time frame. For example, Opus can play a sound if a login to an FTP server is successful but takes longer than the Activation time. The sounds themselves are defined in Preferences - Sounds and must be enabled and defined there.


FTP Miscellaneous

· LIST Command: This contains the Use server-specific command option. If this option is enabled (the default) then Opus will determine the appropriate LIST command based on the type of FTP server it is connected to. If you need to specify a custom LIST command you can turn this option off and enter the command in the field provided. This should be done with care since it may prevent Opus reading the directory on the server. By default, Opus uses the command LIST -alF. If this does not work, possibly try LIST without arguments.

· MDTM behavior: Some FTP servers support the MDTM command to set the remote file date. While the current draft-ietf-ftpext-mlst-16 standard defines that this should be in UTC (GMT), this has been unclear in the past and different servers may require custom settings. From the popup list select to use UTC absolute file times or local file times. If you select local file times these can be modified according to the Time Zone setting in the FTP Site Preferences. If UTC is selected the file time is an absolute value not affected by Time Zone settings.

· FEAT / RESUME: Some FTP servers support the FEAT and RESUME commands so as establish special parameters for the connection and transfer modes. These are multi-function buttons. In default mode (rectangular highlight), Opus will decide whether to use these commands depending on the server and how it identifies itself. Alternatively you can turn them off or force them to be always sent.

· Transfer Mode: Opus supports the standard FTP transfer modes of ASCII and Binary, as well as a third Auto mode, in which case Opus will determine the transfer mode to use based on the name of the file being transferred. You can select the default transfer mode for each site - the default is Binary which should be used in most cases.

Under the Transfer Mode for the FTP Default Settings, the ASCII Identification List lets you configure the file names that Directory Opus will transfer as ASCII when the transfer mode is set to Auto. You can enter either file name extensions or full wildcard patterns in this list.

►IMPORTANT NOTE: If you transfer binary files as ASCII they will most likely be corrupted!


Speed

Although usually not required, Opus allows you to limit the transfer speeds so as not to saturate the available bandwidth of your internet connection. You can limit the Upload and Download speeds to defined values, or, you can choose to limit these only during certain hours. For example, you may only wish to limit the download speed during office hours but allow full speed after hours.


Opus Tools and Special Features

Directory Opus contains many commands and special functions to provide for your daily file management tasks. This chapter provides a summary of these special features. Note that these functions are all supported by the internal Opus command set. It is recommended that you read the following sections keeping in mind the Predefined and Raw Commands available in Opus.

More:

Synchronize

Duplicate File Finder

File Collections

Content Types - Automatic Recognition of File Content

Lister Themes

Secure Delete

Single Click

Image Conversion

Print Folder

Enhanced Replace Dialog

Windows Messenger Integration

Advanced Rename

Breadcrumbs-style Location Field

Flickr™ Synchronization

ImageShack® Image Upload

Support for Google Desktop Search


Synchronize

Several methods can be used in Opus to synchronize files between two folder paths, either local folders, network folders, remote FTP directories or within Zip Archives. The place to start is with the Visual Synchronize system and dialog available from the Tools menu. The second method is for the more advanced users and actually does the same thing but without the dialog interface and uses the underlying COPY commands and arguments directly.

Method 1 can also be used to check quickly the contents of two folders recursively into sub-folders if desired.

Method 1: Visual Synchronize

Whereas the above mechanism provides basic synchronization functionality using the Copy Update command, Directory Opus 9 also has a full visual file synchronization function. It operates in a dual-file display Lister, lets you synchronize either in one direction only or both directions, and lets you see what changes are going to be made before they happen.

Synchronize is accessed from the default Tools menu, and appears in the Utility Panel inside the Lister itself.

When Synchronize is first accessed it will open a new Lister and load the Synchronize Layout then use the current folder(s) in the Lister by default. You can change these paths using the path fields or browse buttons as you wish. You can also turn on the lock buttons which then cause the Synchronize panel to track the current Lister folder (so changing folder in the Lister will automatically update the Source/Destination paths for Synchronize).

The special Opus Layout called Synchronize Lister is normally opened by the Tools - Synchronization menu (actually this uses the command Go CURRENT DUALPATH={destpath} LAYOUT=synchronize). By default this is a dual display with a single Tree on the left and the sync utility panel open. If you wish you can change this. To do so, open Synchronize from the Tools menu then change the Lister display to what you wish, two Trees, no Tree and so on, then hold down the Shift key when you click the Close button on the top right of the Lister and this new Layout will be automatically saved. (Note this is the general shortcut method of re-saving any existing Lister Layout.)

If you would prefer to have the Synchronize panel open inside your current Lister instead of in a new Lister, you can edit the command in the default Tools menu and change it to Set UTILITY=Sync,Toggle.

Synchronize has two modes of operation:

· One way copy

Synchronizes the destination folder with the source folder. Any “non-matching” files will be copied from the source to the destination. You can choose the type of comparison that is done on these files:

- Size (copies if size is different)

- Timestamp (copies if timestamp is different)

- Timestamp and size (copies if either size or timestamp are different)

- Byte comparison (compares the actual files to determine if they have changed. This mode implies “size” - Opus will only compare files if the sizes are the same).

The one-way mode also has an option to delete files from the destination folder if they don’t exist in the source.

· Two way copy

Synchronizes in both directions - the source with the destination, and vice versa. Files are only copied in this mode, not deleted. The comparison method can not be set as the only method that makes sense in this mode is timestamp comparison. If a file that exists on one side does not exist on the other, it will be copied. If the file exists on both sides, the newer file is copied over the older one.

The other Synchronize options are:

· Ignore seconds when comparing by timestamp

If enabled, file timestamps are only compared to a 1 minute resolution. This is useful when comparing different file systems that may store seconds differently or not at all. If this option is disabled, timestamps are compared with a 2 second resolution.

· Synchronize sub-folder contents

If enabled, the contents of all sub-folders are synchronized as well. If this option is chosen, Flat View is used to display the contents of all sub-folders that will be affected by the synchronize operation.

· Use filter

Lets you specify a file filter or wildcard pattern for the synchronize operation. Only files that match the specified filter will be compared.

· Hide unaffected files

Once the comparison has been performed, any files that have not been marked to be either copied or deleted will be hidden from the display.

· Only compare existing files

If this option is enabled then Opus will only compare files that already existing in both locations. This lets you update a set of files that already exist with new versions.

· Automatically shrink panel

Enabled by default, this option will automatically shrink the Synchronize panel when Opus is performing the comparisons or the synchronize operation. This option simply moves the panel out of the way to give you more visual space to see the affected files. The panel may be manually shrunk or expanded from the small button on the top of the panel display.

· DST Compensation

If this option is enabled, Opus takes into account the possible Daylight Saving Time settings on the machine when comparing file times.

Synchronization is a two-step process. Once you have chosen the folders and selected the desired options, click the Compare button. This will launch the comparison function which actually compares the contents of the two folders. The Compare button will also do the following:

- If the Lister is not in dual-display mode, it will be put into this mode

- If the selected folders are not currently displayed in the Lister, they will be read and displayed

- Both file displays will be put into details mode if not already

- If the “synchronize sub-folders” option is enabled, both file displays will be put into Grouped Flat View mode

Additionally, all files in the Listers will be displayed with “checkboxes” that indicate the synchronize operation to be performed.

An arrow indicates the file will be copied, a cross indicates it will be deleted, and an empty box indicates no action. The checkboxes can be clicked to change the action to be performed if desired.

When the comparison is complete a summary of the operations to be performed will be displayed. You will also be alerted to any conflicts that were detected during the comparison (for example, a file on one side with the same name as a folder on the other side, and vice versa). If conflicts did arise you can click the Conflicts button in the results dialog to highlight the conflicting files/folders on both sides of the comparison, and take your own steps to rectify the problem.

Once you are satisfied with the results of the comparison, click the Synchronize button to launch the actual synchronization function. This runs a multiple-stage Copy and Delete function to perform the requested actions.

Method 2: Copy UPDATEALL and UPDATEEXISTING Commands

The second method is a simple mechanism which uses the predefined commands UPDATEALL and UPDATEEXISTING. It does not provide a visual display and is designed as a powerful and quick system to update web sites and remote (or local) folders frequently. If you wish you can easily create one or more special buttons to initiate the synchronization process for different situations.

To use this system, open a dual Lister display, set the left-hand side to the source folders and the right-hand side to the destination. Then highlight all files in the source folder (use the Select All button on the toolbar or be more selective if you wish by selecting only certain files or folders, or enable the Copy filter to tighten the selection criteria). Next use either the UPDATE EXISTING or UPDATEALL commands to update the selected files from the source Lister to the destination Lister.

These commands are actually extensions to the normal COPY command and are provided by default in the list of predefined file commands in the File - File Commands menu. Remember that just as with all Opus commands from Customize you can easily create new command buttons on toolbars if you use them regularly. Also, you may like to use the Opus Layouts system to save a specific Lister Layout, perhaps for a local folder and a remote web site that you update frequently.

In essence, these commands only select and copy files which are different between source and destination.

· The UPDATEALL command only copies files that: a) do not exist already in the destination, or b) do exist in the destination but are different from the files in the source.

Files that do not meet either of these two criteria are not copied. This is a useful way, for example, to update your web site on a remote FTP server without transferring files unnecessarily. A file is defined as being different if its timestamp or size has changed - the contents of the file itself are not compared.

· The UPDATEEXISTING command is very similar to UPDATEALL except that files in the destination folder are only updated if they already exist and are different from the source files. Files that do not already exist in the destination are not copied. By default Opus checks both file size and date to determine which files are different, however you can limit this test to either size or date by specifying the option on the command line.

By default the command will choose files that are different in size or date but you can refine the commands to select on either size or date and you can add other arguments if you wish to further tailor the selection criteria with the UPDATETOLERANCE argument.

Since these commands are actually extensions to the normal COPY command, when the file copy starts you will be presented with the Confirmation dialog as normal showing the differences between the files and asking if you wish to overwrite the file. If you are confident that you wish to always overwrite the destination files, you can edit the button command and add the extra argument FORCE to the command line.

See the Copy command in the Appendix for more information.


Duplicate File Finder

The Duplicate File Finder can be accessed from the default Tools menu and is the third tab in the Utility Panel.

Similar to Synchronize, by default the Find Duplicate Files command opens a new Lister. You can change this behavior to open in the current Lister by editing the default menu item and changing the command to Set UTILITY=Dupe,Toggle.

This tool allows you to search a single folder, drive or multiple drives for duplicate files. You can search for duplicates of a specific file only, or ALL duplicate files. Use the browse buttons to select the folder or drives you want to search, or turn on the padlock button to track the current folder in the Lister.

Two comparison methods are available. Filename and size will identify files as being duplicates if they have the same filename and are the same size. MD5 checksum will calculate the checksums of files for a more secure comparison. This method is much slower than the previous method, but it does let you identify duplicate files that may not have the same filename.

The other options let you elect to search recursively through sub-folders, search inside of archives and specify a filter that is used to limit the search to particular types of files.

The results are presented in a File Collection, by default called Duplicate Files, although you can change this if you wish. Turn on the Clear previous results option to have the old contents of the results Collection cleared before searching begins.

There is a special option in Folder Formats for Collections called Group Duplicates. This only has effect in a Collection that has been generated using the Duplicate File Finder. It causes all duplicate files to be grouped together, irrespective of the sort order. Alternating file groups are shown with a different background color (configurable from Preferences - Display). The Duplicate Files Collection has a default folder format which enables the Group Duplicates option by default. If you change the Collection the results are output to, you may need to configure a folder format yourself to achieve the same effect.

The Delete mode option can be used to easily delete duplicate files once you have found them. If turned on, the results Lister will automatically be put into checkbox mode, and all duplicate files (except for the first one found for each set) will be marked for deletion. You can then click the Delete button in the Find Duplicates panel to delete them without having to select them one by one.


File Collections

The File Collection system is a unique concept in Opus 9. A File Collection is basically like a real folder, except that the files within the Collection do not all have to be in the same physical location. A File Collection can contain files in different folders, on different disks, on remote network drives, within ZIP files and even on remote FTP sites. However they appear together in the Lister and can be viewed and managed as if they were all in the same physical location.

The File Collection system can be accessed from the File Collections item in the Folder Tree, and also from the item in the default Go menu. Or, in a Lister path field, type the path coll:// to go to the File Collections root. In the File Collections root folder you can use the CreateFolder command to create a new File Collection.

To add files to a File Collection, simply copy them into it as normal. To remove files from a File Collection, however, you need to use the new Remove from Collection command (which is set as the right-button action on the Delete button in the default toolbar). Because all standard commands that you run on files within a Collection operate on the actual file, using the standard Delete command will result in the actual file being deleted.

Other than those two points, most Opus commands and Lister functions operate on a File Collection as if it was a normal folder. The primary advantage of the File Collection system is for the Find function. The results of the Opus Find function can be sent to a File Collection instead of appearing in the Find dialog itself (if you use the embedded Find Panel in the Lister itself, results are always displayed in a File Collection).

This lets you use the Lister itself to view Find results, which means Lister functions like Thumbnails, the Viewer Pane, Print Directory, etc, are all available.

Another use for File Collections would be an FTP transfer queue system. Create an empty File Collection, add multiple files from FTP sites to it, and then select them in the Collection and copy them all in one hit to a local folder.

To support File Collections the Location field can be added to Power and Details mode Listers to make it easy to see the location of a file in the Lister. You can configure folder formats for Collections like any other folder, and there is a default Collection format in Preferences - Folders - Folder Formats that by default includes the Location field.

There is an option in Preferences - Miscellaneous - Windows Integration that lets you add a File Collections icon to the Desktop. If this is enabled an icon appears on the Desktop that lets you quickly open a Lister showing the File Collections root. Also when this is enabled File Collections will appear under the Desktop in the Folder Tree rather than in its own branch.


Content Types - Automatic Recognition of File Content

The basic premise of the Content Types system is to enable automatic folder format changing based on the types of files in the folder rather than on the folder’s path.

For example, you may have several different folders that you store images in. In Opus 9 you can configure an Images Content Type format. As long as a folder contains more than a configurable percentage of image files, your Content Type format will be automatically used whenever you read that folder. You no longer need to configure individual folder formats (although of course you still can - and any formats that you have configured for specific folders will override a Content Type format).

The Content Type system is split into two separate (but related) systems - File Type Groups (where the actual member file types are configured) and Content Type Formats (where you can assign a folder format to a File Type Group). So to create a new Content Type you must first use the File Types editor to create a File Type Group, and add the desired file extensions to this group. Once the File Type group is created you can define the Content Type format for that group in Preferences in Folder Formats.

Content Type identification is done by looking for specified filename extensions, with a configurable threshold value. If the percentage of the specified files in a folder is higher than the threshold, the folder is deemed to match the content type. If a folder matches two or more content types, the better match is used.

If a specific format has been saved for a specific folder, this will override the Content Type system. The Content Type system can be disabled completely from Preferences - Folders.

There is a command called Current Content Type, found in the View category of Customize - Commands. This is a dropdown list that lets you see when a Content Type format is in use. It also lets you manually select a different Content Type format for the current file display. This command appears on the default Location toolbar (Pathbar.dop) to the right of the Location field.


Lister Themes

Directory Opus 9 supports a Lister Themes system that allows you to apply a “Theme” for images, sounds, fonts and colors. This is in fact a simplified Settings Import/Export function that modifies only this sub-set of items. You can load and save themes via a special dialog without the fear of losing any of your other configuration settings.

The Lister Themes dialog is accessed from the default Settings menu. The Themes dialog shows a thumbnail preview and details of the available themes installed on your system. The Load tab lets you view and load the themes you currently have installed and the Save tab lets you save your current settings as a new theme.

You can use the Import button on the Load tab to install a theme file into the Themes folder automatically.

Selecting a theme and clicking the Load button displays a dialog that lets you choose which elements from the specified theme will be applied (Colors, Fonts, Images and Sounds). Note that any toolbar images in the theme will only be displayed if your toolbars match those of the theme creator. Custom toolbars may not be affected by the theme settings.

When you make your choice here and click the Load button, Opus will read the contents of the chosen theme and then, after a final warning, will shutdown and restart itself using the selected theme settings.

The Save tab lets you save your current settings as a new theme. The Name, Description and Author Info fields allow you to enter information about the theme - all the information is optional, and is simply used to display to the user when they are browsing themes on the Load tab. The Preview Image allows you to supply a preview image of the theme that is also displayed when the user is browsing themes. You can use an image from a file on disk by clicking the browse Button, or use an image currently on the clipboard by clicking the Paste button. If you have the Theme Save tab open when you put an image on the clipboard it will automatically appear in the preview area.

Theme Options let you specify which elements of your current settings you will export into the theme. If you wish to update an existing theme, select it on the Load tab first, and then click the Save tab - this will automatically fill out the information fields and preview image with the information in the selected theme (as shown above).

From time to time, DOpus Themes packs are available for download. More will follow - but you are encouraged to create your own Opus Themes and share them with others. The Directory Opus Resource Centre website (http://resource.dopus.com) will be used to collect user-created themes.


Secure Delete

Directory Opus 9 has the ability to securely delete files by overwriting them many times before they are actually deleted. This uses algorithms similar to those recommended by the US NSA and US Department of Defense for securely destroying the contents of a file to make recovery by forensic analysis of the magnetic medium of the disk extremely difficult if not unlikely.

The algorithms are similar to those used in many other programs including PGP and are discussed in detail by Peter Gutmann in his article at http://www.cs.auckland.ac.nz/~pgut001/pubs/secure_del.html

Preferences - File Operations Deleting Files contains an option for the number of passes for each file - files are actually deleted by overwriting with a specific random pattern algorithmically chosen according to the number of passes selected. Three passes is regarded as quite secure and using more that this makes the process much slower and would seem like overkill. Three passes should be good enough for all but NSA scrutiny - but don’t quote us!

There is also an option in this section to make Secure Wipe the default delete (when not deleting to the recycle bin - this remains insecure). You will probably want to leave this off however since secure deletes are very slow requiring multiple passes over the file data. Instead, you can access secure delete on a file-by-file basis using the new Secure Wipe command. This function is available in Customize - Commands - File Commands and is also available by default as the middle mouse button function of the Delete button on the default toolbar.


Single Click

Directory Opus 9 supports an optional single click mode in all view modes except for Power Mode.

Single click mode changes the way files are selected and opened in the Lister. Normally you click on files to select them, and double-click files to open them.

In single click mode, the Lister behaves more like a web site. Moving the mouse over the items in the list changes the mouse cursor to a hand and displays an underline to indicate they are active items (similar to links in a web browser). If you hover the mouse over an item for a brief period of time, the item will be automatically selected - exactly the same as if you had clicked on it.

The system allows:

· Select multiple items by holding the Ctrl key or Shift key down as normal - just hover instead of click.

· To open an item, simple click it once. Just like a web link, the item will open automatically - no need to double-click it.

Single click mode can be enabled from Preferences -Listers -File Display .


Image Conversion

Directory Opus 9 has a simple but powerful image conversion function. This can be accessed using the Convert Images function in the default Tools menu, or from the File menu in the Opus Image Viewer. Opus also adds this as a context menu to the default Images file type group.

This function allows conversion from any image format that Opus can read (including those supported by plugins) into GIF, JPG, PNG and BMP. Additionally you can optionally rotate and/or resize the image while it is converted. Lossless JPG image rotation is supported provided the image resolution is suitable and you are not resizing the image simultaneously. High/true color images are automatically quantized to 256 colors when converting to GIF format.

The Add filename suffix option causes Opus to automatically append a descriptive suffix to the filename when images are resized. By default Image Conversion takes place in the source folder - unless you have Add filename suffix enabled, Opus will prompt you to overwrite the existing image (the standard Replace dialog is used for this and so you can choose to rename the file from there). If you are using Image Conversion in a dual Lister you also have the option to Write converted images to the destination folder.


Print Folder

Opus provides you with the ability to send the contents of a folder to the printer or to a disk file or the clipboard - where you can copy and paste the listing to other applications.

The command is provided in the Tool menu and is called Print Folder. It opens the following dialog which lets you tailor the output.

The Print Folder dialog opens with the folder visible in the current Lister as the one selected to print; however you can use the Browse button to select a different folder. You can also choose to print the contents of sub-folders, enable the special Opus Flat View mode and (optionally) define a filter which controls which files are printed.

The Destination can be a printer, a disk-based file or the clipboard. If you select a disk file, you can choose to output the file as normal text, or comma-separated text (.CSV) which allows direct import of the file into a spreadsheet such as Excel.

The Format section lets you configure which information columns are printed and how wide they are. Select Current to import the format from the currently file display or select Edit to adjust the format as required. You can also choose the font to use.


Enhanced Replace Dialog

The “Do you want to replace this file?” dialog that Opus displays when you try to copy a new file over an existing one is significantly more powerful than the dialog used by other file managers. The Opus Replace dialog can display information about the file that you are trying to replace, as well as display thumbnails for supported image files.

Any information (size, date or description) that differs between the two files is displayed in bold text as a visual cue. In this example, all the information is different).

If either of the files involved are images then the dialog shows a thumbnail of the image. If you move the mouse over the thumbnail image Opus displays a larger thumbnail in a tooltip. You can also right-click on the thumbnail image to display a context menu for that file, and double-click on it to open it (all from within the Replace dialog)

The buttons at the bottom of the dialog let you choose what to do with this file. If you click the arrows on the buttons that have them, Opus displays a drop-down menu with additional choices. The default action (which you get if you click the “label” part of the button rather than the arrow part) is to replace or skip just the current file. Using the drop-down menu you can choose to replace or skip all existing files. You also have the choice to automatically rename new files if they already exist. As a shortcut to the Replace All and Skip All functions, you can hold the Shift key down when you click on the appropriate button.

Note that to enhance performance, the Replace dialog will not retrieve file information or thumbnails from files located on network or removable drives.


Windows Messenger Integration

Users of Windows Messenger under Windows XP, and version 6 or greater of MSN Messenger, can display their Contacts List within the Directory Opus Lister.

This is accessed from the Contacts List option in the default View menu. When viewing the Contact List you can drag and drop files to contacts in the list to initiate a direct file transfer to them. Double-clicking on a contact’s name will initiate a conversation with them. Right-clicking on a contact gives you a context menu with several other options.

The Copy command has parameters to allow you to send files to Messenger contacts automatically.


Advanced Rename

The Advanced Rename dialog, accessed by clicking the Advanced button in the Simple Rename dialog, offers greatly expanded functionality over the Simple Rename dialog, with regular expression renaming, find and replace mode, automatic capitalization and sequential number, a presets system and real-time preview functions.

Use the Type field to select the type of rename you wish to perform. Standard Rename supports the simple Opus wildcard system as for the Simple Rename mode. Find And Replace works like the find and replace function in a word processor - you enter the text in the name of the file you wish to search for and the text that you want to replace it with. Regular Expressions supports full regular expression renaming.

Note that when in Find and Replace mode a special option called Include file extension is enabled. This lets you have the file extension included in the find and replace operation.

The Automatically rename if new filename exists flag can be used in conjunction with batch rename to avoid clashes with existing files. Files to be renamed automatically have a number appended to the new name if a file by that name already exists.

Case modification lets you automatically modify the capitalization of selected files. You can choose from All Upper-case, All Lower-case, Capitalize First Word, Capitalize All Words, Upper-case Extension and Lower-case Extension.

The Sequential numbering option lets you automatically number or renumber the selected files. You can choose the starting number and the amount by which the number increments. Insert leading zeroes into the “from” field to control how many digits the numbers will use. By default the numbers are inserted at the end of the filename (in front of the extension), replacing any number that is already there. However, you can use the special [#] insert field to control where in the filename the number is placed.

The Rename files in selected sub-folders lets you automatically rename all files in selected sub-folders. This only makes sense with a case modification, wildcard or regular expression rename. We suggest you use the Test mode to verify the results of the rename before using this option.

The Test mode option lets you test whether a wildcard or regular expression rename would produce the desired results. With this option turned on, no files are actually renamed. Rather, the results of the command are displayed in the Test page of the Opus Output Window, letting you see the effect of the command before actually performing the rename.

The Presets list contains a number of preset rename operations. The first three options in the list correspond to the different Rename Types available. The difference between choosing one of these from the Preset list and from the drop-down Type field is that clicking on a Preset automatically resets all other options in the Rename dialog to their default values.

The Last Rename preset provides an easy way for you to redo the last rename operation you performed. The Number Files preset is created automatically by Opus and provides an example of using regular expressions and sequential numbering to renumber all selected files automatically. You can add your own presets to this list using the Add button.

At the bottom of the Rename dialog is a Preview button. Clicking this button expands the dialog to display a real-time preview of all selected files. You can use this to experiment with different wildcards or options and see exactly what changes will be made to the files you selected. Note that only the first 100 selected files are displayed in the preview so you will need to use the Test mode if you wish to preview the results of a rename operation for a larger number of files.

The Advanced Rename dialog now lets you rename files using information from the files themselves. It is possible to use any of the Lister information fields as input for the Rename routine - for example, file date, mp3 tag information, EXIF tags, etc.

To use this function you must first enable the new Enable file information fields option in the Advanced Rename dialog. A new drop-down list button will appear next to the “new name” field. Use this drop-down list to insert the desired field codes. For example, you could rename MP3 files using their tags as follows:

Old name: *.mp3

New name: {mp3album} - {mp3artist} - {mp3title}.mp3

Rename can also now create sub-directories automatically. For example,

Old name: *.mp3

New name: {mp3album}\{mp3artist}\{mp3title}.mp3

This would let you automatically sort a collection of MP3 files into sub-folders based on their MP3 tags.

Scripting

The Advanced Rename dialog has had a number of special features. Most noticeable for Opus 9 is the addition of a Script mode. When this is enabled, a script panel appears which lets you define a script (VBScript/JScript/etc) to perform your own processing for the Rename operation.

The arguments passed to the script are:

· strFileName – the original file name

· strFullPath - the full path of the file

· fIsFolder – True if the item is a folder

· strOldName – the value of the Old name field in the Rename Dialog

· strNewName – the new name of the file

When the script is invoked, strNewName will already contain the new name of the file as determined by the other settings in the Rename dialog. Your script function should place the modified filename in this variable.

Scripts are stored as part of Presets. Rename scripts can also be included in the body of buttons that invoke the Rename command on their first line.

There is a Script tab in the output window which displays the output of any scripts (including error messages). You can direct your own output to this display using the DOpus.OutputString method in a script.

The Presets section in the Rename dialog now has toolbar-style icons replacing the previously textual control buttons. The dialog also has a menu which includes Import & Export commands to make the sharing of Rename Presets easier.


Breadcrumbs-style Location Field

The “breadcrumbs”-style Path field is available in the commands list in Customize as Path Field (Breadcrumbs). It provides a hierarchical view of the current path, as you can see from the picture above. Each element in the path is a button that can be clicked to go immediately to that level of the path. Files can also be dropped on the elements. The arrows following each path element can also be clicked to display a popup menu of the contents of that folder.

If you click in the blank area to the right of the path then the breadcrumbs display will be replaced with a traditional path field allowing you to type in a path as before.


Flickr™ Synchronization

Directory Opus supports a Flickr Synchronization tool that makes it easy to keep your local photo collection in sync with your Flickr account.

Flickr Synchronization is based upon File Collections. The premise behind the system is simple:

· Configure your Flickr account in Preferences. You will need to authorize Directory Opus to access your Flickr account (Opus will open the appropriate page in your web browser automatically.)

· A file collection is created representing your Flickr Account (by default this is listed under Flickr Photos\<account name> - e.g. coll://Flickr Photos/username – but this can be changed from Preferences).

· A local disk folder is designated as the default storage for photos downloaded from Flickr.

· To upload new photos to Flickr, simply add them to the file collection. Note that you can leave the photos in their original locations – they do not need to be placed in the default storage folder. Simply add them to the collection as with other files.

· If you wish to place images in a Photoset, create a sub-collection with the appropriate name and add the photos as desired. You can place the same photo in multiple sets by adding it to multiple sub-collections.

· Perform the synchronization. The easiest way to initiate this is by right-clicking the ‘username’ collection in the tree and choosing Synchronize with Flickr.

· You have the option of one or two-way synchronization. Opus will contact Flickr and try to establish which photos need to be uploaded and downloaded (or only one if one-way synchronization is selected)

· Photos that are in your file collection that do not exist on Flickr will be uploaded, and optionally assigned to any photosets you have placed them in

· Photos that are on Flickr that do not exist in your file collection will be downloaded to the default storage location, and placed in the appropriate collection (and sub-collections if they are in a Photoset).

The idea is that at the end of the process your Flickr File Collection will exactly represent your Flickr account.

NOTE: Flickr™ is a trademark and copyright of Yahoo Inc and is a third-party service. It is not affiliated with GPSoftware in any way. Please see or contact http://www.flickr.com for more details.

More:

Configuring your Flickr account

Synchronizing Photos


Configuring your Flickr account

Before you can perform a synchronize with your Flickr account you need to allow Opus access to it. This process is initiated from the Photo Sharing / Flickr section of Preferences.

Click the New Account button (highlighted above) to begin this process. Opus will display a dialog prompting you to grant authorization. When you click the Authorize button, Opus will open a web browser where you should log in to your Flickr account. Follow the prompts given to complete authorization. Once authorization is complete, your Flickr account details will appear in the Opus Preferences dialog. Note that you can register as many different Flickr accounts as you like.

The other options on this Preferences page control the behavior of the synchronize process. You can choose to have Opus automatically resize your photos when you upload them, and configure their default privacy settings.

The File Collection setting lets you configure the name of the File Collection used to represent your Flickr account. By default this will be the name of your account. The Default Folder setting lets you specify a folder on disk where any photos downloaded from Flickr are stored. Because the Flickr synchronization is a two-way process, it is possible for photos on your Flickr account to be downloaded to your local computer – the default folder is the folder these will be stored it.

You can also configure which of your Photosets are included when you perform a synchronize. The first time Opus contacts Flickr it will populate this list with the names of your Photosets and Pools. If you only want a subset of your photosets to be involved in the synchronization you can control it from this list.


Synchronizing Photos

Once you have configured your Flickr account, you are ready to begin the Synchronize process. In the Folder Tree you will see that a new File Collection has been created to represent your Flickr account. For example, if your account name is Nudelyn, the file collection created would by default be coll://Flickr Photos/Nudelyn (although this can be changed from Preferences).

To initiate the synchronization, right-click on the collection name (Nudelyn in the above example), and choose Synchronize with Flickr…. The Flickr Synchronize dialog will open and step you through the various stages of the process:

1. Select Accounts To Synchronize

It is possible to configure multiple Flickr accounts, and to synchronize one, multiple or all of them at once. The first step of the synchronization process lets you select which accounts are to be included. You can also select whether photos are to be uploaded (from your local computer to your Flickr account), downloaded (from your Flickr account to your local computer) or both.

2. Identify Local Files

This step is necessary if you have opted to download from your Flickr account, and Opus finds photos on your account that do not appear to exist locally. It gives you a chance to identify the images locally without having to download them, thus saving time and bandwidth.

If any photos are found that Opus does not recognize, it will first try to locate them itself, by looking in the Default Folder configured in Preferences. Opus tries to match photos in two ways – firstly, by filename, and secondly by EXIF shooting time.

Matching by filename is not very accurate, because Flickr does not store the original file name along with the image. For example, an image called IMGP0599.JPG may have been renamed on Flickr as “My Pet Cat”. Opus will therefore attempt to find a file called “My Pet Cat.jpg”, but will not know that the file was originally called IMGP0599.JPG. Therefore, the second method of matching will be used if the first fails – EXIF shooting time. Most modern cameras store the time a photo was taken inside the image, and Opus is able to retrieve this information from Flickr. It is therefore able to search your local files for one that precisely matches the shooting time, even if the filename has changed.

If the automatic matching fails, you can use the controls on this page of the dialog to locate the files manually. Use the Identify button to tell Opus exactly which file it is (you can use the Thumbnail button to retrieve a thumbnail of the image from Flickr so you know what you are looking for.) You can also use the Search button to perform the automatic matching process in a location other than the default folder.

Each image that appears in the Identify Local Files page has a checkmark next to it. If you turn this checkmark off, Opus will mark that image as ignored, and will never prompt you again to identify it locally.

Any photos that you can’t identify locally, and you do not mark as ignored, will be downloaded from your Flickr account to the default folder during the synchronization process.

Note that you can disable the Identify Local Files step altogether from Preferences.

3. Select Photos To Upload

This step is displayed if you have opted to upload from your local computer to your Flickr account, and Opus has found photos in your Flickr File Collection that do not exist online.

For each photo displayed here you can configure the Title, Description and Tags. You can also choose whether to resize the image on upload, and configure the privacy settings. Note that default resizing and privacy options can be configured in preferences.

Each photo listed here has a checkmark – if you turn this checkmark off the image will not be uploaded.

4. Select Photos To Download

This step is displayed if you have opted to download from your Flickr account, and you could not identify all missing images locally in step 2. A list of unmatched online images is displayed. Each photo listed here has a checkmark – if you turn this checkmark off the image will not be downloaded.

5. Synchronize Summary

This is the final step in the process. The Summary page displays information about the actions to be performed – how many photos will be uploaded, how many photos will be downloaded, and how many photoset reassignments will occur. Once you are satisfied with the summary click the Next button to begin the synchronization.

The first time Opus contacts Flickr, it downloads a list of your Photo sets, and the Pools that you are a member of, and creates sub-collections for each one. When you perform your first synchronization, Opus will add all the images found online to the collections as appropriate. After that, uploading new images to Flickr is as simple as adding them to the collection or sub-collection as desired and performing the synchronization.

Note that Flickr supports adding the one photo to multiple Photosets, and Opus supports this too – simply add the photo to the sub-collections representing those sets. You can also create new Photo sets by simply creating new sub-collections. You can reassign photos to Photosets and pools without re-uploading them by simply moving them from one file collection to another. Or, to remove a photo from all Photosets, move it from the sub-collection to the parent collection (the parent collection represents unassigned photos – that is, photos that are not in a set or in a pool.)

Note that you can not use Opus to delete photos from Flickr – this can only be performed from the Flickr website.


ImageShack® Image Upload

Directory Opus features a built-in ImageShack upload utility. ImageShack is an image hosting service that (with some obvious exceptions) lets you upload and host any image for free.

The raw command to initiate ImageShack upload is Image UPLOAD=imageshack. There is also an Upload to ImageShack command in Customize.

To upload images, simply select them and run the command. Note that ImageShack has some limitations on the size and format of images that can be uploaded, and the upload tool will inform you if any selected images can not be uploaded.

The upload will begin immediately. Note that unlike Flickr, you do not need to configure an account before using ImageShack.

When the upload is complete, a number of links for the image are displayed. Clicking one of these links puts the appropriate URL in the clipboard, from where you can paste it into an email / web forum / etc. By default, a direct link to the uploaded image is put into your clipboard automatically.

The Photo Sharing / ImageShack section in Preferences contains a number of options to control the links that are provided. By default, only a direct link to the image and a link to the thumbnail image are shown (in this screenshot, these are “link” and “thumb”). From Preferences you can also enable various other forms of links to the image – several pre-defined formats and also a custom-configured link. You can also choose which form of link is placed automatically into the clipboard.

The Preferences page also lets you configure a registered account to use. Although ImageShack does not require an account, you are able to register, and any images uploaded under your registered account can be retrieved later even if you have lost the links to them.

Please see the ImageShack website for more information on the ImageShack service.

NOTE: ImageShack® is a third-party service and is not affiliated with GPSoftware in any way. ImageShack® is a registered trademark and Copyright © 2003-2007 ImageShack Corp. See or contact http://www.imageshack.us/ for more details.


Support for Google Desktop Search

If you have the Google Desktop Search tool installed, you will find this integrated into the Directory Opus Find tool. If GDS is present a third tab will be added to the Find dialog letting you access the Google search. The results are displayed in the Find dialog or in a Lister as a collection as normal.


Predefined Commands

Directory Opus has two different command sets, the Raw Command set and the Predefined Command set. The Opus Raw Commands described fully in a later section of this manual, are the actual commands that Directory Opus understands, and most accept one or more arguments that are used to modify their behavior to accomplish the desired function.

The predefined command set can be thought of as pseudo-commands, commands that are a simple alias to a more complex function built from the raw command set. The predefined commands are those that are displayed in the Customize window, and can be added to Toolbars and menus using drag and drop.

When you drag and drop a command from Customize to a Toolbar to create a new button, the function of the new button is actually set to the underlying raw command, with the appropriate parameters automatically defined. Most of the time you will not need to know anything about the raw command set - the predefined command set provides commands to access almost all of the functionality of Directory Opus.

There are two main types of Directory Opus commands - action and dynamic:

· Action commands are those commands that actually do something - copy or delete a file, create a new folder, etc.

· Dynamic commands, by contrast, are used to add dynamically generated action commands to Toolbars or menus. An example of a dynamic command is the Drive Buttons command described below. When you add a Drive Buttons command to a Toolbar, it is replaced dynamically with a set of buttons corresponding to the disk drives in your system. You can then click on one of the dynamically added buttons to actually read the contents of that disk into the current Lister. You can think of dynamic commands as placeholders - they are never used directly, but instead mark the place in a Toolbar where action commands will appear when the program is in use.

For example, [image] in Customize mode may turn into [image] in normal use.

The predefined commands are grouped in the Customize window into several categories, intended to make it easier to find the particular command you want. When a predefined command is listed below, the equivalent raw command and arguments are also shown following the command name in color.

More:

All Commands - Predefined

Default Menus - Predefined

Edit - Predefined

File - Predefined

File Commands - Predefined

Go - Predefined

Help - Predefined

Miscellaneous - Predefined

New - Predefined

Settings - Predefined

Tools - Predefined

User - Predefined

View - Predefined


All Commands - Predefined

The All Commands category is not a category in itself; rather it gives you a single list of all the predefined commands to choose from. If you know the name of a predefined command but can’t remember which category it appears in, you can find it in the All Commands list in alphabetical order.


Default Menus - Predefined

The Default Menus category lets you access the Directory Opus default menus and Toolbars. For example, if you had modified your default Lister menu and wanted to restore the default File menu while leaving all other menus as they are, you can drag the Default File Menu command from this category and drop it into a Toolbar.


Edit - Predefined

The Edit category provides commands that normally appear in the Edit menu of Directory Opus. This includes commands having to do with clipboard functionality (Copy, Cut, Paste), file selection (Select All, etc) and the undo commands.

· Copy Clipboard COPY

This command copies all currently selected files and folders in the active Lister to the clipboard. The files on the clipboard can then be pasted into another folder using the Paste command.

· Cut Clipboard CUT

This command is similar to the Copy command, except that when the files are pasted into another folder, the original files are deleted. That is, this command in conjunction with Paste performs a Move rather than a Copy. Note that when you Cut files, the files are not actually deleted until they are pasted into a new location.

· Invert Selection Select INVERT

This command inverts the selection of all files and folders in the active Lister. That is, files that are currently selected are not selected, and vice versa.

· Paste Clipboard PASTE

This command pastes files and folders that are currently on the clipboard into the active Lister. If the files that are on the clipboard were put there by a Cut command rather than a Copy command, the original files will be deleted.

If the clipboard does not contain files but instead contains an image, the Paste command will write that image to the active Lister as a file called Clipboard Image.bmp. Similarly, text on the clipboard will be written to a text file called Clipboard Text.txt.

· Paste Shortcut Clipboard PASTESHORTCUT

This command pastes shortcuts to the files that are on the clipboard into the active Lister. Shortcuts are small files that refer to the original files - the original files themselves are not moved or copied by this function.

· Read Only Set READONLY=Toggle

This command is used within ZIP files to toggle the “read-only” status for that ZIP file. This is not the same as the “read-only” file attribute - it is an internal flag that Directory Opus maintains. When a ZIP file is set internally as read-only, it can not be modified from within Directory Opus. You can use the Open ZIP files as read-only by default flag in Preferences to cause all ZIP files to be set to “read-only” when they are first accessed.

· Reselect Files Select RESELECT

This command reselects all files and folders in the active Lister which were unselected by the operation of the previous command. For example, if you select five files in the current Lister and copy them somewhere, the files will no longer be selected. Selecting the Reselect command would cause them to be reselected.

· Select Advanced Select ADVANCED

This command opens the Advanced Selection dialog. Directory Opus has two “wildcard”-based selection modes. The simple mode allows you to type a single wildcard pattern (or regular expression) to select files in the active Lister by filename. The advanced mode offers a full expression-based command system for file selection, supporting selection by file contents and attributes as well as by filename.

· Select All Select ALL

This command simply selects all files and folders in the active Lister.

· Select Field

This command adds a text entry field (with drop-down history list) to a Toolbar that lets you enter a wildcard pattern to immediately select files and folders in the current Lister. It is equivalent to using the Select Wild command without displaying the file selection dialog.

· Select None Select NONE

This command deselects all files and folders in the active Lister.

· Select Wildcard Select

This command opens the file selection dialog. The dialog has two modes, simple and advanced, and when you use this command to open it, it is opened in the mode it was last used.

· Undo Undo

This command attempts to undo the last action that you performed. Directory Opus remembers the last ten actions that you perform that are undoable. When you undo an action, it is removed from the “undo list”, and so the next time you invoke the undo command the second-last undo command will be undone.

Most basic file commands can be undone; for example, Copy, Create Folder, Rename, etc. The effects of the Delete command can also be undone provided the files were deleted to the Windows Recycle Bin. There is an option in the File Operations section of Preferences to enable the use of the Recycle Bin.

· Undo List Undo LIST

This is a dynamic command that adds a list of all currently undoable actions to the Toolbar or menu. You can select one of the dynamically added items to undo a specific item in the undo list.

· Undo Menu Undo LISTMENU

This is the same as the Undo List command, except that the list of undoable actions is shown in a popup submenu rather than in the Toolbar or menu itself.

· Undo Page Undo PAGE

This command opens the Output Window to display the Undo page, where you can see the list of all currently undoable actions and selectively undo them (or undo them all!)


File - Predefined

The File category provides commands that normally appear in the File menu of Directory Opus.

· Close Lister Close

This command closes the active Lister. Directory Opus itself is left running.

· Exit Program Close PROGRAM

This command exits Directory Opus. All open Listers and other windows are automatically closed when you select the Exit command.

· Open New Lister Go NEW

This command opens a brand new Lister. The folder initially shown in the Lister depends on the settings for the Default Lister. The new Lister is opened immediately under the mouse pointer for easy access.

· Open New Tab Go CURRENT NEWTAB

This command opens a brand Folder Tab in the current Lister. The folder shown in the Lister is a clone of the current one. You can use the predefined command then modify the argument CURRENT to various other options. See GO - Raw Command for details.

· Set As Destination Set STATE=Source

This command sets the active Lister into source mode. This means that it will act as the source for any file commands involving two Listers (e.g. Copy or Move). A Lister is also set to source mode automatically when you click on any file or folder, or on the status bar at the bottom of the window.

· Set As Source Set STATE=Dest

This command sets the active Lister into destination mode. This means it will act as the destination for any file commands involving two Listers (e.g. Copy or Move).


File Commands - Predefined

The File Commands are the workhorse of Directory Opus. They are commands that operate directly on the files or folders, letting you copy, move, delete or rename them. They are what make Directory Opus a file manager. Most file commands act within the context of the currently active source Lister and on the selected files or folders within that Lister. Some commands, like Copy or Move require both a source and a destination Lister. If there is no destination Lister available when you select one of these commands, you will be prompted to select the destination folder for the function.

· Add To ZIP Copy ADDTOZIP

This command lets you add all selected files and folders to a new or existing ZIP file. It displays the Add to ZIP dialog box letting you choose a ZIP file to add the selected files to, and set compression/password parameters. It is equivalent to the Add to ZIP… file context menu comment.

· Copy As Copy As

This command copies all selected files and folders in the active Lister to the destination. The difference between this command and the Copy File command is that Copy As lets you give new names to the copied files automatically. During the copy process, you will be prompted to enter a new name for each file or folder that is copied.

You will notice that there are two text fields in the Copy As dialog. The top field shows the original name of the file and the bottom field is where you can enter a new filename. However, you can also use this function to perform batch renames of the copied files, by entering an asterisk to replace a section of the name.

· Copy File Copy

This command copies all selected files and folders in the source Lister to the destination. If any folders are selected to be copied, the setting of the Copy Filter will determine which files are copied. By default, the attributes and timestamps of files are preserved when they are copied - you can override this behavior from the File Operations section of Preferences.

Directory Opus has special handling when you are trying to copy over existing DLL, EXE or OCX files that are locked or in use by another process. In this instance, Opus will detect that the file is in use and will offer to defer the copy process until the system is restarted. If you choose to do this Opus copies the file to a temporary folder, and then next time you restart the system the file will be automatically copied to its intended destination. You can view and cancel deferred file copies (before restarting) through the Undo system.

Directory Opus supports the Windows XP/Vista CD burning system. When you attempt to copy a file to a writeable CD, Opus copies the file to the CD burning staging folder automatically. If you do not wish to use the Windows XP/Vista CD burning system, you can turn off this support from the Miscellaneous - Windows Integration section of Preferences.

· Create Folder CreateFolder

This command lets you create a new folder in the current Lister. You can enter multiple path levels separated by \ to create sub-folders automatically. If you select the Read new folder automatically option, Directory Opus will automatically read the newly created folder into the current Lister.

If the Create multiple folders option is selected, you can enter multiple folder names separated by commas to create more than one folder at a time. Obviously this means you can not create a folder with a comma in its name - if you wish to do this, simply turn the option off. Create Folder also lets you create multiple levels of folders at the same time (for example, one\two\three).

· Delete Delete

This command deletes all selected files and folders in the active Lister. If you have the Delete using Windows Recycle Bin option turned on in the File Operations section of Preferences, the files will be moved to the Recycle Bin instead of being permanently deleted. Files that have been moved to the Recycle Bin can be recovered later using the Undo function or by manually browsing to the Recycle Bin.

Note that even with the Recycle Bin option turned on, files can not always be recycled successfully. For example, files on network drives or removable media like floppy disks can not be moved to the Recycle Bin. In this case, you will be warned that the files are going to be permanently deleted.

If any folders are selected to be deleted, the setting of the Delete Filter will determine which files are deleted.

· Duplicate Copy DUPLICATE

This command is similar to the Copy As command, except that the selected files are copied back to the source folder rather than to a different destination folder.

· Email Files Copy SENDMAIL

This command opens your default email client and sends all selected files as an attachment to a new email message. This command is subject to the Use MAPI setting in the Miscellaneous - Internet Settings section of Preferences.

· Extract Copy EXTRACT

This command is similar to the Copy command, except it is only designed for use with folders or ZIP files. It copies the contents of the selected folder or ZIP file to be copied to the destination folder, rather than the folder or ZIP file itself.

For example, say you have a ZIP file called test.zip containing a file called My Document.txt. If you select the test.zip file and run the Extract command on it, the file My Document.txt will be extracted from it and copied to the destination folder. This function provides a quick way to extract the contents of a ZIP file or folder without having to enter it and copy the contents out manually.

· Get Sizes GetSizes

Ordinarily, only files have a size displayed in the Lister. This command operates on all selected folders in the active Lister, and makes Directory Opus calculate their size. The size that is displayed is the total size of all files within each folder, and is not necessarily representative of the amount of disk space used by the folder. If a folder contains no files at all, its size will be shown as empty.

If a folder already has a size displayed for it (if you have automatic sizing turned on in the Listers section of Preferences), you can use the Get Sizes command to recalculate the size manually.

· Join Join

The Join command lets you join together multiple files into one big file. It is mainly used when you have a file that has been split into multiple parts (i.e. for transmission via email) and you wish to recombine the parts.

When you run the Join command, all selected files in the active Lister are automatically added to the list of files to join. However, you can add more files to this list using the Add button in the Join dialog, or drag and drop files from another Lister to the Join window. You can also use drag and drop or the Move buttons to change the order of files within the join list. You also need to specify the name of the output file (the joined file).

Often files that have been split have also been uuencoded for reliable transmission via email systems. If the files you are recombining have been encoded in this way, select the UUDecode option to automatically decode the joined file.

· Move As Copy MOVE AS

The Move As command works like the Copy As command, except that the files and folders are moved instead of copied. This means that after the files are copied to the destination, the original files are deleted.

· Move File Copy MOVE

This command is similar to the Copy File command, except that selected files and folders are moved instead of copied.

· New ZIP Folder CreateFolder ZIP

This command lets you create a new ZIP file. ZIP files are similar to folders in many ways except their contents are compressed, meaning they often take up much less space than normal folders. They are especially useful for sending multiple files via email.

· Play Play

This command uses the built-in sound player to play all selected sound files in the active Lister. The built-in sound player is a simple utility designed to play a sound without the possible overhead of loading an external player. It supports the WAV format as well as any other sound files for which there is a system codec installed.

The Play window displays some basic information on the sound currently being played, and has four controls which are from left to right, Restart, Stop, Play and a slider which lets you select the position within the file to begin playing from. The Close Play window when finished option causes the Play window to be automatically closed when the sound finishes playing. If you turn this option off, the Play window will remain open after the sound finishes allowing you to play the sound again.

· Print Print

This command prints all selected files to the printer that you select. Directory Opus can natively print only the picture formats that it understands (JPEG, GIF, ILBM, etc). However, using system-defined print handlers it can print many other types of file. For example, when you select a text file and choose the Print command, the system-defined print handler, which is set by default to Notepad, is automatically invoked to print the selected file.

Under Windows XP/Vista, the Print command invokes the system Photo Printing Wizard when you select recognized image files to print. The Wizard is also invoked when you select Print with no files selected.

· Properties Properties

This command displays the standard system Properties dialog for all selected files and folders. It is the equivalent of right clicking on a file and choosing Properties from the context menu.

· Remove From Collection Delete REMOVECOLLECTION

This command removes all selected files from the currently displayed File Collection. If you use the normal Delete command in a File Collection, the real files will be deleted. Use the Remove From Collection command to remove the selected files from the Collection without deleting the actual files themselves. This command is assigned to the right-button function of the Delete button on the default toolbar.

· Rename Rename

The Rename function has two modes of operation - Simple and Advanced mode.

Simple mode supports changing file names one at a time, or simple wildcard renames through the Opus * wildcard system; for example, to rename all files with .JPG at the end to .jpg, you would enter:

Old name: *.JPG

New name: *.jpg

The Advanced Rename dialog, accessed by clicking the Advanced button in the Simple Rename dialog, offers greatly expanded functionality over the Simple Rename dialog, with regular expression renaming, find and replace mode, automatic capitalization and sequential number, a presets system and real-time preview functions.

See Opus Tools and Special Features - Advanced Rename for more details.

· Secure Wipe Delete SECURE

This function invokes the Secure Wipe feature of Directory Opus 9. This uses algorithms similar to those recommended by the US NSA and US Department of Defense for securely destroying the contents of a file to make recovery by forensic analysis of the magnetic medium of the disk extremely difficult if not unlikely. The number of passes for each file can be configured in Preferences. This command is assigned to the middle-button function of the Delete button on the default toolbar.

· Set Attributes SetAttr

The Set Attributes command lets you modify the attributes and timestamps of all selected files and folders. The attributes you can modify are Read Only (file can not be deleted or modified), Archive (file is marked for backup), Hidden (file is not normally displayed) and System (file is a system file). You can also set the creation and last modified time to a specific date and time.

If you turn on the Make the same changes to files within selected folders option, all files within selected folders will also be modified. This operation is recursive. You can also use an optional filter to control which files are modified - without a filter, all files are changed by default.

· Set Description SetAttr DESCRIPTION

You can use this command to enter your own descriptions for files and folders. Because Windows does not support user-entered descriptions for files, Directory Opus records this information in its own hidden data file. The descriptions you enter are displayed in the Description column in Listers.

· Shortcut Copy MAKESHORTCUT

This command makes shortcuts in the destination folder of all selected files and folders in the source Lister. Shortcuts are small files that refer to the original files - the original files themselves are not copied by this function.

· Show Show

This command uses the built-in viewer to display all selected files in the active Lister. The built-in viewer is designed to let you view various types of files including images, text and other file formats as supported by the optional Viewer plugin system. It allows you to view files quickly without the possible overhead of loading an external viewer or editor. Directory Opus natively supports most common graphics formats including JPEG, GIF, TIF, PNG, ILBM, PSD, Windows Bitmap, WMF and EMF as well as the Amiga Icon format (.info).

· Split Split

This command is the companion to the Join command, and lets you split a single file into multiple, smaller parts. It also allows you to uuencode the split files for transmission via email. Split operates on the first selected file in the active Lister. You need to specify the output folder for the split files, as well as the chunk size. You can select from one of the predefined chunk sizes or enter your own chunk size in bytes. The split files automatically have a numerical prefix appended indicating their order.

· Update All Copy UPDATEALL

This function is used to update files, for example from your local computer to a network drive or FTP site. It operates on all selected files in the active Lister; however the only files that will actually be copied to the destination folder are those files that:

· do not exist already in the destination, or

· do exist in the destination but are different from the files in the source

Files that do not meet either of these two criteria are not copied. This is a useful way, for example, to update your web site on a remote FTP server without transferring files unnecessarily.

A file is defined as being different if its timestamp or size has changed - the contents of the file itself are not compared.

Note that you must select all files that you wish to update in the source Lister before running this command.

· Update Existing Copy UPDATEEXISTING

This function is very similar to the Update All command, except that files in the destination folder are only updated if they already exist and are different from the source files. Files that do not already exist in the destination are not copied.

· ZIP and Email Files Copy SENDMAIL ADDTOZIP

This command combines the Add to ZIP and the Email Files in one. It displays the Add to ZIP dialog that lets you enter a filename to ZIP all selected files, and then sends the resulting ZIP file as an attachment to a new email message using your default email client, or the Opus internal SMTP mailer, depending on your Preferences settings.


Go - Predefined

The Go commands are commands to do with the current folder displayed in a Lister. They let you change between folders, move to a specific folder or the parent of the current folder, and access the History, Recent and Favorites lists.

· Compatibility Files Go COMPATIBILITYFILES

This command is only available under Windows Vista, and when added to the toolbar will only appear when you are in a folder that has a compatibility folder associated with it (for example, C:\Program Files.) This command lets you easily move from the real folder to the compatibility folder and back again.

· Disconnect Network Drive Go DISCONNECT

This command displays the system dialog that allows you to disconnect from a network drive.

· Drive Buttons Go DRIVEBUTTONS

This is a dynamic command which adds buttons to a Toolbar, corresponding to the disk drives you have in your system. You can then click on these buttons to read those disks into the active Lister.

· Favorites Add Favorites ADD

This command adds the folder currently displayed in the active Lister to the Favorites list.

· Favorites Edit Favorites EDIT

This command opens the Preferences editor and displays the Favorites List automatically.

· Favorites List Favorites

This is a dynamic command that generates a list of your favorite folders. The Favorites list can be edited in the Favorites List in Preferences.

· Favorites Menu Favorites

This command is the same as the Favorites List command above except that the Favorites list is displayed in a popup submenu rather than in the Toolbar or menu itself.

· Favorites Menu (Dual Display) Set DUAL=Toggle
Favorites OPENINDUAL
Favorites OPENINDUAL SMART

This command defines a menu button - a button that acts like a normal button when clicked, but also has an arrow which, when clicked, opens a drop-down menu.

Clicking the button itself will toggle the active Lister between single- and dual-file display modes. If you click the arrow portion of the button, a drop-down menu will appear which displays your Favorites list, followed by any Smart Favorites. Selecting an item from the Favorites list will set the Lister into dual-file display mode (if it is not in this mode already), and then open the folder in the opposite file display.

· Favorites Smart Favorites SMART

This is a dynamic command that generates a list of your Smart Favorites.

· Favorites Smart Menu Favorites SMART

This command is the same as Favorites Smart except that the Smart Favorites list is displayed in a popup submenu rather than in the Toolbar or menu itself.

· FTP Address Book Go FTPSITELIST

This is a dynamic command that generates a list of your defined FTP sites.

· FTP Address Menu Go FTPSITELIST

This command is similar to the FTP Address Book command, except the list of FTP sites is displayed in a drop-down menu.

· FTP Quick Connect Go FTP

This command opens the FTP Quick Connect window, which lets you connect to an arbitrary FTP site and specify login details without having to first enter the FTP site in the Address Book.

The recall button (blue arrow) to the right of the FTP host field lets you quickly retrieve the details of the last FTP site you connected to.

· Go Back Go BACK

As you move around folders in a Lister, Directory Opus keeps a list of where you have been (the History List). This is different from the Recent List, because it is maintained on a per-Lister basis rather than globally for the whole system.

The Go Back command lets you quickly move back to the previously visited folder. As well as remembering the folders you have visited, Directory Opus also remembers which files and folders were selected, so that when you move back to a previous folder, the selection state is automatically restored.

· Go Back (Drop-down List) Go BACK
 Go BACKLIST

 This command defines a menu button that gives you the Go Back function on the button itself, and a dynamically generated list of previously visited folders on the drop-down menu portion of the button.

If you click the button itself, you will move back to the previous folder in the History List. If you select a folder from the drop-down list, you will move directly to that folder without having to traverse all the history items in between.

· Go Forward Go FORWARD

Similar to the Go Back command, this command lets you move to the next folder in the History List.

· Go Forward (Drop-down List) Go FORWARD
Go FORWARDLIST

This is similar to the Go Back (Drop-down List) command except that it moves to the next folder in the History List rather than the previous one. The dynamically generated list is of all folders in the History List that come after the current folder instead of before.

· Go To File Collections Go coll://

This command goes to the File Collections root folder. This folder lists all your File Collections, which you can then browse by double-clicking. You can also create and delete File Collections from here. This command appears in the default Go menu.

· Go To My Computer Go /mycomputer

This command takes you to the My Computer folder in the System Namespace.

· Go To My Documents Folder Go /mydocuments

This command takes you quickly to your My Documents folder.

· Go To Network Neighborhood Go /network

This command quickly takes you to the Network Neighborhood folder in the System Namespace (note that under Windows 2000 this folder is known as My Network Places).

· Go To Root Go ROOT

This command takes you to the root of the current folder. This command is only applicable if the current folder displayed in the Lister is a file system folder. For example, the root of C:\Program Files\GPSoftware\Directory Opus is C:\

· Go To The Desktop Go /desktop

This command takes you to the Desktop folder.

· Go To The Recycle Bin Go /trash

This command quickly takes you to the system Recycle Bin folder.

· Go To The Start Menu Go /start

This command takes you to the folder used to store the Start Menu. It is the equivalent of selecting the Advanced option from the Start Menu Programs tab of the system Taskbar Properties dialog.

· Go To The Startup Folder Go /startup

This command takes you to the folder (usually a subfolder of the Start Menu) used to store shortcuts for programs run automatically on system startup.

· Go Up Go UP

This command takes you to the parent of the currently displayed folder in the active Lister.

· Map Network Drive Go CONNECT

This command displays the system dialog that allows you to (dis) connect to, or (un) Map a network drive to a drive letter.

· Navigation Lock Set NAVLOCK

When Navigation Lock is enabled in a dual-display Lister, navigation that takes place in one file display (double-click, parent, back, forwards) is also mirrored if possible in the second file display. For example, double-clicking a sub-folder in the left file display would also enter that sub-folder in the right file display if a sub-folder of the same name exists there. The same applies to Up, Back and Forwards.

When in Navigation Lock mode, if the two displays get out of sync the file display titles will flash as a warning. To stop the flashing either re-sync the file displays or turn off Navigation Lock.

· Path Field

This is a dynamic command that adds a path field control to the Toolbar in which you place it. A path field is a text entry field that lets you enter a path manually. When you enter a path and press the enter key, the Lister will change to display that path.

· Path Field (Breadcrumbs)

This is similar to the Path Field command, except that the path field is in the form of a “Breadcrumbs” field that displays the current path as a list of separate buttons that make it easy to move back to higher levels in the path.

· Path Field (Favorites List)

This is similar to the Path Field command, except that the path field added also has a drop-down Favorites List attached to it. This contains a list of your defined Favorite folders.

· Path Field (Folder Tree)

This is similar to the Path Field command, except that the path field has a drop-down Folder Tree attached to it. This is a cut-down Folder Tree, which shows only the top couple of levels of the System Namespace, and the path leading to the current folder. It enables you to quickly see where in the file system you are and to move back to parent folders easily.

· Path Field (Recent List)

This is similar to the Path Field command, except that the path field also has a drop-down Recent List attached to it. This contains a list of your recently visited folders (this list is maintained globally and is not Lister-specific).

· Recent List Recent

This is a dynamic command that generates a list of your recently visited folders. This list is maintained globally and is not specific to the current Lister. You can enable or disable the Recent List functionality and configure the maximum size of the list from the Recent List section in Preferences.

· Recent List Clear Recent CLEAR

This command clears the Recent List.

· Recent Menu Recent

This command is similar to the Recent List command except that the list of folders generated is displayed in a popup submenu instead of in the Toolbar or menu itself.

· Swap Source/Destination Go SWAP

This command swaps the current source and destination folders. If the current Lister is in dual display mode, the left and right file displays will be swapped. Otherwise, the folder in the current Lister will be swapped with the folder in the destination Lister.


Help - Predefined

The Help commands usually appear in the Help menu of a Lister, and are used to display program information and to gain access to the online help system.

· About Help ABOUT

This command displays the Directory Opus About screen, which contains information about the current version of the program, copyright and contact details for technical support, as well as your registration details (or expiry date in case of an evaluation registration).

· Directory Opus Manual Help MANUAL

This command displays the Directory Opus manual from the PDF file in the Opus program directory.

· Help Help

This command accesses the online help system and displays the contents page.

· Licence Manager Help LICENCEMANAGER

This command displays the Directory Opus Licence Manager, which displays details of your current Program Certificate and lets you install a new one if needed. This command appears in the default Help menu.


Miscellaneous - Predefined

The Miscellaneous commands are commands that do not easily fit into any other category.

· Marker - All Menus Marker MENU=All

The Marker command is a dynamic command that lets Directory Opus display Toolbar buttons and menu items that are added dynamically by third-party Namespace extensions. For example, an FTP Namespace extension may add buttons to the Toolbar to switch between ASCII and Binary transfer modes.

Windows Explorer allows a third-party Namespace extension to totally replace the Toolbar and menu contents. However, Directory Opus gives full control to the user over the state of the Toolbars, and therefore the Marker commands are necessary to gain access to these dynamically added functions.

The Marker command is a placeholder that tells Directory Opus where to insert the appropriate Namespace-added functions.

The Marker - All Menus command marks the spot where all Namespace-added menu items are to be displayed.

· Marker - Edit Menu Marker MENU=Edit

This command marks the spot where any items added to the standard Edit menu by the Namespace are displayed.

· Marker - File Context Menu Filetype CONTEXTMENU

This command marks the spot where items defined by the System for the context menu of the selected files or folders are added.

· Marker - File Menu Marker MENU=File

This command marks the point where any items added by the Namespace to the standard File menu are displayed.

· Marker - Help Menu Marker MENU=Help

This command marks the spot where items added to the standard Help menu by the Namespace are displayed.

· Marker - Lister Context Menu Filetype CONTEXTMENU=Directory\Background

This command marks the spot where items defined by the System for the context menu for the current folder are added.

· Marker - Other Menu Marker MENU =Other

This command marks the spot where menu items defined by the Namespace that are not contained in any of the standard menus are displayed.

· Marker - Toolbar Marker TOOLBAR

This command identifies where buttons added by the Namespace to the Toolbar are displayed (note that you can put a Toolbar marker in a menu and vice versa - in Directory Opus, menus and Toolbars are interchangeable).

· Marker - Tools Menu Marker MENU=Tools

This command marks the spot where menu items defined by a Namespace extension for the standard Tools menu are to be displayed.

· Marker - View Menu Marker MENU=View

This command marks the point where menu items defined by a Namespace extension for the standard View menu are to be displayed.


New - Predefined

The items available in the New category are not commands - instead, they let you create empty Toolbar buttons via drag and drop. You can then define the button commands yourself using the Command Editor. You can also create empty Toolbar buttons by right-clicking on the Toolbar in Customize mode and selecting the appropriate item from the New context menu.

· New Button

This creates a brand new button, with no function defined. You need to fill out the function and set the name and (optionally) ToolTip (label) and icon settings for the button.

· New Menu

This creates a brand new menu that you can add your own items to.

· New Menu Button

This creates a new button which also has an arrow that opens a drop-down submenu. You can define the function for the button part and also add your own items to the submenu.

· Spacer

This creates a spacer button that has no function other than to take up room on a Toolbar. You can use this to control the positioning of other toolbar buttons.


Settings - Predefined

The Settings commands provide access to and control over to the Preferences settings. They let you access the Preferences, Customize and other user-configuration sections of Directory Opus.

· Backup & Restore Settings Prefs BACKUPRESTORE

This command displays the Settings Backup & Restore Wizard.

· Copy Filter Set COPYFILTER=Toggle

This command lets you toggle the state of the Copy Filter. The state of this can also be set from the File Operations section in Preferences.

· Customize Prefs CUSTOMIZE

This command opens the Customize window and puts Directory Opus into Customize mode, allowing you to edit your Toolbars and menus.

· Delete Filter Set DELFILTER=Toggle

This command lets you toggle the state of the Delete Filter. The state of this can also be set from the File Operations section in Preferences.

· Enable Sounds Set SOUNDS=Toggle

This command lets you toggle Directory Opus sound effects on or off without having to go through the Sounds section in Preferences.

· File Filter Set FILTERS=Toggle

This command lets you toggle the states of both the Copy Filter and the Delete Filter Preferences options.

· File Types Prefs FILETYPES

This command opens the File Type Editor, which lets you see and modify the system file type associations.

· Folder Tab Group List Go TABGROUPLIST

This command displays a drop-down list of your configured Tab Groups. Selecting a tab group from the list will load that group of tabs automatically. Clicking the button will open Preferences to the Tab Group editor.

· FTP Add To Address Book Prefs ADDFTPSITE

This command adds the currently open FTP site to the FTP Address Book.

· FTP ASCII Transfer Mode Set FTPMODE=ASCII

This command sets the transfer mode for the current FTP connection to ASCII.

· FTP Auto Transfer Mode Set FTPMODE=AUTO

This command sets the transfer mode for the current FTP connection to Auto.

· FTP Binary Transfer Mode Set FTPMODE=Binary

This command sets the transfer mode for the current FTP connection to Binary.

· FTP Edit Address Book Prefs FTPSITES

This command opens the FTP Address Book editor.

· Lister Themes Prefs THEMES

The Lister Themes command displays the Lister Themes dialog, which lets you load and save Lister Themes. This command appears in the default Settings menu.

· Preferences Prefs

This command opens the Preferences window, where most of the user-configurable options in Directory Opus can be found. Preferences opens to the last page used.

· Save All Listers Prefs LAYOUTSAVE

This command saves all currently open Listers as a new Lister Layout. Directory Opus will prompt you for the Layout name to use. This command appears in the default Settings menu.

· Save Single Lister Prefs LAYOUTSAVE=single

Similar to Save All Listers, this command saves only the currently active Lister as a new Lister Layout.

· Saved Layouts - Drop-Down Prefs LAYOUTEDIT
Prefs LAYOUTLIST

This command adds a drop-down menu button. The button itself opens the Lister Layouts page in Preferences, letting you edit your saved Layouts. The drop-down menu displays a dynamically generated list of your current saved Lister Layouts; selecting a Layout from this List automatically opens the Layout.

· Saved Layouts - Edit Prefs LAYOUTEDIT

This command opens the Preferences dialog and automatically takes you to the Saved Layouts section.

· Saved Layouts - List Prefs LAYOUTLIST

This is a dynamic command that generates a list of all saved Lister Layouts. This allows you to select the Layout you wish to load without having to go through Preferences.

· Saved Layouts - Load Prefs LAYOUT=<name>

This command lets you load a specific saved Lister Layout. If you add this command to a Toolbar you then need to edit the button and specify the actual name of the Layout to load.

· Saved Preferences List Prefs IMPORTLIST

This is a dynamic command that generates a list of all exported Preferences files. This allows you to select the set of Preferences you wish to load without having to use the menu in Preferences.

· Saved Preferences Menu Prefs IMPORTLIST

This is the same as the Saved Preferences List command except that the list of exported Preferences files is displayed in a popup submenu instead of in the Toolbar or menu itself.

· Set As Default Lister Prefs SETDEFAULTLISTER

This command appears in the default Settings menu. It saves the currently active Lister as the new Default Lister.

· Toolbar List Toolbar LIST

This is a dynamic command that generates a list of all defined Toolbars. You can turn Toolbars on or off by selecting one from this list.

· VFS Plugin List Prefs VFSPLUGINLIST

This command dynamically generates a list of your installed VFS Plugins, much the same as the Viewer Plugin List command. You can enable or disable the Plugins, as well as access the About and Configure functions from this list. This command appears in the default Settings menu.

· Viewer Plugin List Show PLUGINLIST

This is a dynamic command that generates a list of the currently installed Viewer Plugins, lets you view the About information for each plugin and, if supported by the plugin, configure it as well.


Tools - Predefined

The Tools category provides access to various Directory Opus tools such as the Image Conversion functions, visual Synchronize, Duplicate File Finder and more.

· Administrator Mode Set ADMIN=Toggle

This command is used to enable Administrator Mode in a Lister under Windows Vista.

· Change Default Printer Print DEFAULTLIST

This is a dynamic command that generates buttons for each of your installed printers. Clicking on one of these buttons sets that printer as the default. You can also drag and drop files onto these buttons to print a file directly to a given printer.

· CLI CLI

This command opens the Directory Opus CLI (command-line interpreter) interface. This is a very simple keyboard interface to the Directory Opus command set. It lets you enter commands and have them run immediately without having to set up Toolbar buttons first. You will not normally need to use this function.

· Command Field

This command adds a text entry field (with drop-down history list) to a Toolbar that lets you enter a command string (either an Opus internal command or the name of an external program) that is executed immediately. For example, you could enter a command like rename *.txt *.doc if you wanted to rename all .txt files in the current Lister to .doc files without going through the Rename dialog.

· Convert Images Image CONVERT

This command opens the Image Conversion dialog, which lets you convert all selected image files to either JPG, GIF, PNG or BMP format, as well as resize and rotate images. This command appears on the default Tools menu.

· DOS Prompt Here CLI DOSPROMPT

This command opens a DOS prompt window, with the current directory set to the source directory in the current Lister.

· Duplicate Files Set UTILITY=Dupe,Toggle

This command displays the Duplicate File Finder in the Utility Panel in the current Lister. This tool lets you search your hard drive for duplicate files that may be wasting space. This command is a toggle; if the Duplicate Files page of the Utility Panel is already open, the Utility Panel will be closed. This command appears on the default Tools menu.

· Duplicate Files Lister Go CURRENT LAYOUT=dupefinder

As an alternative to displaying the Duplicate File Finder in the current Lister, this command opens a new Lister specifically configured to run the Duplicate File Finder function. The special predefined Layout dupefinder is used for this purpose. If you hold the Shift key down when closing the Duplicate Files Lister, any size and position changes you have made to the window will be automatically preserved.

· Find Panel Set UTILITY=Find,Toggle

This command displays the Find page of the Utility Panel in the current Lister. This is identical to the standalone Find Tool, except that it can only output the results of the Find in a File Collection in the current Lister. This command is a toggle; if the Find page of the Utility Panel is already displayed, the Utility Panel will be closed. This command appears on the default Tools menu.

· Find Tool Find

This command opens the Find function which can be used to search for files and folders by name, contents and attributes. The Find function is described in greater detail in the Opus Find section.

· Flickr Synchronize Image SYNCPHOTOS=flickr

This command displays the Flickr Synchronization dialog which lets you synchronize your local photos with one or more Flickr accounts. Use the Photo Sharing section in Preferences to configure your Flickr account before using this command.

· Output Window Set OUTPUT=Toggle

This command toggles the display of the Output Window.

· Print Folder Print FOLDER

This command opens the Print Folder dialog which lets you print the contents of a folder to the printer or to a disk file.

· Synchronize Set UTILITY=Sync,Toggle

This command displays the Synchronize tab of the Utility Panel in the current Lister. This lets you access the powerful File Synchronization system built into Directory Opus. This command is a toggle; if the Synchronize page of the Utility Panel is already displayed, the Utility Panel will be closed. This command appears on the default Tools menu.

· Synchronize Lister Go CURRENT DUALPATH={destpath}
LAYOUT=synchronize

Similar to the Duplicate Files Lister command, this opens a special predefined Layout configured to run the File Synchronize function. The new Lister will inherit the current source and destination paths automatically. If you hold the Shift key down when closing the Synchronize Lister, any size and position changes you have made to the window will be automatically preserved.

· Upload to ImageShack Image UPLOAD=imageshack

This command will upload all selected images (JPG/PNG/GIF only) to ImageShack, a free photo sharing service. When complete the URLs of the uploaded images will be automatically placed in the clipboard. You can configure the behavior of this command from the Photo Sharing section in Preferences.


User - Predefined

The User command category is initially empty. This category contains commands that you can define yourself. You can build a new command out of existing Directory Opus commands, by using external programs, or a combination of both.

The advantage of this is that it lets you define a simple alias (command name) for what might be a very complicated command. You can then add this command to Toolbars or menus without having to recreate the details of the command.

Another use is to simplify making future modifications to the command. For example, say you have created a User command to load a paint program to edit the currently selected file. If, later on, you want to change to using a new paint program, you only have to modify the definition of the User command. Any Toolbar buttons or menu items that use this command will automatically be updated to use the new command definition.

User-defined commands can have a command template similar to the Raw Command set. Use the Template field in the Command Editor to specify the template. Then, you need to insert special codes into the function definition to indicate where parameters from the command line are to be inserted.

For example, consider the following user-defined command:

Command: Edit
Template: NAME
Function: Notepad &NAME&

A button that made use of this user-defined command might have the following function:

Function: Edit {f}

The function definition for the User command uses the &<parameter>& terminology to specify that a parameter from the command line is to be inserted into the function definition. In the above example, the NAME parameter in the command template is inserted into the function definition where the &NAME& code appears.

The {f} parameter in the second function would take the name of the selected file and pass that as the value of the NAME parameter through to the user command, which would then open the file in Notepad.

Boolean (yes/no) parameters can specify the values that are used for yes or no values. By default a Boolean parameter passes 1 if the switch is given on the command line, and 0 if not. Using the &<parameter>:<yesval>:<noval>& parameter in the function definition, you can specify the values that are used for yes or no choices.

To create a new User Command, click the Add button, or right-click on the command list and choose Add from the context menu. If someone sends you an already configured command as a .dcf exported command file, you can add it to the list by dragging the file and dropping it on the command list. If someone sends you an already configured command in text format (for example, in an email message), copy it to the clipboard, and then paste it into the User command list by right-clicking and choosing Paste from the context menu. Similarly, you can export your own User commands to give to other people by right-clicking on them and choosing either Copy or Export.


View - Predefined

The View commands are commands to do with the display of the Lister, including commands to switch between single- and dual-file display modes, turn the Folder Tree on or off, change the current view mode, etc.

· Check-Box Mode Set CHECKBOXMODE=Toggle

This command toggles Lister Check-box mode on or off. When check-box mode is enabled, actions that usually take place on selected files instead take place on checked files. This lets you interact with files by double-clicking, context menu or drag and drop without disturbing their selection state. This command appears on the default View menu.

· Contacts List Set WINMSGR=Toggle

This command toggles the Contacts List display in the current Lister. The Contacts List provides Windows Messenger / Live Messenger integration, letting you see a list of your contacts. You can initiate conversations with your contacts by double-clicking on their names, and send files to them with drag and drop onto the Contacts List. This command appears on the default View menu.

· Current Content Type

This command is used to display the Current Content Type field on a toolbar. This field indicates the content type format, if any, that is currently in use for the Lister. You can change formats by selecting them from the drop-down list. This field appears on the default Path toolbar (pathbar.dop).

· Dual File Display Set DUAL=Toggle

This command toggles the active Lister between single- and dual-file display modes.

· File Filter Field

This command adds a text entry field to a Toolbar that lets you enter a wildcard pattern to immediately hide or show files and folders in the current Lister.

· Flat View (Grouped) Set FLATVIEW=On,Grouped

This command turns on Flat View in “grouped” mode in the current Lister. This command appears on the default View menu.

· Flat View (Mixed No Folders) Set FLATVIEW=On,MixedNoFolders

This command turns on Flat View in “mixed no folders” mode in the current Lister. This command appears on the default View menu.

· Flat View (Mixed) Set FLATVIEW=On,Mixed

This command turns on Flat View in “mixed” mode in the current Lister. This command appears on the default View menu.

· Flat View Off Set FLATVIEW=Off

This command turns off Flat View in the current Lister. This command appears on the default View menu.

· Flat View Toggle Set FLATVIEW=Toggle

This command toggles Flat View mode on or off in the current Lister.

· Folder Formats List Properties FORMATLIST

This is a dynamic command that generates a list of Defined Folder Formats. You can configure these with the Folder Options function. If you select a Format from this list, the current folder will be automatically redisplayed using those settings.

· Folder Formats Menu Properties FORMATLIST

This command is similar to the Folder Formats List command except the list of Formats is displayed in a popup submenu instead of in the Toolbar or menu itself.

· Folder Options Properties FOLDEROPTIONS

This command displays the Folder Options dialog for the current folder. This lets you modify the display of the current folder and optionally save it to make it the default display for this folder. You can also configure your Defined formats which are displayed by the Folder Formats List and associated commands.

· Folder Options List Properties FOLDEROPTIONS
Properties FORMATLIST

This is a menu button which opens the Folder Option dialog when you click the button itself. The arrow opens a drop-down menu which contains a dynamically generated list of your Defined Folder Formats. You can select a Format from this list to automatically redisplay the current format using those settings.

· Folder Properties Properties LISTER

This command displays the system Properties dialog for the current folder in the active Lister. This is the equivalent of using the Go Up command to go back to the parent of the current folder and then selecting Properties for the folder itself.

· Folder Tree Set TREE=Toggle

This command toggles the Folder Tree display for the current Lister on or off.

· Format Lock Set FORMATLOCK=Toggle

This can replace the format lock (padlock) in the default status bar. If you wish to move this functionality to a Toolbar or menu (if, for instance, you have turned your status bar off), then you can use this command to do it.

· FTP Site Properties Properties FTPSITE

This command displays the Properties dialog for the currently connected FTP site. This lets you modify parameters for the current connection. You can also choose to have the changes stored in the FTP Address Book and therefore made permanent for this FTP site.

· Hide Files Field

This command adds a text entry field (with drop-down history list) to a Toolbar that lets you enter a wildcard pattern to immediately hide files in the current Lister. It is equivalent to editing the Hide Files Filter through Folder Options.

· Hide Folders Field

This command is similar to Hide Files Field (above) except that it is used to hide folders in the current Lister rather than files.

· Lister Styles - Drop-Down Prefs STYLEEDIT
Prefs STYLELIST

This command adds a drop-down menu button. The button itself opens the Lister Styles page in Preferences, letting you edit your Lister Styles. The drop-down menu displays a dynamically generated list of your configured Lister Styles; selecting a Style from this List automatically applies the style to the current Lister.

· Lister Styles - List Prefs STYLELIST

This command displays a dynamically generated list of your configured Lister Styles.

· Lister Styles - Tabs

This command adds a row of tabs to a Toolbar, with one tab for each of your configured Lister Styles. Switching to a new Style is a simple as clicking on a new tab. If you right-click on a tab a context menu is displayed that lets you make changes to that tab without opening the Preferences dialog. The Style Tabs appear on the default Styles Toolbar (tabbar.dop).

· Refresh Go REFRESH

This command refreshes the display of the current folder in the active Lister.

· Refresh All Go REFRESH=All

This command refreshes the display of both folders (in a dual-file display Lister) and the Folder Tree (if open).

· Refresh Both Go REFRESH=Both

This command refreshes the display of both folders in a dual-file display Lister.

· Refresh Tree Go REFRESH=Tree

This command refreshes the display of the Folder Tree.

· Show Files Field

This command adds a text entry field (with drop-down history list) to a Toolbar that lets you enter a wildcard pattern to immediately show files in the current Lister (only files that match the pattern will be displayed). It is equivalent to editing the Show Files Filter through Folder Options.

· Show Folders Field

This command is the same as Show Files Field (above) except that the wildcard pattern is used to show folders rather than files.

· Status Bar Set STATUSBAR=Toggle

This command lets you toggle the status bar on and off in the current Lister. This command appears on the default View menu.

· Thumbnail Size

This command displays a slider control on the toolbar (when the Lister is in Thumbnails mode) that lets you dynamically adjust the size of thumbnails. Note that dynamic thumbnail resizing must be enabled in Preferences for this to work.

· View As Large Icons Set VIEW=LargeIcons

This command sets the view mode of the active Lister to Large Icons.

· View As Small Icons Set VIEW=SmallIcons

This command sets the view mode of the active Lister to Small Icons.

· View In Details Mode Set VIEW=Details

This command sets the view mode of the active Lister to Details.

· View In List Mode Set VIEW=List

This command sets the view mode of the active Lister to List.

· View In Power Mode Set VIEW=Power

This command sets the view mode of the active Lister to the special Directory Opus Power Mode.

· View In Thumbnails Mode Set View=Thumbnails

This command sets the view mode of the active Lister to the special Directory Opus Thumbnails Mode (this may not be available for some folders).

· View in Tiles Mode Set VIEW=Tiles

This command sets the view mode of the active Lister to Tiles view.

· View Mode Cycle Set View=Cycle

This command defines a menu button that lets you cycle through the available view modes for the current Lister. Clicking the arrow displays a drop-down menu that lets you select the view mode directly.

· Viewer Pane Set VIEWPANE=Toggle

This command is used to turn the Viewer Pane on or off in the current Lister.


Opus Raw Commands

The raw command set is the underlying set of commands upon which all of the predefined commands are based. It consists of a small set of core commands, most of which take a diverse array of parameters which give rise to the multiplicity of functions available in Directory Opus.

Internally, all Toolbar buttons are represented in terms of the raw command set. When you drag a predefined command from the Customize window and drop it on a Toolbar, it is converted to the appropriate raw command with the necessary parameters defined. You can then edit the new button and add, modify or delete those parameters to further customize the command as you wish. Using the New Button function you can even add an empty button to a Toolbar which you can define to run any function you wish using the raw command set.

Most raw commands have a template which defines the parameters that the commands accept. The template is of the form:

<Option [<Qualifiers>]>,<Option [<Qualifiers>]>, …

Options in the template are separated by commas. Options can be followed by optional parameters called Qualifiers. The list below shows the various qualifiers that options may use. You do not enter the qualifier when you are using an option - it exists simply to indicate the type of the option.

/S Switch. Indicates a binary switch qualifier. The switch will be set if the option appears in the command-line.

/O Switch with optional arguments. The same as /S but takes optional arguments where the default action can be modified. For example, Copy takes an option UPDATEEXISTING, which may have none, size or date as a qualifying parameter.

/K Keyword. This means that the option will not be accepted unless the keyword appears. For example if the template is “Name/K”, then unless “Name=<string>“ or “Name <string>“ appears in the command line, Name will not be accepted.

/A Required. This keyword or a value for it must be supplied, or else the entire command line will be invalid.

/M Multiple strings. This means the argument will take any number of strings. Any arguments not considered to be part of another option will be added to this option.

Options types other than /S (switches) require a value. This is usually given in the form OPTION <value> or OPTION=<value>. The equals sign (=) is usually optional - either a space or an equals sign serves to separate the option from its value. The one exception to this rule is when the value provided is the same as another option in the template. In this instance, the = is required in order to indicate that it is the value you are providing, and not another option.

Note that some options take comma-separated strings as their value. For example, consider the raw command Set VIEW=details,power. In this command (which toggles between details and power mode), the value of the VIEW option is “details,power”.

Such options are not to be confused by /M type options, which are options that can have multiple values supplied. For example, the CreateFolder NAME option is a /M option - this lets you create multiple folders in the following fashion:

CreateFolder NAME one two three

This example command supplies three distinct values for the NAME option, and will cause three folders (called one, two and three) to be created. However, the Set VIEW option is not a /M type - the “details,power” string provided is a single value.

Note also that values you provide containing spaces must be enclosed by quotation marks. For example,

CreateFolder NAME “hello there”

This would create a single folder, called hello there. If, however, the command provided was:

CreateFolder NAME hello there

Without quotes, this would create two folders, one called hello and one called there.

If no qualifier is given in the template for an option, then the option will be filled by any text not matching another option. For example, the command Filetype takes an option, ACTION, which may be one of either drop, dropshift, dropctrl, dropalt, dblclk, dblclkshift, dblclkctrl, or dblclkalt. Thus the following two commands are equivalent:

Filetype ACTION drop
Filetype drop

Quite often you can combine multiple options within the same command, especially switch options indicated by the /S parameter. The documentation below describes the situations where this makes sense.

More:

CLI - Raw Command

Clipboard - Raw Command

Close - Raw Command

ContextMenu - Raw Command

Copy - Raw Command

CreateFolder - Raw Command

Delete - Raw Command

Favorites - Raw Command

Filetype - Raw Command

Find - Raw Command

GetSizes - Raw Command

Go - Raw Command

Help - Raw Command

Image - Raw Command

Join - Raw Command

Marker - Raw Command

Play - Raw Command

Prefs - Raw Command

Print - Raw Command

Properties - Raw Command

Recent - Raw Command

Rename - Raw Command

Select - Raw Command

Set - Raw Command

SetAttr - Raw Command

Show - Raw Command

Split - Raw Command

Toolbar - Raw Command

Undo - Raw Command


CLI - Raw Command

This command opens the Directory Opus CLI (command-line interpreter) interface. This is a very simple keyboard interface to the Directory Opus command set. It lets you enter commands and have them run immediately without having to set up Toolbar buttons first. You will not normally need to use this.

The CLI command can also be used to open a DOS prompt box with the current directory set to the path of the active Lister. The command template is:

DOSPROMPT/O[<here>, selfolder]

· DOSPROMPT=here (or DOSPROMPT with no parameters) opens a DOS prompt which CDs to the path of the active Lister.

· DOSPROMPT=selfolder opens a DOS prompt which CDs to the currently selected sub-folder in the active Lister.


Clipboard - Raw Command

The Clipboard command performs Clipboard-related functions. This command requires exactly one option to be specified on the command line. The command template is:

ADD/S, AS/K, COPY/S, COPYNAMES/O[<full>, nopaths, url, hash, hash2, hash3, unc, short, single, path], CUT/S, NOFROMFOCUS/S, PASTE/O[jpg, png, gif, bmp], PASTELINK/O[<shortcut>, junction, hardlink, softlink, auto], SET/K, USESEL/S

· ADD/S: Specify the ADD switch when using COPY or CUT. The selected files will be added to the existing clipboard contents instead of replacing any files that were already on the clipboard. This lets you copy files from multiple locations into the one folder with a single paste.

· AS/K: The AS argument can be used when pasting images or text to disk. It lets you override the default filename used in these cases (Clipboard Image / Clipboard Text)

· COPY/S: With this option specified, the Clipboard command copies all currently selected files and folders in the active Lister to the clipboard. The files on the clipboard can then be pasted into another folder using the Clipboard PASTE command.

· COPYNAMES/O [<full>,nopaths,url,hash,hash2,hash3,unc,short,single,path]: This option copies the names of all selected files to the clipboard in ASCII text. It does not copy the files themselves. By default the full pathnames are copied but if you specify nopaths then only the names of the files are copied. If you specify url, the filenames will be copied as if they are URLs. You can also specify hash or hash2 to copy the MD5 checksums of the selected files to the clipboard. The output of hash is more readable, whereas hash2 outputs in a format compatible with the MD5Sum program.

Use hash3 to copy the MD5 checksums only, without the names of selected files. If single is specified and multiple files are selected, the filenames are copied to the clipboard on a single line separated by spaces, rather than one name per line as is the default. The path argument will copy the source path to the clipboard, ignoring any selected files.

This switch can also take the unc parameter. If you are copying the names of files on a network share, specifying unc causes them to be copied using their UNC pathnames rather than using the shared drive letter. For example, E:\Leo.txt may resolve to \\Work_Server\Drive_E\Leo.txt.

Specify the short parameter to copy the short (8.3) names of files.

· CUT/S: This option is similar to the COPY option, except that when the files are pasted into another folder, the original files are deleted. Note that when you Cut files, the files are not actually deleted until they are pasted into a new location.

· NOFROMFOCUS/S: The default behavior for this command is to operate on either the source file display or the Tree, whichever has input focus. You can disable this and cause it to only operate on the file display with the NOFROMFOCUS switch.

· PASTE/O [jpg, png, gif, bmp]: The Clipboard PASTE command pastes files and folders that are currently on the clipboard into the active Lister. If the files that are on the clipboard were put there by a Cut command rather than a Copy command, the original files will be deleted. The PASTE argument can take a format that is used when pasting a clipboard image as a disk file. Specifying this argument overrides the default setting in Preferences. The JPEG quality can be set - for example, Clipboard PASTE jpg:85

· PASTELINK/O [<shortcut>, junction, hardlink, softlink, auto]: This option pastes shortcuts, junctions or links to the files that are on the clipboard into the active Lister. The default action is to create Shortcuts (.lnk files). If you specify junction an NTFS junction will be created (but only if there are one or more folders on the clipboard – junctions can not be created to files.) If you specify hardlink a hard link will be created (only supported for files.) If you specify softlink a soft link will be created. Soft links support both files and folders, but are only available under Windows Vista. If you specify auto the most suitable type will be selected automatically. Note that using the PASTELINK argument means the original files themselves are not moved or copied.

· SET/K/R: The SET argument lets you copy arbitrary text to the clipboard. The /R modifier is new to Opus 9 and indicates a raw argument. When the SET argument is given, all subsequent text on the command line becomes part of the argument value, including any spaces and quotes.

· USESEL/S: By default, the Clipboard PASTE and PASTESHORTCUT commands paste into the source folder. If you specify the USESEL and there is a selected sub-folder in the source Lister, the paste will take place in that sub-folder instead of the parent folder. This is used for the Paste context menu command for the All Files and Folders file type.


Close - Raw Command

The Close command is used to close Listers, exit the program or shutdown the entire system. The default behavior of the command, with no options specified on the command line, is to close the active Lister. The command template is:

ALLLISTERS/S, ALLOTHERLISTERS/S, ALLVIEWERS/S, AT/K, CANCEL/S, IN/K, PROGRAM/S, QUIET/S, SYSTEM/O[<logoff>, restart, shutdown, poweroff, force, forceifhung], TOGGLE/S, WHENFINISHED/S

· ALLLISTERS/S: The Close ALLLISTERS command closes all currently open Listers. The program itself is left running.

· ALLOTHERLISTERS/S: Specifying this parameter will close all Listers except the current Lister.

· ALLVIEWERS/S: Close all open Viewer windows.

· AT/K: Used with the SYSTEM switch, this allows you to schedule an automatic shutdown of your system at a given time. The time must be specified in HH:MM:SS format using a 24 hour clock. If the time you specify is less than the current time, it will be taken to refer to the next day. When the time you specify is reached, a 10 second countdown timer is displayed before the system is shutdown.

· CANCEL/S: You can use this switch to cancel a previously-scheduled auto-shutdown.

· IN/K: Similar to the AT switch, this lets you schedule an automatic shutdown after a given period of time. The time is specified in HH:MM:SS format (or MM:SS or just SS).

· PROGRAM/S: With this option specified the Close command closes the Directory Opus program. All currently open Listers and other windows are automatically closed.

· QUIET/S: Normally when the SYSTEM switch is used, a confirmation dialog is displayed giving you a chance to cancel the shutdown. Using the QUIET switch prevents this dialog from being shown.

· SYSTEM/O: The SYSTEM switch lets you shutdown the system from an Opus button The options for CLOSE SYSTEM are:

logoff: This is the default action and will log the current user off the system.

restart: This restarts (reboots) the system.

shutdown: This shuts the system down (depending on your system, this may also power off the computer, or it may display the “Your computer is now safe to be shutdown” screen) .

poweroff: This shuts the system down and powers off the computer. (You need an ATX-compatible motherboard and power-supply for the computer to be powered off.)

force: Use this in addition to the other options to force the system to shutdown even if some programs are not responding. (Note: the system will shutdown immediately and you may lose unsaved data.)

forceifhung: This is only available under Windows 2000 or later, and it works the same as the force option but only if there are any non-responding programs. Otherwise, the shutdown proceeds as normal.

· TOGGLE/S: Use this switch in conjunction with the scheduled-shutdown options to toggle scheduled shutdown on or off. If used in a Toolbar or menu it causes the button to appear checked or highlighted when a shutdown is scheduled and unchecked when not. For example:

Close SYSTEM=poweroff,force WHENFINISHED QUIET TOGGLE

· WHENFINISHED/S: This lets you schedule an automatic shutdown when all outstanding functions have completed. For example, when you are downloading a large amount of data via FTP, you could use this to have the computer automatically shutdown when the download is complete. Note that if there are currently no functions executing, the shutdown will be triggered immediately!


ContextMenu - Raw Command

FILE/K/M, ID/K/N, SHOWCMDS/S, VERB

The ContextMenu command lets you send system context menu commands directly to files and folders. This can be used to set up buttons that automatically perform functions that usually take two or three steps to access, for example emptying the Recycle Bin. The context menu commands available can vary from system to system and OS to OS, so your mileage with this command may vary.

The first step in using the ContextMenu command is to use the SHOWCMDS switch to view the available context menu commands. Open the Directory Opus CLI, then select the desired file in the source Lister. Enter the command ContextMenu SHOWCMDS in the CLI. Directory Opus will display a list of the available commands for that file. The number preceding the command name is the command ID - a numeric identifier for the command. Some commands may also have a verb displayed following the command name. Verbs are English-language keywords that can be used to trigger commands, and are easier to use than command IDs.

If you want to use the ContextMenu command on a System Namespace folder like the Recycle Bin, you need the GUID for the Namespace. A description of GUIDs is beyond the scope of this documentation; however as an example, the Recycle Bin’s GUID is {645FF040-5081-101B-9F08-00AA002F954E}. To discover the available context menu commands for the Recycle Bin, you would enter the following command in the Opus CLI:

ContextMenu SHOWCMDS FILE=::{645FF040-5081-101B-9F08-00AA002F954E}

Under Windows XP and 2000 at least, one of the available commands displayed will be similar to:

168: Empty Recycle Bin (empty)

From this you can see that the command ID to empty the Recycle Bin is 168, and it also has the verb empty. Note that the command ID may be different on your system. Once you have this information, you can set up a button to empty the recycle bin automatically. Create a new button in the normal way, and enter the following command for its function definition:

ContextMenu VERB=empty FILE=::{645FF040-5081-101B-9F08-00AA002F954E}

You should find that clicking this button now causes your Recycle Bin to be emptied automatically.

· FILE/K/M: Use the FILE argument to specify the file or System Namespace folder on which to perform context menu commands. If you do not specify a file, the action is performed on all selected files and folders in the current Lister.

· ID/K/N: Used to specify the command ID to execute.

· SHOWCMDS/S: Causes Opus to display a dialog containing the available context menu commands for the specified files.

· VERB: Used to specify the command verb to execute. If verbs are available they should be used in preference to command IDs.


Copy - Raw Command

The Copy command handles file copying and moving functions. The default behavior of the command, with no options specified on the command line, is to copy all selected files and folders in the active Lister to the destination folder. The command template is:

ADDTOZIP/S, AS/O, BUFSIZE/K/N, BURNCD/S, CLEARREADONLY/K [yes,no], COLLLIST/S, COPYATTR/K [yes,no], COPYCREATIONTIME/K [yes,no], COPYDESC/K [yes,no], COPYDIRDATES/K [yes,no], COPYPROPERTIES/K [yes,no], COPYSECURITY/K [yes,no], COPYTIME/K [yes,no], COPYTOCOLL/K [member,sub,ask], CREATEFOLDER/O, DUPLICATE/S, EXTRACT/O[<top>,sub,checkout], FILE/M/F, FILTER/O[<always>,shift,alt,ctrl], FLATVIEWCOPY/K [single,recreate,ask], FORCE/S, HERE/S, INSTALLFONT/S, MAKELINK/O[<shortcut>, junction, hardlink, softlink, auto], MAKEDESTARCHIVE/K [yes,no], MAKESOURCEARCHIVE/K [yes,no], MOVE/S, MOVEWHENSAME/S, NOZIPBATCH/S, RENAMEWHENSAME/S, SENDMAIL/O, SENDTO/K, TO/K,UPDATEALL/S, UPDATEEXISTING/O[<both>,size,date], UPDATESECURITY/K [yes,no],UPDATETOLERANCE/N/K, WHENEXISTS/O [<default>,ask, skip, replace, rename, renameold, resume], WINMSGR/K:, ZIP/O[<all>,single]

· ADDTOZIP/S: This option adds all selected files and folders to a ZIP file. It is similar to the ZIP option except that Directory Opus will prompt for the ZIP file name and location, and compression/password parameters. This command yields the same result as right-clicking on several files and choosing Add To Zip... from the context menu.

· AS/O: This option causes the Copy function to ask for new file names. You can use this option by itself (in which case the files are copied with new names), or in conjunction with the MOVE option (in which case the files are moved with new names). If you specify AS by itself, you will be prompted for the new file name(s); however you can specify the new name (or a wildcard pattern) directly using AS=<name>.

· BUFSIZE/K/N: This lets you override the buffer size setting in Preferences. The buffer size is specified in bytes (rather than kilobytes as is the Preferences option)

· BURNCD/S: This option is only supported under Windows XP, and lets you invoke the system CD Burning Wizard.

· CLEARREADONLY/K [yes,no]: This lets you override the state of the Clear read-only flag when copying from CDs option in Preferences. If not specified, the Preferences setting is used.

· COLLLIST/S: This option lets you display a dynamically generated list of File Collections to copy (add) files to. For example, add the Copy COLLLIST command to a context menu and then right-click on a file.

· COPYATTR/K [yes,no]: This lets you override the state of the Preserve the attributes of copied files option in Preferences.

· COPYCREATIONTIME/K [yes,no]: This lets you specify whether the creation time is preserved when copying files. The default behavior is to copy the creation time, but this can be disabled via this option or via an option in the Miscellaneous / Advanced section in Preferences.

· COPYDESC/K [yes,no]: This lets you override the setting of the Preserve the descriptions of copied files option in Preferences.

· COPYDIRDATES/K [yes,no]: This lets you specify whether folder timestamps are preserved when copying files. The default behavior is to copy folder timestamps, but this can be disabled via this option or via an option in the Miscellaneous / Advanced section in Preferences.

· COPYPROPERTIES/K [yes,no]: This lets you override the state of the Copy NTFS file properties option in Preferences. If not specified, the Preferences setting is used.

· COPYSECURITY/K [yes,no]: This lets you override the state of the Copy security permissions option in Preferences. If not specified, the Preferences setting is used.

· COPYTIME/K [yes,no]: This lets you override the setting of the Preserve the timestamps of copied files option in Preferences.

· COPYTOCOLL/K [member,sub,ask]: This lets you override the state of the When copying folders to a collection option in Preferences.

· CREATEFOLDER/O: If specified, you will be prompted for the name of a new folder to copy the selected files into. If just a name is entered, a folder of this name is created in the destination file display. If used with the HERE parameter this will cause the new folder to be created in the source file display. You can also enter an absolute path if desired. You can also specify the name of the folder on the command line if desired, for example Copy CREATEFOLDER=Foo.

· DUPLICATE/S: The DUPLICATE option is used by itself and causes the selected files to be duplicated in the same folder. You will be asked for new names automatically for each file (and you can use wildcards to do batch duplication).

· EXTRACT/O[<top>,sub,checkout]: This option is mainly used for extracting files from ZIP files, but also operates on folders. It modifies the default behavior of the Copy command. When specified, the contents of the selected ZIP files are copied to the destination, rather than the ZIP files themselves. If you specify EXTRACT=sub the contents are extracted to a new subfolder in the destination. For example, the contents of the file test.zip would be extracted to a new subfolder called test in the destination folder.

The behavior of this option can be modified with the HERE switch, which causes the contents to be extracted to the source folder rather than the destination.

If you specify EXTRACT=checkout the entire contents of the ZIP file are automatically extracted to a temporary folder, and then the temporary folder is displayed in a new Lister.

· FILE/M/F: This lets you specify the name of the file (or files) to copy.

· FILTER/O[<always>,shift,alt,ctrl]: This option lets you specify a filter to be used for the copy or move without having to turn the Copy Filter option on through Preferences. For example, you could set up a button where the left button function copied files normally, and the right button function prompted you for a filter every time.

· FLATVIEWCOPY/K [single,recreate,ask]: This lets you override the state of the When copying in Flat View mode option in Preferences.

· FORCE/S: The option allows you to suppress prompts and automatically replace existing files.

· HERE/S: With this option set, the Copy command uses the source Lister as the destination as well. It is used in conjunction with the MAKESHORTCUT and EXTRACT options. For example, Copy MAKESHORTCUT HERE causes the shortcuts to be placed in the same folder as the source files rather than in the destination folder.

· INSTALLFONT/S: This flag lets you install fonts. For example, you could add the command Copy INSTALLFONT to the context menu for font files (.ttf, .ttc, .fon and .fnt). Then, you could select this command to automatically copy the font files to the Windows Fonts folder and add them to the system.

Even without this flag, Opus will automatically detect if you copy font files to the Windows Fonts folder and will add them to the system for you.

· MAKEDESTARCHIVE/K [yes,no]: This lets you override the state of the Mark copied files as archived option in Preferences.

· MAKELINK/O [<shortcut>, junction, hardlink, softlink, auto]: With this option specified, the Copy command does not copy the selected files and folders - instead, it creates shortcuts, junctions or links to them in the destination folder. You can modify this behavior with the HERE option to cause the shortcut to be created in the source folder. The default behavior is to create a shortcut (.lnk) file. If you specify junction an NTFS junction will be created (but only if one or more folders are selected– junctions can not be created to files.) If you specify hardlink a hard link will be created (only supported for files.) If you specify softlink a soft link will be created. Soft links support both files and folders, but are only available under Windows Vista. If you specify auto the most suitable type will be selected automatically.

· MAKESOURCEARCHIVE/K [yes,no]: This lets you override the state of the Mark original files as archived after being copied flag in Preferences.

· MOVE/S: With the MOVE option specified, the Copy command moves all selected files and folders to the destination instead of copying them.

· MOVEWHENSAME/S: This option modifies the default behavior of the Copy command. If the destination folder is on the same physical device as the source folder, the selected files are automatically moved to the destination rather than copied. It is mainly used in the default drag and drop function to emulate the behavior of Explorer.

· NOZIPBATCH/S: This option disables the ZIP batch extract and add modes for the duration of this function only.

· RENAMEWHENSAME/S: This option modifies the behavior of the Copy command when the files you are copying already exist in the destination folder. Usually attempting to copy a file over an existing file produces a “Replace this file?” confirmation dialog. With this option specified, the copied files are automatically given new names so they do not clash with existing files.

· SENDMAIL/O: This command lets you send the currently selected files as email attachments using your default email client. You can optionally specify the recipient’s email address as a parameter to the COPY SENDMAIL command; however this only works if the Use MAPI option is enabled in the Miscellaneous - Internet Settings section of Preferences. SENDMAIL can be used on its own or in conjunction with the ZIP and ADDTOZIP options.

· SENDTO/K: This option lets you set up a button to activate a Send To menu item for selected files without actually going to the context menu. For example, you could have a button to automatically activate the Send To - Web Publishing Wizard function. The value for the SENDTO option must be the name of the actual file in the system SendTo folder. For example:

Copy SENDTO=”Web Publishing Wizard”

· TO/K: This option lets you specify the destination path of the copy operation. For example, you could set up a Copy button that always copied the selected files to a specific folder rather than the destination Lister. TO=ask causes Opus to prompt for a destination path even if there is already a destination Lister. TO=ask$ can be used in a multi-command function so that you are only asked for the path once even if there are multiple COPY commands specified.

· UPDATEALL/S: This option is used to update files, for example from your local computer to a network drive or FTP site. The only files that will actually be copied to the destination folder are those files that:

a) do not exist already in the destination, or

b) do exist in the destination but are different from the files in the source.

Files that do not meet either of these two criteria are not copied. This is a useful way, for example, to update your web site on a remote FTP server without transferring files unnecessarily.

A file is defined as being different if its timestamp or size has changed - the contents of the file itself are not compared.

· UPDATEEXISTING/O[<both>,size,date]: This option is very similar to the UPDATEALL option, except that files in the destination folder are only updated if they already exist and are different from the source files. Files that do not already exist in the destination are not copied. By default Opus checks both file size and date to determine which files are different; however you can limit this test to either size or date by specifying the option on the command line.

· UPDATESECURITY/K [yes,no]: This lets you override the state of the Update permissions and encryption settings to match the destination when moving files option.

· UPDATETOLERANCE/N/K: This option lets you specify the number of seconds tolerance that Opus uses when comparing files for the UPDATEALL and UPDATEEXISTING functions. The default tolerance is one second, meaning that files are treated as being the same (and therefore will not be updated) if their timestamps are within plus or minus one second. This is to accommodate file updates between systems with different time resolutions (for example, Windows 98 has a two second time resolution whereas Windows 2000 is accurate to one second or even less). Set UPDATETOLERANCE=0 if you want file times to have to match exactly, or to a larger number to make the test even more tolerant of time differences.

When the FILTER option is given by itself you will be prompted every time to define a filter for the copy. If one of the optional keywords is given as the value for the FILTER option, you will only be prompted to define a filter if the appropriate key is held down when the function is selected. For example, FILTER=shift means that you would be asked to define a filter if the Shift key is held down, otherwise no filter will be used.

You can also specify the name of a predefined filter as the value of the FILTER option. For example, Copy FILTER=testfilter would use a predefined filter called testfilter as the filter, and you would not be prompted to define one.

· WHENEXISTS/O [<default>,ask, skip, replace, rename, renameold, resume]: Use this parameter to specify what happens when files you are copying already exist in the destination. This parameter overrides the options set in Preferences. You can choose to ask (ask what to do for each existing file), skip (skip all existing files) or replace (replace all existing files). You can also choose rename which will automatically rename any new files that already exist, and renameold, which will cause the original (existing) files to be renamed. Finally, when copying FTP files, you can also specify resume to automatically resume the transfer of any existing files.

· WINMSGR/K: This parameter lets you use Directory Opus’s Windows Messenger integration to automatically initiate a file transfer to a user on your Contacts List. Specifying list or submenu for this acts as a dynamic button to generate a list of your online contacts. You can also specify the email address (sign-in name) of a contact to automatically transfer selected files to that contact (for example, Copy WINMSGR=fred@bloggs.com)

· ZIP/O[<all>,single]: This option provides a quick way to ZIP a single file or folder to the destination folder. For example, if a folder called Pictures was selected, the Copy ZIP command would ZIP this folder to a new ZIP file in the destination folder called Pictures.zip.

If more than one file is selected, then by default, all selected files are zipped to a single ZIP file that uses the name of the first selected file. However, if you specify ZIP=single, then each selected file is zipped in turn to its own ZIP file.


CreateFolder - Raw Command

The CreateFolder command is used to create new folders and ZIP files. With no options specified, you are prompted to enter the name of the folder to create. The folder is created in the source Lister. The command template is:

FROMCLIPBOARD/S, INLINE/S, NAME/M, NOUPDATESETTINGS/S, READAUTO/O[<yes>,no,dual,tab,nofocus], ZIP/S

· FROMCLIPBOARD/S: If this parameter is specified the CreateFolder command will automatically create a new folder using the text that is currently on the clipboard for the name of the folder.

· INLINE/S: When this option is specified, CreateFolder behaves like the Windows Explorer New Folder command. That is the folder is created immediately using a default name, and then inline renaming is activated, allowing you to edit its name.

· NAME/M: The NAME option can be used to specify the name of the folder to create. If this is given, you are not prompted to enter the folder name. This is a default option, meaning that you do not need to specify the NAME keyword - any text other than another option will be used as the value for this option.

The NAME parameter can also be used to specify multiple folders to create simultaneously. You can also specify full qualified paths here to create folders in locations other than the current source Lister.

· NOUPDATESETTINGS/S: Normally when you use the Create Folder command it remembers its last settings (the state of the “read auto” and “create multiple folders” options) as the default for next time. If you specify the NOUPDATESETTINGS switch then the default settings will not be updated.

· READAUTO/O: Specifying this option lets you set the default state of the Read new folder automatically flag in the CreateFolder dialog. When READAUTO is specified by itself or with the yes parameter, the newly created folder will be automatically read into the current Lister. Specifying READAUTO=no disables the automatic reading of the new folder. READAUTO=dual will read the newly created folder into the opposite display in a dual-file display Lister. You can also read the new folder into a new Folder Tab using READAUTO=tab - specify READAUTO=tab,nofocus if you don’t want the new tab to become the active one. You can also combine dual with the tab option.

· ZIP/S: With this option specified, Directory Opus creates a new ZIP file rather than a new folder. You can also use this in conjunction with the NAME option.


Delete - Raw Command

The Delete command is used to delete files and folders. It can attempt to send files to the Windows Recycle Bin, and can also permanently delete files. When used with no options, the default behavior is to delete all selected files and folders in the source Lister. Depending on the current Preferences settings, this may involve attempting to use the Recycle Bin. The command template is:

ALL/S, EMPTYRECYCLE/S, FILE/M, FILTER/O[<always>,shift,alt,ctrl], FORCE/S, NOFROMFOCUS/S, NORECYCLE/S, QUIET/S, RECYCLE/S, REMOVECOLLECTION/S, SECURE/O, SHIFT/S

· ALL/S: This option modifies the behavior of the Delete command, causing it to override the settings in the File Operations section of Preferences concerning warnings shown before each file and/or folder.

· EMPTYRECYCLE/S: This option triggers the system to empty the recycle bin.

· FILE/M: You can specify filenames for the FILE option. Without this option specified, all selected files and folders in the source Lister will be deleted.

· FILTER/O[<always>,shift,alt,ctrl]: This option lets you specify a filter to be used for the delete function without having to turn the Delete Filter option on through Preferences. For example, you could set up a button where the left button function deleted files normally, and the right button function prompted you for a filter every time.

When the FILTER option is given by itself, you will be prompted every time to define a filter for the delete. If one of the optional keywords is given as the value for the FILTER option, you will only be prompted to define a filter if the appropriate key is held down when the function is selected. For example, FILTER=shift means that you would asked to define a filter if the Shift key is held down, otherwise no filter will be used.

You can also specify the name of a predefined filter as the value of the FILTER option. For example, Delete FILTER=testfilter would use a predefined filter called testfilter as the filter, and you would not be prompted to define one.

· FORCE/S: This option causes any files that are marked as Read Only to be automatically deleted, instead of displaying an error message and giving you the option of clearing the read only attribute.

· NOFROMFOCUS/S: The default behavior for this command is to operate on either the source file display or the Tree, whichever has input focus. You can disable this and cause it to only operate on the file display with the NOFROMFOCUS switch.

· NORECYCLE/S: This option will never attempt to use the Windows Recycle Bin, but instead will permanently delete the files. It overrides the setting in the File Operations section of Preferences.

· QUIET/S: This option causes the delete to be carried out without first prompting for confirmation from the user. It also suppresses the display of any errors that may occur during the delete procedure.

· RECYCLE/S: This option will always attempt to send the files to the Windows Recycle Bin. It overrides the setting in the File Operations section of Preferences.

· REMOVECOLLECTION/S: This switch is used to remove files from File Collections. If you use the normal Delete command in a File Collection, the real files will be deleted. If the REMOVECOLLECTION switch is specified, then the selected files will be removed from the Collection without deleting the actual files themselves. This command is assigned to the right-button function of the Delete button on the default toolbar.

· SECURE/O: Use this parameter to securely wipe files using the new Secure Wipe feature. You can specify the number of wipes to perform as an argument to this parameter, otherwise the value defined in Preferences will be used.

· SHIFT/S: This option causes Directory Opus to emulate the behavior of Explorer. If this option is specified, and the Shift key is held down when the Delete function is selected, the behavior of the function changes from the default, depending upon the Windows Recycle Bin setting in Preferences.

With the Recycle Bin enabled, holding down the Shift key acts as if the Recycle Bin option is not turned on. With the Recycle Bin turned off, holding down the Shift key acts as if the ALL and FORCE options are specified. In either case, if the Shift key is not held down when the Delete function is selected, the SHIFT option has no effect.


Favorites - Raw Command

The Favorites command handles operations involving the user-defined Favorites List, as well as the SmartFavorites™ system. When used by itself with no options, it behaves as a dynamic command and generates a list of your Favorite Folders to be displayed in the Toolbar or menu it is used in. The command template is:

ADD/O[<path>,nameonly],ADDDIALOG/S,EDIT/S,KEYARGS/K/M,NEW/S, NEWTAB/O[<normal>,nofocus],NOLABELS/S,NOOPENINTABS/S,OPENINDEST/S, OPENINDUAL/S,OPENINLEFT/S,OPENINRIGHT/S,PATH,SHOWICONS/S,SMART/O, USEQUALKEYS/S:

· ADD/O: The ADD option adds a new folder to your Favorites List. By default, the folder currently displayed in the active Lister is the one added to the list. If you have specified a value for the PATH option, however, that path is added to the Favorites List instead.

· ADDDIALOG/S: This command lets you add the current folder to the Favorites list - it is similar to the ADD option but displays a dialog first letting you edit the name of the new Favorite entry and optionally specify a sub-folder to add it to.

· EDIT/S: This option causes the Preferences window to be opened, and the Favorites section displayed automatically.

· KEYARGS/K/M: This option lets you specify multiple sets of arguments that are only applied if certain key combinations are held down when the function is executed. See the Go command for more information.

· NEW/S: This switch modifies the behavior of the Favorites command when it is acting as a dynamic command (either with no other options specified, or with the SMART parameter given). It causes a new Lister to be opened when the user selects a folder from the Favorites List, rather than opening the folder in the current Lister.

· NEWTAB/O[<normal>, nofocus]: This switch causes a new Folder Tab to be opened when the user selects a folder from the Favorites list. If you specify the nofocus option the new tab will not be brought to the front.

· NOLABEL/S: Specify this command to prevent the generated Favorites List from displaying labels.

· NOOPENINTABS/S: By default the Favorites menu displays items at the bottom of each list of favorites folders to open those folders as a group in individual tabs. If you specify the NOOPENINTABS option then these items are not displayed.

· OPENINDEST/S: This switch is similar to the NEW option, except that it causes the folder to be read into the destination file display of a dual-file display Lister. The Lister is automatically set into dual-file display mode if it is not already. If combined with the NEWTAB option the new Folder Tab will be opened in the destination window.

· OPENINDUAL/S: Opens the folder in the opposite file display of a dual-file display Lister.

· OPENINLEFT/S: Opens the folder in the left-hand file display of a dual display Lister.

· OPENINRIGHT/S: Opens the folder in the right-hand file display of a dual display Lister.

· PATH: The PATH option has two uses. The first (and most useful) is to act as a simple filter for the dynamic nature of the function when generating a Favorites List. If you specify a value for the PATH option, only folders in the Favorites List that match the value you specify are added to the dynamic list. For example, Favorites C: would cause only Favorite Folders beginning with C: to be displayed.

· SHOWICONS/S: The SHOWICONS switch modifies the behavior of the Favorites command when it is acting as a dynamic command. It causes icons to be displayed in the generated list of Favorites Folders. Without this switch, only the folder names are shown.

· SMART/O: With this option specified, Favorites is a dynamic command that generates a list of your Smart Favorites (folders automatically added by the SmartFavorites™ system). This option takes an optional value which specifies the maximum number of Smart Favorites to display; for example, Favorites SMART=10.

The ADD parameter can be specified with nameonly. This causes folders to be added to the Favorites List with their labels set to only the name of the folder, rather than the full path.

The PATH option can also be used in conjunction with the ADD option to specify the name of the folder to add to the Favorites List.

· USEQUALKEYS/S: When this is argument is specified, the Favorites command automatically reacts to the control/shift/alt keys being held down to perform the default action for that key (control = open in dual, shift = new Lister, alt = new tab).


Filetype - Raw Command

The Filetype command is used to trigger and control file type-related functions. This function has no effect if no options are specified. The command template is as follows:

ACTION, CONTEXTFORCE/S, CONTEXTMENU/O, CONTEXTOPTIONS/K, EDIT/S, FILE/K/M, NEW/K, NEWMENU/S, NEWNAME/K, OPENWITHMENU/S, SENDTOMENU/S

· ACTION: Specify this option to trigger a file type-defined event. For example, you could set up a button that emulates a drag and drop or double-click event. The actual action performed depends upon the type of file involved and the functions defined through the file types system.

The events available are open, explore, find, print, drop, dropshift, dropctrl, dropalt, dblclk, dblclkshift, dblclkctrl, dblclkalt, mdblclk, mdblclkalt, mdblclkshift and mdblclkctrl.

· CONTEXTFORCE/S: This option can be used in conjunction with the CONTEXTMENU option. It allows you to override the Preferences setting that disables Windows context menu items.

· CONTEXTMENU/O: This option acts as a dynamic command and is used to add system context menu entries to Opus menus and Toolbars. When no value is supplied for this option, the context menu items for all selected files and folders are added. Alternatively, you can specify the name of a Registry key to add context menu entries for. The most common value given for this will be CONTEXTMENU=Directory\Background, which is the Registry key that defines the context menu for folder backgrounds (shown when you right-click in a blank area of a Lister). You can also specify the CLSID of a shell extension, for example CONTEXTMENU={E9FE4040-3C93-11D4-8006-00201860E88A} would add items from the Directory Opus ZIP context menu extension.

· CONTEXTOPTIONS/K: This option is used to modify the behavior of the CONTEXTMENU option. Currently it only has an effect when the value of CONTEXTMENU is Directory\Background. One of the standard context menu items added by this is the ShellNew menu (which lets you create new files of various types). Using the CONTEXTOPTIONS option, you can specify items to include or exclude in the ShellNew menu.

The value of the CONTEXTOPTIONS option has its own command template, which is INCLUDE/K, EXCLUDE/K. Because this is a “template within a template”, the value of the CONTEXTOPTIONS option must be enclosed in quotation marks.

For example:

Filetype CONTEXTMENU=Directory\Background CONTEXTOPTIONS=”EXCLUDE=.bmp,.zip”

In this example, the options to create new Bitmap files and new ZIP files would be excluded from the ShellNew menu. You can also use EXCLUDE=* to totally disable the ShellNew menu.

You can also specify CONTEXTOPTIONS=windowsonly to add all Windows context menu items in one go. You can use this in conjunction with the CONTEXTFORCE parameter and the Hide Windows items on file context menus Preferences option to move all Windows context menu items to a sub-menu.

· EDIT/S: This switch causes the FileType command to open the File Type editor dialog and automatically display the file type corresponding to the selected file. You could add the FileType EDIT command to the All Files and Folders file type to enable you to quickly edit the file type definition for any file.

· FILE/K/M: This option can be used to specify the file(s) that the file type action is performed upon. If not specified, all selected files in the active Lister will be used.

· NEW/K: The NEW option is used to automatically create a new file of a certain type. It emulates the behavior of the ShellNew menu (described above). The new file is created in the active Lister.

For example, Filetype NEW=.zip would create a new ZIP file in the active Lister. Only files that have a ShellNew Registry entry defined for them can be created in this manner. You can use the NEWNAME option to control the name of the newly generated file.

· NEWMENU/S: This option is used to display the system Shell New menu (this is the menu that is displayed by default when you right-click on a Lister background and select New).

· NEWNAME/K: Use this option with NEW to specify the name of the newly created file. For example, Filetype NEW=.zip NEWNAME=NewZip.zip

· OPENWITHMENU/S: This option is used to display the system Open With menu in a context menu.

· SENDTOMENU/S: This option is used to display the system Send To menu (this is the menu that is displayed by default when you right-click on a file or folder and select Send To).


Find - Raw Command

This command initiates the Directory Opus Find function, which lets you search for files and folders based on filename, attributes and file contents. The Find function can be automated to some extent using the command template:

ADVANCED/S, CLEAR/S, COLLNAME/K, COMPUTERS/S, CONTAINING/K, DELMODE/S, DUPES/S, FILTER/S, GOOGLE/S, IN/K/M, MD5/S, NAME, NAMEONLY/S, OF/K/M, QUIET/S, RECURSE/O[<yes>, no], SEARCHZIP/S, SHOWRESULTS/K[inline, output, lister, source, dest, tab, new], SIMPLE/S

· ADVANCED/S: Opens the Find dialog in Advanced mode.

· CLEAR/S: When automating the Find function, use the CLEAR switch to clear the previous Find Results before commencing the new search.

· COLLNAME/K: Specify the File Collection to present Find Results in.

· COMPUTERS/S: This switch is used to access the system Search for Computers function.

· CONTAINING/K: This option can be used to specify text to search for. It is only used if the FILTER switch is not given (that is, for a Simple search rather than an Advanced one).

· DELMODE/S: When automating the Duplicate File Finder this switch specifies delete mode.

· DUPES/S: Search for duplicate files.

· FILTER/S: Specify this to indicate that NAME is the name of a predefined filter.

· GOOGLE/S: Uses the Google Desktop Search engine if installed.

· IN/K/M: Used to specify the folders in which to search for files. Multiple folders can be specified, e.g. Find IN c:\ d:\temp. If this parameter is given without the NAME parameter, it sets the starting point for the Find dialog but does not automatically begin searching.

· MD5/S: Search for duplicate files using the MD5 checksum.

· NAME: Use this parameter to specify a filename to search for. To automate the Find function, you must specify both the NAME and the folder to search in, using the IN parameter. The value of NAME can also be the name of a predefined filter - in this case, you must also specify the FILTER switch.

· NAMEONLY/S: Search for duplicate files by name only, ignoring file size.

· OF/K/M: Use this to specify one or more files to search for duplicates of.

· QUIET/S: This option starts the Find in quiet mode, without displaying the Find dialog.

· RECURSE/O: Specify RECURSE to search within sub-folders, and RECURSE=no to only search the folder specified. If this option is not given, the default setting will be used.

· SEARCHZIP/S: When automating the Find function, search inside ZIP files.

· SHOWRESULTS/K[inline, output, lister, source, dest, tab, new]: Use this option to specify where the Find Results will be displayed. Use inline to display results in the Find dialog, and output to display them in the Output Window. Specify lister to display results in a Lister (in a file collection). If lister is specified you can additionally specify source (for the source Lister), dest (for the destination Lister), tab to open a new tab or new to open a new Lister.

· SIMPLE/S: Specify this option to open the Find dialog in Simple mode.


GetSizes - Raw Command

Ordinarily, only files have a size displayed in the Lister. This command operates on all selected folders in the active Lister, and makes Directory Opus calculate their size. The size that is displayed is the total size of all files within each folder, and is not necessarily representative of the amount of disk space used by the folder. If a folder contains no files at all, its size will be shown as empty.

If a folder already has a size displayed for it (for example, if you have automatic sizing turned on in the Listers section of Preferences), you can use the GetSizes command to recalculate the size manually.

This command has two parameters:

· NODESELECT/S: If this switch is specified, the GetSizes command will not deselect the folders after calculating their sizes. This switch only works if the Postpone file deselection until end of function option is turned on in Preferences.

· MD5/S: Use the GetSizes MD5 command to display the MD5 hash for all selected files.


Go - Raw Command

The Go command is used to control the current folder displayed in a Lister. It lets you change between folders, move to a specific folder or the parent of the current folder, and access the History, Recent and Favorites lists, and Folder Tab functions. With no options specified the Go command has no effect. The command template is:

BACK/S, BACKLIST/O[<normal>,noicons,keys,sort], COMPATIBILITYFILES/S, CONNECT/S, CURRENT/S, DESTPATH/S, DISCONNECT/S, DRIVEBUTTONS/O[<all>,fixed, network, cdrom, removable, ramdisk, labels, noletters, multifunc, multifunctabs, lettersbeforelabels, offline, online, hideempty], DUALPATH/K, EXPANDTREE/S, FOLDERCONTENT/O[button, norecurse, nodirs, nofiles, showhidden, noparselinks, showempty, filefilter=, dirfilter=, maxdepth=], FORWARD/S, FORWARDLIST/O[<normal>,noicons,keys,sort], FROMSEL/S, FTP/S, FTPSITE/K, FTPSITEICONS/S, FTPSITELIST/O, HISTORYLIST/O[<normal>,noicons,keys,sort], IGNOREQUAL/S, KEYARGS/K/M, LASTACTIVELISTER/S, LAYOUT/K, NEW/O[<position>,max,min,norm,source, dest,lockoff,tree,notree,dual,dualhoriz,nodual,viewpane,noviewpane,findpanel,syncpanel, dupepanel,noutilitypanel], NEWTAB/O[<normal>,nofocus,findexisting], OPENCONTAINER/O[<parent>, target], OPENINDEST/S, OPENINDUAL/O[<default>,horiz,vert], OPENINLEFT/S, OPENINRIGHT/O[<default>,horiz,vert], PATH, PATHENTRY/O[<source>,dest,left,right], REFRESH/O[<current>,tree,both,all,source,dest,viewpane,left,right], REFRESHTHUMBS/O[<always>,shift,alt,ctrl], ROOT/O[<normal>,collapse], SWAP/S, SWITCHPATH/K, TABCLOSE/S, TABCLOSEALL/O[<all>,left,right], TABDUPLICATE/O[<here>,dual], TABGROUPLIST/O[<normal>,keys,icons], TABGROUPLOAD/K,TABGROUPSAVE/O, TABLOCK/K[lock,lockchanges,off,toggle], TABMOVE/S, TABSELECT/K[first,last,prev,+1,-1,<index>], TABUNDOCLOSE/S, UP/S, USEQUALKEYS/S, USER/K, VIEW/K[LargeIcons, SmallIcons, List, Details, Power, Thumbnails, Tiles]:

· BACK/S: The BACK option is used to go backwards in the folder History list for the current folder. This is maintained on a per-folder basis, not globally like the Recent list. The BACK parameter can be used in conjunction with the UP parameter to combine their behaviors. Go UP BACK causes the parent folder to be read, just as for UP, but the file selection and scroll offset information in the cache will be used if the parent folder has been visited before, just as for BACK.

· BACKLIST/O [<normal>,noicons,keys,sort]: This option acts as a dynamic command and generates a list of all folders before the current one in the History list. The BACKLIST parameter has noicons and keys options. If noicons is specified the generated History list will not display icons for each folder. If keys is specified, the keys 0 through 9 will be automatically assigned to the first ten items in the History list. If the sort option is specified the history list will be sorted alphabetically rather than in chronological order.

· COMPATIBILITYFILES/S: Under Windows Vista, the Go COMPATIBILITYFILES command will take you from a folder to its compatibility counterpart (if it has one), and vice versa. For example, in C:\Program Files, you would be taken to C:\Users\...\VirtualStore\Program Files.

· CONNECT/S: The CONNECT option displays the system dialog that allows you to connect to (or map) a network drive.

· CURRENT/S: This option is used to refer to the current folder displayed in the active Lister. It is only used in conjunction with the NEW and OPENINDUAL options. For example, Go CURRENT NEW would open a new Lister showing the same folder as the current Lister.

· DESTPATH/S: This lets you read the current destination path into the source Lister.

· DISCONNECT/S: This option displays the system dialog that allows you to disconnect from a mapped network drive.

· DRIVEBUTTONS/O[<all>, fixed, network, cdrom, removable, ramdisk, labels, noletters,
multifunc, multifunctabs, lettersbeforelabekls, offline, online, hideempty]: The DRIVEBUTTONS option acts as a dynamic command that adds buttons representing all disk drives present in your system. With no value defined for this option, a button is added for every disk drive present. Alternatively, you can specify a combination of the options shown above to specify what type of drives buttons should be added. For example, Go DRIVEBUTTONS=fixed,cdrom would add buttons only for fixed disks (hard drives) and cdroms. By default, the drive buttons that are created use the drive letter as their label. If you specify the labels keyword, the drive label will also be used. In conjunction with labels, you can specify noletters to remove the drive letters from the label. The multifunc option causes the drive buttons to be three-button buttons with OPENINLEFT, OPENINRIGHT and NEW as the three functions. Similarly, the multifunctabs option sets the three functions to NEWTAB OPENINLEFT, NEWTAB OPENINRIGHT and NEW.

The Go DRIVEBUTTONS command lets you filter drive letters using + and -. For example, Go DRIVEBUTTONS=-aez would show all drives except A:, E: and Z:. Go DRIVEBUTTONS=+cdf would only show drives C:, D: and F:. You can combine these flags with the other parameters for the DRIVEBUTTONS command, for example Go DRIVEBUTTONS=cdrom,-g would display all CD drives except drive G:. The DRIVEBUTTONS command also has a lettersbeforelabels option which displays the drive letters before the disk label; for example, C: Local Disk instead of Local Disk (C:). The offline and online keywords let you specify what type of network drives to display - by default, both offline and online drives are shown.

Finally, specify the hideempty option to hide and removable disks (eg CD-ROMs) that are currently empty. Their drive buttons will appear automatically when media is inserted.

· DUALPATH/K: This lets you specify a path to read into the destination file display of a dual-display Lister. Using the PATH option, you can therefore read paths into both file displays simultaneously.

· EXPANDTREE/S: Automatically expands the Folder Tree to display the contents of the new folder.

· FOLDERCONTENT/O [button, norecurse, nodirs, nofiles, showhidden, noparselinks, showempty, filefilter=, dirfilter=, maxdepth=]: This command makes it possible to display the contents of a disk folder dynamically in a menu. The optional parameters for this argument are:

button - specify this parameter to cause sub-folders to be displayed as menu buttons. Clicking the button part will read that folder, expanding the drop-down will display the sub-folder contents.
norecurse - do not recursively display sub-folders
nodirs - exclude folders from the list
nofiles - exclude files from the list
showhidden - include hidden files in the list
noparselinks - do not resolve file links
showempty - includes empty folders in the list
filefilter=<pattern> - wildcard pattern to match files
dirfilter=<pattern> - wildcard pattern to match folders
maxdepth=<depth> - maximum recursion depth

· FORWARD/S: This option moves forwards in the folder history list (Note that you must move backwards before you can move forwards).

· FORWARDLIST/O [<normal>,noicons,keys,sort]: This option acts as a dynamic command and generates a list of all folders following this one in the history list. The FORWARDLIST parameter has noicons and keys options. If noicons is specified the generated history list will not display icons for each folder. If keys is specified ,the keys 0 through 9 will be automatically assigned to the first ten items in the history list. If the sort option is specified the history list will be sorted alphabetically rather than in chronological order.

· FROMSEL/S: This switch forces Go to use the first selected folder as the path to read. For example, this lets you set up a button or hotkey that opens the selected folder in a new Lister automatically.

· FTP/S: The Go FTP command opens the FTP Quick Connect dialog, allowing you to manually connect to an FTP site that may not have been entered into the FTP Address Book.

· FTPSITE/K: This option lets you connect to an FTP site that has been configured in the FTP Address Book. The FTP site must be specified by name - if the FTP site is in a subfolder of the Address Book you must include the complete path of the entry. For example, Go FTPSITE=Public\Microsoft. This is equivalent to Go @Public\Microsoft.

· FTPSITEICONS/S: The FTPSITEICONS option is used in conjunction with the FTPSITELIST option. When specified, the list of FTP sites that is generated includes default icons for the FTP site entries.

· FTPSITELIST/O: This option acts as a dynamic command and generates a list of all the FTP sites you have defined in your FTP Address Book. The optional value for this option lets you filter FTP sites based on the site name prefix. For example, Go FTPSITELIST=Public would only display FTP sites beginning with the string Public (as in the previous example for FTPSITE). If no value is specified for this option, all FTP sites are displayed.

· HISTORYLIST/O [<normal>,noicons,keys,sort]: This parameter combines BACKLIST and FORWARDLIST together. The generated list will contain all folders in the Lister history, both forward and back from the current position. The HISTORYLIST parameter also supports the noicons, keys and sort options as with the other commands.

· IGNOREQUAL/S: Some functions of the Go command are hard-coded to behave differently when the shift, control or alt qualifiers are held down. Specify the IGNOREQUAL option to override this behavior.

· KEYARGS/K/M: This option lets you specify multiple sets of arguments that are only applied if certain key combinations are held down when the function is executed. Note that KEYARGS is a /M option and so can take multiple input. For example,

Go C:\ KEYARGS ctrl:NEW “shift:NEWTAB=findexisting” ctrlshift:NEWTAB

· LASTACTIVELISTER/S: Specify this switch to have Opus activate and bring to the front the Lister that was most recently active. If the most recently active Lister has been closed, or there are no Listers open at all, the rest of the command arguments are used instead. So for example, Go NEW LASTACTIVELISTER would display the last active Lister if possible, and open a new Lister if not.

· LAYOUT/K: The LAYOUT argument lets you specify a saved Lister Layout to load when reading the new folder. This is similar to using the Prefs LAYOUT command except that only the first Lister in the specified Layout is used, and you can use all the other parameters of the Go command to override settings from the Layout. For example, Go FROMSEL LAYOUT=Pictures would open the first selected folder in a new Lister using the saved Layout Pictures.

· NEW/O: This switch can be used in conjunction with most other Go options. It causes the folder in question to be displayed in a new Lister rather in the current Lister. It can be used with the PATH, UP, ROOT, CURRENT, DRIVEBUTTONS, FTPSITE, FTPSITELIST and FTP options.

You can optionally specify the position, size and state of the new Lister using parameters for the NEW command. The format is GO NEW <x>,<y>,<w>,<h>,<state>. All arguments are optional but to specify a later argument, you must include the commas for the previous ones. For example, to open a new Lister of size 800x600 but keep the default position, you would specify GO NEW ,,800,600. The <state> argument lets you specify the window state and can be either maximize, minimize or normal. You can also specify the Lister state with the keywords source and dest. Additionally, you can configure the Tree, dual display mode, Viewer Pane and Utility Panel with the keywords tree, notree, dual, dualhorz, nodual, viewpane, noviewpane, findpanel, syncpanel, dupepanel and noutilitypanel.

· NEWTAB/O[<normal>,nofocus,findexisting]: This parameter opens a new Folder Tab. If no path is specified an empty tab is opened, otherwise the specified folder is read into the new tab. If you specify NEWTAB=nofocus the new tab is not brought to the front. You can combine this with OPENINLEFT, etc to specify which side of the Lister the tab should open on. If findexisting is specified, Opus will search to see if the folder is already open in a tab, and if found switch to it rather than opening a new one.

· OPENCONTAINER/O[<parent>, target]: This switch will open the “container”, or the parent folder, of the selected item. It is used in the file context menu for File Collections, to let you quickly go to the actual folder where a file is located. If you specify OPENCONTAINER=target the function will dereference any selected shortcuts, links or junctions, and open the folder containing their targets (and the targets will be automatically selected). This is similar to the Find Target button in the system Properties dialog for shortcuts.

· OPENINDEST/S: The specified folder will be read into the destination file display instead of the source.

· OPENINDUAL/O[<default>,horiz,vert]: This option is similar to the NEW option, except the new folder is read into the opposite file display in a dual-file display Lister. If the current Lister is not in dual-file display mode, it is automatically set to that mode. You can specify the layout using the horiz and vert options.

· OPENINLEFT/S: The specified folder will be read into the left-hand file display of a dual-file display Lister, irrespective of the current source file display. Can also be used with ROOT and UP.

· OPENINRIGHT/O[<default>,horiz,vert]: The specified folder will be read into the right-hand file display of a dual-file display Lister, irrespective of the current source file display. Can also be used with ROOT and UP.

· PATH: The PATH option allows you to specify the path to go to. You can enter a physical path here, the name of an FTP Address Book entry, or an alias for a special system folder. If the path you specify contains spaces, you should enclose it with quotation marks. For example:

Go “c:\my documents\my letters\july 2000\”

The system folder aliases understood natively by the PATH option are as follows:

/admintools

The administration tools folder for the current user (W2K only)

/altstartup

The user’s non-localized Startup program group

/appdata

Application data storage folder

/commonadmintools

The administration tools folder common to all users (W2K only)

/commonaltstartup

Non-localized Startup program group common to all users (NT only)

/commonappdata

Application data folder common to all users (NT only)

/commondesktopdir

Desktop folder common to all users (NT Only)

/commondocuments

The documents folder common to all users (NT only)

/commonfavorites

Favorites folder common to all users (NT Only)

/commonstartmenu

Start menu folder common to all users (NT Only)

/commonstartup

Startup folder common to all users (NT Only)

/commonprogramfiles

The program files folder common to all users (NT only)

/commonprograms

Programs folder common to all users (NT Only)

/commontemplates

The template folder common to all users (NT only)

/controls

The Control Panel

/cookies

Folder used to store Internet cookies

/default

Same as /initial or /last depending on Preferences setting

/defaultright

Same as /initialright or /lastright depending on Preferences setting

/desktop

The Desktop, the root of the Namespace

/desktopdir

The physical folder containing Desktop items

/favorites

Your personal Favorites folder

/fonts

Your Fonts folder

/history

Folder used to store Internet History items

/home

The Directory Opus program folder

/initial

The “initial” path set in Preferences for the left-hand file display

/initialright

The “initial” path set in Preferences for the right-hand file display

/internetcache

Folder used to cache Temporary Internet Files

/last

The “last closed Lister” path (for the left-hand file display)

/lastright

The “last closed Lister” path for the right-hand file display

/localappdata

Local Application Data storage folder

/mycomputer

My Computer

/mydocuments

Your personal data folder (My Documents)

/mypictures

Your personal picture folder (My Pictures)

/nethood

The physical folder containing My Network Places links

/network

Network Neighborhood (My Network Places in W2K)

/printers

Printers folder

/printhood

Folder that stores Printer links

/profile

The current user’s profile folder

/programfiles

The Program Files folder (only under W2K or later)

/programs

The folder containing your program groups

/recent

Folder containing your most recently used documents

/sendto

Folder that contains Send To menu items

/start

The folder containing your Start Menu items

/startup

Folder containing programs that are run on Startup

/system

The Windows System folder

/temp

The Windows temporary folder

/templates

Personal Templates folder

/trash

The Recycle Bin

/windows

The main Windows folder

You can also add your own path aliases through the Preferences system.

To go to a site in the FTP Address Book, specify the entry name preceded by an @ character. For example,

Go @gpsoftware

The PATH argument also accepts relative paths. For example, Go ..\data would go to a folder called “data” in the parent of the current folder.

PATH: When used with the FOLDERCONTENT argument, the PATH argument can take multiple paths separated by vertical bars (|), to combine the list of multiple directories into one.

· PATHENTRY/O: The Go PATHENTRY command causes a hidden text field to be displayed at the bottom of the active Lister, allowing you to type in a folder path to read. This function is most useful when assigned to a hotkey, as it allows you to change folders in a Lister without using the mouse at all. The PATHENTRY command can be modified to allow the popup path field to only refer to a specific file display, rather than the current source file display. You can specify left, right or dest as options for this. This lets you bind hotkeys to display path fields for the left and right file displays individually.

· REFRESH/O[<current>, tree, both, all, source, viewpane]: The REFRESH option is used to re-read and redisplay the folder in the active Lister. With no value defined for this option, only the current folder is refreshed. The tree option causes the Folder Tree to be refreshed (if displayed). The both option causes both file displays of a dual-file display Lister to be refreshed. The all value refreshes both file displays and the Folder Tree. The source value refreshes the source file display and the Folder Tree, but not the destination file display. The viewpane option causes the image currently previewed in the Viewer Pane to be refreshed.

· REFRESHTHUMBS/O: The Go REFRESHTHUMBS command causes thumbnails displayed in the current Lister to be refreshed. If thumbnail caching is enabled, the thumbnail cache for the current folder is also cleared. This command can take shift, alt and ctrl as optional parameters. If these options are used, thumbnails will only be refreshed if the specified qualifier key is held down when this function is executed.

· ROOT/O: This option reads the root folder of the active Lister. It only has an effect if the current folder displayed is a file system folder. If you specify ROOT=collapse, the current drive’s branch in the Folder Tree will be automatically collapsed as well.

· SWAP/S: The folders displayed in the current source and destination will be swapped.

· TABCLOSE/S: Closes the current Folder Tab.

· TABCLOSEALL/O: Closes all Folder Tabs except the current one. If you specify TABCLOSEALL=left then only tabs to the left of the current tab are closed - likewise for TABCLOSEALL=right.

· TABDUPLICATE/O: Duplicates the current Folder Tab. By default the new tab is added to the current file display but you can specify TABDUPLICATE=dual to open the new tab in the other file display.

· TABGROUPLIST/O: Generates a list of your saved Folder Tab Groups. Specify the keys parameter to automatically assign keyboard shortcuts to the items in the list, and the icons parameter to display icons for the groups.

· TABGROUPLOAD/K: Load a named Folder Tab Group. Use in conjunction with OPENINRIGHT, etc to specify the file display to load the tabs into.

· TABGROUPSAVE/O: Save the current set of Folder Tabs as a new (or existing) Tab Group. If no name is specified you will be prompted to enter one.

· TABLOCK/K [lock,lockchanges,off,toggle]: Change the locked state of the current tab. Specify lock to lock the tab against any folder changes, or lockchanges to allow folder changes but revert to the original directory when the tab is hidden and then revealed. Combine with the toggle parameter to toggle the defined locking behavior. Specify off to unlock the tab.

· TABMOVE/S: Move the current Folder Tab to the other side of the Lister.

· TABSELECT/K: Change the current Folder Tab selection. Specify first to select the first tab, last to select the last tab, or +1 and -1 to select the next and previous tabs in sequence. You can also specify TABSELECT=prev to select the previously selected tab.

· TABUNDOCLOSE/S: Reopens the last tab or tabs to be closed.

· UP/S: The Go UP command reads the parent of the current folder in the active Lister.

· USEQUALKEYS/S: When this is argument is specified, the Go command automatically reacts to the control/shift/alt keys being held down to perform the default action for that key (control = open in dual, shift = new Lister, alt = new tab).

· USER/K: The USER option is used in conjunction with the special system folder aliases used by the PATH option. It allows you to specify an alternative user for the system folder (for those system folders that support per-user configuration). For example, Go /desktopdir USER=”Fred Bloggs” would read the Desktop folder for the user called Fred Bloggs rather than the current user. Of course this will only be successful if you have the appropriate access permissions.

· VIEW/K [largeicons,smallicons,list,details,power,thumbnails,tiles]: The VIEW parameter lets you specify the view mode to use for the new folder. For example, Go C:\Pictures NEW VIEW=Thumbnails would open the specified folder in a new Lister and display it in Thumbnails mode automatically.


Help - Raw Command

The Help command is used to display program information and to gain access to the online help system. When used by itself, the default behavior is to access the online help system and display the contents page. The command template for this command is:

ABOUT/S, CHECKUPDATE/O, LICENCEMANAGER/S, MANUAL/S, NEWEMAIL/S

· ABOUT/S: This command displays the Directory Opus About screen, which contains information about the current version of the program, copyright and contact details for technical support, as well as your registration details (or expiry date in case of an evaluation registration).

· CHECKUPDATE/O: This command activates the automatic check for a new version of Directory Opus. You will be prompted to establish an Internet connection if one is not already present.

· LICENCEMANAGER/S: This option displays the Licence Manager, which lets you view details about your current Program Certificate and install a new Certificate if required.

· MANUAL/S: This command opens the Directory Opus manual, providing it has been installed in your Opus program folder. If the manual can not be found you will be given the option to download it.

· NEWEMAIL/S: The Help NEWEMAIL lets you access the extremely simple built-in email client in Directory Opus 9 to send a new email message. To use this you must have configured your SMTP server settings in Preferences.


Image - Raw Command

ADDSUFFIX/O, AS/K, BACKGROUND/K, CONVERT/O[<interactive>,jpg,png,gif,bmp], FLICKRACCOUNT/K, FROM/M, HEIGHT/K/N, HERE/S, LOCATE/K[googleearth], NOENLARGE/S, NOREDUCE/S, PERCENT/K/N, PRESERVEASPECTRATIO/S, PRESERVEDATE/S, QUALITY/K/N, REPLACE/O[<default>, always], ROTATE/K[90,180,270,EXIF], SYNCPHOTOS/K[flickr], TO/K, UPLOAD/K[imageshack], WIDTH/K/N

The Image command is used to access the Image Conversion function in Directory Opus. Use the Image CONVERT command to display the image conversion dialog in interactive mode. In this mode, all image conversion parameters are set using a dialog. Image conversion takes place on all selected image files. If any of the other parameters of this command are used the dialog is not displayed, and the image conversion runs in non-interactive mode.

For example, a possible function to automatically convert all selected images to 100x100 JPG, suitable for thumbnails on a website, might be:

Image CONVERT=jpg WIDTH=100 HEIGHT=100 PRESERVEASPECTRATIO QUALITY=50

To automatically rotate all selected images “in-place” (overwriting the existing images) by 90 degrees, without changing their type, use the following command:

Image CONVERT ROTATE=90 HERE REPLACE

· ADDSUFFIX/O: When resizing images, this parameter adds a suffix to the output filename appropriate to the new size of the image. The suffix -small is appended for 640x480, -medium for 800x600, -large for 1024x768 and -ppc for 240x320 (a special resolution for PocketPC devices). For all other image sizes, the actual resolution is appended to the filename. You can also specify your own suffix with this argument if desired.

· AS/K: The AS parameter can be used to specify a different output filename. By default the output filename is the same as the input filename, with the possibility of an additional suffix (when the ADDSUFFIX switch is used) and a different file extension if the image has been converted to a different type.

· BACKGROUND/K: This is used to specify the background color to use when converting alpha-channel images. Specify as an RGB color either in hex (eg BACKGROUND=#ff8000) or decimal (eg BACKGROUND=255,128,0)

· CONVERT/O: The CONVERT parameter initiates the Image Conversion function. If specified without any other options, the Image Conversion dialog is displayed. You can specify an output image type here to automate the conversion process. Supported output types are jpg (JPEG), png (PNG), gif (GIF) and bmp (Bitmap).

· FLICKRACCOUNT/K: Specify the Flickr account to synchronize (by default, all configured accounts are synchronized.)

· FROM/M: Use the FROM argument to specify the image file or files to be converted or uploaded.

· HEIGHT/K/N: Used to specify the new height of the converted image

· HERE/S: Causes converted images to be written to the source folder instead of the destination. You can use this in conjunction with the REPLACE switch to convert an image “in-place”.

· LOCATE/K [googleearth]: Locate the real-world location of the selected image file from embedded GPS information. Currently the only location method defined is googleearth (which means Google Earth software must be installed for this to work.)

· NOENLARGE/S: This option prevents images from being enlarged if the resize operation would otherwise cause this.

· NOREDUCE/S: This option prevents images from being reduced if the resize operation would otherwise cause this.

· PERCENT/K/N: When resizing images you can use the PERCENT argument to specify the new size as a percentage of the old one.

· PRESERVEASPECTRATIO/S: When resizing images, use this switch to preserve the original aspect ratio of the source images. The output width or height will automatically be adjusted to ensure the aspect ratio is maintained.

· PRESERVEDATE/S: When converting images “in place” (writing over the originals), this option preserves the last modified timestamp of the files instead of updating it to the current time and date.

· QUALITY/K/N: Use this to specify the output quality when converting to JPEG image format.

· REPLACE/O[<default>, always]: This switch causes existing files to be automatically replaced by the converted image. You can use this in conjunction with the HERE switch to convert an image “in-place”. If the always option is specified then the output file always replaces any existing file, even if the output filename is different to the input filename.

· ROTATE/K: The ROTATE parameter lets you rotate images as part of the conversion process. Any angle from 1 to 359 can be specified as a parameter for this command. You can also specify ROTATE=EXIF to use the rotation information stored in the EXIF tags of an image.

· SYNCPHOTOS/K [flickr]: Initiate online photo synchronization. Currently the only supported method is flickr. Use in conjunction with the FLICKRACCOUNT parameter to specify the account to synchronize.

· TO/K: Use this to specify an alternative output path (by default the destination folder is used).

· UPLOAD/K [imageshack]: Upload selected images to an online photo sharing service.

· WIDTH/K/N: Use this to specify the new width of the converted image.


Join - Raw Command

The Join command lets you join multiple files together into a single larger file. It is mainly used when you have a file that has been split into multiple parts, say for transmission via email, and you wish to recombine the parts. When used with no options, this command displays the Join dialog and automatically adds the names of all selected files in the active Lister to the join list.

The command template is:

FROM/M, HERE/S, TO/K

· FROM/M: This option lets you specify the files to join. You can specify as many filenames as you like.

· HERE/S: Specifies that the joined file is to be written to the source folder instead of the destination.

· TO/K: This option lets you specify the name of the output file.


Marker - Raw Command

The Marker command is a dynamic command that lets Directory Opus display Toolbar buttons and menu items that are added dynamically by third-party Namespace extensions. For example, an FTP Namespace extension may add buttons to the Toolbar to switch between ASCII and Binary transfer modes.

Windows Explorer allows a third-party Namespace extension to totally replace the Toolbar and menu contents. However, Directory Opus gives full control to the user over the state of the Toolbars, and therefore the Marker commands are necessary to gain access to these dynamically added functions.

The Marker command is a placeholder that tells Directory Opus where to insert the appropriate Namespace-added functions. The command template for this command is:

TOOLBAR/S, MENU/K, ID/K/N

· TOOLBAR/S: If this option is specified, the command marks the spot where Namespace-specific buttons added to the standard Toolbar will be displayed.

· MENU/K: If this option is specified, the command marks the spot where Namespace-specific menu items will be displayed. You must specify the name of the menu in question from the following choices: File, Edit, View, Tools, Help, Other and All.

· ID/K/N: This option lets you send a Namespace-specific command direct to the Namespace folder currently displayed in the active Lister. You need to know the exact command ID that the Namespace uses - ordinarily you will never use this option directly.


Play - Raw Command

This command uses the built-in sound player to play all selected sound files in the active Lister. The built-in sound player is a simple utility designed to play a sound quickly without the possible overhead of loading an external player. It supports WAV format sounds as well as any other sound files for which there is a system codec installed. Also see

Predefined Commands.

The command template is:

FILE, QUIET/S

· FILE: Use this to specify the name of the file to play.

· QUIET/S: Plays the specified sound without displaying the Play dialog.


Prefs - Raw Command

The Prefs command lets you access the Directory Opus configuration system. When used without any options, this command opens the Preferences editor. The command template for this command is:

ADDBACKGROUND/S, ADDFTPSITE/S, BACKUPRESTORE/S, CUSTOMIZE/O, FILETYPES/S, FTPSITES/S, KEYS/S, LAYOUT/K, LAYOUTCLOSELISTERS/O[<default>,yes,no], LAYOUTEDIT/S, LAYOUTLIST/S, LAYOUTNAME/K, LAYOUTSAVE/O[<all>,single], LAYOUTTHISLISTER/O[<default>, size,pos,paths], PAGE/K, SETDEFAULTLISTER/O[<default>,force,quiet], SHOWICONS/S, STYLE/K, STYLEEDIT/S, STYLELIST/O[<default>,showprevious], STYLESAVE/O, THEMES/S, TOOLBARS/S, VFSPLUGINABOUT/K, VFSPLUGINCONFIG/K, VFSPLUGINDISABLE/K[<toggle>,enable,disable], VFSPLUGINLIST/S, VFSPLUGINMANAGER/S

· ADDBACKGROUND/S: This option causes all selected files to be added to the Defined Images list in the Images / Backgrounds section of Preferences. It is designed to be used in the context menu for image files.

· ADDFTPSITE/S: This option adds the currently connected FTP site to the FTP Address Book.

· BACKUPRESTORE/S: Initiates the Configuration Backup & Restore Wizard.

· CUSTOMIZE/S: This option opens the Customize window to configure your Toolbars and menus.

· FILETYPE/S: This option opens the File Type Editor to configure your file type associations.

· FTPSITE/S: This option opens the FTP Address Book editor.

· KEY/S: This option opens the Customize - Keys section of Customize.

· LAYOUT/K: This option lets you load a predefined Lister Layout. The name of the Layout to load must be given as the value of this option, for example Prefs LAYOUT=DualLister

· LAYOUTCLOSELISTERS/O[<default>,yes,no]: This option is used in conjunction with the LAYOUT option and lets you control whether existing Listers are closed or left open when you load a new Lister Layout.

· LAYOUTEDIT/S: This option opens the Preferences editor and displays the Layouts section automatically.

· LAYOUTLIST/S: The Prefs LAYOUTLIST command is a dynamic command that generates a list of your predefined Lister Layouts. You can also use the LAYOUTCLOSELISTERS option in conjunction with this command to control whether or not existing Listers are closed when a new Layout is chosen from the generated list.

· LAYOUTNAME/K: Use this parameter in conjunction with the LAYOUTSAVE argument to specify a name when saving a Lister Layout. If a name is not specified Opus will prompt you for the name to use.

· LAYOUTSAVE/O: This parameter lets you save the current set of Listers as a new Lister Layout. You can use the LAYOUTNAME parameter to specify a name to use, otherwise Opus will prompt you for a Layout name. If you specify LAYOUTSAVE=single then only the current Lister will be saved in the Layout, rather than all currently open Listers.

· LAYOUTTHISLISTER/O: In conjunction with the LAYOUT parameter this command lets you apply the settings from a saved Lister Layout to the active Lister, rather than opening a new Lister. By default all settings from the saved Layout are applied, but you can specify additional options to control which settings are used from the saved Layout. Specifying size causes only the size of the saved Lister to be used, pos will only use the position of the saved Lister, and paths will only read the paths from the saved Lister. These options can be combined as desired.

· PAGE/K: This command is a shortcut to opening the Preferences dialog to go to a specified page.

· SETDEFAULTLISTER/S: The Prefs SETDEFAULTLISTER command is used to set the default Lister settings from the currently active Lister. The Default Lister settings are used whenever a new Lister is opened (without using a Layout) and depends on the options in Preferences.

· SHOWICONS/S: This switch causes icons to be displayed for the lists generated by the IMPORTLIST, LAYOUTLIST, STYLELIST and VFSPLUGINLIST options.

· STYLE/K: Use this parameter to apply a specified Lister Style to the current Lister. For example, Prefs STYLE=Filmstrip would set the current Lister into Filmstrip mode (using the configured settings for the Filmstrip Style).

· STYLEEDIT/S: This command opens the Preferences dialog and displays the Lister Styles page.

· STYLELIST/O [<default>,showprevious]: This switch acts as a dynamic command to generate a list of your configured Lister Styles. Selecting a Style from this list will automatically apply it to the current Lister. By default the style list (and tabs) do not include the “Previous” style. Specify the showprevious parameter to revert to the old behavior.

· STYLESAVE/O: This parameter lets you save the configuration of the current Lister as a new Lister Style. If no name is specified, Opus will prompt you for the name of the new Style.

· THEMES/S: Displays the Lister Themes dialog to let you save and load Lister Themes

· TOOLBAR/S: This option opens the Customize - Toolbars section of Customize.

· VFSPLUGINABOUT/K: This parameter displays the About dialog for the specified VFS Plugin.

· VFSPLUGINCONFIG/K: This parameter displays the Configuration dialog for the specified VFS Plugin.

· VFSPLUGINDISABLE/K: This parameter lets you enable or disable the specified VFS Plugin. With no options it toggles the current state of the plugin, otherwise you can specify enable or disable to control the state.

· VFSPLUGINLIST/S: This option acts as a dynamic command to generate a list of your installed VFS Plugins.

· VFSPLUGINMANAGER/S: Displays the Preferences dialog opened to the VFS Plugins page.


Print - Raw Command

This command lets you print files and folders. When used without any options, it prints all currently selected files in the active Lister. Directory Opus can natively print only the picture formats that it understands (JPEG, GIF, ILBM, etc). However, using system-defined print handlers it can print many other types of files. For example, when you select a text file and choose the Print command, the system-defined print handler, which is set by default to Notepad, is automatically invoked to print the selected file.

Under Windows XP, running the Print command with no files selected, or with only graphics files selected, will invoke the system Photo Printing Wizard.

The command template for this command is:

AS/K[txt,csv], CALCSIZES/K[yes,no], DEFAULTLIST/S, FILTER/K, FLATVIEW/K[no,mixed,nofolders,grouped], FOLDER/O [<all>, selected, <path>], FONT/K, FORMAT/K, HEADER/K[top,bottom,both,none], QUIET/S, SETDEFAULT/K, TO/K

· AS/K[txt,csv]: Specify the format to print the folder in (plain text or comma-separated value)

· CALCSIZES/K[yes,no]: Enable the calculation of folder sizes.

· DEFAULTLIST/S: This acts as a dynamic command to generate buttons for each of the printers that are installed on the system. Clicking one of the buttons sets that printer as the default. You can also drop documents on the printer buttons to print files directly to a given printer.

· FILTER/K: Specify the name of a pre-defined Filter when printing sub-folder contents.

· FLATVIEW/K[no,mixed,nofolders,grouped]: Control the Flat View appearance when printing sub-folder contents.

· FOLDER/O[<all>, selected, <path>]: When you specify the FOLDER option, the Print command initiates the Print Folder function which lets you print folder listings to the printer or to a disk file. The default behavior is to print all files in the current folder in the active Lister, however if you set the value of the FOLDER option to selected, only the selected files in the current folder are printed. You can also specify the absolute path of a folder to print the contents of.

· FONT/K: Specify a font to use when printing the folder (eg Arial,20)

· FORMAT/K: Specify the name of a folder format to use when printing the folder.

· HEADER/K: Control the printing of a header and/or a footer.

· QUIET/S: Print the folder without displaying the Print Folder dialog.

· SETDEFAULT/K: This option can be used to change the default printer. Specify the name of the printer as it appears in the Printers Control Panel (make sure you enclose the name in quotation marks if it contains spaces)

· TO/K: Use this option to specify the printer to print selected files to, overriding the default printer setting. Specify the name of the printer as it appears in the Printers Control Panel (make sure you enclose the name in quotation marks if it contains spaces). A Print button with the TO option specified can also have documents dropped on it to print the files to the specified printer. When printing a folder the TO option can also specify clip to print to the clipboard, or the full name of a disk file to print to.


Properties - Raw Command

The Properties command lets you access the system Properties dialogs for files and folders. When used with no options, it displays the Properties dialog for all selected files and folders (if more than one file is selected, a special combined Properties dialog is shown). The command template for this command is:

FILE, FOLDEROPTIONS/S, FORMATLIST/S, FTPSITE/S, LISTER/S, NOFROMFOCUS/S, SETCOLOR/O, SETWALLPAPER/O[<default>, center, tile, stretch, menu], SINGLE/S

· FOLDEROPTIONS/O: This option displays the Folder Options for the current folder. This option can take an optional value which is a number from 0 to 3 representing the initial page in the Folder Options editor to display.

· FORMATLIST/S: This option acts as a dynamic command that generates a list of Defined Folder Formats. You can configure these with the Folder Options function. If you select a format from this list, the current folder will be automatically redisplayed using those settings.

· FTPSITE/S: This option displays the Site Properties dialog for the currently connected FTP site.

· LISTER/S: This option displays the system Properties dialog for the folder currently displayed in the active Lister.

· NOFROMFOCUS/S: The default behavior for this command is to operate on either the source file display or the Tree, whichever has input focus. You can disable this and cause it to only operate on the file display with the NOFROMFOCUS switch.

· SETCOLOR/O: When used by itself this option displays a list of defined Folder Colors and lets you assign one to the selected folder. This is designed to be used in the All Folders context menu. You can also specify the name of a color to assign.

· SETWALLPAPER/O: This option sets the selected image file as the system Desktop Wallpaper image. Any image file format that Directory Opus supports can be used with this command. You can specify the optional center, tile or stretch parameters to specify the wallpaper settings. Specifying menu as the value of this option produces a pop-up menu with Center, Tile and Stretch options displayed. This is most useful in context menus; for example, add the following command to the context menu for Recognized Images:

Properties SETWALLPAPER=menu

· SINGLE/S: The SINGLE option modifies the default behavior of the Properties command. Normally when multiple files are selected, a single combined Properties dialog is shown for all files. However, if the SINGLE option is specified, a separate Properties dialog will be displayed for each selected file or folder.


Recent - Raw Command

This command is used to display and control the global list of recently visited folders. When used with no options it acts as a dynamic command that generates a list of recent folders. Selecting one of the folders in this list will read that folder into the active Lister. The command template for this command is:

CLEAR/S, KEYARGS/K/M, NEW/S, NEWTAB/O[<normal>,nofocus], NOLABEL/S, OPENINDEST/S, OPENINDUAL/S, OPENINLEFT/S, OPENINRIGHT/S, PATH, SHOWICONS/S, USEQUALKEYS/S:

· CLEAR/S: This option clears the Recent folder list.

· KEYARGS/K/M

This option lets you specify multiple sets of arguments that are only applied if certain key combinations are held down when the function is executed. See the Go command for more information.

· NEW/S: This switch modifies the behavior of the Recent command when it is acting as a dynamic command. It causes a new Lister to be opened when the user selects a folder from the Recent List, rather than opening the folder in the current Lister.

· NEWTAB/S: This switch causes a new Folder Tab to be opened when the user selects a folder from the Recent list.

· NOLABEL/S: Specify this command to prevent the generated Recent List from displaying labels.

· OPENINDEST/S: This switch is similar to the NEW option, except that it causes the folder to be read into the destination file display of a dual-file display Lister. The Lister is automatically set into dual-file display mode if it is not already. If combined with the NEWTAB option the new Folder Tab will be opened in the destination window.

· OPENINDUAL/S: Opens the folder in the opposite file display of a dual-file display Lister.

· OPENINLEFT/S: Opens the folder in the left-hand file display of a dual display Lister.

· OPENINRIGHT/S: Opens the folder in the right-hand file display of a dual display Lister.

· PATH: This option modifies the default behavior of the Recent command and acts as a filter to control the Recent folders displayed in the generated list. For example, Recent C: would display only those Recent folders beginning with C:.

· SHOWICONS/S: The SHOWICONS switch modifies the behavior of the Recent command when it is acting as a dynamic command. It causes icons to be displayed in the generated list of Recent folders. Without this switch, only the folder names are shown.

· USEQUALKEYS/S: When this is argument is specified, the Recent command automatically reacts to the control/shift/alt keys being held down to perform the default action for that key (control = open in dual, shift = new Lister, alt = new tab).


Rename - Raw Command

This command is used to change the names of selected files and folders. When used with no options it displays a dialog prompting for a new name for each file in turn. You can use wildcards and regular expression syntax to perform batch renames. The command template for this command is:

ADVANCED/S, AUTORENAME/S, BY/K/N, CASE/K[upper, lower, firstword, allwords, extupper, extlower], FILEINFO/S, FINDREP/O[<on>, ext], FROM, INLINE/O[<default>, all, name, ext, home, end], MATCHCASE/S, NUMBER/O, PATTERN/K, PRESET/K, RECURSE/S, REGEXP/S, SIMPLE/S, TO, TYPE/K[files, dirs]

· ADVANCED/S: This switch causes the Rename dialog to open in advanced mode. If you do not specify the mode the dialog opens in the mode that was last used.

· AUTORENAME/S: If this flag is set, and the new name of a file clashes with an existing file, the new filename is automatically modified (by adding an incrementing number to the end) to make it unique.

· BY/K/N: When using the NUMBER option this parameter is used to specify the increment for auto-numbering. For example, Rename NUMBER BY 2 will number each file incrementing by 2.

· CASE/K: This option controls the case modification process. Use one of the supported keywords to modify the capitalization of all selected files and folders.

· FILEINFO/S: Use this option to enable the use of file information fields in the rename operation.

· FINDREP/O: Set this option to specify find-and-replace renaming. It is only used in conjunction with the PATTERN option. This parameter supports the ext option to specify that find and replace affects the filename extension as well as the filename stem.

· FROM: This option lets you specify the name of the file to rename. If not specified, the selected files and folders in the active Lister are used. You can specify a standard wildcard pattern for this, but regular expression or find-and-replace patterns must be given with the PATTERN argument.

· INLINE/O: This option triggers inline rename mode in the active Lister. If no value is given for this option, the item in the Lister with focus will be set into rename mode. Alternatively, you can specify the name of the item in the current Lister to begin inline rename on.

This command takes optional parameters to automatically select part of the old filename to be renamed. Specify name to only select the filename stem, and ext to only select the filename extension. Specify all to select the entire filename. Specify home to position the cursor at the beginning of the name, and end to position it at the end (without selecting any text).

· MATCHCASE/S: Specify this option to make the Rename operation case sensitive.

· NUMBER/O: Use this to automatically number files. By default, numbering commences at 1, however you can change the starting number by specifying it with this parameter. You can also control “zero padding” by prefixing the start number with the desired number of zeroes. For example, Rename NUMBER 0010 would start numbering at 10, padding all numbers to four digits.

· PATTERN: This option lets you specify the wildcard pattern to be used for the rename. Use this if you are performing a regular expression or find-and-replace rename.

· PRESET/K: This parameter can be specified to automatically invoke a Rename operation using a pre-saved preset. You can also specify PRESET=regexp and PRESET=findrep to start the Rename dialog up in regular expression or find & replace mode automatically.

· RECURSE/S: This option lets you make the rename operation recursive. In this mode, all files in all selected sub-folders will have the same wildcard/case modification rename performed on them.

· REGEXP/S: Set this option to specify regular expression syntax when renaming. It is only used in conjunction with the PATTERN option.

· SIMPLE/S: This switch causes the Rename dialog to open in simple mode. If you do not specify the mode the dialog opens in the mode that was last used.

· TO: This option lets you specify the new name of the file being renamed. It is only used in conjunction with the FROM and/or PATTERN options.

· TYPE/K: You can use this argument to control the items that will be renamed in a wildcard rename. Specify TYPE=files to only rename files, or TYPE=dirs to only rename folders.

►Directory Opus allows you to rename files within ZIP files as normal. However, the ZIP file format does not natively support rename, so Opus implements this “behind the scenes” by extracting the file to a temporary location, renaming it and then adding it back to the ZIP file. Depending on the size of the file that you are renaming, this may be fairly slow. It is not possible to rename sub-folders within ZIP files.


Select - Raw Command

This command is used to select and deselect files and folders in the active Lister. When used by itself with no options, it displays the file selection dialog (in either simple or advanced mode, depending on how it was last used). The command template for this command is:

ADVANCED/S, ALL/S, ALLDIRS/S, ALLFILES/S, DESELECT/S, DESELECTNOMATCH/S, DESTTOSOURCE/S, FILTER/S, FILTERFLAGS/K[select, deselect, hide, hidenomatch], FIRST/S, HIDESEL/S, HIDEUNSEL/S, INVERT/S, MAKEVISIBLE/S, NEXT/S, NONE/S, NOPATTERN/S, PATTERN, PREV/S, RESELECT/S,SHOWHIDDEN/S, SIMPLE/S, SOURCETODEST/S, TYPE/K[files, dirs]

· ADVANCED/S: This option displays the file selection dialog in advanced mode.

· ALL/S: The ALL option selects all files and folders in the active Lister.

· ALLDIRS/S: This option selects all folders (but not files) in the active Lister.

· ALLFILES/S: The ALLFILES option selects all files (but not folders) in the active Lister.

· DESELECT/S: This option is used in conjunction with the PATTERN option. Any files matching the wildcard are deselected instead of being selected.

This switch can work in conjunction with ALLFILES and ALLDIRS - combining it with these options lets you deselect all files or all folders.

· DESELECTNOMATCH/S: This flag can be specified with other parameters to cause files that don’t match the wildcard pattern to be deselected. Normally files that don’t match the pattern are left unchanged.

· DESTTOSOURCE/S: The Select DESTTOSOURCE command will select all files in the source Lister that are currently selected in the destination Lister. Only the names of the files are used in determining which files are present in both Listers.

· FILTER/S: This option performs file selection based on a previously saved filter. The name of the filter must be specified as the value of the PATTERN option. For example, Select MyFilter FILTER.

· FILTERFLAGS/K: Use this in conjunction with the FILTER parameter to specify the behavior when selecting with a predefined filter. By default, matching files are selected and non-matching files are left unchanged. Options for this are deselect (deselect matching files), hide (hide matching files) and hidenomatch (hide non-matching files).

· FIRST/S: This switch selects the first file in the source Lister and deselects all others.

· HIDESEL/S: This option causes all files selected by the Select command to be hidden (removed from the Lister display). You can use this in conjunction with the PATTERN option to perform a wildcard selection at the same time, or with the NOPATTERN option to simply hide all currently selected files.

· HIDEUNSEL/S: This option is similar to the HIDESEL option, except that files that are not selected are hidden.

· INVERT/S: This option inverts the current selection status of all files and folders in the active Lister.

· MAKEVISIBLE/S: Use this switch with other Select parameters to ensure that the first file matching the pattern is visible in the Lister. The Lister will automatically scroll if needed.

· NEXT/S: Selects the next item in the Lister (the item immediately following the first currently selected item).

· NONE/S: This option deselects all files and folders in the active Lister.

· NOPATTERN/S: This option is used in conjunction with the HIDESEL and HIDEUNSEL options. It lets you hide files without having to perform a pattern match at the same time.

· PATTERN: Use this option to select files based on a wildcard pattern without displaying the file selection dialog. For example, Select *.gif would automatically select all files ending in .gif in the active Lister.

· PREV/S: Selects the previous item in the Lister (the item immediately preceding the last currently selected item).

· RESELECT/S: This option reselects all files and folders that were deselected by the execution of the previous command.

· SHOWHIDDEN/S: This option reveals any files in the Lister that have previously been hidden with the HIDESEL or HIDEUNSEL options.

· SIMPLE/S: This option displays the file selection dialog in simple mode.

· SOURCETODEST/S: Similar to the DESTTOSOURCE command, this selects all files in the destination Lister that are currently selected in the source Lister.

· TYPE/K: Use this parameter to control which objects are affected by the Select command. Specify TYPE=files to only select files, or TYPE=dirs to only select folders.


Set - Raw Command

The Set command is used to dynamically modify several settings, for both the active Lister and the program as a whole. The function does nothing when no options are specified. The command template for this command is:

ADMIN/K[On,Off,Toggle,<Timeout>], AUTOSIZECOLUMNS/O[<source>,dest,left, right,both,focus,widest], CHECKBOXMODE/K[On,Off,Toggle], CLEARFILTERS/S, COLUMNS/K, COLUMNSADD/K, COLUMNSREMOVE/O, COLUMNSTOGGLE/K, CONTENTFORMAT/K, COPYFILTER/K[On,Off,Toggle], DELFILTER/K[On,Off, Toggle], DEST/K[Left,Right,Focus,Toggle], DUAL/K[On,Off,Toggle,Horiz,Vert, ToggleLayout,Source,Dest], FILTERS/K[On,Off,Toggle], FLATVIEW/K[On,Off, Toggle,Grouped,Mixed,MixedNoFolders], FOCUS/K[Left,Right,Source,Dest,Tree, LeftTree,RightTree,Toggle], FORMAT/K, FORMATLOCK/K[On,Off,Toggle,Left,Right, Source,Dest], FTPMODE/K[ASCII,Binary,Auto], HIDE/S, HIDEFILTERATTR/O, HIDEFILTERFILENAME/O, HIDEFILTERFOLDERS/O, HIDESYSTEMFILES/K[On,Off, Toggle],ICONS/K[On,Off,Toggle,Reset], KEEPFOLDERSALPHA/K[On,Off,Toggle], LAYOUT/K[Remember,Restore], LISTERCMD/K[Minimize,Maximize,Restore, ShowAll,MinimizeAll,TileH,TileV,Cascade,ToggleMinimizeAll], LISTERSIZE/K, NAVLOCK/K[On,Off,Toggle], OUTPUT/K[On,Off,Toggle,Find,Undo,Log,Test,FTP1, FTP2,Email], READONLY/K[On,Off,Toggle], SHOWFILTERATTR/O, SHOWFILTERFILENAME/O, SHOWFILTERFOLDERS/O, SORTBY/K, SORTGROUPDUPES/K[On,Off,Toggle], SORTNUMERIC/K[On,Off,Toggle], SORTORDER/K[Folders,Files,Mixed,Cycle], SORTREVERSE/K[On,Off,Toggle, ToggleSmart], SORTWORDS/K[On,Off,Toggle], SOUNDS/K[On,Off,Toggle], SOURCE/K[Left,Right,Focus,Toggle], STATE/K[Source,Dest,LockOff], STATUSBAR/K[On,Off,Toggle], TREE/K[On,Off,Toggle,Left,Right,Dual], UTILITY/K[Find,Sync,Dupe,On,Off,Toggle,Horiz,Vert,ToggleLayout], VIEW/K[LargeIcons,SmallIcons,List,Details,Power,Thumbnails,Tiles,Cycle], VIEWFILTER/O, VIEWPANE/K[On,Off,Toggle,Horiz,Vert,ToggleLayout], VIEWPANESIZE/K, WINMSGR/K[On,Off,Toggle]

· ADMIN/K [On,Off,Toggle,<Timeout>]: This command turns Administrator mode on or off in the current Lister (Windows Vista only.) By default a dialog is displayed that lets you specify the timeout - if you wish to prevent the dialog appearing you can specify the toggle yourself on the command line (e.g. Set ADMIN=Toggle,10 for a 10 minute timeout.) There is also a predefined command in the Tools category of Customize.

(Note: Version 9 supports a new @admin: command prefix to allow you to start external programs elevated from within Opus. For example, to make a button that launches Notepad with admin permissions, set the function to @admin:notepad.exe. You can also put @admin by itself on a line in the function to make the whole function (or rather, all commands that launch external programs from the function) run with elevated permissions. Note that you will get a UAC prompt as normal, unless the Lister is in Admin Mode.)

· AUTOSIZECOLUMNS/O [<source>,dest,left,right,both,focus,widest]: This command automatically resizes all displayed columns in a details or Power mode Lister. It is the equivalent of double-clicking on the separator bars between each of the column headers. The options let you specify which side of a dual display Lister is auto-sized. The default is for the source Lister, but you can specify the other parameters to change this. Specify both to have both sides auto-sized - if you specify widest, the two sides will be set to the same size (that of the widest size.)

· CHECKBOXMODE/K: This parameter is used to toggle or turn Check-box Mode on or off in the current Lister.

· CLEARFILTERS/S: This command is a shortcut to clearing all file and folder filters in the current file display.

· COLUMNS/K: This lets you change the information fields that are displayed in Power/Details mode in the current Lister. You can specify multiple column keywords separated by commas. This option replaces all current columns with those that you specify. See below for a list of the column keywords.

· COLUMNSADD/K: This lets you add information fields to the current Lister. You can specify multiple column keywords separated by commas. The fields you specify will be added after any existing fields. By default the fields are added to the end of the current display, however you can specify the position of each field by appending (x) to the column keyword, where x is the desired position. E.g., Set COLUMNSADD=dest(3)

· COLUMNSREMOVE/K: This lets you remove information fields from the current Lister. If the fields you specify are currently displayed in the Lister, they will be removed.

· COLUMNSTOGGLE/K: This lets you turn the specified columns on and off in the current Lister. If the columns that you specify are all currently displayed, they will be removed. Otherwise, any specified columns that are not currently displayed will be added to the Lister. The column keywords can optionally be followed by a position setting in the same manner as COLUMNSADD.

· CONTENTFORMAT/K: Use this to set the current Lister to use the named content type format. For example, Set CONTENTFORMAT=Images.

· COPYFILTER/K [On, Off, Toggle]: This option is used to control the state of the Copy Filter. Using this command can be easier than modifying this option through the File Operations page in Preferences.

· DELFILTER/K [On, Off, Toggle]: This option is used to control the state of the Delete Filter.

· DUAL/K [On, Off, Toggle, Horiz, Vert, ToggleLayout, Source, Dest]: This option is used to change the active Lister between single- and dual-file display modes. On, Off, and Toggle are used to switch between single and dual modes. The Horiz, Vert and ToggleLayout options are used to switch the dual-file display mode between horizontal and vertical layout.

The DUAL argument also has options to control the state of the newly opened file-display. Set DUAL=source forces the second display to open as the source, and Set DUAL=dest forces it to open as the destination.

· FILTERS/K [On, Off, Toggle]: This option is used to control the state of both the Copy and Delete Filters.

· FLATVIEW/K: Use this command to turn Flat View Mode on or off. You can toggle the current state of Flat View mode with the toggle option, or specify the state with on or off. You can also specify the Flat View type using grouped, mixed or mixednofolders. For example, Set FLATVIEW=grouped would toggle Flat View Grouped mode on or off.

· FOCUS/K[Left,Right,Source,Dest,Tree]: Use this command to change the input focus in the Lister. It is most useful when bound to a hotkey,.

· FORMAT/K: This option is used to change the display of the current Lister to use a previously Defined Path Format. These can be configured through the Folder Options function.

· FORMATLOCK/K[on,off,toggle,left,right,source,dest]: This can replace the format lock (padlock) in the default status bar. If you wish to move this functionality to a toolbar or menu (if, for instance, you have turned your status bar off), then you can use the Set FORMATLOCK command to do it. The options left, right, source and dest let you apply the format lock to only one side of a dual-display Lister.

· FTPMODE/K[ASCII, Binary, Auto]: This lets you change the transfer mode for the current FTP connection. You can choose from ASCII, Binary and Auto modes.

· HIDE/S: This switch is used in conjunction with other Set parameters - it does nothing on its own. It causes Directory Opus to hide from the Toolbar any button that ordinarily would be disabled because the function was not available. For example, HIDE in conjunction with the FTPMODE option would cause the button to be removed from the display when not in an FTP folder.

Normally when a Set command is not available for the current Lister, it is disabled. For example, File Collections do not support Flat View, so when you are browsing a File Collection the Flat View option would be disabled. If the HIDE switch is also specified for the Set command, unavailable options are hidden instead of disabled.

· HIDEFILTERATTR/O: This modifies the Hide Filter - Attributes setting for the current Lister.

· HIDEFILTERFILENAME/O: This modifies the Hide Filter - Filename setting for the current Lister.

· HIDEFILTERFOLDERS/O: This modifies the Hide Filter - Folders setting for the current Lister.

· HIDESYSTEMFILES/K: Use this command to select the state of the Hide protected operating system files option in Preferences.

· ICONS/K [on,off,toggle,reset]: This command lets you toggle the display of icons in Power/Details mode on or off. This overrides the option in Preferences for power mode, and applies to the current file display until the command is run again. Specify reset to reset to the default behavior (which is icons on in details, and in Power mode subject to the Preferences setting.)

· KEEPFOLDERSALPHA/K [on,off,toggle]: This command lets you modify the state of the Keep folders sorted alphabetically Folder Options setting.

· LAYOUT/K[Remember, Restore]: With the remember parameter, this option causes the Lister to store its current “Layout”. Layout in this instance refers to the appearance of the Lister itself (Tree state and size, file display state and size, viewer pane state and size) and should not be confused with the Lister Layouts system.

If you have previously remembered the Lister Layout with the set layout=remember command, you can use the restore command to automatically return the Lister to that arrangement. For example, you could have a button that called remember and then used other SET command parameters to turn the Tree off, put the Lister into dual file display mode, etc. You could then have another button that called restore to instantly return the Lister to its prior appearance.

· LISTERCMD/K[Minimize, Maximize, Restore, ShowAll, MinimizeAll, TileH, TileV, Cascade, ToggleMinimizeAll]: This option is used to perform a Lister management command. Minimize, Maximize and Restore let you modify the window state of the active Lister. ShowAll makes all open Listers display themselves if they are minimized or behind another window. MinimizeAll causes all open Listers to be minimized. TileH, TileV and Cascade are used to automatically arrange open Listers on the screen. ToggleMinimizeAll will minimize all open Listers, or restore them if they are already minimized.

· LISTERSIZE/K: This command lets you change the physical size of the current Lister. It takes one or two parameters, being the width and height, separated by commas. If you only want to change one dimension, do not supply the other one. You can also change the size incrementally by specifying delta values using + or -.

· NAVLOCK/K[On,Off,Toggle]: When Navigation Lock is enabled in a dual-display Lister, navigation that takes place in one file display (double-click, parent, back, forwards) is also mirrored if possible in the second file display. For example, double-clicking a sub-folder in the left file display would also enter that sub-folder in the right file display if a sub-folder of the same name exists there. The same applies to Up, Back and Forwards.

When in Navigation Lock mode, if the two displays get out of sync the file display titles will flash as a warning. To stop the flashing either re-sync the file displays or turn off Navigation Lock.

· OUTPUT/K: The Set OUTPUT command lets you open or close the Output Window using the on, off and toggle parameters. You can also specify the initial page in the Output Window to display using the keywords find, undo, log, test, ftp1, ftp2, script and email. If you do not specify the page the Output Window opens displaying the last page that was used.

· READONLY/K[On, Off, Toggle]: This lets you set the read only state of the current ZIP file.

· SHOWCOMPATIBILITYFILES/K[On, Off, Toggle]: This toggles the display of compatibility files in the current Lister (Windows Vista only)

· SHOWFILTERATTR/O: This modifies the Show Filter - Attributes setting for the current Lister.

· SHOWFILTERFILENAME/O: This modifies the Show Filter - Filename setting for the current Lister.

· SHOWFILTERFOLDERS/O: This modifies the Show Filter - Folders setting for the current Lister.

· SORTBY/K: This option lets you change the sort field for the current Lister. You must specify the column keyboard representing the field you wish to sort on. You can also specify sortlist, which acts as a dynamic command that generates a list of the current fields displayed in the Lister, letting you easily change the current sort order.

· SORTGROUPDUPES/K: This command lets you change the state of the Group duplicates option for the current folder. This is only used in the Duplicate File Finder results File Collection.

· SORTNUMERIC/K[On, Off, Toggle]: This lets you change the state of the Numeric name head sorting option for the current Lister.

· SORTORDER/K[Folders, Files, Mixed, Cycle]: Changes the sort order in the current Lister. Choose from Folders (folders listed first), Files (files listed first) and Mixed (folders and files intermixed). You can also specify Cycle to cycle through the available modes.

· SORTREVERSE/K [on,off,toggle,togglesmart]: This lets you change the state of the Reverse order sorting option for the current Lister.

This is useful in conjunction with the SORTBY parameter. If the field specified by the SORTBY parameter is already sorted, then the SORTREVERSE will take effect (reversing the sort order). If, however, the sort field has to change, then the reverse parameter will be ignored.

· SORTWORDS/K[On, Off, Toggle]: Changes the state of the Word sort sorting option for the current Lister.

· SOUNDS/K[On, Off, Toggle]: This lets you turn Directory Opus sound effects on or off.

· STATE/K [Source, Dest, lockoff]: This option is used to change the current state of the active Lister. You must specify either Source or Dest as the value of this option. Listers can also be locked in an “off” state. If locked off, clicking in them will not set them to the source or destination - only another Set STATE command can unlock them. Use Set STATE=lockoff to lock Listers off.

· STATUSBAR/K: This command lets you turn on or off the Lister status bar.

· TREE/K This option is used to turn the Folder Tree in the active Lister on or off. The TREE command lets you control the left and right Folder Trees individually using the options left, right and dual. For example, Set TREE=toggle,right would toggle the right-hand Folder Tree on or off.

· UTILITY/K: Use the Set UTILITY command to open or close the Lister Utility Panel. Use the toggle keyword to toggle the current state, or the keywords on and off to specify the desired state. You can also choose which tab of the Utility Panel is displayed using the keywords find, sync and dupe. The layout of the Utility Panel can be selected with the keywords horiz and vert, and you can use togglelayout to toggle the current layout.

· VIEW/K [largeicons,smallicons,list,details,power,thumbnails,tiles,cycle]: This option is used to change the current display mode of the active Lister. You must specify one of the available modes as the value of this option. You can also use the Cycle option to cycle through the available display modes.

· VIEWFILTER/O: This command lets you apply a temporary filter to the current file display. This filter is applied after those in the current folder format, and does not affect those filters at all. It is cleared automatically whenever the folder is changed.

· VIEWPANE/K[On, Off, Toggle, Horiz, Vert, ToggleLayout]: This command lets you control the Lister Viewer Pane. You can turn it on or off or toggle its state. You can also modify its layout - either horizontal or vertical.

· VIEWPANESIZE/K: This lets you change the size of the Viewer Pane in the current Lister. The value given is a percentage of the total size of the Lister. You can specify two sizes separated by a comma, in which case this command will toggle the Viewer Pane between the two sizes. For example, SET VIEWPANESIZE=50,25 would toggle the Viewer Pane between 50% of the Lister width and 25% of the Lister width (or height if the Viewer Pane was set to horizontal layout).

· WINMSGR/K: This command lets you open or close the Lister Contacts List. Use the keyboard toggle to toggle the current state of the Contacts List, or the keywords on or off to specify its state.

The Set command lets you string multiple switches together to change more than one thing at once. For example,

Set COLUMNSADD=name,size SORTBY=size SORTREVERSE=on

The COLUMNS and SORTFIELD switches for Set all use column keywords to refer to the Lister information fields. These are the columns that are also available in Folder Options. The keywords that are recognized are shown in the following table:-

Category | Column | Keyword
Document | Author | author
 | Category | category
 | Comments Company Name Copyright Document created date Keywords Last edit time Last saved by Last saved date | comments companyname copyright doccreateddate dockeywords docedittime doclastsavedby doclastsaveddate
 | Pages | pages
 | Subject | subject
 | Title | title
General | Age (relative) | daterel
 | Attributes | attr
 | Date (accessed) | accesseddate
 | Date (created) | createddate
 | Date (modified) | modifieddate
 | Date/time (accessed) | accessed
 | Date/time (created) | created
 | Date/time (modified) | modified
 | Description | desc
 | Extension | ext
 | Extension (dirs) | extdir
 | File count Font name | filecount fontname
 | Location | path
 | Location (relative) | pathrel
 | MD5 checksum Parent folder Parent folder (full) Parent location | md5sum parent parentpath parentlocation
 | Owner Short name | owner shortname
 | Size (auto) | sizeauto
 | Size (bytes) | size
 | Size (KB) | sizekb
 | Size (relative) | sizerel
 | Sub-folder count | dircount
 | Time (accessed) | accessedtime
 | Time (created) | createdtime
 | Time (modified) | modifiedtime
 | Total File count | filecounttotal
 | Total Sub-folder count | dircounttotal
 | Type | type
Movies | Audio codec Bit depth Bit rate Data rate Dimensions Duration | datarate picdepth mp3bitrate datarate dimensions mp3songlength
 | Frame rate Height Mode Sample rate | framerate picheight mp3mode mp3samplerate
 | Video codec Width | videocodec picwidth
Music | Album | mp3album
 | Artist | mp3artist
 | Audio codec | mp3type
 | Bit rate | mp3bitrate
 | Duration | mp3songlength
 | Encoded by | mp3encoder
 | Genre | mp3genre
 | Mode | mp3mode
 | Music comment | mp3comment
 | Music info | mp3info
 | Music title | mp3title
 | Sample rate | mp3samplerate
 | Track Number | mp3track
 | Year | mp3year

Category | Column | Keyword
Pictures | 35mm Focal Length Altitude | 35mmfocallength altitude
 | Aperture Artist | apertureval mp3artist
 | Bit depth | Picdepth
 | Camera make | cameramake
 | Camera model Color space | cameramodel colorspace
 | Contrast Coordinates Copyright | contrast cords copyright
 | Digital Zoom | digitalzoom
 | Dimensions | picsize
 | Exposure bias | exposurebias
 | Exposure program | exposureprogram
 | Exposure time | exposuretime
 | Flash | flash
 | F-Number | fnumber
 | Focal length | focallength
 | Height | picheight
 | ISO speed Latitude Longitude | isorating latitude longitude
 | Metering mode | meteringmode
 | Resolution (X) | picresx
 | Resolution (Y) | picresy
 | Rotation | rotation
 | Saturation | saturation
 | Scene capture type | scenecapturetype
 | Sharpness | sharpness
 | Shooting time | shootingtime
 | Shutter speed | shutterspeed
 | Subject distance | subjectdistance
 | White balance | whitebalance
 | Width | picwidth
Programs | Company Name | companyname
 | Copyright | copyright
 | Module Description | moddesc
 | Module Version | modversion
 | Product Name | prodname
 | Product Version | prodversion

The SORTFIELD switch also recognizes the following synonyms to set sort order (in the case where multiple display fields are sorted the same): modified, created, accessed, size, date.

NOTE The MD5 Checksum column calculates and displays the MD5 checksum (hash value) of all files in the current folder. Because calculating the checksum may take a significant amount of time, it is disabled by default for files exceeding 5000kb in size. If you wish to increase this limit, set the value in Preferences - Miscellaneous - Advanced - max-md5-file_size


SetAttr - Raw Command

The SetAttr command lets you modify the attributes, timestamps and descriptions of all selected files and folders. The attributes you can modify are Read Only (file can not be deleted or modified), Archive (file is marked for backup), Hidden (file is not normally displayed) and System (file is a system file). You can also set the creation and last modified time to a specific date and time. The default behavior of this command if no options are specified is to display the Set Attributes dialog. However, you can automate the procedure by specifying options to define which attributes and timestamps to modify. The command template for this function is:

ATTR/K,CHMOD/K,CLEARATTR/K,CREATED/K,DESCRIPTION/O,FILE/M,FILTER/K, MODIFIED/K,RECURSE/S,SETATTR/K,TOGGLEATTR/K

· ATTR/K: This option lets you specify absolute attributes to change selected files to. The value string can consist of the letters r (read only), a (archived), h (hidden), s (system) or n (normal). For example, SetAttr ATTR=hs would set all selected file attributes to hidden and system. The attribute argument also accepts e and c as valid attributes to modify (on NTFS drives only) - e means encrypted, and c means compressed.

· CHMOD/K: Lets you to set the attributes for files on FTP sites directly using traditional CHMOD syntax. For example, SetAttr CHMOD=666

· CLEARATTR/K: This option lets you specify attributes to turn off in selected files. Only the attributes specified will be turned off; other attributes will not be changed.

· CREATED/K: This option lets you specify the date to set for the creation time for selected files.

· DESCRIPTION/O: This option can be used to add your own descriptions to files and folders. When DESCRIPTION is given by itself, Opus displays a dialog letting you enter a description for selected files. You can also specify the description string as the value for this option, in which case no dialog is shown.

· FILE/M : This argument lets you specify the file or files whose attributes are to be altered.

· FILTER/K: This option lets you specify the name of a previously saved filter to use in conjunction with the RECURSE option.

· MODIFIED/K / CREATED/K: This option lets you specify the date to set for the last modified time for selected files. You can specify the value now which means the current time and date, or you can specify a specific date only. The date specified must be in the form YYYYMMDD, for example SetAttr MODIFIED=20010922. These arguments also accept the date/time string in the format yyyy-mm-dd hh:mm:ss as well as yyyymmdd.

· RECURSE/S: If you specify this option, the changes you have specified will be made recursively to all files within any selected subfolders.

· SETATTR/K: This option lets you specify attributes to turn on in selected files. This has the effect of “adding” attributes to those already set. It will not turn any existing attributes off.

· TOGGLEATTR/K: Use this parameter to toggle the specified attributes of the selected files. Valid attributes are h (hidden), s (system), a (archived) and r (read-only). For example, to toggle the read-only flag for all selected files the command would be SetAttr TOGGLEATTR=r.


Show - Raw Command

This command uses the built-in picture viewer display all selected picture files in the active Lister. The built-in picture viewer is a simple utility designed to let you view a picture quickly without the possible overhead of loading an external viewer or editor. Directory Opus supports the common graphics formats of JPEG, GIF, TIF, PNG, ILBM, PSD, BMP, WMF and EMF as well as the Amiga Icon format (.info). Using the Viewer Plugin system it is possible to extend the viewing capabilities to include other file types. The command template for this function is:

FILE, NOUSEEXISTING/S, PLUGIN/K, PLUGINABOUT/K, PLUGINCONFIG/K, PLUGINDISABLE/O[<toggle>,enable,disable], PLUGINLIST/S, PLUGINMANAGER/S, THUMBNAILSIZE/K[<size>,Left,Right,Source,Dest,Both,Reset], USEEXISTING/S

· FILE: This lets you specify the name of the file to view

· NOUSEEXISTING/S: This option prevents the use of existing viewer windows.

· PLUGIN/S: This option forces Directory Opus to use the specified plugin to view the show. You can use this to override the default plugin for the type of file you are trying to view. For example, a button with the command Show PLUGIN=text would force the text viewer plugin to be used. This lets you view as hex, for example, an image file that otherwise would have been displayed as a picture.

· PLUGINABOUT/K: This option will display the About information for the specified Viewer Plugin (if supported).

· PLUGINCONFIG/K: This option will display the configuration dialog for the specified Viewer Plugin (if supported).

· PLUGINDISABLE/O: Use this option in conjunction with the PLUGIN parameter to enable or disable a Viewer Plugin.

· PLUGINLIST/S: This option acts as a dynamic command to generate a drop-down list of the currently installed Viewer Plugins.

· PLUGINMANAGER/S: Displays the Viewer Plugin Manager window, which lets you enable, disable, configure and rearrange the order of your installed plugins.

· THUMBNAILSIZE/K: Use this to change the size of displayed thumbnails.

· USEEXISTING/S: If you specify this switch, Directory Opus will attempt to locate and use an existing picture viewer instead of opening a new one. For example, configure the dblclk action for the Recognized Images file type to Show USEEXISTING.

See the section on The Opus Viewer for more information.


Split - Raw Command

This command is the companion to the Join command, and lets you split a single file into multiple, smaller parts. It also allows you to uuencode the split files for transmission via email. Split operates on the first selected file in the active Lister. You need to specify the output folder for the split files, as well as the chunk size. You can select from one of the predefined chunk sizes or enter your own chunk size in bytes. The split files automatically have a numerical prefix appended indicating their order. There are no options for this command.

FROM/M,HERE/S,SIZE/K,TO/K,UUENCODE/S:

· FROM/M: Specifies the files to be split.

· HERE/S: Specifies that the split files are to be written to the source folder instead of the destination.

· SIZE/K: Specify the size of the split chunks (eg “1000 bytes”, “32 k”, etc)

· TO/K: Specify an alternative output location for the split files.

· UUENCODE/S: Specify that the split files are to be uuencoded.


Toolbar - Raw Command

The Toolbar command is used to provide access to your stored Toolbars without going through the Customize dialog. The command template is as follows:

CLOSE/S, IMPORT/S, LINE/K, LIST/S, LOCAL/S, NAME, POS/K, STATE/K[<top>, bottom, left, right, center, viewpane, tree, float], TOGGLE/S

· CLOSE/S: Use this switch in conjunction with the NAME parameter to close a currently open Toolbar.

· IMPORT/S: Use IMPORT in conjunction with the NAME parameter to import toolbars into your Directory Opus configuration. Opus will automatically copy the named toolbar file to your Toolbars folder and then open it as a floating toolbar.

· LINE/K: This parameter lets you specify the line and position a new Toolbar is to open on. For example:

Toolbar “My Toolbar” TOGGLE STATE=top LINE=1

This would open the toolbar on line 1 at the top of the Lister (counting from 0). Also,

Toolbar “Drive Bar” TOGGLE STATE=bottom LINE=2,500

This would open the toolbar on line 2 at the bottom of the Lister, 500 pixels from the left.

· LIST/S: This is a dynamic command that generates a list of your saved Toolbars and lets you turn them on or off.

· LOCAL/S: If you specify the LOCAL switch when opening a toolbar, the toolbar will only appear in the current Lister rather than appearing in all Listers.

· NAME: Specifies the name of the Toolbar, as saved in the Directory Opus Buttons folder. You do not need to specify the .dop filename extension. The default action of this command when a name is specified is to open that Toolbar unless it is already open.

· POS/K: The POS argument lets you specify the position for a floating toolbar. You can specify absolute coordinates, for example Toolbar NAME=Applications POS=100,50 STATE=float. You can also specify POS=mouse to center the floating toolbar over the mouse pointer, mouser to right-align it with the mouse pointer, and mousel to left-align it with the mouse pointer.

· STATE/K: This switch can be used with the NAME parameter to specify the state of the Toolbar when it is opened. The states top, bottom, left and right refer to the top, bottom, left and right edges of the Lister. The center state describes the position between the two displays of a dual-file display Lister. The viewpane state describes the position between the Lister Viewer Pane and the file display. The tree state describes the position between the Folder Tree and the file display. The float state describes a floating Toolbar. If the Toolbar is not currently open, you can set its state to any of these options when you open it. If the Toolbar is already open, you can only use the STATE parameter to switch it from floating to non-floating and vice versa.

· TOGGLE/S: Use this switch in conjunction with the NAME parameter to toggle a Toolbar on or off.


Undo - Raw Command

The Undo command provides access to the Directory Opus undo system. This lets you undo many file actions that you have made, including copies, renames and deletes (if the Recycle Bin has been used). When used by itself, with no options specified, this command undoes the last performed file command. The command template for this command is:

ITEM/K,LIST/S,LISTMENU/S,PAGE/S:

· ITEM/K: This option lets you undo a specific action in the Undo list. You must specify the action number to undo.

· LIST/S: This option acts as a dynamic command and generates a list of all undoable actions. You can select an item from this list to undo a specific action without having to undo all actions in the list.

· LISTMENU/S: This option is the same as the LIST option except that the undo items are displayed in a popup submenu rather than in the Toolbar or menu itself. If there are no undoable items, the submenu is not displayed at all.

· PAGE/S: The PAGE option opens the Output Window and displays the Undo page, where you can see the list of undoable actions and selectively undo them.


Command Control Codes

When Directory Opus launches an external application program or an internal command from a Toolbar button or menu item, the command definition can include special control sequences which tell Opus to insert specific information into the command line.

The control sequences generally take the form of one or more characters surrounded by {braces}. There is always at least one synonym for a control sequence that performs the same function. For example, all control sequences have a short and a long form that can be used interchangeably. The short form requires less typing and produces a smaller function definition, while the long form is more descriptive and may make the function more understandable.

Symbol | Description | Symbol | Description
f | file path | O | all files
! | not required | *s | short
$ | required | s | source
o | file | d | destination
F | all files and paths | R | dialog

A legend of the symbols used for the short control sequences.

For example, notepad.exe {f} would launch Notepad, passing the name of the first selected file as an argument.

Control Sequence

Meaning

{filepath}
{f!}
%1
%2
%L

Directory Opus inserts the name of the first selected file or folder in the active Lister. The filename is in long filename format and is supplied with the full path. The %1, %2 and %L sequences are compatible with Explorer. If there is no selected file in the active Lister, this control sequence is omitted.

This code and all others that return the name of a file or files can take an optional flag which allows you to strip or replace the filename extension. For example,

{filepath|noext} strips the filename extension from the filename returned
{filepath|ext=tmp} replaces the filename extension with .tmp

These codes can also take the file and filem modifiers, which modify the codes to redirect the file name or names to a temporary file. This is useful with external commands that can take a list of files from a text file rather than on the command line. For example, {allfilepath} adds the full paths of all selected files to the command line. However, if you specify {allfilepath|filem}, a temporary file is created and the names of all selected files are written to that file. It is then the path of the temporary file that is added to the command line.

Use file to have all filenames written on a single line (separated by spaces), and filem to have filenames written on multiple lines (separated by cr/lf.)

The {filepath} and other codes can also take the .. and \ modifiers, which let you insert the name of the parent folder of selected files. For example, with a file called C:\Data\Letters\MyLetter.doc - {file} would insert C:\Data\Letters\MyLetter.doc and {file|..} would insert C:\Data\Letters. You can also specify multiple parent levels, eg {file|..\..} would insert C:\Data. Finally, \ lets you specify the root folder – in the previous example, {file|\} would insert C:\.

{filepath$}
{f}

The same as {filepath}, except that there must be a selected file in the active Lister or else the function will not be run.

{file}
{o!}

This control sequence inserts the name of the first selected file or folder in the active Lister. The filename is in long filename format, but does not contain the full path - only the filename itself is supplied. If there is no selected file in the active Lister, this control sequence is omitted.

{file$}
{o}

Modifiers for {file}

The same as {file}, except that there must be a selected file in the active Lister or else the function will not be run.

file/fileem modify the {file} command to redirect the filename or names to a temp file - for programs that take a list of files in a text file rather than on the command line. e.g., {allfilepath|fileem} - use file to have all names on a single line with spaces as separators or filem to have all names on multiple lines, separated by cr/lf.
.. - lets you insert the name of the parent folder.
\ - lets you specify the root folder.

e.g.: C:\Data\Letters\MyLetter.doc
{file|..} - would result in "C:\Data\Letters"
{file|..\..} - would result in "C:\Data"
{file|\} - would result in "C:\"

{allfilepath}
{F!}
%*

This control sequence inserts the name of all selected files and folders in the active Lister. The filenames are supplied in long filename format with the full path included. If a filename contains a space it is automatically enclosed with quotation marks. The filenames are separated by spaces. The %* control sequence is compatible with Explorer. If there are no selected files in the active Lister, this control sequence is omitted.

{allfilepath$}
{F}

The same as {allfilepath}, except that there must be at least one selected file in the active Lister or else the function will not be run.

{allfile}
{O!}

This is the same as {allfilepath} except that the filenames do not include the full path - only the filenames themselves are supplied.

{allfile$}
{O}

The same as {allfile}, except that there must be at least one selected file in the active Lister or else the function will not be run.

{filepathshort}
{fs!}

This is the same as {filepath} except that the filename is supplied in short filename format. This is useful for running 16 bit programs

{filepathshort$}
{fs}

The same as {filepath$} except that the filename is supplied in short filename format.

{fileshort}
{os!}

The same as {file} except that the filename is supplied in short filename format.

{fileshort$}
{os}

The same as {file$} except that the filename is supplied in short filename format.

{allfilepathshort}
{Fs!}

The same as {allfilepath} except that the filenames are supplied in short filename format.

{allfilepathshort$}
{Fs}

The same as {allfilepath$} except that the filenames are supplied in short filename format.

{allfileshort}
{Os!}

The same as {allfile} except that the filenames are supplied in short filename format.

{allfileshort$}
{Os}

The same as {allfile$} except that the filenames are supplied in short filename format.

{filepathdest}
{fd!}

The same as {filepath} except that the filenames come from the destination Lister rather than the source.

{filepathdest$}
{fd}

The same as {filepath$} except that the filenames from the destination Lister rather than the source.

{filedest}
{od!}

The same as {file} but with filenames from the destination Lister.

{filedest$}
{od}

The same as {file$} but with filenames from the destination Lister.

{allfilepathdest}
{Fd!}

The same as {allfilepath} but with filenames from the destination Lister.

{allfilepathdest$}
{Fd}

The same as {allfilepath$} but with filenames from the destination Lister.

{allfiledest}
{Od!}

The same as {allfile} but with filenames from the destination Lister.

{allfiledest$}
{Od}

The same as {allfile$} but with filenames from the destination Lister.

{filepathshortdest}
{fsd!}

The same as {filepathshort} but with filenames from the destination Lister.

{filepathshortdest$}
{fsd}

The same as {filepathshort$} but with filenames from the destination Lister.

{fileshortdest}
{osd!}

The same as {fileshort} but with filenames from the destination Lister.

{fileshortdest$}
{osd}

The same as {fileshort$} but with filenames from the destination Lister.

{allfilepathshortdest}
{Fsd!}

The same as {allfilepathshort} but with filenames from the destination Lister.

{allfilepathshortdest$}
{Fsd}

The same as {allfilepathshort$} but with filenames from the destination Lister.

{allfileshortdest}
{Osd!}

The same as {allfileshort} but with filenames from the destination Lister.

{allfileshortdest$}
{Osd}

The same as {allfileshort$} but with filenames from the destination Lister.

{sourcepath}
{s!}

This control sequence inserts the path of the folder in the source Lister. The path is supplied in long filename format. If there is no valid source Lister, this control sequence is omitted. Add |noterm to the control sequence to strip trailing path termination (eg {sourcepath|noterm})

{sourcepath$}
{s}

The same as {sourcepath} except that if there is no valid source Lister the function will not be run.

{destpath}
{d!}

This control sequence inserts the path of the folder in the destination Lister (or, in the case of a dual file-display Lister, the destination file display). If there is no valid destination path, this control sequence is omitted.

{destpath$}
{d}

The same as {destpath} except that if there is no valid destination path the function will not be run.

{sourcepathshort}
{ss!}

The same as {sourcepath} except that the path is supplied in short filename format.

{sourcepathshort$}
{ss}

The same as {sourcepath$} except that the path is supplied in short filename format.

{destpathshort}
{ds!}

The same as {destpath} except that the path is supplied in short filename format

{destpathshort$}
{ds}

The same as {destpath$} except that the path is supplied in short filename format.

{leftpath}
{l}

This inserts the path from the left-hand file display, irrespective of the source or destination status of that file display.

{leftpathshort}
{ls}

The same as {leftpath} except that the path is supplied in short filename format.

{rightpath}
{r}

This inserts the path from the right-hand file display, irrespective of the source or destination status of that file display.

{rightpathshort}
{rs}

The same as {rightpath} except that the path is supplied in short filename format.

{apppath}
{p}

Inserts the path of an installed application, as listed in the App Paths key in the system Registry. For example, {apppath|winword.exe} would insert the path of Microsoft Word.

{apppathshort}
{ps}

The same as {apppath} except that the path is supplied in short filename format.

{alias}
{aliasshort}

Allow the value of folder aliases to be passed to external programs as in {alias|work}

{dlgchoose}
{Rc}

This command displays a dialog with a drop-down list letting you select an option from those supplied. The value of the option is then inserted into the function. The format of this command is:

{dlgchoose|<Message>|<Option 1>[=<Value 1>][+<Option 2>[=<Value 2>]…]}

<Message> is the text displayed in the dialog.

<Option 1> is the text displayed for the first option in the drop-down list. If you wish to specify a value for an option, use the form <Option>=<Value>, otherwise the value inserted in the string will be the ordinal number of the option. Multiple options can be added together with the + sign. For example,

{dlgchoose|Select encoding quality|High=320+Medium=256+Low=128+Very Low=64}

{dlgchooseS}
(Rc)

As above but automatically sorts the list of values.

{dlgopen}
{Rf}

This control sequence causes Directory Opus to display an Open File dialog, letting you select a file. The name of the selected file is then inserted into the function. You can also optionally supply the title string for the file dialog and a default value for the filename. This is done using the vertical bar inside the control sequence itself. For example,

{dlgopen|Select filename|dopus.txt}

This would use Select filename as the dialog title, and the default filename would be dopus.txt.

{dlgmulti}
{Rm}

The same as {dlgopen} except that the Open File dialog supports multiple file selection.

{dlgsave}
{RF}

The same as {dlgopen} except that the dialog that is displayed is a Save File dialog.

{dlgfolder}
{Rd}

The same as {dlgopen} except that the dialog that is displayed is a Browse For Folder dialog.

{dlgstring}
{Rs}

This control sequence causes Directory Opus to display a dialog prompting you to enter a text string. The entered string is then inserted into the function. This also supports the specifying of dialog title and default string using vertical bars as shown in the example for {dlgopen}.

{dlgstringS}
{Rs}

As above but {dlgstring} no longer selects all text by default, {dlgstringS} adds that behavior.

{dlgpassword}
{Rp}

This is the equivalent of {dlgstring} except that the text field will hide the input string. This command takes the same parameters as {dlgstring}.

{date} / {dateu}

Inserts the current date into the command string. {date} uses local time whereas {dateu} uses UTC/GMT time.

{time} / {timeu}

Inserts the current time into the command string. {time} uses local time whereas {timeu} uses UTC/GMT time.

{$<var>}

The {$} command is used to insert the value of a temporary variable that has been set by the @set directive. For example, {$var} would insert the value of the var variable.

The control codes listed above can be used in conjunction with internal Opus commands as well as with external programs. For example, you could have a function like Set SHOWFILTERFILENAME={dlgstring|Enter file pattern to show files} to display a dialog letting you enter a show pattern.

The {date} and {time} codes can be used to insert the current date and time into commands (both internal and external). You can specify the time or date format; for example, {time|hhmmss} would insert the time in hhmmss format. You can insert literal text into the format code by surrounding it with single quote marks.

For example, a function to automatically create a folder using the current date as its name would be:

CreateFolder NAME “{date|dd'-'MMM'-'yyyy}”

Date codes
d | Day of month as digits with no leading zero for single-digit days.
dd | Day of month as digits with leading zero for single-digit days.
ddd | Day of week as a three-letter abbreviation.
dddd | Day of week as its full name.
M | Month as digits with no leading zero for single-digit months.
MM | Month as digits with leading zero for single-digit months.
MMM | Month as a three-letter abbreviation.
MMMM | Month as its full name.
y | Year as last two digits, but with no leading zero for years less than 10.
yy | Year as last two digits, but with leading zero for years less than 10.
yyyy | Year represented by full four digits.
gg | Period/era string. This code is ignored if the date to be formatted does not have an associated era or period string.
Time codes
h | Hours with no leading zero for single-digit hours; 12-hour clock.
hh | Hours with leading zero for single-digit hours; 12-hour clock.
H | Hours with no leading zero for single-digit hours; 24-hour clock.
HH | Hours with leading zero for single-digit hours; 24-hour clock.
m | Minutes with no leading zero for single-digit minutes.
mm | Minutes with leading zero for single-digit minutes.
s | Seconds with no leading zero for single-digit seconds.
ss | Seconds with leading zero for single-digit seconds.
t | One character time-marker string, such as A or P.
tt | Multi-character time-marker string, such as AM or PM.

Several commands or prefixes have special meaning within an Opus function definition and can be used to modify the way external programs are launched.

You can use the cd command to change the “start in” or “working folder” of an external program. Use cd {sourcepath} to automatically set the “start in” folder of an external program to the current path in the source Lister.

When you define a function to run an external program, you can prefix the program name with the string @sync: to cause it to be started synchronously. This lets you start multiple programs in order.

Functions that are defined as MS-DOS Batch Functions are run as if they were batch (.bat) files. Because of the way the Windows batch file processor works, calling external batch files from an Opus batch function would not automatically work correctly. To overcome this, Opus automatically prefixes external batch files with the call command to ensure they are run correctly. If you wish to override this behavior you can prefix the name of the batch file with nocall:

You can use the ddeexec, ddeapp and ddetopic commands to create a function that executes a DDE conversation with another application. For example, to create a button that opens a picture in ACDSee using DDE you would define the following instructions:

ddeexec [open(“%1”)]
ddeapp ACDSee
ddetopic System
“C:\Program Files\ACD Systems\ACDSee\ACDSee.exe” /dde

DOpusRT is a small utility program utilized by Directory Opus for various things. Generally you do not need to be aware of it, however it can be useful in one specific instance - you can use it to send commands to Directory Opus from outside of Opus itself. Use the /cmd parameter for this. For example, to display the Opus About dialog from a DOS prompt you could use the following command:

dopusrt.exe /cmd help about

The dopusrt keyword is supported by the external command system as a shortcut for the actual location of the dopusrt.exe program. Instead of specifying, for example, c:\Program Files\GP Software\Directory Opus\dopusrt.exe you can just use dopusrt.

Various modifiers can be used to change the behavior of Opus commands. Each modifier must appear on a separate line in the command.

· @codepage can be added to a MSDOS batch command function to set the code page for the function under 2000/XP. If not specified, Opus sets it automatically to 1252, which is the same as Windows. This fixes problems when using filenames with high-bit ASCII characters in external functions.

· @firstfileonly can be added to an external function and causes the function to only operate on the first selected file, regardless of how many files are actually selected.

· @filesfromdroponly can be added to an Opus function to stop the function using the selected files in the Lister when it is executed. If you specify this, the function will only accept files if they are dragged and dropped onto the button.

· @nodeselect can be added to an Opus function to prevent any files and folders used by that function from being deselected once the function is complete.

· @useactivelister can be added to an Opus function to make it use the path and files from the active Lister instead of from the source Lister (although the active and source Listers may often be, they are not necessarily the same.)

· @nofilenamequoting can be added to an external function to disable the quotes that Opus automatically puts around filenames with spaces in them.

· @nolocalizefiles can be added to an Opus function to prevent Opus from automatically downloading FTP files. For example, a filename that passes selected filenames to a download manager would not want Opus to automatically download the files. If @nolocalizefiles is added to the function, codes like {filepath$} will return the URL of the selected file rather than a temporary downloaded copy.

· @confirm [<message>[|<positive text>[|<negative text>]]] displays a confirmation dialog. If the negative choice in the dialog is chosen, the function is aborted at this point. You can configure the message and the button text displayed – if not specified, default strings are used. For example,

@confirm Really copy files?
@confirm Really proceed?|Of Course|No way

· @externalonly If specified, the Opus internal commands will be ignored in this function. This lets you configure an MS-DOS batch function using commands like copy which normally would be overridden by the internal command set.

· @noexpandenv If specified, this directive prevents Opus from expanding any environment variables present in the function.

· @set <name>=<value> lets you set variables that can be used by the remainder of the function. The variables defined by the @set command can be referred to in any other command using the {$} control sequence. This command is most useful in the situation where the value is defined by a {dlgstring} or similar Opus function. For example,

@set dir = {dlgstring|Enter new folder name to copy files to}
createfolder “.\{$dir}”
copy to “.\{$dir}”

· @runonce:<command>: Insert the @runonce: directive before another command to have that command only run once per-function instead of once per file.

· @runbatch: In an MS-DOS Batch function, you can add the @runbatch directive at any point where you want the batch file execution to take place. Normally Opus writes all lines to the batch file, and then executes the batch file as the very last stage. In the new version, Opus also executes the batch file whenever an internal command is encountered. Using the @runbatch directive you can control when the batch file executes – you can even use this directive multiple times to split the function up into multiple batch executions.

· @norunbatch: Use this directive to disable the new behavior when mixing internal and external commands in a Batch-mode function. Opus will revert to the previous behavior of running internal commands when they are encountered and executing the batch file as the very last stage. Note that you can mix @norunbatch and @runbatch if desired.

· @runmode lets you change the “Run” state of the program. This command takes a single parameter, either min, max or hide to specify a minimized, maximized or hidden main window - if not given, the program is started in normal mode. Please note that not all programs will support this setting. You should only set the run mode to hide if you are sure of what you are doing - it is most useful for hiding the otherwise brief flash of a DOS window when running a DOS program.

· @keydown:<qualifiers>: The @keydown directive lets you change the behavior of a button depending on the qualifier key state when the button is executed. For example, a button could be defined to normally select all files, but to toggle the selection when shift is held down, and to clear the selection when control is held down:

@keydown:none
select all
@keydown:shift
select invert
@keydown:ctrl
select none

All lines following an @keydown directive (up until another @keydown is encountered) are ignored if the specified qualifiers do not match. The valid qualifiers are none, shift, ctrl, alt as well as combinations such as shiftctrl etc. Note that instructions at the top of a command are valid for all qualifiers – it is only when the first @keydown directive is encountered that special processing begins. You can also use @keydown:common to specify instructions that are common to all qualifiers at the end of the function. For example,

select all
@keydown:none
copy
@keydown:shift
copy move
@keydown:common
delete

This function would select all files, then either copy or move them depending on the state of the shift key, and then finally delete the originals.

Note that while alt is supported as a qualifier, alt-clicking a toolbar button normally invokes Customize mode. If you wish to use the alt key in this way you will need to turn off the Alt-Click to edit Toolbar buttons option in Preferences.

· @script <type>: The @script directive is used to include a script in a button. For example, it is possible to define a button that runs the Rename command, and then specify a script following the Rename command to perform additional processing on the operation.

· @sync:<command> specifies that an external function is to be run synchronously – that is, Opus will wait for it to complete before continuing with the rest of the command.

· @admin:<command> lets you launch a program with Administrator permissions (under Windows Vista). Specifying @admin by itself makes the whole command execute as Administrator.


Appendix

This section contains tables for various sections of Directory Opus

More:

Pattern Matching Syntax

Regular Expression Syntax

Status Bar Control Sequences

Status Bar Bar Graphs

Internal Commands Summary


Pattern Matching Syntax

The native Opus pattern matching system is extensive, easy to learn, and good for all but the most complicated pattern matching demands. It provides some of the ability of regular expression patterns but is far easier to use! Here are the available tokens:

Chars | Example | Description
# | #x | The following x character or expression is repeated 0 or more times.
? | ? | Item matching a single non-NUL character.
| | a|b|c | Matches one of multiple strings.
~ | ~x | This expression matches if the item x doesn’t match.
() | (a) | Parenthesis allows you to combine separate expressions.
[] | [a-z] | Matches a single character out of the set.
[~] | [~a-z] | Matches a single non-NUL character not in the set.
‘ | 'c | Escapes the following character.
* | * | Same as #? but optional.

Here are a few examples:

Pattern | Matches
#? or * | All files.
*.jpg | Files with the .jpg extension.
*abc* | Files containing “abc”.
*.(cpp|c|hpp|h) | Files with extensions cpp, c, hpp or h.
image[0-9]* | Files starting with “image” followed by a digit 0-9.


Regular Expression Syntax

For cases where you wish to match simple patterns we recommend the native Opus pattern matching system. However, for more complicated sequences, full regular expression pattern matching is available in many Opus dialogs.

Normally, when you search for a sub-string in a string, the match should be exact. So if we search for a sub-string “abc” then the string being searched should contain these exact letters in the same sequence for a match to be found. We can extend this kind of search to a case insensitive search where the sub-string “abc” will find strings like “Abc”, “ABC” etc. That is, the case is ignored but the sequence of the letters should be exactly the same. Sometimes, a case insensitive search is also not enough. For example, if we want to search for numeric digit, then we basically end up searching for each digit independently. This is where regular expressions can be helpful.

Regular expressions are text patterns that are used for string matching. Regular expressions are strings that contain a mix of plain text and special characters or tokens to indicate what kind of matching to do. Here’s a very brief tutorial on using regular expressions

Suppose we are looking for a numeric digit then the regular expression we would search for is “[0-9]”. The brackets indicate that the character being compared should match any one of the characters enclosed within the bracket. The dash (-) between 0 and 9 indicates that it is a range from 0 to 9. Therefore, this regular expression will match any character between 0 and 9, that is, any digit. If we want to search for a special character literally we must use a backslash before the special character. For example, the single character regular expression “\*” matches a single asterisk. The special characters are briefly described below.

Chars | Description
^ | Beginning of the string. The expression “^A” will match an “A” only at the beginning of the string.
^ | The caret (^) immediately following the left-bracket ([) has a different meaning. It is used to exclude the remaining characters within brackets from matching the target string. The expression “[^0-9]” indicates that the target character should not be a digit.
$ | The dollar sign ($) will match the end of the string. The expression “abc$” will match the sub-string “abc” only if it is at the end of the string.
| | The alternation character (|) allows either expression on its side to match the target string. The expression “a|b” will match “a” as well as “b”.
. | The dot (.) will match any character.
* | The asterisk (*) indicates that the character to the left of the asterisk in the expression should match 0 or more times.
+ | The plus (+) is similar to asterisk but there should be at least one match of the character to the left of the + sign in the expression.
? | The question mark (?) matches the character to its left 0 or 1 times.
() | The parenthesis affects the order of pattern evaluation and also serves as a tagged expression that can be used when replacing the matched sub-string with another expression.
[] | Brackets ([ and ]) enclosing a set of characters indicates that any of the enclosed characters may match the target character.
\ | The backslash character in the search string escapes any of the above characters. For example, “\.” (slash dot) means search for a dot character.

The parenthesis, besides affecting the evaluation order of the regular expression, also serves as tagged expression which is something like a temporary memory. This memory can then be used when we want to replace the found expression with a new expression. In the replace expression you can specify an “&” character which represents the sub-string found in the match expression. For example, if the sub-string that matched the regular expression was “ABCD”, then a replace expression of “xyz&xyz” would generate the string “xyzABCDxyz”. The replace expression can also be expressed using a tagged expression such as “\0”,for example,”xyz\0xyz”. The “\0” indicates a tagged expression representing the entire sub-string that was matched. Similarly we can have other tagged expression represented by “\1”, “\2” for the progressively matched strings. Note that although the tagged expression 0 is always defined, the tagged expressions 1, 2 etc. are only defined if the regular expression used in the search had enough sets of parenthesis. Here are few examples.

String | Search | Replace | Result
Mr.jpg | (Mr)(\..*) | \1s\2 | Mrs.jpg
abc | (a)b(c) | &-\1-\2 | abc-a-c
bcd | (a|b)c*d | &-\1 | bcd-b
abcde | (.*)c(.*) | &-\1-\2 | abcde-ab-de
cde | (ab|cd)e | &-\1 | cde-cd

When using regular expressions with the Rename command, you can append a # symbol to the end of the “old name” pattern to signify that you want the pattern to be repeated. This lets you effectively turn regular expression into a “find and replace” system. You can also specify a maximum number of repetitions by following the # with a number, for example:

(.*) - (.*)#5


Status Bar Control Sequences

Directory Opus allows you to totally configure the information displayed on the status bar at the bottom of each Lister. The status bar text is configured using special control sequences that tell Directory Opus to insert information into the status bar display. The control sequences consist of various characters enclosed with {braces}. Usually the information displayed describes the state of the current Lister, or in the case of a dual-file display Lister, the source file display. However, using additional codes you can display information simultaneously for both the left- and right-hand (or top and bottom) file displays in a dual-file display Lister.

Type

Seq

Description

Selected folders
Displays the number of selected folders.

{sd}
{sdD}
{sdL}
{sdR}

Selected folders in the current/source Lister
Selected folders in the destination file display
Selected folders in the left-hand file display
Selected folders in the right-hand file display

Selected files
Displays the number of selected files.

{sf}
{sfD}
{sfL}
{sfR}

Selected files in the current/source Lister
Selected files in the destination file display
Selected files in the left-hand file display
Selected files in the right-hand file display

Selected items
Displays number of selected items (both files and folders).

{si}
{siD}
{siL}
{siR}

Selected items in the current/source Lister
Selected items in the destination file display
Selected items in the left-hand file display
Selected items in the right-hand file display

Selected bytes
Displays the total byte size of all selected files and folders. Displayed as either the number of bytes (the b or default option), or in bytes, Kb, Mb or Gb automatically depending on the size (the a option).

{sb}
{sba}
{sbDb}
{sbDa}
{sbLb}
{sbLa}
{sbRb}
{sbRa}

Selected bytes in the current/source Lister (bytes)
Selected bytes in the current/source Lister (automatic)
Selected bytes in the destination file display (bytes)
Selected bytes in the destination file display (automatic)
Selected bytes in the left-hand file display (bytes)
Selected bytes in the left-hand file display (automatic)
Selected bytes in the right-hand file display (bytes)
Selected bytes in the right-hand file display (automatic)

Selected file bytes
Displays the total byte size of all selected files only.

{sbf}
{sbfa}
{sbfDb}
{sbfDa}
{sbfLb}
{sbfLa}
{sbfRb}
{sbfRa}

Selected file bytes in the current/source Lister (bytes)
Selected file bytes in the current/source Lister (automatic)
Selected file bytes in the destination file display (bytes)
Selected file bytes in the destination file display (automatic)
Selected file bytes in the left-hand file display (bytes)
Selected file bytes in the left-hand file display (automatic)
Selected file bytes in the right-hand file display (bytes)
Selected file bytes in the right-hand file display (automatic)

Selected folder bytes
Displays the total byte size of all selected folders only.

{sbd}
{sbda}
{sbdDb}
{sbdDa}
{sbdLb}
{sbdLa}
{sbdRb}
{sbdRa}

Selected folder bytes in the current/source Lister (bytes)
Selected folder bytes in the current/source Lister (auto)
Selected folder bytes in the destination file display (bytes)
Selected folder bytes in the destination file display (auto)
Selected folder bytes in the left-hand file display (bytes)
Selected folder bytes in the left-hand file display (auto)
Selected folder bytes in the right-hand file display (bytes)
Selected folder bytes in the right-hand file display (auto)

Total folders
Displays the total number of folders.

{td}
{tdD}
{tdL}
{tdR}

Total number of folders in the current/source Lister
Total number of folders in the destination file display
Total number of folders in the left-hand file display
Total number of folders in the right-hand file display

Total files
Displays the total number of files.

{tf}
{tfD}
{tfL}
{tfR}

Total number of files in the current/source Lister
Total number of files in the destination file display
Total number of files in the left-hand file display
Total number of files in the right-hand file display

Total items
Displays the total number of items (both files and folders).

{ti}
{tiD}
{tiL}
{tiR}

Total number of items in the current/source Lister
Total number of items in the destination file display
Total number of items in the left-hand file display
Total number of items in the right-hand file display

Total bytes
Displays the total byte size of all files and folders. Displayed as either the number of bytes (the b or default option), or in bytes, Kb, Mb or Gb automatically depending on the size (the a option).

{tb}
{tba}
{tbDb}
{tbDa}
{tbLb}
{tbLa}
{tbRb}
{tbRa}

Total bytes in the current/source Lister (bytes)
Total bytes in the current/source Lister (automatic)
Total bytes in the destination file display (bytes)
Total bytes in the destination file display (automatic)
Total bytes in the left-hand file display (bytes)
Total bytes in the left-hand file display (automatic)
Total bytes in the right-hand file display (bytes)
Total bytes in the right-hand file display (automatic)

Total file bytes
Displays the total byte size of all files only.

{tbf}
{tbfa}
{tbfDb}
{tbfDa}
{tbfLb}
{tbfLa}
{tbfRb}
{tbfRa}

Total file bytes in the current/source Lister (bytes)
Total file bytes in the current/source Lister (automatic)
Total file bytes in the destination file display (bytes)
Total file bytes in the destination file display (automatic)
Total file bytes in the left-hand file display (bytes)
Total file bytes in the left-hand file display (automatic)
Total file bytes in the right-hand file display (bytes)
Total file bytes in the right-hand file display (automatic)

Total folder bytes
Displays the total byte size of all folders only.

{tbd}
{tbda}
{tbdDb}
{tbdDa}
{tbdLb}
{tbdLa}
{tbdRb}
{tbdRa}

Total folder bytes in the current/source Lister (bytes)
Total folder bytes in the current/source Lister (automatic)
Total folder bytes in the destination file display (bytes)
Total folder bytes in the destination file display (automatic)
Total folder bytes in the left-hand file display (bytes)
Total folder bytes in the left-hand file display (automatic)
Total folder bytes in the right-hand file display (bytes)
Total folder bytes in the right-hand file display (automatic)

Hidden items
Displays the total number of items that have been hidden by a filter or by the Select command.

{hi}
{hiD}
{hiL}
{hiR}

Number of hidden items in the current/source Lister
Number of hidden items in the destination file display
Number of hidden items in the left-hand file display
Number of hidden items in the right-hand file display

Hidden bytes
Displays the total byte size of files and folders that have been hidden by a filter or by the Select command. Displayed as either the number of bytes (the b or default option), or in bytes, Kb, Mb or Gb automatically depending on the size (the a option).

{hb}
{hba}
{hbDb}
{hbDa}
{hbLb}
{hbLa}
{hbRb}
{hbRa}

Hidden bytes in the current/source Lister (bytes)
Hidden bytes in the current/source Lister (automatic)
Hidden bytes in the destination file display (bytes)
Hidden bytes in the destination file display (automatic)
Hidden bytes in the left-hand file display (bytes)
Hidden bytes in the left-hand file display (automatic)
Hidden bytes in the right-hand file display (bytes)
Hidden bytes in the right-hand file display (automatic)

Hidden file bytes
Displays the total byte size of hidden files only.

{hbf}
{hbfa}
{hbfDb}
{hbfDa}
{hbfLb}
{hbfLa}
{hbfRb}
{hbfRa}

Hidden file bytes in the current/source Lister (bytes)
Hidden file bytes in the current/source Lister (automatic)
Hidden file bytes in the destination file display (bytes)
Hidden file bytes in the destination file display (automatic)
Hidden file bytes in the left-hand file display (bytes)
Hidden file bytes in the left-hand file display (automatic)
Hidden file bytes in the right-hand file display (bytes)
Hidden file bytes in the right-hand file display (automatic)

Hidden folder bytes
Displays the total byte size of hidden folders only.

{hbd}
{hbda}
{hbdDb}
{hbdDa}
{hbdLb}
{hbdLa}
{hbdRb}
{hbdRa}

Hidden folder bytes in the current/source Lister (bytes)
Hidden folder bytes in the current/source Lister (automatic)
Hidden folder bytes in the destination file display (bytes)
Hidden folder bytes in the destination file display (automatic)
Hidden folder bytes in the left-hand file display (bytes)
Hidden folder bytes in the left-hand file display (automatic)
Hidden folder bytes in the right-hand file display (bytes)
Hidden folder bytes in the right-hand file display (automatic)

Lister state
Displays the current state of the Lister (source, destination, off, or dual-file display).

{ls}

Displays the current state of the Lister

Disk space free
Displays the amount of free space on the current disk. Displays either as the number of bytes, or in bytes, Kb, Mb or Gb automatically depending on the size.

{dfb}
{dfa}
{dfDb}
{dfDa}
{dfLb}
{dfLa}
{dfRb}
{dfRa}

Disk space free in the current/source Lister (bytes)
Disk space free in the current/source Lister (automatic)
Disk space free in the destination file display (bytes)
Disk space free in the destination file display (automatic)
Disk space free in the left-hand file display (bytes)
Disk space free in the left-hand file display (automatic)
Disk space free in the right-hand file display (bytes)
Disk space free in the right-hand file display (automatic)

Disk space used
Displays the amount of used space on the current disk.

{dub}
{dua}
{duDb}
{duDa}
{duLb}
{duLa}
{duRb}
{duRa}

Disk space used in the current/source Lister (bytes)
Disk space used in the current/source Lister (automatic)
Disk space used in the destination file display (bytes)
Disk space used in the destination file display (automatic)
Disk space used in the left-hand file display (bytes)
Disk space used in the left-hand file display (automatic)
Disk space used in the right-hand file display (bytes)
Disk space used in the right-hand file display (automatic)

Disk space total
Displays the total amount of space on the current disk (both used and free).

{dtb}
{dta}
{dtDb}
{dtDa}
{dtLb}
{dtLa}
{dtRb}
{dtRa}

Total disk space in the current/source Lister (bytes)
Total disk space in the current/source Lister (automatic)
Total disk space in the destination file display (bytes)
Total disk space in the destination file display (automatic)
Total disk space in the left-hand file display (bytes)
Total disk space in the left-hand file display (automatic)
Total disk space in the right-hand file display (bytes)
Total disk space in the right-hand file display (automatic)

Percentage of disk space free
Displays the amount of free disk space as a percentage.

{pf}
{pfD}
{pfL}
{pfR}

Percentage of disk space free in the current/source Lister
Percentage of disk space free in the destination file display
Percentage of disk space free in the left-hand file display
Percentage of disk space free in the right-hand file display

Percentage of disk space used
Displays the amount of used disk space as a percentage.

{pu}
{puD}
{puL}
{puR}

Percentage of disk space used in the current/source Lister
Percentage of disk space used in the destination file display
Percentage of disk space used in the left-hand file display
Percentage of disk space used in the right-hand file display

Total song length
Displays the total length of all songs in the current folder.

{tmp3}

Note that you need to have at least one of the song columns displayed in the Lister for this to work.

Selected song length
Displays the total length of all selected songs in the current folder.

{smp3}

Note that you need to have at least one of the song columns displayed in the Lister for this to work.

Hide section if zero
This code does not display anything itself, rather it is used to mark a section of the status bar to be hidden if the value of the codes within the hidden section is zero.

{h!}

For example, {h!}Hidden items: {hi}{h!} only displays the Hidden items string if the value of {hi} is not zero, that is, there are hidden items in the current Lister. You must place a {h!} at the beginning and at the end of the section to conditionally hide.

You can also include control sequences within the {h!} sequence itself, to test the value of a control sequence without actually displaying the value. For example, {h!{si}}Some items selected{h!} would only display the text Some items selected if the value of the {si} code was not zero, however the value of {si} would not actually be displayed.

Hide section if not zero
This code does not display anything itself, rather it is used to mark a section of the status bar to be hidden if the value of the codes within the hidden section is not zero.

{h?}

This is similar to {h!} except the test is for not zero rather than zero. For example, {h?{si}}{ti} object(s){h!} would display the xx object(s) string only if there were no selected items ({si} is zero). If {si} was not zero, the string would not be displayed.

Examine the Sample status bar strings provided in the Lister Display section of Preferences for more examples of how the hidden section codes can be used.

Icons

{i:dir}
{i:file}
{i:.txt}
{i:pathname}

standard folder icon
standard file icon
text file icon (any file suffix will work)
to specify an image to use (must be 16x16 - scaled if not)

Pad to percentage of total space
This code is used to pad a status bar section to a percentage of the total width of the status bar.

{padX}

X is a value from 1 to 100. If this code appears in a status bar section, that section will be padded to a size relative to the total width of the status bar. For example, {pad50} sets a section width to 50% of the total width of the Lister.

Pad to percentage of remaining space
This code is used to pad a status bar section to a percentage of the remaining width of the status bar.

{rpadX}

X is a value from 1 to 100. Status Bar sections are evaluated from left to right. When the {rpad} code appears in a status bar section, that section will be padded to a size relative to the remaining space in the status bar.

Current view mode

{vm}

Displays the Current view mode

Absolute width

{widthXX}

Set the status bar to an absolute width

Pad to width of Folder Tree
This code sets the width of a status bar section to the same as the width of the Folder Tree.

{wtree}

If this code appears in a status bar section, the section is set to the same width as the Folder Tree (if enabled) in the current Lister.

Pad to width of Second Folder Tree

{wtree2}

Set to width of second folder tree.

Pad to width of left-hand file display
This code sets the width of a status bar section to the same as the width of the left-hand file display.

{wleft}

If this code appears in a status bar section, the section is set to the same width as the left-hand file display (if the current Lister is in dual-file display mode).

Pad to right-edge of Folder Tree

{rtree}

If this code appears in a status bar section, the section is padded so that the right-hand edge of the section is aligned with the right-hand edge of the Folder Tree (if enabled) in the current Lister.

Pad to right-edge of Second Folder Tree

{rtree2}

Align to right edge of second folder tree.

Pad to right-edge of left-hand file display

{rleft}

If this code appears in a status bar section, the section is padded so that the right-hand edge of the section is aligned with the right-hand edge of the left-hand file display (if the current Lister is in dual-file display mode).

Format lock control
This code lets you add the Format lock control to the status bar.

{fl}

The format lock is a control that can be added to the status bar which lets you lock the current format in the Lister. When locked, the format will not be automatically changed by saved Folder Options when changing between folders.


Status Bar Bar Graphs

The {bg} code is used to display a bar graph in status bars. By itself, a simple graph showing the percentage of disk space used on the current drive is shown. This can be configured and extended using the following syntax:

{bg+<param>,<param>,...}

That is, the bg code is followed by a + sign, followed by multiple parameters separated by commas.

The available parameters are:

W=<width> specify the width of the bar, in pixels

C=#rrggbb specify the color of the bar

C1=#rrggbb specify the left gradient fill color for the bar

C2=#rrggbb specify the right gradient fill color for the bar

C3=#rrggbb color of bar if percentage is greater than 100%

B=#rrggbb background color of bar

B=n no background fill for bar (status bar background shows through)

T=#rrggbb text color for percentage display

T=n no text displayed in bar

G=<type> gradient type, 0=no gradient, 1=normal gradient, 2=scaled gradient

F=<type> frame type, 0=no frame, 1=3D, 2=flat, 3=fill status background

L=<line> line number, 0=full line, 1=top, 2=bottom

V=<value>/<total> value & total = number or other status bar codes

Bar graphs can represent any the percentage of any two data the status bar knows about. The default is the percentage of free disk space but this can be changed using the V parameter. The <value> and <total> parameters for V can be any of the other status bar codes that represent a numerical value, as well as absolute values. For example, sb/4.7g would display the percentage of selected bytes compared to 4.7 gig - the size of a DVD.

The three fill types for the bar graph are specified by the G parameter. The default is a gradient fill- in this instance, the bar is filled with a gradient from the color specified by C1 to the color specified by C2. Specify G=0 to fill the bar graph with a single color - in this case only the C parameter is used. If G=2 is specified, a gradient fill is used, but the extent of the gradient is scaled to the size of the filled section of the bar.

The C3 parameter is used if the calculated percentage would be greater than 100%. When specifying colors, specify either hex or decimal values. For example, #ff0000 corresponds to red - the same as #255,0,0.

The F parameter is used to specify the frame type - for F=3, the bar graph is actually extended in size so that it fills the status bar part it is in, and any other status bar text is drawn on top of it. This lets you use a bar graph as the actual background of the status bar without taking up any additional space. Note that the W parameter is still used for F=3 - set W=-1 to have the graph completely fill the status part.

Using the L parameter you can stack two bar graphs on top of each other. By default a bar graph is the full height of the status bar but if you specify L=1 or L=2 the bar graph is only half the normal height. If you have two bar graphs in the one status bar part, one with L=1 and one with L=2, they will be drawn inline, one above the other.

Examples:

· Adds a part that shows percent full and free, with a gradient fill bar graph behind it:

{bg+w=-1,f=3,t=no,c1=#00ff00,c2=#ff0000,g=2}{pu}% full, {df} free

· Shows percentage of bytes selected compared to 4.7gig (e.g. for indication of files that will fit on a DVD)

{bg+v=sb/4.7g}

· Shows percentage of total selected song length compared to 1 hour

{bg+v=smp3/1:00:00}


Internal Commands Summary

Following is a complete list of the Directory Opus 9 internal commands and parameters.

CLI |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Opens CLI window
DOSPROMPT/O |  | <no parameters> |  |  |  | Opens a DOS prompt with CD set to current source Lister
 |  | selfolder |  |  |  | Opens a DOS prompt with CD set to selected sub-folder
Clipboard |  |  |  |  |  |
<no parameters> |  |  |  |  |  | <no action>
ADD/S |  |  |  |  |  | Use together with COPY; selected files are added to the clipboard contents and any existing files on clipboard are preserved
AS/K |  |  |  |  |  | Override the default filename used when pasting images or text to disk.
COPY/S |  |  |  |  |  | Copy selected files and folders to the clipboard
COPYNAMES/O |  | <no parameters> |  |  |  | Copy the names of selected files and folders to the clipboard (as text)
 |  | nopaths |  |  |  | Copy names only without paths
 |  | url |  |  |  | Copy filenames as URLs
 |  | hash |  |  |  | Copy filenames and MD5 checksums
 |  | hash2 |  |  |  | Copy filenames and MD5 checksums, formats text to be compatible with md5sum program
 |  | hash3 |  |  |  | Copy MD5 checksums only without filenames
 |  | unc |  |  |  | When files are on a network share, copy the full UNC path
 |  | short |  |  |  | Copy the short (8.3) names of files
 |  | single |  |  |  | Copy multiple filenames on a single line
 |  | path |  |  |  | Copy the source path rather than selected files
CUT/S |  |  |  |  |  | Cut selected files and folders to the clipboard
NOFROMFOCUS/S |  |  |  |  |  | Operate only on the source file display rather than the window with input focus (Folder Tree or a file display)
PASTE/O |  | <no parameters> |  |  |  | Paste clipboard contents to current source Lister. Files on clipboard will be copied (or moved). Images on clipboard will be saved as an image file, and text on clipboard will be saved as a text file.
 |  | jpg[:quality] |  |  |  | Paste clipboard image in JPEG format (optionally specify quality)
 |  | png |  |  |  | Paste clipboard image in PNG format
 |  | gif |  |  |  | Paste clipboard image in GIF format
 |  | bmp |  |  |  | Paste clipboard image in BMP format
PASTELINK/O |  | <no parameters> |  |  |  | Paste shortcuts to files and folders on clipboard
 |  | junction |  |  |  | Paste junctions to folders on clipboard (NTFS only)
 |  | hardlink |  |  |  | Paste hard links to files on clipboard (NTFS only)
 |  | softlink |  |  |  | Paste soft links to files or folders on clipboard (Vista only)
 |  | auto |  |  |  | Paste most suitable type of link
SET/K/R |  | <text> |  |  |  | Copy text to the clipboard
USESEL/S |  |  |  |  |  | Modifies PASTE and PASTESHORTCUT; paste into the selected sub-folder if there is one, rather than into the current source folder
Close |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Close the current Lister
ALLLISTERS/S |  |  |  |  |  | Close all open Listers
ALLOTHERLISTERS/S |  |  |  |  |  | Close all open Listers except the current one
AT/K |  | hh:mm:ss |  |  |  | Use with SYSTEM to schedule a shutdown at the specified time
CANCEL/S |  |  |  |  |  | Cancel a previously scheduled shutdown
IN/K |  | hh:mm:ss |  |  |  | Use with SYSTEM to schedule a shutdown after a specified duration
PROGRAM/S |  |  |  |  |  | Exit Directory Opus
QUIET/S |  |  |  |  |  | Disable confirmation prompt
SYSTEM/O |  | <no parameters> |  |  |  | Log off the current user
 |  | restart |  |  |  | Restart the system
 |  | shutdown |  |  |  | Shut the system down
 |  | poweroff |  |  |  | Shut down and power off
 |  | force |  |  |  | Force immediate shutdown or restart
 |  | forceifhung |  |  |  | Force if there are non-responding programs (Windows 2000 or better)
TOGGLE/S |  |  |  |  |  | Toggle auto-shutdown on and off
WHENFINISHED/S |  |  |  |  |  | Use with SYSTEM to automatically shutdown when all currently executing Opus functions have completed
ContextMenu |  |  |  |  |  |
<no parameters> |  |  |  |  |  | <no action>
FILE/K/M |  | <filenames> |  |  |  | Specify the files to perform the context menu action on. Operates on selected files if no filenames specified. System Namespace folders can be specified by GUID, for example the Recycle Bin is ::{645FF040-5081-101B-9F08-00AA002F954E}
ID/K/N |  | <command id> |  |  |  | The context menu command ID to invoke
SHOWCMDS/S |  |  |  |  |  | Displays the available context menu commands for the specified items. Depending on your OS, context menu commands may have associated verbs which are easier to use than command IDs
VERB |  | <verb> |  |  |  | The context menu command verb to invoke
Copy |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Copy all selected files and folders to the current destination
ADDTOZIP/S |  |  |  |  |  | Add selected files to a ZIP file, prompting for the ZIP file name and parameters
AS/O |  | <no parameters> |  |  |  | Prompts for new names for files to be copied
 |  | <name> |  |  |  | Change name of copied file to specified name or wildcard pattern
BUFSIZE/K/N |  | <buffer size> |  |  |  | Specify buffer size (in bytes) used when copying
BURNCD/S |  |  |  |  |  | Invokes the Windows XP CD Burning Wizard
CLEARREADONLY/K |  | yes |  |  |  | Clear the read-only attribute when copying from CDs (overrides the option in Preferences)
 |  | no |  |  |  | Don’t clear the read-only attribute.
COLLLIST/S |  |  |  |  |  | Display list of File Collections to copy selected files to.
COPYATTR/K |  | yes |  |  |  | Preserve attributes of copied files (overrides Preferences option)
 |  | no |  |  |  | Don’t preserve attributes
COPYCREATIONTIME/K |  | yes |  |  |  | Preserve creation time of copied files (overrides Preferences option)
 |  | no |  |  |  | Don’t preserve creation time
COPYDESC/K |  | yes |  |  |  | Preserve descriptions of copied files (overrides Preferences option)
 |  | no |  |  |  | Don’t preserve descriptions
COPYDIRDATES/K |  | yes |  |  |  | Preserve folder timestamps when copying folders (overrides Preferences option)
 |  | no |  |  |  | Don’t preserve folder timestamps
COPYPROPERTIES/K |  | yes |  |  |  | Copy NTFS file properties when copying files (overrides Preferences option)
 |  | no |  |  |  | Don’t copy NTFS file properties
COPYSECURITY/K |  | yes |  |  |  | Copy security permissions when copying files (overrides Preferences option)
 |  | no |  |  |  | Don’t copy security permissions
COPYTIME/K |  | yes |  |  |  | Preserve timestamps of copied files (overrides Preferences setting)
 |  | no |  |  |  | Don’t preserve timestamps
COPYTOCOLL/K |  | member |  |  |  | Copy folders to collections as collection members (overrides Preferences setting)
 |  | sub |  |  |  | Copy folders as sub-collections
 |  | ask |  |  |  | Ask how to copy folders to collections
CREATEFOLDER/O |  | <no parameters> |  |  |  | Prompts for the name of a new folder to copy the selected files into.
 |  | <folder name> |  |  |  | Specify name of the new folder to copy selected files to
DUPLICATE/S |  |  |  |  |  | Duplicate files in same location
EXTRACT/O |  | <no parameters> |  |  |  | If copying a folder or ZIP file, extract contents to the destination
 |  | sub |  |  |  | Extract ZIP file contents to a new sub-folder in the destination
 |  | checkout |  |  |  | Auto-extract enter ZIP file contents to a temporary folder and open in a new Lister
FILE/M |  | <filenames> |  |  |  | Specify the files to copy or move
FILTER/O |  | <no parameters> |  |  |  | Prompt for a file filter before copying files
 |  | shift |  |  |  | Prompt for filter if Shift key is held down
 |  | alt |  |  |  | Prompt for filter if Alt key is held down
 |  | ctrl |  |  |  | Prompt for filter if Ctrl key is held down
 |  | <filter name> |  |  |  | Use specified filter to copy files
FLATVIEWCOPY/K |  | single |  |  |  | Copy Flat View folders to a single level (overrides Preferences setting)
 |  | recreate |  |  |  | Recreate folder structure in destination
 |  | ask |  |  |  | Ask how to copy folders from Flat View
FORCE/S |  |  |  |  |  | Suppress prompts and automatically replace existing files
HERE/S |  |  |  |  |  | Use the source folder as the destination
INSTALLFONT/S |  |  |  |  |  | Automatically install font files (when copying into the Windows Fonts folder)
MAKEDESTARCHIVE/K |  | yes |  |  |  | Set the archived attributed on copied files (overrides Preferences setting)
 |  | no |  |  |  | Don’t set the archived attribute
MAKELINK/O |  | <no parameters> |  |  |  | Make shortcuts in the destination folder to selected files
 |  | junction |  |  |  | Create junctions to selected folders in the destination folder (NTFS only)
 |  | hardlink |  |  |  | Create hard links to files in the destination folder (NTFS only)
 |  | softlink |  |  |  | Create soft links to files or folders (Vista only)
 |  | auto |  |  |  | Create most suitable type of link
MAKESOURCEARCHIVE/K |  | yes |  |  |  | Mark original files as archived after copying (overrides Preferences setting)
 |  | no |  |  |  | Don’t mark original files as archived
MOVE/S |  |  |  |  |  | Move all selected files and folders to the destination
MOVEWHENSAME/S |  |  |  |  |  | When source and destination are the same drive, move files instead of copying
NOZIPBATCH/S |  |  |  |  |  | Disables the ZIP batch add and extract modes for this action
RENAMEWHENSAME/S |  |  |  |  |  | Automatically rename copied files if the source and destination are the same folder
SENDMAIL/O |  | <no parameters> |  |  |  | Send files as email attachments (prompts for recipient)
 |  | <email address> |  |  |  | Send files to specified email address
SENDTO/K |  | <target> |  |  |  | Equivalent to selecting “Send To” from the context menu for selected files. The value supplied must be the name of the item in the system SendTo folder.
TO/K |  | <path> |  |  |  | Specify the destination path
UPDATEALL/S |  |  |  |  |  | Only copy files that are newer or don’t exist in the destination
UPDATEEXISTING/O |  | <no parameters> |  |  |  | Only copy files that already exist in the destination and have changed
 |  | size |  |  |  | Only copy files if the size is different
 |  | date |  |  |  | Only copy files if the date is different
UPDATESECURITY/K |  | yes |  |  |  | Update permissions and encryption on files after moving them (overrides Preferences setting)
 |  | no |  |  |  | Don’t update permissions and encryption settings
UPDATETOLERANCE/K/N |  | <seconds> |  |  |  | Specify the tolerance for date testing, in seconds
WHENEXISTS/O |  | <no parameters> |  |  |  | <no action; performs default behavior for existing files>
 |  | ask |  |  |  | Prompt to replace existing files
 |  | replace |  |  |  | Automatically replace existing files
 |  | rename |  |  |  | Automatically rename new files
 |  | renameold |  |  |  | Automatically rename the old (existing) files
 |  | resume |  |  |  | Automatically resume files (FTP only)
 |  | skip |  |  |  | Automatically skip existing files
WINMSGR/K |  | <contact> |  |  |  | Send files via Windows Messenger to specified contact
 |  | list |  |  |  | Displays list of contacts to send files to
 |  | submenu |  |  |  | Displays contact list in a sub-menu
ZIP/O |  | <no parameters> |  |  |  | ZIP all selected files to the one ZIP file
 |  | single |  |  |  | ZIP selected files to individual ZIP files (each file goes into its own ZIP file)
CreateFolder |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Prompts for name to create a new folder in the current Lister
FROMCLIPBOARD/S |  |  |  |  |  | Create a new folder using the text on the clipboard as the name
INLINE/S |  |  |  |  |  | Create a new folder in inline rename mode
NAME/M |  | <filenames> |  |  |  | Create one or more folders with specified names (supports fully qualified paths)
NOUPDATESETTINGS/S |  |  |  |  |  | Prevents update of default settings by this invocation of the Create Folder command
READAUTO/O |  | <no parameters> |  |  |  | Automatically read the newly created folder into the current Lister
 |  | dual |  |  |  | Automatically read new folder into dual file-display
 |  | no |  |  |  | Don’t automatically read the new folder
 |  | tab |  |  |  | Read folder into a new Folder Tab
 |  | focus |  |  |  | Use with tab to prevent the new Folder Tab from becoming active
ZIP/S |  |  |  |  |  | Create a new ZIP file
Delete |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Delete all selected files and folders (to recycle bin depending on Preferences settings)
ALL/S |  |  |  |  |  | Delete all files without prompting for each
EMPTYRECYCLE/S |  |  |  |  |  | Empties the recycle bin
FILE/M |  | <filenames> |  |  |  | Specify the files to delete
FILTER/O |  | <no parameters> |  |  |  | Prompt for a file filter before deleting files
 |  | shift |  |  |  | Prompt for filter if Shift key is held down
 |  | alt |  |  |  | Prompt for filter if Alt key is held down
 |  | ctrl |  |  |  | Prompt for filter if Ctrl key is held down
FORCE/S |  |  |  |  |  | Force files that are delete protected to be deleted
NOFROMFOCUS/S |  |  |  |  |  | Operate only on the source file display rather than the window with input focus (Folder Tree or a file display)
NORECYCLE/S |  |  |  |  |  | Don’t delete to the recycle bin (overrides Preferences settings)
QUIET/S |  |  |  |  |  | Suppress any confirmation or error dialogs
RECYCLE/S |  |  |  |  |  | Delete to the recycle bin (overrides Preferences settings)
REMOVECOLLECTION/S |  |  |  |  |  | Only in a File Collection; remove selected files from the current Collection. The actual files themselves are not deleted.
SECURE/O |  | <no parameters> |  |  |  | Secure wipe selected files
 |  | <# of wipes> |  |  |  | Secure wipe selected files the specified number of times
SHIFT/S |  |  |  |  |  | Mimics Explorer behavior when you click delete with the Shift key held down. If “Use Recycle Bin” is turned on in Preferences, files are not deleted to the recycle bin. If “Use Recycle Bin” is not turned on, function acts as if ALL and FORCE parameters were specified.
Favorites |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Generates list of favorite folders
ADD/O |  | <no parameters> |  |  |  | Add folder to Favorites list, displays full path in Favorites list
 |  | nameonly |  |  |  | Add folder to Favorites list, only displays folder name in Favorites list
ADDDIALOG/S |  |  |  |  |  | Add current folder to Favorites list, displays a dialog letting you change the name and branch to add to
EDIT/S |  |  |  |  |  | Edit Favorites list (opens Preferences window)
KEYARGS/K/M |  | ctrl:<arguments> |  |  |  | Specify alternate arguments for the command when the control key is held down
 |  | shift: <arguments> |  |  |  | Specify alternate arguments for the command when the shift key is held down
 |  | alt: <arguments> |  |  |  | Specify alternate arguments for the command when the alt key is held down
 |  | ctrlshift: <arguments> |  |  |  | Specify alternate arguments for the command when the control and shift keys are held down
 |  | ctrlalt: <arguments> |  |  |  | Specify alternate arguments for the command when the control and alt keys are held down
 |  | altshift: <arguments> |  |  |  | Specify alternate arguments for the command when the alt and shift keys are held down
 |  | ctrlshiftalt: <arguments> |  |  |  | Specify alternate arguments for the command when the control, shift and alt keys are held down
NEW/S |  |  |  |  |  | Favorites are opened in a new Lister
NEWTAB/O |  | <no parameters> |  |  |  | Open folder in a new Folder Tab
 |  | nofocus |  |  |  | Prevent the new Folder Tab from becoming active
NOLABEL/S |  |  |  |  |  | Prevent the Favorites list from displaying labels
NOOPENINTABS/S |  |  |  |  |  | Prevent the Favorites list from displaying “Open in Tabs” items
OPENINDEST/S |  |  |  |  |  | Favorites are opened in the destination file display
OPENINDUAL/S |  |  |  |  |  | Favorites are opened in the dual-display
OPENINLEFT/S |  |  |  |  |  | Favorites are opened in the left file display
OPENINRIGHT/S |  |  |  |  |  | Favorites are opened in the right file display
PATH |  | <path> |  |  |  | With ADD specifies a path to add to the Favorites list. Without the ADD flag, specifies a partial string to match when generating Favorites list for display (e.g. specify C: and only folders containing C: will be displayed in the Favorites list)
SHOWICONS/S |  |  |  |  |  | Displays icons for generated Favorites list
SMART/O |  | <no parameters> |  |  |  | Generates list of top ten SmartFavorites folders
 |  | <max #> |  |  |  | Generates list of SmartFavorites folder, maximum number specified
USEQUALKEYS/S |  |  |  |  |  | Modify default behavior when qualifier keys are held down (control = open in dual, shift = new Lister, alt = new tab)
FileType |  |  |  |  |  |
<no parameters> |  |  |  |  |  | <no action>
ACTION |  |  |  |  |  | Performs the specified file type action on the selected files. Valid actions are drop, dropshift, dropctrl, dropalt, dblclk, dblclkshift, dblclkctrl and dblclkalt
CONTEXTFORCE/S |  |  |  |  |  | Use with CONTEXTMENU to force context menu items to be displayed even if Windows context menus have been disabled in Preferences
CONTEXTMENU/O |  | <no parameters> |  |  |  | Displays the system context menu items for selected files and folders
 |  | <CLSID> |  |  |  | Displays context menus from the specified context menu extension handler for selected files and folders
CONTEXTOPTIONS/K |  | <options> |  |  |  | Options for CONTEXTMENU
 |  | windowsonly |  |  |  | Add all Windows context menu items
EDIT/S |  |  |  |  |  | Automatically displays the File Type editor for the selected file
FILE/K/M |  | <filenames> |  |  |  | Perform File Type action on specified files
NEW/K |  | <filetype> |  |  |  | Create a new file of the specified type (from Shell New menu)
NEWMENU/S |  |  |  |  |  | Displays the Shell New menu
NEWNAME/K |  | <filename> |  |  |  | Specify the name of the file to be created (in conjunction with NEW)
OPENWITHMENU/S |  |  |  |  |  | Displays the Open With menu for selected files
SENDTOMENU/S |  |  |  |  |  | Displays the Send To menu for selected files
Find |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Displays the Find File dialog
ADVANCED/S |  |  |  |  |  | Display Find dialog in Advanced mode
CLEAR/S |  |  |  |  |  | Clears previous Find results before beginning new search
COLLNAME/K |  | <collection name> |  |  |  | Specify the results File Collection name
COMPUTERS/S |  |  |  |  |  | Initiate Search for Computers function
CONTAINING/K |  | <text> |  |  |  | Search for files containing text
DELMODE/S |  |  |  |  |  | Sets Duplicate File Find into “delete mode”
DUPES/S |  |  |  |  |  | Search for Duplicate Files
FILTER/S |  |  |  |  |  | Specify that the NAME parameter specifies a saved filter to use for the search
GOOGLE/S |  |  |  |  |  | Use the Google Desktop Search engine (if installed)
IN/K |  | <path> |  |  |  | Specify the path or paths to search
MD5/S |  |  |  |  |  | Search for duplicate files using MD5 checksum
NAME |  | <filename pattern> |  |  |  | Specify the file to search for
NAMEONLY/S |  |  |  |  |  | When searching for duplicate files, search by name only
OF/K |  |  |  |  |  | When searching for duplicate files, specify files to search for duplicates of
QUIET/S |  |  |  |  |  | Search in quiet mode
RECURSE/O |  | <no parameters> |  |  |  | Search sub-folders
 |  | no |  |  |  | Don’t search sub-folders
SEARCHZIP/S |  |  |  |  |  | Search ZIP files
SHOWRESULTS/K |  | inline |  |  |  | Display results in the Find window
 |  | output |  |  |  | Display results in the Output Window
 |  | lister |  |  |  | Display results in a Lister (using a File Collection)
 |  | source |  |  |  | With lister, display the results in the source file display
 |  | dest |  |  |  | With lister, display the results in the destination file display
 |  | tab |  |  |  | With lister, open a new tab to display the results
 |  | new |  |  |  | With lister, open a new Lister to display the results
SIMPLE/S |  |  |  |  |  | Open the Find dialog in Simple mode
GetSizes |  |  |  |  |
<no parameters> |  |  |  |  | Calculate sizes of selected folders, or all folders if none are selected
NODESELECT/S |  |  |  |  | Does not deselect folders after calculating sizes. Only works if the Postpone file deselection option is enabled in Preferences.
MD5/S |  |  |  |  | Display the MD5 hash for all selected files.
Go |  |  |  |  |  |
<no parameters> |  |  |  |  |  | <no action>
BACK/S |  |  |  |  |  | Go back in the history in the current Lister
BACKLIST/O |  | <no parameters> |  |  |  | Generate “back” history list for current Lister
 |  | noicons |  |  |  | Don’t display icons in history list
 |  | keys |  |  |  | Assign keyboard shortcuts to history list items
 |  | sort |  |  |  | Sort history list alphabetically
COMPATIBILITYFILES/S |  |  |  |  |  | Go to the compatibility files location for this folder (if any)
CONNECT/S |  |  |  |  |  | Connect to a network drive
CURRENT/S |  |  |  |  |  | Read the current path, use in conjunction with the OPENWITHxxx flags to duplicate the current path in another Lister or file display
DESTPATH/S |  |  |  |  |  | Read the destination path, used to duplicate the current destination path in the same or a new Lister
DISCONNECT/S |  |  |  |  |  | Disconnect from a network drive
DRIVEBUTTONS/O |  | <no parameters> |  |  |  | Generates a list of all drives in the system
 |  | +<drive letters> |  |  |  | Only display the specified drive letters, e.g. +cde
 |  | -<drive letters> |  |  |  | Don’t display the specified drive letters, e.g. -abg
 |  | fixed |  |  |  | Only fixed drives (hard disks)
 |  | network |  |  |  | Only network drives
 |  | cdrom |  |  |  | Only CD drives
 |  | removable |  |  |  | Only removable drives
 |  | ramdisk |  |  |  | Only RAM drives
 |  | labels |  |  |  | Display disk labels in drives list
 |  | noletters |  |  |  | Don’t not display drive letters
 |  | multifunc |  |  |  | Create buttons with multiple functions (left button is OPENINLEFT, right button is OPENINRIGHT and middle button is NEW)
 |  | multifunctabs |  |  |  | The same as multifunc except the left and right button functions open new Folder Tabs instead of new Listers
 |  | lettersbeforelabels |  |  |  | Changes label display to show drive letter before the label rather than after (e.g. “C: Drive Label” rather than “Drive Label (C: “)
 |  | offline |  |  |  | Only display offline (disconnected) network drives
 |  | online |  |  |  | Only display online (connected) network drives
 |  | hideempty |  |  |  | Hide buttons for any empty drives
DUALPATH/K |  | <path> |  |  |  | Specify the path to read into the second file display at the same time
EXPANDTREE/S |  |  |  |  |  | Automatically expand the Folder Tree to display the contents of the new path
FOLDERCONTENT/O |  | <no parameters> |  |  |  | Display the contents of the folder specified by the PATH argument
 |  | button |  |  |  | Display sub-folders as menu buttons
 |  | norecurse |  |  |  | Do not recursively display sub-folders
 |  | nodirs |  |  |  | Exclude folders from the list
 |  | nofiles |  |  |  | Exclude files from the list
 |  | showhidden |  |  |  | Include hidden files in the list
 |  | noparselinks |  |  |  | Do not resolve file links
 |  | showempty |  |  |  | Includes empty folders in the list
 |  | filefilter=<pattern> |  |  |  | Wildcard pattern to match files
 |  | dirfilter=<pattern> |  |  |  | Wildcard pattern to match folders
 |  | maxdepth=<depth> |  |  |  | Maximum recursion depth
FORWARD/S |  |  |  |  |  | Move forwards in the history in the current Lister
FORWARDLIST/O |  | <no parameters> |  |  |  | Generate “forwards” history list for current Lister
 |  | noicons |  |  |  | Don’t display icons in history list
 |  | keys |  |  |  | Assign keyboard shortcuts to history list items
 |  | sort |  |  |  | Sort history list alphabetically
FROMSEL/S |  |  |  |  |  | Use the currently selected folder as the path to read
FTP/S |  |  |  |  |  | FTP Quick Connect
FTPSITE/K |  | <site name> |  |  |  | Go to an FTP site (name from the FTP Address Book)
FTPSITEICONS/S |  |  |  |  |  | Display icons for FTP sites in the site list (use with FTPSITELIST)
FTPSITELIST/O |  | <no parameters> |  |  |  | Generate list of FTP sites (from the FTP Address Book)
 |  | <folder name> |  |  |  | Generate list of FTP sites under the specified folder in the Address Book
HISTORYLIST/O |  | <no parameters> |  |  |  | Generate combined “back” and “forwards” history list for the current Lister
 |  | noicons |  |  |  | Don’t display icons in history list
 |  | keys |  |  |  | Assign keyboard shortcuts to history list items
 |  | sort |  |  |  | Sort history list alphabetically
IGNOREQUAL/S |  |  |  |  |  | Ignore qualifier keys for actions that have hard-coded behaviors
KEYARGS/K/M |  | ctrl:<arguments> |  |  |  | Specify alternate arguments for the command when the control key is held down
 |  | shift: <arguments> |  |  |  | Specify alternate arguments for the command when the shift key is held down
 |  | alt: <arguments> |  |  |  | Specify alternate arguments for the command when the alt key is held down
 |  | ctrlshift: <arguments> |  |  |  | Specify alternate arguments for the command when the control and shift keys are held down
 |  | ctrlalt: <arguments> |  |  |  | Specify alternate arguments for the command when the control and alt keys are held down
 |  | altshift: <arguments> |  |  |  | Specify alternate arguments for the command when the alt and shift keys are held down
 |  | ctrlshiftalt: <arguments> |  |  |  | Specify alternate arguments for the command when the control, shift and alt keys are held down
LASTACTIVELISTER/S |  |  |  |  |  | Activate and bring to the front the last active Lister
LAYOUT/K |  | <layout name> |  |  |  | Opens a new Lister from the specified Layout, and then reads the specified path into it.
NEW/O |  | <no parameters> |  |  |  | Open a new Lister
 |  | <position and size> |  |  |  | Opens a new Lister with the specified position and size (x,y,w,h)
 |  | max |  |  |  | Maximize new Lister
 |  | min |  |  |  | Minimize new Lister
 |  | norm |  |  |  | Display new Lister as normal (not minimized or maximized)
 |  | source |  |  |  | Make new Lister the source
 |  | dest |  |  |  | Make new Lister the destination
 |  | lockoff |  |  |  | Lock the new Lister as “off”
 |  | tree |  |  |  | Open Folder Tree in new Lister
 |  | notree |  |  |  | Hide Folder Tree in new Lister
 |  | dual |  |  |  | New Lister opens in dual display mode vertical
 |  | dualhoriz |  |  |  | New Lister opens in dual display mode horizontal
 |  | nodual |  |  |  | New Lister opens in single display mode
 |  | viewpane |  |  |  | Display Viewer Pane in new Lister
 |  | noviewpane |  |  |  | Don’t display Viewer Pane in new Lister
 |  | findpanel |  |  |  | Display Utility Panel in Find mode
 |  | syncpanel |  |  |  | Display Utility Panel in Synchronize mode
 |  | dupepanel |  |  |  | Display Utility Panel in Duplicate File Finder mode
 |  | noutilitypanel |  |  |  | Don’t display Utility Panel in new Lister
NEWTAB/O |  | <no parameters> |  |  |  | Opens a new Folder Tab
 |  | nofocus |  |  |  | Prevents the new Folder Tab from becoming active
 |  | findexisting |  |  |  | Search for existing Tab before opening a new one
OPENCONTAINER/O |  | <no parameters> |  |  |  | Opens the “container” (parent folder) of the selected item
 |  | target |  |  |  | Opens the containing folder of the target of any selected shortcuts
OPENINDEST/S |  |  |  |  |  | Read path in the destination file display or Lister
OPENINDUAL/O |  | <no parameters> |  |  |  | Read path into the “other” file display (switches Lister to dual mode if not already)
 |  | horiz |  |  |  | Specify horizontal dual display mode
 |  | vert |  |  |  | Specify vertical dual display mode
OPENINLEFT/S |  |  |  |  |  | Read path into the left-hand file display
OPENINRIGHT/O |  | <no parameters> |  |  |  | Read path into the right-hand file display (switches Lister to dual mode if not already)
 |  | horiz |  |  |  | Specify horizontal dual display mode
 |  | vert |  |  |  | Specify vertical dual display mode
PATH |  | <path> |  |  |  | Specify the path to read. This can be any path that Opus understands, including local drives, UNC paths, ftp:// and coll:// paths, and ZIP files. You can specify an FTP site from the Address Book with @<sitename>. You can also use any valid Opus folder alias (e.g. /desktop) or an environment variable (e.g. %windir%)
PATHENTRY/O |  | <no parameters> |  |  |  | Displays “pop-up” path entry field (most useful if bound to a hotkey)
 |  | left |  |  |  | Path entry field reads path into left-hand file display
 |  | right |  |  |  | Path entry field reads path into right-hand file display
 |  | dest |  |  |  | Path entry field reads path into destination Lister or file display
REFRESH/O |  | <no parameters> |  |  |  | Refresh current folder display
 |  | tree |  |  |  | Refresh the Folder Tree
 |  | both |  |  |  | Refresh both left and right file displays
 |  | all |  |  |  | Refresh both left and right file displays and the Folder Tree
 |  | source |  |  |  | Refresh source file display and the Folder Tree
 |  | viewpane |  |  |  | Refresh the Viewer Pane
REFRESHTHUMBS/O |  | <no parameters> |  |  |  | Refresh display of thumbnails in the current folder
 |  | shift |  |  |  | Refresh thumbnails display only if Shift key is held down
 |  | alt |  |  |  | Refresh thumbnails display only if Alt key is held down
 |  | ctrl |  |  |  | Refresh thumbnails display only if Ctrl key is held down
ROOT/O |  | <no parameters> |  |  |  | Go to the root of the current folder
 |  | collapse |  |  |  | Go to the root of the current folder and collapse the Folder Tree
SWAP/S |  |  |  |  |  | Swap the folders displayed in the source and destination
TABCLOSE/S |  |  |  |  |  | Close the current Folder Tab
TABCLOSEALL/O |  | <no parameters> |  |  |  | Close all Folder Tabs except the current one
 |  | left |  |  |  | Close all Folder Tabs to the left of the current one
 |  | right |  |  |  | Close all Folder Tabs to the right of the current one
TABDUPLICATE/O |  | <no parameters> |  |  |  | Duplicate the current Folder Tab
 |  | dual |  |  |  | Duplicate the current Folder Tab in the dual display
TABGROUPLIST/O |  | <no parameters> |  |  |  | Generate a list of saved Folder Tab Groups
 |  | keys |  |  |  | Auto-assign keyboard shortcuts to list of Tab Groups
 |  | noicons |  |  |  | Display icons for the list of Tab Groups
TABGROUPLOAD/K |  | <group name> |  |  |  | Load the named Folder Tab Group
TABGROUPSAVE/O |  | <no parameters> |  |  |  | Save current tabs as a new Tab Group, prompt for name
 |  | <group name> |  |  |  | Save current tabs as specified Tab Group
TABLOCK/K |  | lock |  |  |  | Locks the current tab against any folder changes
 |  | lockchanges |  |  |  | Locks tab – allows changes, but reverts to original directory when tab is hidden and then revealed
 |  | toggle |  |  |  | Toggle the lock state
 |  | off |  |  |  | Turn off the lock state
TABMOVE/S |  |  |  |  |  | Move active tab to other side of Lister
TABSELECT/K |  | first |  |  |  | Select first Folder Tab
 |  | last |  |  |  | Select last Folder Tab
 |  | +1 |  |  |  | Select next Folder Tab
 |  | -1 |  |  |  | Select previous Folder Tab
 |  | prev |  |  |  | Select previously selected Folder Tab
 |  | <index> |  |  |  | Select specified Folder Tab by index
UP/S |  |  |  |  |  | Go Up from the current folder (reads the parent folder)
USEQUALKEYS/S |  |  |  |  |  | Modify default behavior when qualifier keys are held down (control = open in dual, shift = new Lister, alt = new tab)
USER/K |  | <user name> |  |  |  | Used with the Folder Alias system to read a folder belonging to a specified user (e.g. Go /desktop USER=Leo)
VIEW/K |  | <view mode> |  |  |  | Specify the view mode to display the new folder in. Valid view modes are largeicons, smallicons, list, details, power and thumbnails.
Help |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Displays main help page
ABOUT/S |  |  |  |  |  | Displays About Directory Opus dialog
CHECKUPDATE/O |  | <no parameters> |  |  |  | Check for updates
 |  | quiet |  |  |  | Check for updates (quietly, with no dialog displayed unless an update is available)
LICENCEMANAGER/S |  |  |  |  |  | Display the Licence Manager
NEWEMAIL/S |  |  |  |  |  | Use simple built-in email client to send a new email message
MANUAL/S |  |  |  |  |  | Displays Directory Opus manual
Image |  |  |  |  |  |
<no parameters> |  |  |  |  |  | <no action>
ADDSUFFIX/O |  |  | <no parameters> |  |  | Adds a default suffix to the filename appropriate to the new size of the image
 |  |  | <suffix> |  |  | Specify the suffix to add to the output files
AS/K |  |  | <output filename> |  |  | Specify a different output filename
BACKGROUND/K |  |  | <color> |  |  | Specify background color when converting alpha-channel images (either #RRGGBB in hex or RRR,GGG,BBB in decimal)
CONVERT/O |  |  | <no parameters> |  |  | Displays Image Conversion dialog
 |  |  | jpg |  |  | Convert to JPEG format
 |  |  | png |  |  | Convert to PNG format
 |  |  | gif |  |  | Convert to GIF format
 |  |  | bmp |  |  | Convert to BMP format
FLICKRACCOUNT/K |  |  | <account name> |  |  | Specify the Flickr account to synchronize
FROM/M |  |  | <filename> |  |  | Specify the file or files to convert
HEIGHT/K/N |  |  | <height> |  |  | Resize to specified height
HERE/S |  |  |  |  |  | Output files to source directory
LOCATE/K |  |  | googleearth |  |  | Find location of selected photos in Google Earth from embedded GPS information
NOENLARGE/S |  |  |  |  |  | Prevent enlarging of images
NOREDUCE/S |  |  |  |  |  | Prevent reducing of images
PERCENT/K/N |  |  | <percent> |  |  | Specify percent enlargement/reduction when resizing
PRESERVEASPECTRATIO/S |  |  |  |  |  | Preserve aspect ratio when resizing
PRESERVEDATE/S |  |  |  |  |  | Preserve original file dates when converting in-place
QUALITY/K/N |  |  | <quality> |  |  | Specify quality for JPEG conversion
REPLACE/O |  |  | <no parameters> |  |  | Replace existing files without asking
 |  |  | always |  |  | Replace existing files even if output filenames are different to the input filenames
ROTATE/K |  |  | <angle> |  |  | Rotate by specified angle (in degrees)
 |  |  | EXIF |  |  | Rotate using information from EXIF tags
SYNCPHOTOS/K |  |  | flickr |  |  | Initiate Flickr photo synchronization
TO/K |  |  | <output path> |  |  | Specify output path, default is destination directory
UPLOAD/K |  |  | imageshack |  |  | Upload selected images to ImageShack
WIDTH/K/N |  |  | <width> |  |  | Resize to specified width
Join |  |  |  |  |
<no parameters> |  |  |  |  | Display the Join dialog to join selected files together
FROM/M/F |  | <filenames> |  |  | Specify the files to join
TO/K |  | <output file> |  |  | Specify the output file to join to
Marker |  |  |  |  |
<no parameters> |  |  |  |  | <no action>
ID/K/N |  | <command ID> |  |  | Send a command directly to the System Namespace currently displayed in the Lister
MENU/K |  | <menu type> |  |  | Marks the place for System Namespace menus to appear. Valid menu types are File, Edit, View, Tools, Help, Other and All
TOOLBAR/S |  |  |  |  | Marks the place for System Namespace toolbar buttons to appear
Play |  |  |  |  |
<no parameters> |  |  |  |  | Plays all selected files (sequentially)
FILE |  | <filename> |  |  | Specify the file to play
QUIET/S |  |  |  |  | Plays file(s) without displaying the Play dialog
Prefs |  |  |  |  |  |
<no parameters> |  |  |  |  |  | Displays the Preferences dialog
ADDBACKGROUND/S |  |  |  |  |  | Adds the selected files to the Preferences Images list (so they can be used as Lister and Toolbar background images)
ADDFTPSITE/S |  |  |  |  |  | Adds the current FTP site to the FTP Address Book
BACKUPRESTORE/S |  |  |  |  |  | Display Configuration Backup & Restore Wizard
CUSTOMIZE/S |  |  |  |  |  | Displays the Customize dialog
FILETYPES/S |  |  |  |  |  | Displays the File Types dialog
FTPSITES/S |  |  |  |  |  | Displays the FTP Address Book editor
KEYS/S |  |  |  |  |  | Displays the Keys page of the Customize dialog
LAYOUT/K |  |  | <layout name> |  |  | Load the specified Lister Layout
LAYOUTCLOSELISTERS/O |  |  | <no parameters> |  |  | When loading a new Layout with the LAYOUT option, closes existing Lister based on the option in Preferences
 |  |  | yes |  |  | Closes all existing Lister (overrides Preferences option)
 |  |  | no |  |  | Does not close all existing Lister
LAYOUTEDIT/S |  |  |  |  |  | Displays the Lister Layouts page in Preferences
LAYOUTLIST/S |  |  |  |  |  | Generates a list of saved Lister Layouts
LAYOUTNAME/K |  |  | <layout name> |  |  | Used with LAYOUTSAVE to specify the Layout name
LAYOUTSAVE/O |  |  | <no parameters> |  |  | Save all open Lister as a new Lister Layout
 |  |  | single |  |  | Save only the active Lister as a new Lister Layout
LAYOUTTHISLISTER/O |  |  | <no parameters> |  |  | In conjunction with the LAYOUT parameter, this option lets you apply the settings from a saved Lister Layout to the active Lister, rather than opening a new Lister. By default all settings from the saved Layout are applied.
 |  |  | size |  |  | Only take the size settings from the saved Layout
 |  |  | pos |  |  | Only take the position settings from the saved Layout
 |  |  | paths |  |  | Only take the path settings from the saved Layout
PAGE/K |  |  | <page name> |  |  | Displays the Preferences dialog showing the specified page.
SETDEFAULTLISTER/S |  |  |  |  |  | Sets the active Lister as the new Default Lister
SHOWICONS/S |  |  |  |  |  | Displays icons for items in lists generated by the IMPORTLIST, LAYOUTLIST and other parameters
STYLE/K |  |  | <style name> |  |  | Apply the specified Lister Style to the current Lister
STYLEEDIT/S |  |  |  |  |  | Display the Lister Styles page of the Preferences dialog
STYLELIST/O |  |  | <no parameters> |  |  | Generate a list of saved Lister Styles
 |  |  | showprevious |  |  | Includes the “Previous” Style in the list
STYLESAVE/O |  |  | <no parameters> |  |  | Save the current Lister as a new Lister Style
 |  |  | <style name> |  |  | Specify the name of the Style to save
THEMES/S |  |  |  |  |  | Display the Lister Themes dialog
TOOLBARS/S |  |  |  |  |  | Displays the Toolbars page of the Customize dialog
VFSPLUGINABOUT/K |  |  | <plugin name> |  |  | Display the About dialog for the specified VFS Plugin
VFSPLUGINCONFIG/K |  |  | <plugin name> |  |  | Display the Configuration dialog for the specified VFS Plugin
VFSPLUGINDISABLE/K |  |  | <no parameters> |  |  | Toggle the enable/disable state of the specified VFS Plugin
 |  |  | enable |  |  | Enable the specified VFS Plugin
 |  |  | disable |  |  | Disable the specified VFS Plugin
VFSPLUGINLIST/S |  |  |  |  |  | Generate a list of installed VFS Plugins
VFSPLUGINMANAGER/S |  |  |  |  |  | Display the VFS Plugins page of the Preferences dialog
Properties |  |  |  |  |
<no parameters> |  |  |  |  | Displays the Properties dialog for selected files
FILE |  | <file name> |  |  | Displays the Properties for the specified file
FOLDEROPTIONS/S |  | <no parameters> |  |  | Displays the Folder Options dialog for the current folder
FORMATLIST/S |  |  |  |  | Displays a list of your configured Favorite Formats
FTPSITE/S |  |  |  |  | Displays the Properties for the current FTP site
LISTER/S |  |  |  |  | Displays the Properties dialog for the folder displayed in the current Lister
NOFROMFOCUS/S |  |  |  |  | Operate only on the source file display rather than the window with input focus (Folder Tree or a file display)
ROTATE/K |  | <angle> |  |  | Rotate selected thumbnails by the specified angle. The images themselves are not modified.
 |  | menu |  |  | Displays thumbnail rotation menu
SETCOLOR/O |  | <no parameters> |  |  | Displays a list of configured colors; selecting one assigns it to any selected folders
 |  | <color name> |  |  | Assign the specified color to selected folders
SETWALLPAPER/O |  | <no parameters> |  |  | Sets the currently selected image file as the Desktop wallpaper
 |  | center |  |  | Sets image as centered Desktop wallpaper
 |  | tile |  |  | Sets image as tiled Desktop wallpaper
 |  | stretch |  |  | Sets image as stretched Desktop wallpaper
 |  | menu |  |  | Displays Set Wallpaper sub-menu
SINGLE/S |  |  |  |  | When multiple files are selected, this option causes an individual Properties window to be opened for each file. The default behavior is for a “combined” Properties window for all selected files
Print |  |  |  |  |
<no parameters> |  |  |  |  | Prints selected files (supported graphics formats, or files with a registered print handler). Under Windows XP, image files will be passed to the system Photo Printing Wizard.
AS/K |  | txt |  |  | When printing a folder, output in text format
 |  | csv |  |  | When printing a folder, output in CSV format
CALCSIZES/K |  | yes |  |  | Calculate folder sizes when printing a folder
 |  | no |  |  | Don’t calculate folder sizes when printing a folder
DEFAULTLIST/S |  |  |  |  | Generates a list of your installed printers, letting you change the default printer
FILTER/K |  | <filter name> |  |  | Specify a pre-defined Filter to use when printing a folder
FLATVIEW/K |  | no |  |  | Disable Flat View when printing a folder (only print the top level)
 |  | mixed |  |  | Use Flat View – Mixed when printing a folder
 |  | nofolders |  |  | Use Flat View – Mixed (No Folders) when printing a folder
 |  | grouped |  |  | Use Flat View – Grouped when printing a folder
FOLDER/O |  | <no parameters> |  |  | Prints a listing of the contents of the current folder
 |  | selected |  |  | Prints a listing of the selected files in the current folder
 |  | <path> |  |  | Specify the folder to print
FONT/K |  | <font name>,<size> |  |  | Specify a font to use when printing a folder
FORMAT/K |  | <format name> |  |  | Specify a folder format to use when printing a folder
HEADER/K |  | top |  |  | Print header at the top of each page when printing a folder
 |  | bottom |  |  | Print footer at the bottom of each page when printing a folder
 |  | both |  |  | Print both header and footer
 |  | none |  |  | Don’t print a header or a footer
QUIET/S |  |  |  |  | Print the specified folder without displaying the Print Folder dialog
SETDEFAULT/K |  | <printer name> |  |  | Selects the specified printer as the default
TO/K |  | <printer name> |  |  | Prints selected files to the specified printer
 |  | clip |  |  | When printing a folder, print to the clipboard
 |  | <output filename> |  |  | When printing a folder, print to a disk file
Recent |  |  |  |  |
<no parameters> |  |  |  |  | Generates a list of recently visited folders
CLEAR/S |  |  |  |  | Clears the Recent list
KEYARGS/K/M |  | ctrl:<arguments> |  |  | Specify alternate arguments for the command when the control key is held down
 |  | shift: <arguments> |  |  | Specify alternate arguments for the command when the shift key is held down
 |  | alt: <arguments> |  |  | Specify alternate arguments for the command when the alt key is held down
 |  | ctrlshift: <arguments> |  |  | Specify alternate arguments for the command when the control and shift keys are held down
 |  | ctrlalt: <arguments> |  |  | Specify alternate arguments for the command when the control and alt keys are held down
 |  | altshift: <arguments> |  |  | Specify alternate arguments for the command when the alt and shift keys are held down
 |  | ctrlshiftalt: <arguments> |  |  | Specify alternate arguments for the command when the control, shift and alt keys are held down
NEW/S |  |  |  |  | Recent folders are opened in a new Lister
NEWTAB/O |  | <no parameters> |  |  | Open folder in a new Folder Tab
 |  | nofocus |  |  | Prevent the new Folder Tab from becoming active
NOLABEL/S |  |  |  |  |  | Prevent the Favorites list from displaying labels
OPENINDEST/S |  |  |  |  | Recent folders are opened in the destination file display
OPENINDUAL/S |  |  |  |  | Recent folders are opened in the dual-display
OPENINLEFT/S |  |  |  |  | Recent folders are opened in the left file display
OPENINRIGHT/S |  |  |  |  | Recent folders are opened in the right file display
PATH |  |  |  |  | A partial string to match the generated recent list to. For example, specify C: and only folders containing C: will be displayed in the recent list
SHOWICONS/S |  |  |  |  | Display icons for the generated recent list
USEQUALKEYS/S |  |  |  |  | Modify default behavior when qualifier keys are held down (control = open in dual, shift = new Lister, alt = new tab)
Rename |  |  |  |  |
<no parameters> |  |  |  |  | Display the Rename dialog, allowing you to rename selected files and folders
ADVANCED/S |  |  |  |  | Display the Rename dialog in advanced mode
AUTORENAME/S |  |  |  |  | Automatically rename files when new names clash with existing files
BY/K/N |  | <increment> |  |  | Specify the increment used when automatically numbering files
CASE/K |  | upper |  |  | Make filenames all upper-case
 |  | lower |  |  | Make filenames all lower-case
 |  | firstword |  |  | Capitalize the first word of the filename
 |  | allwords |  |  | Capitalize all words in the filename
 |  | extupper |  |  | Make filename extensions upper-case
 |  | extlower |  |  | Make filename extensions lower-case
FILEINFO/S |  |  |  |  | Enable the use of file information fields in the rename operation.
FINDREP/O |  | <no parameters> |  |  | Perform rename in Find & Replace mode
 |  | ext |  |  | Find & Replace applies to filename extension as well as filename stem
FROM |  | <filename or wildcard pattern> |  |  | Specify the file to rename or a wildcard pattern
INLINE/O |  | <no parameters> |  |  | Activate inline rename mode for the currently focused item
 |  | all |  |  | Automatically select the entire filename
 |  | name |  |  | Automatically select the filename stem
 |  | ext |  |  | Automatically select the filename extension
 |  | home |  |  | Automatically position the cursor at the beginning
 |  | end |  |  | Automatically position the cursor at the end
MATCHCASE/S |  |  |  |  | Wildcard rename is to be case sensitive
NUMBER/O |  | <no parameters> |  |  | Automatically number files beginning from 1
 |  | <starting number> |  |  | Automatically number files beginning from the specified number. Prefix the number with zeroes to specify zero padding (e.g. 00005 will start numbering from 5, padded to 5 places)
PATTERN/K |  | <wildcard pattern> |  |  | Specify a wildcard pattern for the source files
PRESET/K |  | <preset name> |  |  | Rename using the specified preset
 |  | regexp |  |  | Open Rename dialog in regular expression mode
 |  | findrep |  |  | Open Rename dialog in Find & Replace mode
RECURSE/S |  |  |  |  | Rename all files within selected sub-folders that match the wildcard pattern
REGEXP/S |  |  |  |  | Perform rename in Regular Expression mode
SIMPLE/S |  |  |  |  | Display the Rename dialog in simple mode
TO |  | <filename or wildcard pattern> |  |  | Specify the new name of the file or the wildcard pattern
TYPE/K |  | files |  |  | Only rename files
 |  | dirs |  |  | Only rename folders
Select |  |  |  |  |
<no parameters> |  |  |  |  | Display the Select dialog, allowing you to select files by wildcard pattern
ADVANCED/S |  |  |  |  | Display the Select dialog in advanced mode
ALL/S |  |  |  |  | Select all files and folders in the source Lister
ALLDIRS/S |  |  |  |  | Select or deselect all folders
ALLFILES/S |  |  |  |  | Select or deselect all files
DESELECT/S |  |  |  |  | Deselect matching files instead of selecting them
DESELECTNOMATCH/S |  |  |  |  | Deselect any files that don’t match the pattern
DESTTOSOURCE/S |  |  |  |  | Select any files in the source folder that are currently selected in the destination folder
FILTER/S |  |  |  |  | The PATTERN specified is actually the name of a predefined filter to use to select files
FILTERFLAGS/K |  | select |  |  | Used with FILTER to specify that matching files are to be selected
 |  | deselect |  |  | Matching files are to be deselected
 |  | hide |  |  | Matching files are to be hidden
 |  | hidenomatch |  |  | Non-matching files are to be hidden
FIRST/S |  |  |  |  | Select the first item in the folder
HIDESEL/S |  |  |  |  | Hide all selected files
HIDEUNSEL/S |  |  |  |  | Hide all non-selected files
INVERT/S |  |  |  |  | Invert the selection status of all items in the Lister
MAKEVISIBLE/S |  |  |  |  | Ensure the first matching file is visible (scrolls display if needed)
NEXT/S |  |  |  |  | Select the next item in the folder
NONE/S |  |  |  |  | Deselect all files and folders
NOPATTERN/S |  |  |  |  | Used with HIDESEL and HIDEUNSEL to hide selected or unselected files immediately without displaying the Select dialog
PATTERN |  | <wildcard pattern> |  |  | Specify a wildcard pattern to use (does not display Select dialog)
PREV/S |  |  |  |  | Select the previous item in the folder
RESELECT/S |  |  |  |  | Reselect files used by the last function
SHOWHIDDEN/S |  |  |  |  | Reveal any files that have been hidden
SIMPLE/S |  |  |  |  | Display the Select dialog in simple mode
SOURCETODEST/S |  |  |  |  | Select any files in the destination folder that are currently selected in the source folder
TYPE/K |  | files |  |  | Operation only affects files
 |  | dirs |  |  | Operation only affects folders
Set |  |  |  |  |
<no parameters> |  |  |  |  | <no action>
ADMIN/K |  |  | on |  | Turn Administrator mode on in the current Lister
 |  |  | off |  | Turn Administrator mode off
 |  |  | toggle |  | Toggle Administrator mode
 |  |  | <timeout> |  | Specify a timeout in minutes
AUTOSIZECOLUMNS/O |  |  | <no parameters> |  | Automatically size all displayed columns in the source file display (Details or Power mode only)
 |  |  | dest |  | Auto-size columns in the destination
 |  |  | left |  | Auto-size columns in the left-hand file display
 |  |  | right |  | Auto-size columns in the right-hand file display
 |  |  | both |  | Auto-size columns in both file displays
 |  |  | focus |  | Auto-size columns in whichever display has the focus
 |  |  | widest |  | Auto-size columns in both file displays to whichever columns are the widest
CHECKBOXMODE/K |  |  | on / off / toggle |  | Turn checkbox mode on or off, or toggle its current state
CLEARFILTERS/S |  |  |  |  | Clear all file and folder filters in current file display
COLUMNS/K |  |  | <columns> |  | Set the display to use the specified columns
COLUMNSADD/K |  |  | <columns> |  | Add the specified columns to the current display
COLUMNSREMOVE/K |  |  | <columns> |  | Remove the specified columns from the current display
COLUMNSTOGGLE/K |  |  | <columns> |  | Toggle the specified columns in the current display
 |  |  | columnlist |  | Generates a categorized list of available columns
CONTENTFORMAT/K |  |  | <content type> |  | Set the current Lister to use the named content type format
COPYFILTER/K |  |  | on / off / toggle |  | Turn the copy filter on or off, or toggle its current state
DELFILTER/K |  |  | on / off / toggle |  | Turn the delete filter on or off, or toggle its current state
DUAL/K |  |  | on / off / toggle |  | Turn dual display mode on or off, or toggle its current state
 |  |  | horiz |  | Set dual display mode horizontal
 |  |  | vert |  | Set dual display mode vertical
 |  |  | togglelayout |  | Toggle the current dual display layout
 |  |  | source |  | If going into dual display mode, the new display will become the source
 |  |  | dest |  | The new display will become the destination
FILTERS/K |  |  | on / off / toggle |  | Turn both copy and delete filters on or off, or toggle their current state
FLATVIEW/K |  |  | on / off / toggle |  | Turn Flat View on or off, or toggle its current state
 |  |  | grouped |  | Turn on Flat View Grouped mode
 |  |  | mixed |  | Turn on Flat View Mixed mode
 |  |  | mixednofolders |  | Turn on Flat View Mixed No Folders mode
FORMAT/K |  |  | <format name> |  | Set the current Lister to use the named Favorite Format
FORMATLOCK/K |  |  | on / off / toggle |  | Turn the format lock on or off, or toggle its current state
 |  |  | left / right / source / dest |  | Specify the file display to apply the format lock to
FTPMODE/K |  |  | ascii |  | Set the transfer mode for the current FTP connection to ASCII
 |  |  | binary |  | Set transfer mode to binary
 |  |  | auto |  | Set transfer mode to automatic
HIDE/S |  |  |  |  | You can add this flag to most Set commands to cause them to be hidden when unavailable rather than appear disabled
HIDEFILTERATTR/O |  |  | <no parameters> |  | Clear the current Hide Files attribute filter
 |  |  | <attributes> |  | Set the Hide Files attribute filter for the current folder. Valid attributes are RAHSEC.
HIDEFILTERFILENAME/O |  |  | <no parameters> |  | Clear the current Hide Files filename filter
 |  |  | <filename pattern> |  | Set the Hide Files filename pattern for the current folder
HIDEFILTERFOLDERS/O |  |  | <no parameters> |  | Clear the current Hide Folders filename filter
 |  |  | <filename pattern> |  | Set the Hide Folders filename filter for the current folder
HIDESYSTEMFILES/K |  |  | on / off / toggle |  | Turn the Hide protected operating system files option on or off, or toggle its current state
LAYOUT/K |  |  | remember |  | Remember the layout of the current Lister in temporary memory
 |  |  | restore |  | Restore the layout of the current Lister from temporary memory
LISTERCMD/K |  |  | minimize |  | Minimize the current Lister
 |  |  | maximize |  | Maximize the current Lister
 |  |  | restore |  | Restore the current Lister
 |  |  | showall |  | Make all currently open Listers visible
 |  |  | minimizeall |  | Minimize all currently open Listers
 |  |  | tileh |  | Tile horizontally all open Listers
 |  |  | tilev |  | Tile vertically all open Listers
 |  |  | cascade |  | Cascade all open Listers
 |  |  | toggleminimizeall |  | Minimize all open Listers, or restore them if they are already minimized
LISTERSIZE/K |  |  | <width,height > |  | Change the size of the current Lister. You can specify either an absolute size (e.g. 800,600) or supply delta values to make relative changes (e.g. +400,-300)
NAVLOCK/K |  |  | on / off / toggle |  | Turn Navigation Lock on or off in the current Lister
OUTPUT/K |  |  | on / off / toggle |  | Open or close the Output Window or toggle its current state
 |  |  | find |  | Open the Output Window and display the Find tab
 |  |  | undo |  | Open the Output Window and display the Undo tab
 |  |  | log |  | Open the Output Window and display the Log tab
 |  |  | test |  | Open the Output Window and display the Test tab
 |  |  | ftp1 |  | Open the Output Window and display the FTP1 tab
 |  |  | ftp2 |  | Open the Output Window and display the FTP2 tab
 |  |  | email |  | Open the Output Window and display the Email tab
READONLY/K |  |  | on / off / toggle |  | Turn read only mode (for ZIP files) on or off or toggle its current state
SHOWCOMPATIBILITYFILES/K |  |  | on / off / toggle |  | Turn the display of Compatibility Files on or off in the current Lister (Windows Vista only)
SHOWFILTERATTR/O |  |  | <no parameters> |  | Clear the current Show Files attribute filter
 |  |  | <attributes> |  | Set the Show Files attribute filter for the current folder. Valid attributes are RAHSEC.
SHOWFILTERFILENAME/O |  |  | <no parameters> |  | Clear the current Show Files filename filter
 |  |  | <filename pattern> |  | Set the Show Files filename pattern for the current folder
SHOWFILTERFOLDERS/O |  |  | <no parameters> |  | Clear the current Show Folders filename filter
 |  |  | <filename pattern> |  | Set the Show Folders filename filter for the current folder
SORTBY/K |  |  | <column names> |  | Set the sort field for the current Lister. You can specify multiple columns by separating them with commas.
SORTGROUPDUPES/K |  |  | on / off / toggle |  | Turn on or off the Group duplicates option for the current folder, or toggle its current state
SORTNUMERIC/K |  |  | on / off / toggle |  | Turn on or off the Numeric order filename sorting option for the current folder, or toggle its current state
SORTORDER/K |  |  | folders |  | Set the sort order in the current Lister to folders before files
 |  |  | files |  | Sort files before folders
 |  |  | mixed |  | Mix files and folders together
 |  |  | cycle |  | Cycle through the available sort methods
SORTREVERSE/K |  |  | on / off / toggle |  | Turn on or off reverse sorting or toggle its current state
SORTWORDS/K |  |  | on / off / toggle |  | Turn on or off the Word sort option or toggle its current state
SOUNDS/K |  |  | on / off / toggle |  | Enable or disable Directory Opus sound effects, or toggle the current state of this option
STATE/K |  |  | source |  | Set the current Lister (or file display) to be the source
 |  |  | dest |  | Set the current Lister to be the destination
 |  |  | lockoff |  | Lock the current Lister in an off state
STATUSBAR/K |  |  | on / off / toggle |  | Turn on or off the status bar in the current Lister, or toggle its current state
TREE/K |  |  | on / off / toggle |  | Turn on or off the Folder Tree in the current Lister, or toggle its current state. In a dual display mode Lister with the Automatically open second Folder Tree option enabled, both Folder Trees will open or close.
 |  |  | left |  | Modifies the on, off or toggle options to specifically control the left Folder Tree in a dual display Lister
 |  |  | right |  | Modifies the on, off or toggle options to specifically control the right Folder Tree in a dual display Lister
 |  |  | dual |  | Modifies the on, off or toggle options to specifically control both Folder Trees in a dual display Lister
UTILITY/K |  |  | on / off / toggle |  | Open or close the Utility Panel in the current Lister or toggle its current state
 |  |  | find |  | Open the Utility Panel and display the Find page
 |  |  | sync |  | Open the Utility Panel and display the Synchronize page
 |  |  | dupe |  | Open the Utility Panel and display the Duplicate File Finder page
 |  |  | horiz |  | Display the Utility Panel in horizontal layout
 |  |  | vert |  | Display the Utility Panel in vertical layout
 |  |  | togglelayout |  | Toggle the layout of the Utility Panel
VIEW/K |  |  | <view mode> |  | Set the view mode of the current Lister. Valid view modes are largeicons, smallicons, list, details, power , thumbnails or tiles.
 |  |  | cycle |  | Cycle through the view modes in the current Lister
VIEWPANE/K |  |  | on / off / toggle |  | Open or close the Lister Viewer Pane or toggle its current state
 |  |  | horiz |  | Display the Viewer Pane in horizontal layout
 |  |  | vert |  | Display the Viewer Pane in vertical layout
 |  |  | togglelayout |  | Toggle the layout of the Viewer Pane
VIEWPANESIZE/K |  |  | <size> |  | Set the size of the Viewer Pane as a percentage of the size of the current Lister. You can specify two sizes separated by commas to toggle between the two.
WINMSGR/K |  |  | on / off / toggle |  | Open or close the Lister Contacts List, or toggle its current state
SetAttr |  |  |  |  |
<no parameters> |  |  |  |  | Displays the Set Time & Attributes dialog for selected files
ATTR/K |  | <attributes> |  |  | Specify absolute attribute setting for selected files. Valid attributes are h (hidden), s (system), a (archived) and r (read-only)
CHMOD/K |  | <attributes> |  |  | Specify absolute attributes for files on FTP sites using traditional octal syntax
CLEARATTR/K |  | <attributes> |  |  | Specify attributes to turn off for selected files
CREATED/K |  | <datetime> |  |  | Specify creation date and time for selected files
DESCRIPTION/O |  | <no parameters> |  |  | Displays the Set Description dialog for selected files
 |  | <description> |  |  | Set the description of selected files to the supplied text
FILE/M |  | <filename> |  |  | Specify file or files to modify
FILTER/K |  | <filter name> |  |  | Specify a filter for recursively setting attributes and timestamps on files in sub-folders
MODIFIED/K |  | <datetime> |  |  | Specify last modified date and time for selected files
RECURSE/S |  |  |  |  | Make changes to files in sub-folders
SETATTR/K |  | <attributes> |  |  | Specify attributes to turn on for selected files
TOGGLEATTR/K |  | <attributes> |  |  | Specify attributes to toggle for selected files
Show |  |  |  |  |
<no parameters> |  |  |  |  | Displays selected files with the Opus Image Viewer
FILE |  | <filename> |  |  | Specify name of the file to show
NOUSEEXISTING/S |  |  |  |  | Prevent the use of existing viewer windows
PLUGIN/K |  | <plugin name> |  |  | Specify the name of the Viewer Plugin to use
PLUGINABOUT/K |  | <plugin name> |  |  | Display the About dialog for the specified Viewer Plugin
PLUGINCONFIG/K |  | <plugin name> |  |  | Display the Configuration dialog for the specified Viewer Plugin
PLUGINDISABLE/O |  | <no parameters> |  |  | Used with the PLUGIN parameter to toggle the enable state of the specified Viewer Plugin on or off
 |  | enable |  |  | Enables the specified Viewer Plugin
 |  | disable |  |  | Disables the specified Viewer Plugin
PLUGINLIST/S |  |  |  |  | Generates a list of the installed Viewer Plugins
PLUGINMANAGER/S |  |  |  |  | Display the Viewer Plugins page of the Preferences dialog
THUMBNAILSIZE/K |  | <size> |  |  | Set the thumbnail size in the current file display. Dynamic thumbnail sizing must be enabled in Preferences.
 |  | left / right / source / dest / both |  |  | Apply changes to the left / right / source / dest file display only
 |  | reset |  |  | Reset thumbnail size to the default setting
USEEXISTING/S |  |  |  |  | Force Opus to re-use an existing viewer window
Split |  |  |  |
<no parameters> |  |  |  | Display the Split dialog to split selected files
FROM/M |  | <filename> |  | Specify the files to be split
HERE/S |  |  |  | Write split files to the source folder instead of the destination
SIZE/K |  | <size> |  | Specify size of split chunks (eg “1000 bytes”, “32 k”, etc)
TO/K |  | <path> |  | Specify output path for split files
UUENCODE/S |  |  |  | UU-Encode output files
Toolbar |  |  |  |
<no parameters> |  |  |  | <no action>
CLOSE/S |  |  |  | Close the toolbar specified by the NAME parameter (if it is currently open)
IMPORT/S |  |  |  | Import a toolbar file into your Opus configuration
LINE/K | <line>[,<pos>] |  |  | Specify the line number and optional position to display the new Toolbar
LIST/S |  |  |  | Generate a list of toolbars
LOCAL/S |  |  |  | The specified toolbar will be opened locally for the current Lister rather than for all Lister
NAME | <toolbar name> |  |  | Specify the name of the toolbar to open or close
POS/K | <x,y> |  |  | Specify the position on screen to open a floating toolbar
 | mouse |  |  | Open a floating toolbar centered over the mouse pointer
 | mousel |  |  | Open a floating toolbar left-aligned with the mouse pointer
 | mouser |  |  | Open a floating toolbar right-aligned with the mouse pointer
STATE/K | <no parameters> |  |  | Position the toolbar at the top of the Lister
 | bottom |  |  | Position the toolbar at the bottom of the Lister
 | left |  |  | Position the toolbar at the left of the Lister
 | right |  |  | Position the toolbar at the right of the Lister
 | center |  |  | Position the toolbar in the center of the Lister (between the two file displays)
 | viewpane |  |  | Position the toolbar between the Viewer Pane and the file display
 | tree |  |  | Position the toolbar between the Folder Tree and the file display
 | float |  |  | Float the toolbar free of the Lister
TOGGLE/S |  |  |  | Toggle the specified toolbar on or off
Undo |  |  |  |
<no parameters> |  |  |  | Undo the last action if it is undoable, otherwise no action
ITEM/K | <item number> |  |  | Undo a specified item in the undo list (by number)
LIST/S |  |  |  | Generate list of undoable actions
LISTMENU/S |  |  |  | Generate a drop-down list of undoable actions
PAGE/S |  |  |  | Display the Undo page in the Output Window